---
permalink: "{{ .Name | title | lower }}"
audit_date: 'yyyy-mm-dd'
type: article
title: "{{ .Name | title | humanize }}"
created_date: '{{ now.Format "2006-01-02" }}'
created_by: Firstname Lastname
last_modified_date: 'yyyy-mm-dd'
last_modified_by: Firstname Lastname
product: Product Category
product_url: product-category
---

Provide a descriptive title for the article in the metadata above. Conceptual articles have a wide
range of appropriate titles. If the article's purpose is to impart general information, a title such
as "About regions" is appropriate. If the topic of the article could potentially result in action
from the customer, a title such as "Using the Rackspace network effectively" is better.

Begin the article by describing the concept that you want your audience to better understand. The
primary audience for How-To content is Rackspace customers and Support staff, who might have varying
levels of technical expertise.

Write your article in Markdown. For more information about writing in Markdown, see the [Markdown
Cheatsheet](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet).

For general writing guidelines, see the [contribution
guidelines](https://github.com/rackerlabs/rackspace-how-to/blob/master/CONTRIBUTING.md).

### Concept (repeat as necessary)

Provide a heading for this section that best describes the part of the overall concept that you are
explaining. For example, in an article about server regions, the first section could be **What is a
region?**, followed by **Region availability**, and then **Benefits of using regions**.

The first section should be considered key to understanding the concept presented in the article.
Use additional concept sections to explain different aspects of the main concept.

For guidance on when to use diagrams and screenshots, see the [Screenshot and diagram
guidelines](http://rackerlabs.github.io/docs-rackspace/style-guide/screenshot-diagram-guidelines.html).

#### Conceptual subtopic (repeat as necessary)

Any subtopics related to a concept should use the next level heading. Follow the preceding
guidelines for subtopics.

For example, in the conceptual article [Understanding logrotate
utility](/how-to/understanding-logrotate-utility), the section on Configuration commands has several
conceptual subtopics that give more detail about the varying commands used in logrotate
configuration files.

### Next steps (optional)

Include any links to articles that your audience should read next.

### Related articles (optional)

Include any links to related content. Use a bulleted list if you have more than one link. For
example:

- [Create an image from a server and restore a server from a saved image](/how-to/create-an-image-from-a-server-and-restore-a-server-from-a-saved-image)
- [About Cloud Server images](/how-to/about-cloud-server-images)
