---
permalink: billing-services-overview
audit_date: '2018-02-14'
title: Billing services overview
type: article
created_date: '2011-08-24'
created_by: Rackspace Support
last_modified_date: '2018-10-25'
last_modified_by: Stephanie Fillmon
---

This article provides an overview of the billing resources available to you through the Rackspace website and the Cloud Control Panel. The resources described in this article can help you manage and track the billing for your account.

When you use Rackspace Cloud products, you pay only for the services that you use, with the following exception. Your cloud servers and load balancers are billed for uptime as long as they remain in the active status, even if they are not being used. This time is billed because these resources have been allocated for your exclusive use and cannot be reserved by other customers.

Your 30-day billing cycle begins on the day that you activate your account, and your bill reflects services used in the previous month. If your usage begins in the middle of a billing cycle, your first bill reflects a partial month but is presented on your scheduled bill date.

### Estimate costs

Each product page accessed from the [main Rackspace website](https://www.rackspace.com/) includes the most current pricing for that product and a cost calculator to help you estimate your monthly charges. For an example, see the [pricing information for Cloud Servers](https://www.rackspace.com/cloud/servers/pricing).

### Access your account information

To access your account information, use the following steps:

1. Log in to the [Cloud Control Panel](https://login.rackspace.com/).

2. In the upper-right corner of the control panel, click the **Billing**
   button.

   You are redirected to the **Billing Overview** dashboard, which provides information on billing, payments, and usage.

### View current usage

The center panel of the **Billing Dashboard** displays your **Charges to Date**. For a more detailed breakdown of the charges, click **View** in the section header.

The balance to date for the Rackspace products that you are using is displayed.

To see usage details such as type, unit price, quantity, and estimated total, click the arrow to the right of the dollar amount.

{{<image src="chargestodate.png" alt="" title="">}}

**Note**: This page only displays the Rackspace Cloud usage that you accrued after your last invoice was generated. Usage accrues throughout the month, and
totals update on a daily basis. Some products and services might take up to 24 hours to appear on this page. Additionally, some charge totals only appear after any discounts have been applied.

### Set a billing threshold

The **Set Billing Threshold** option enables you to receive a notification when usage meets or exceeds an amount that you specify. When this occurs, Rackspace emails the primary contact and the billing contact.

To enable this functionality, use the following steps:

1. Under **Charges to Date**, click **Set Billing Threshold**.

   You are redirected to the **Billing Settings** page.

2. Towards the bottom of the page, click on the pencil icon next to
   **Threshold Notification**.

3. Enter a monetary amount.

4. Check the boxes next to the contacts who should receive the notifications,
   and then click **Save**.

### View invoice details

To access detailed information for your most recent invoice:

1. Go to **Billing History > Invoice Details**.

   Your most recent invoice opens in a detailed view.

   {{<image alt="Invoice details" src="invoice-detailed.png" title="Invoice details">}}

2. Line items appear under the **Total Charges** section. To expand a line
   item, click the down arrow to the left of the item description.

   If there are per-device charges associated with a line item, a **Devices**
   area appears inside that line item. To expand this area further and display
   the cost associated with each device, click the down arrow to the left of
   **Devices**.

   {{<image alt="Devices area" src="devices.png" title="Devices area">}}

3. To download an invoice, click the **PDF** link or the **CSV** link at the
   top-right corner of the screen.

To view past invoices, go to the navigation pane on the left and select a different date from the **Bill Date** drop-down menu.

### Manage payment methods

You can add or delete a payment method by navigating to **Payment Methods >
Manage Payment Methods**.

Your current payment methods are displayed.

To add a new payment method:

1. Click the **Add Payment Method** button.
2. Select the payment method you want to use. The options are **Credit Card**
   and **ACH (eCheck)**.
3. Enter the details associated with the payment method, then click **Save
   Credit Card** if you entered a credit card, or **Add Account** if you entered a bank account.

To delete an existing payment method, click the gear icon that appears to the
left of the payment method, then select **Delete Payment Method**.

To change the default payment method, click the gear icon next to the method
you want to make the default, then select **Set as Default**.

### Update billing information

To modify basic billing information for your account, use the following steps:

1. In the top menu bar, click **Billing Settings**.

   You are redirected to the **Billing Settings** page.

2. Click the pencil icon next to the section you want to edit.
3. Make your changes, then click **Save**.

### Get help

If you're unable to find the information that you need in the Cloud Control
Panel, or if you need more detailed billing and payment information than what
is available on these pages, contact the Billing Support team. The team is available Monday through Friday from 8 a.m. to 5 p.m. CST, toll-free at 877 934 0410 or internationally at 1 210 581 0410. You can reach the Cloud Accounts Receivable team toll-free at 800 480 2716 or internationally at
1-512-361-4935.

### Reclaim VAT

If you're a VAT-registered business or organization, in most cases you can reclaim the value-added tax (VAT) that you pay when you buy goods and services for your business. To reclaim this money, you must have records to support your claim. If you provide Rackspace with your VAT ID number, Rackspace can correctly prepare an invoice for your records.

If you're not a VAT-registered business or organization, you can't reclaim the VAT that you pay when you buy goods and services.

### Next step
[Viewing and editing user information for your account](/support/how-to/viewing-and-editing-user-information-for-your-account)
