---
permalink: change-the-primary-contact-on-a-cloud-office-account
audit_date: '2019-08-29'
title: Change the Primary Contact on a Cloud Office account
type: article
created_date: '2019-08-29'
created_by: Mike Suarez
last_modified_date: '2019-08-29'
last_modified_by: William Loy
product: Account Management
product_url: account-management
---

This article instructs you on how to change the Primary Contact of a Cloud Office account. Primary Contact changes are typically performed when the ownership of an account has changed for any reason.

### Change a Primary Contact by using the control panel

You can update the Primary Contact through the control panel if you are the current Primary Contact of the account. If you are not the current Primary Contact, proceed to the [Request a Primary Contact change](#request-a-primary-contact-change) section.

1. Log in to the [Cloud Office Control Panel](https://cp.rackspace.com).

2. Click your account number in the upper right-hand corner and select **Administrators** from the dropdown menu.

3. Click **MANAGE** next to the name of the administrator that you plan to make the Primary Contact of the account.

4. Click **MAKE PRIMARY CONTACT**.

5. You are now prompted with a dialogue box titled **Change Primary Contact**. Review the message and click **YES, CHANGE THE PRIMARY CONTACT** to complete the process.

You have successfully changed the Primary Contact of the account.

### Request a Primary Contact change

If you are not the current Primary Contact, or are unable to select a new Primary Contact, a Primary Contact change can be requested. The requestor must [contact Rackspace support](https://www.rackspace.com/contact#tab-us-contact-info-support) to initiate this process. After the request is approved, the requestor is added as an account administrator, and is also set as the Primary Contact for that account.

After the requestor is added as an account administrator, they must complete the following steps:

1. A welcome email is sent to the listed email address for the newly added administrator.

2. Click the **Password Recovery** link in the welcome email.

3. Set a password for the newly created administrator.

4. Complete the [Multi-Factor Authentication setup](/support/how-to/enable-or-disable-two-factor-authentication-for-administrators).

5. Create a security question and answer the newly created administrator.
