---
permalink: change-to-new-primary-contact
audit_date: '2018-03-13'
title: Change an account's primary contact
type: article
created_date: '2018-03-13'
created_by: Rackspace Support
last_modified_date: '2018-10-25'
last_modified_by: Stephanie Fillmon
---

The primary contact for an account must be an active user. You can update the primary contact by using one of the following methods:

If you are the current primary contact for your account, you can update the primary contact by selecting and editing the **Primary Contact Information** section in the [Cloud Control Panel](https://login.rackspace.com), or if you're a dedicated customer, the [MyRackspace Control Panel](https://login.rackspace.com).

If you are not the primary contact, you must fill out the **Primary
Contact Change** form and submit it by using a support ticket.

You can download this form directly from the Cloud Control Panel or MyRackspace Control Panel by using the following steps:

**Note:** Before completing the form to change a primary contact, read the "Best practices for legal change forms" section of [Change account information](/support/how-to/change-account-information).

#### MyRackspace Control Panel (Dedicated customers)

Use the following steps to submit a ticket to change the primary contact for your account:

1. In the upper-right corner of the control panel, click **Account > Docs and Forms**.
2. In the **Account Forms** section, click **Primary Contact Change Form** in the **Account Forms** section.
3. Fill out the downloaded form and save the edited file on your local machine.
4. In the MyRackspace Control Panel, select **Tickets > Create Ticket**.
5. Enter "Primary Account Change" in the subject line.
6. The **Ticket Details** section appears. Enter a short description of why you would like to change the primary contact for the account.
7. Attach your saved Primary Contact Change Form to the ticket.
8. Click **Create Ticket**.

#### MyRackspace Control Panel self-service option

Use the following steps to change the primary contact for your account:

1. In the upper-right corner of the control panel, click **Account > User List**.
2. In the **Account** sub-navigation bar, click **Account Settings**.
3. Click the pencil icon in the **Primary Contact Information** section to change the primary contact for your account.

#### Cloud Control Panel

Use the following steps to submit a ticket to change the primary contact for your account:

1. In the upper-right corner of the control panel, click **Account > Docs and Forms**.
2. Click the **Rackspace Account Change Forms** section.
3. From the **Change Primary Contact** section, download the **Primary Contact Change Form**.
4. Fill out the downloaded form and save the edited file on your local machine.
5. In the Cloud Control Panel, select **Tickets > Create Ticket**.
6. In the **Category** section, set **Type** to **Account** and **Account Update**.
7. Fill out the details for your ticket and attach your saved Primary Contact Change Form to your ticket.
8. Click **Create Ticket**.

To learn more about changing your cloud account's information, see
[Change account information](/support/how-to/change-account-information).
