---
permalink: how-to-create-a-generic-portal-user
audit_date:
title: 'How to Create a Generic Portal User'
type: article
created_date: '2021-09-30'
created_by: Rackspace Support
last_modified_date: '2021-09-30'
last_modified_by: Miguel Salgado
product: Account Management
product_url: account-managemen
---

This article describes how to create a generic user for our Rackspace portal.

When creating portal users on your account, it is important that every user has their own login credentials to be properly verified. We understand that sometimes you might have an IT team or group of users where it might be easier to create a generic user account (ex: IT Support). If that is the case, you need to make sure that the CONTACT name of your user is generic. Per our verification policy, we cannot accept PINs from anyone other than the contacts who are listed. Therefore, if you need a group user, the group name will need to be listed as the CONTACT name. Please see the instructions listed below on how to create a generic user depending on your type of account.

### Dedicated Account Steps

1. Click on **Account** towards the middle of the page > then select **User List**

{{<image src="generic-user-1.png" alt="" title="">}}

2. Click on **Create New User**

{{<image src="generic-user-2.png" alt="" title="">}}

3. Fill in all of the required information > then select **Create New User**

{{<image src="generic-user-3.png" alt="" title="">}}

**Note:** For group users, you’ll need to input a generic name in the fields for first & last name as shown above.

### Cloud Account Steps

1. Click on **Account** in the top right-hand corner > then click **User Management**

{{<image src="generic-user-4.png" alt="" title="">}}

2. Click on **Create User** in the Users & Permissions area

{{<image src="generic-user-5.png" alt="" title="">}}

3. Fill in the required information > then click **Create User**

{{<image src="generic-user-6.png" alt="" title="">}}

4. The user will be created, and you will be directed to that users details page with banners at the top showing the users has been created and that it is pending acceptance.

{{<image src="generic-user-7.png" alt="" title="">}}

Use the Feedback tab to make any comments or ask questions. You can also [start a conversation with us](https://www.rackspace.com/contact).
