---
permalink: new-user-workflow
audit_date: '2019-07-25'
title: New user workflow
type: article
created_date: '2019-07-22'
created_by: Justin Wood
last_modified_date: '2019-07-25'
last_modified_by: Cat Lookabaugh
product: Account Management
product_url: account-management
---

Occasionally, account managers need to invite new users to access an account.
This article covers this workflow from both the account manager's perspective
and the new user's perspective.

If you're an account manager, see the **Account manager** section.  If you're a
new user and you've received a invitation to register, see the **New user**
section.

### Account manager

If you're an account manager and owner, use the following steps to create a new
user for your account:

1. In the upper-right corner of the Control Panel, click
   **Account > User Management**.
2. Click **Create User** in the **Users** tab of the **Users & Permissions**
   screen.
3. Fill out the form and click **Create User**.  For information about access
    controls for new users, see
    [Learn about Role-Based Access Control (RBAC)](/support/how-to/overview-role-based-access-control-rbac).

The system automatically sends an email invitation to the user.  This invitation
expires in 48 hours.

**Note**: A *Pending invitation acceptance* banner displays on the
**User Details** screen until they accept the emailed invitation and register.

### New user

If you're a new user and you've received an email invitation to join an account,
use the following steps to register within 48 hours:

1. Click the **Register User** link in the invitation email.
2. On the **Register Your Account** screen, fill in your new account details,
   including a username and password, and click **Submit**.
3. After you are redirected to the **Log In** screen
   ([login.rackspace.com](https://login.rackspace.com)), log in with your ID
   and password.

If you receive a **Link already used** error message when you click
**Register User** in your invitation email or if your link has expired, contact
the account manager for a new invitation.

