---
permalink: rackspace-billing-faq
audit_date: '2020-11-09'
title: Rackspace Billing FAQ
type: article
created_date: '2020-11-09'
created_by: Stephanie Fillmon
last_modified_date: '2020-11-09'
last_modified_by: Stephanie Fillmon
product: Account Management
product_url: account-management
---

{{< accordion title="How am I billed for Rackspace services?" col="in" href="accordion1" >}}

Many of our services follow a utility pricing model and are billed for
hourly usage each month on the anniversary date of the account creation.
Charges on invoices are based on service usage since the last invoice
date, and you can find details about our product pricing on our [Cloud Pricing Page](https://www.rackspace.com/cloud/public-pricing/).

{{</ accordion >}}

{{< accordion title="What forms of payment does Rackspace accept?" col="in" href="accordion3" >}}

Rackspace accepts Visa&reg;, Mastercard&reg;, and American Express&reg;. Additionally, Rackspace
accepts ACH and wire payments.
{{</ accordion >}}

{{< accordion title="How can I estimate my monthly bill?" col="in" href="accordion4" >}}

You can use our [Cloud Pricing Page](https://www.rackspace.com/cloud/public-pricing/) and [Cloud Pricing Calculator](https://www.rackspace.com/calculator/)
to estimate pricing.
{{</ accordion >}}

{{< accordion title="Can I pay in advance?" col="in" href="accordion5" >}}

If you meet the minimum requirements for our Commitment Pricing Program,
you can prepay based on a commitment pricing contract for your account. Any
usage beyond the minimum commitment amount is invoiced at the utility rate on
the monthly date of your account's anniversary. For example, if your account
was created on the 25th of the month, you are billed monthly on the 25th.
You can find more information about the Commitment Pricing
Program on the [Cloud Servers Discount
page](https://www.rackspace.com/cloud/servers/discounts/).
{{</ accordion >}}

{{< accordion title="What is the duration of my contract for cloud services?" col="in" href="accordion6" >}}

We provide cloud services on a month-to-month basis. For more information,
see the Rackspace [Cloud Terms of
Service](https://www.rackspace.com/information/legal/cloud/tos).
{{</ accordion >}}

{{< accordion title="How do I view my invoice?" col="in" href="accordion7" >}}

Follow these steps to view your invoice:

1. Log in to the [Rackspace Customer Portal](https://login.rackspace.com).
2. In the upper-right corner of the page, click **Billing**.

   The **Billing Overview** dashboard displays, showing
   information about billing, payments, and usage.

You can view invoices as a summarized PDF, a more detailed
comma-separated-values (CSV) file, and a [detailed HTML
view](/support/how-to/detailed-invoices-overview/).
We also provide [pivot tables in downloadable
spreadsheets](/support/how-to/use-pivot-tables-with-your-cloud-billing-invoice)
to help you organize your billing information.
{{</ accordion >}}

{{< accordion title="How do I view current service usage?" col="in" href="accordion8" >}}

If you have existing services and want to view your current usage, you
can perform the following steps:

1. Log in to the [Rackspace Customer Portal](https://login.rackspace.com).
2. In the upper-right corner of the page, click **Billing**.

   The **Billing Overview** dashboard displays, showing
   information about billing, payments, and usage.
{{</ accordion >}}

{{< accordion title="How do I update my credit card information?" col="in" href="accordion9" >}}

Follow these steps to update your credit card information:

1. Log in to the [Rackspace Customer Portal](https://login.rackspace.com).
2. In the upper-right corner of the page, click **Billing**.
    
   The **Billing Overview** dashboard displays, showing
   information about billing, payments, and usage.
    
3. In the top navigation bar, click **Payment Methods > Add Payment Method**.
4. In the pop-up dialog box, select **Credit Card** or **ACH (eCheck)** and click **Next**.

   To add a new credit card, enter the card number, expiration date, name on card, the security
   code, and click **Save Credit Card**.
   
   To add an ACH account, enter the name on the bank account, the bank account type, the routing
   number, the bank account number, and then check the box to agree to the terms. Then click **Add Account**.
   
After you add the new payment method, you can designate a default payment method as needed.
{{</ accordion >}}

{{< accordion title="How do I change my billing address?" col="in" href="accordion10" >}}

Follow these steps to change your billing address:

1.  Log in to the [Rackspace Customer Portal](https://login.rackspace.com).
2.  In the upper-right corner of the page, click **Billing**.
3.  Click the **Billing Settings** tab.
4.  Click the pencil icon next to **Billing Address** to edit the address.
{{</ accordion >}}

{{< accordion title="What are the separate charges and minimums that are applied to Cloud Servers pricing?" col="in" href="accordion11" >}}

The listed prices for Cloud Servers include both *raw
infrastructure* and *managed service* charges. The price split
shows what you are paying for when you partner with us.

-   You can contrast the raw infrastructure price with what other
    hosting companies charge for a cloud server. It covers the
    infrastructure of the hosted server.
-   The managed service price applies to the support
    that we offer on top of our infrastructure. This *Service Level
    Rate* varies based on the service level that you choose for your
    cloud account.

The Service Level Rate *minimums*, based on the service level that you
choose for your cloud account, represent the minimum
monthly charge for the service. If the cost of the resources you use in
a month exceeds the minimum, the Service Level Rate minimum does
not apply. If your costs for a month are less than the minimum, your bill
includes the difference between your usage costs and the Service Level Rate minimum.
{{</ accordion >}}

{{< accordion title="Why am I being billed for a service when I'm not using it?" col="in" href="accordion12" >}}

Billing begins the moment that you provision a service or server on your
account. You are charged for servers, load balancers, and services as long as
those resources remain allocated to your account, even if they are not in use
or are disabled. This is because we have allocated resources for your
exclusive use that cannot be reserved by other customers.

After you delete the server, load balancer, or service from your
account, those resources are available for someone else to use, and you no
get billed for them.

Follow the process outlined in the [Rackspace Customer Portal](https://login.rackspace.com) to delete
your cloud servers and services. To cancel Rackspace support for Azure&reg;,
create a ticket for our Billing team.
{{</ accordion >}}

{{< accordion title="Am I still charged if my servers are suspended?" col="in" href="accordion13" >}}

According to the Rackspace [Cloud Terms of
Service](https://www.rackspace.com/information/legal/cloud/tos), "If the
suspension was based on your breach of your obligations under the Agreement,
then we may continue to charge you the fees for the Services during the
suspension."
{{</ accordion >}}

{{< accordion title="Am I still charged if my server goes down?" col="in" href="accordion14" >}}

The Rackspace [Cloud Terms of
Service](https://www.rackspace.com/information/legal/cloud/tos) explains
when customers are entitled to credits.
{{</ accordion >}}

{{< accordion title="How do I delete or cancel my services?" col="in" href="accordion15" >}}

The account owner can close cloud accounts at any time, but Rackspace cannot perform this action.
Instead, the account owner must initiate the closure through the [Rackspace Customer Portal](https://login.rackspace.com/)
by using the following steps:

1. Review all services to ensure that you back up your data outside of the Rackspace environment.
2. Ensure that all Cloud products are stopped and deleted (such as Cloud Servers, Images, Cloud Files,
   Cloud Block Storage, and so on).
3. In the upper-right corner of the page, click **Account > Account Settings**.
4. At the bottom of the Account Settings page, click **Cancel My Account**.
5. Choose a reason from the provided list, check the box at the bottom of the page, and enter
   `cancel` in the text box.
6. Click **Cancel Account**.

You cannot initiate cancellations over the phone. Dedicated customers can initiate account cancellation by
opening a ticket in the [Rackspace Customer Portal](https://login.rackspace.com/). The cancellation
submission is your authorized approval for Rackspace to delete your account and cancel
your services in their entirety. If you do not have a copy of your data outside of our cloud
infrastructure, Rackspace is not liable for data loss.

**Note:** Your Rackspace cloud account is billed one month in arrears on your anniversary
date. Depending on the date on which your cancellation is finalized, you might still
receive an additional, final invoice on your next invoice date. Refer to your billing
overview for your monthly invoice date.


{{</ accordion >}}

{{< accordion title="I don't agree with my bill. How can I dispute a charge?" col="in" href="accordion16" >}}

You can create a ticket via the [Rackspace Customer Portal](https://login.rackspace.com/) with the details of your dispute. One of
our account managers will review the ticket. A credit is granted only in the following cases:

- if there is an error related to our billing system
- if there is a service error according to your service level agreement (SLA)
{{</ accordion >}}
