---
permalink: request-an-sla-credit
audit_date: '2017-12-19'
title: Request an SLA credit
type: article
created_date: '2015-07-21'
created_by: Rose Contreras
last_modified_date: '2017-12-19'
last_modified_by: Cat Lookabaugh
---

Every Rackspace product is backed by an industry-leading service level
agreement (SLA). You can read this agreement at
<https://www.rackspace.com/information/legal/cloud/sla>. If you
experience a technical or other issue for which you want to receive an
SLA credit, follow the procedure in this article.

### Prerequisites

To receive a credit, the SLA incident must meet the following criteria:

-   The SLA incident must have occurred within the last 30 days.
-   For specific concerns not mentioned in the SLA, the issue must have occurred within the last 60 days.
-   Account balances must be current.
-   You must meet SLA requirements and obligations within the agreed
    upon Terms of Service.

If you meet this criteria, then you can request an account credit.

### Request an SLA credit

1. Log in to your product portal [here](https://www.rackspace.com/login).

2. Create a support ticket and enter **Credit Request** in the **Subject** field.

3. In the **Message** field, provide the following information:
    -   Services affected
    -   Summary of the incident
    -   Date and time that the issue began
    -   Date and time that the issue ended
    -   Any associated correspondence relevant to the issue for which you
    want to receive credit such as logs, another ticket number, emails,
    or chats
    -   Add any other details relevant to credit consideration

4. Click **Submit Ticket**.

Allow 3 to 5 business days for Rackspace to receive and review your credit
request, and to update your support ticket.

### Issues not addressed by the SLA

If you experience technical issues not specifically address by your
product SLA, Rackspace will still review your case. You can submit a
ticket stating your case and why you believe you are owed a credit. Be
sure to state how long you were affected and how you believe Rackspace
failed you.

Rackspace will not issue a credit for cases in which the Rackspace Terms
of Service or Acceptable Use Policy are violated.

If you have any problems not addressed in this article, contact the Rackspace support team at 1 800 961 4454 (US toll
free).
