---
permalink: sign-up-for-rackspace-services
audit_date: '2017-06-29'
title: Sign up for Rackspace services
type: article
created_date: '2017-06-15'
created_by: Nate Archer
last_modified_date: '2019-09-05'
last_modified_by: William Loy
product: Account Management
product_url: account-management
---

When you decide that the Fanatical Experience&trade; from Rackspace is for you, it's time to sign up for a Rackspace account. Although the signup process is straightforward, it’s important to understand some details about the verification process and account ownership before you start.

### Before you sign up

Before you sign up for a Rackspace account, answer the following questions:

**Which cloud or Rackspace product are you using?**

Rackspace supports several different clouds, including Amazon Web Services (AWS),
Google Cloud Platform (GCP), and Office 365. The signup process depends on what product or service you want to use. This article provides instructions for the following products and services:

-	[Fanatical Support for AWS](#fanatical-support-for-amazon-web-services)
-	[Managed Google Cloud Platform](#managed-google-cloud-platform)
-	[Rackspace Email or Microsoft Exchange](#rackspace-email-or-microsoft-exchange)
-	[Office 365](#office-365)

**Who will be the primary user or account owner?**

The information provided to Rackspace during the signup process is associated with the
primary user of the account. The primary user is the owner of the account and has the
ability to add and remove additional users, set permissions, and view or change billing
information. In addition, the primary user is the main point of contact for the account.
For example, any user can create a support ticket, but only the account owner is notified
when a support ticket is created, updated, or marked as solved.

If the account is for a business or organization, Rackspace recommends creating a username that is specific to your company.

**Is your account information accurate?**

Our security precautions start with the signup process. We employ a series of industry standard, enterprise-class tools to help verify and validate all account requests as quickly as possible. Additionally, we have a global team that manages the signup and validation process 24x7x365, and calls customers to verify information within minutes of receiving applications. The most common delay in this process is caused by receiving inaccurate contact information from new customers.

You can ensure the quick processing of your account by verifying that all of the information that you provide is accurate. Rackspace uses the following information to create your account:

- Email address
- Unique username
- Password (8 to 19 characters with at least one uppercase letter, one lowercase letter, and one number)
- Set your [Support PIN](/support/how-to/support-pin-management/)
- First and last name of primary account owner
- Company or Organization (optional)
- Physical address
- Phone number
- Valid credit card


### Sign up for a Rackspace account

The signup process is different depending on the Rackspace product or service for which you are signing up, but every new customer should navigate to [rackspace.com](https://www.rackspace.com) to start.


#### Fanatical Support for Amazon Web Services

1. Navigate to [rackspace.com](https://www.rackspace.com), click **Buy Now**, and then select **Fanatical Support for AWS**.

2. Enter your email address, username, password, and the answer to the security question that you select, and then click **Next Step**.

3. Enter your contact information, including name, company, address, and phone number, and then click **Next Step**.

4. Enter your billing information. Rackspace places a $1.00 hold on your credit card to confirm your account.

5. Read and accept the [Rackspace Global Services Agreement](https://www.rackspace.com/information/legal/GSA) and [Fanatical Support for AWS Terms and Conditions](https://www.rackspace.com/information/legal/awssupport).

6. Click **Create my account**. A confirmation screen appears confirming that your account has been created. You can now log in using the username and password you created.

#### Managed Google Cloud Platform

1. Navigate to [rackspace.com](https://www.rackspace.com), click **Buy Now**, and then select **Managed Google Cloud Platform**.

2. Enter your email address, username, password, and the answer to the security question that you select, and then click **Next Step**.

3. Enter your contact information, including name, company, address, and phone number, and then click **Next Step**.

4. Enter your billing information. Rackspace places a $1.00 hold on your credit card to confirm your account.

5. Read and accept the [Rackspace Global Services Agreement](https://www.rackspace.com/information/legal/GSA).

6. Click **Create my account**. A confirmation screen appears confirming that your account has been created. You can now log in using the username and password you created.

#### Rackspace Email or Microsoft Exchange

1. Navigate to the [rackspace.com](https://www.rackspace.com) home page, click **Buy Now**, and then select **Rackspace Email** or **Microsoft Exchange**.

2. Select the applications for which you want to sign up:

      - **Rackspace Email**: A business-class, POP/IMAP service that works with Outlook&reg;. It includes a webmail application suite featuring shared calendars and a global address list.
      - **Microsoft Exchange**: Allows your team to collaborate more efficiently on projects with shared calendars, tasks, and contacts. It includes Skype for Business&reg; instant messaging, Outlook Web App&reg; (OWA) access, 100 GB of storage, mobile options, and optional Outlook licenses.

3. You can also choose the following Add-Ons:

      - **Microsoft Office**: Auto-updating online and desktop versions of Word, Excel, PowerPoint, Outlook, and 1TB OneDrive file storage.
      - **Email Archiving**: Automatically back up every incoming and outgoing email, so you can retrieve any email at any time. Includes unlimited storage and fast data restoration. This option enables and charges all mailboxes on your domain.

4. Click **Next Step**.

5. Enter your username and the primary domain name for your Rackspace Email  or Microsoft Exchange mailbox.
      - If you own the domain name, select the **I own this domain option**.
      - If you want to buy the domain you entered, select **I want to buy this domain**. The estimated charge to rent the domain appears under your estimated monthly charges.

6. If you chose the Microsoft Office add-on, enter your Microsoft domain. Use 3-27 alphanumeric characters. The value must be unique and will be part of your Office 365&reg; user ID.

7. Enter your email address, password, and the answer to the security question that you select, and then click **Next Step**.

8. Enter your account information, including name, company, address, and phone number, and then click **Next Step**.

9. Enter your billing information.

   Your estimated monthly total appears on the right side of the signup page. Every new Rackspace customer receives a 14-day free trial. After the trial period ends, your account will be charged close to the estimated monthly total.

10. Click **Create my account**.

    By submitting your account information, you agree to the [General Terms of Service](https://www.rackspace.com/information/legal/generalterms) and the [Mail Terms of Service](https://www.rackspace.com/information/legal/mailterms).

#### Office 365

1. Navigate to the [rackspace.com](https://www.rackspace.com) home page, click **Buy Now**, and then select **Office 365**.

2. Select your Office 365 plan.

3. Click **Next Step**.

4. Enter your username and the name of your company. Your company name will be used as your Microsoft domain.

4. Enter your email address, password, and the answer to the security question that you select, and then click **Next Step**.

5. Enter your account information, including name, company, address, and phone number, and then click **Next Step**.

7. Enter your billing information.

   Your estimated monthly total appears on the right side of the signup page. Every new Rackspace customer receives a free 14-day trial. After the trial period ends, your account will be charged close to the estimated monthly total.

8. Click **Create my account**.

   By submitting your account information, you agree to the [General Terms of Service](https://www.rackspace.com/information/legal/generalterms) and the [Office 365 Services Terms of Service](https://www.rackspace.com/information/legal/office-365).
