---
permalink: support-pin-faq
audit_date: '2019-07-09'
title: Support PIN FAQ
type: article
created_date: '2019-07-09'
created_by: Rackspace Support
last_modified_date: '2019-09-05'
last_modified_by: William Loy
product: Account Management
product_url: account-management
---

To review instructions for using the support PIN system please see [Support PIN management](/support/how-to/support-pin-management).


### Support PIN FAQs

{{< accordion title="What is a support PIN?" col="in" href="accordion1" >}}

- A support PIN is the customer secret that the customer uses to verify their identity when they call in for technical, billing, or account management support.
{{< /accordion >}}

{{< accordion title="Why is Rackspace using support PINs?" col="in" href="accordion2" >}}

- Support PINs are more secure and better protected against social engineering.
- Support PINs provide a mechanism for federated users to be verified for phone support.
- Support PINs can be reset if an individual user or a whole account is attacked.
- Support PINs are uniform and leave no room for misinterpretation when verifying a customer's identity.

{{< /accordion >}}

{{< accordion title="Who needs a support PIN?" col="in" href="accordion3" >}}

- Any customer that calls Rackspace Support needs a support PIN, excluding Cloud Office and Legacy DataPipe customers.
{{< /accordion >}}

{{< accordion title="Who has a support PIN?" col="in" href="accordion4" >}}

- Any Rackspace account user or contact that is active, including dedicated contacts and cloud users, is given a six-digit generated support PIN. Accounts that were formerly DataPipe and Cloud Office customers will not be assigned support PINs at this time.
{{< /accordion >}}

{{< accordion title="Where can customers locate their support PIN?" col="in" href="accordion5" >}}

- All Rackspace account users can find their support PIN within the MyRack, MyCloud, and the mobile app, under the **Support** section. See [View or edit an account user or contact Support PIN](/support/how-to/support-pin-management/#view-or-edit-an-account-user-or-contact-support-pin) for detailed instructions on viewing a Support PIN.
{{< /accordion >}}

{{< accordion title="Can customers change their support PIN?" col="in" href="accordion6" >}}

- Yes, Rackspace account users can change their pin at any time unless their Support PIN is locked. See [View or edit an account user or contact Support PIN](/support/how-to/support-pin-management/#view-or-edit-an-account-user-or-contact-support-pin) for detailed instructions on changing a Support PIN.
{{< /accordion >}}

{{< accordion title="How does a support PIN protect your account against social engineering?" col="in" href="accordion7" >}}

- The support PIN enters a locked status if the Support team is provided an incorrect support PIN six times in a row. If someone posing as one of your users calls the Support team, they cannot receive support without the correct PIN.
{{< /accordion >}}

{{< accordion title="What does my support PIN is locked mean?" col="in" href="accordion8" >}}

Customers are still able to log in to their portals. The portal password and support PIN are completely separate and are not tied to each other. To unlock the support PIN, the customer needs to log in to the portal and take the **Unlock** action in the **User Management** section. After the support PIN is unlocked, the customer can call in for phone support.

See [Unlock a Support PIN](/support/how-to/support-pin-management/#unlock-a-support-pin) for further instructions on unlocking a Support PIN.
{{< /accordion >}}

{{< accordion title="Are there any requirements for a support PIN?" col="in" href="accordion9" >}}

A support PIN must meet the following requirements:

- It uses the numeric digits 0-9.	 

- It must be a 6-digit PIN.

- It cannot have repeating digits within three spaces of each other as explained in the following examples:	 

  - It can have no more than three repeating numbers. For example, 111 and 121212 are acceptable, but 1111 is not.

  - It can have no more than three sequential numbers. For example, 345 is acceptable, but 3456 is not.
{{< /accordion >}}

{{< accordion title="What if I forget my support PIN?" col="in" href="accordion10" >}}

 - You can log in to your Rackspace portal to view your support PIN. You do not need the support PIN to log in to the portal.
{{< /accordion >}}