---
permalink: viewing-and-editing-user-information-for-your-account
audit_date: '2019-07-25'
title: Viewing and editing user information for your account
type: article
created_date: '2011-09-06'
created_by: Rackspace Support
last_modified_date: '2019-10-09'
last_modified_by: Catherine Richardson
---

This article provides a closer look at the services available on
the **My Profile & Settings**, **Account Settings**, and **User Management** pages in the Cloud
Control Panel.

### My Profile & Settings

Access this page by clicking the user name menu in the top-right corner of the navigation bar. You can also access this page by clicking the user name in the **User Management** page.

Use the **My Profile & Settings** page to view your primary contact information, view or edit your security settings, and view your account and product permissions.

Use the **Security Settings** section to change your password, enable or disable multi-factor authentication, and view your API key.

### Account Settings page

Access this page by clicking the **Account** menu in the top navigation bar. Use the **Account Settings** page to view your account settings, account details, product preferences, and to view or edit your primary contact information.

In the **Rackspace Account Settings** section, you must have multi-factor authentication enabled before you can edit the settings. To enable multi-factor authentication, click on your username in the upper-right corner and click **My Profile & Settings**. Enable multi-factor authentication in the **Security Settings** section.

In the **Primary Contact Information** section, you can view or edit your primary contact information, such as name, address, and phone number.

You can cancel your account by clicking **Cancel My Account** at the bottom of the page.

### User Management page

Access this page by clicking the **Account** menu in the top navigation bar. Use the **User Management** page to edit user-related information, such
as email addresses and passwords, and to add new users.

- To make changes for a user, click the entry under **USERNAME**. The **USER DETAILS** page displays. You can edit contact information, security settings, and user permissions.

- To add a new user, click **Create User**. On the **Create a User** page, enter information for the new user's information and contact type. For more information from the administrator and new user's perspectives, see [New user workflow](/support/how-to/new-user-workflow). For information about access controls for new users, see Learn about Role-Based Access Control (RBAC) for [Rackspace Cloud](/support/how-to/overview-role-based-access-control-rbac-cloud) and [Rackspace Dedicated](/support/how-to/overview-role-based-access-control-rbac-dedicated). After you have entered all of the information for the new user, click the **Create User** button at the bottom of the page.

- To add an identity provider, click the **Identity Federation** tab, and then click **Add Identity Provider**. Enter a description, the email domain, and SAML metadata, and then click **Create Identity Provider**.

  **Note:** Identity Federation is currently supported for only Rackspace Cloud and Managed Google Cloud Platform customers.

 For information about user groups, see [Rackspace Cloud user groups](/support/how-to/rackspace-cloud-user-groups).
