---
permalink: cloud-databases-developer-resources-and-how-to-articles
audit_date: '2018-12-26'
title: 'Cloud Databases: Developer resources and how-to articles'
type: article
created_date: '2012-07-24'
created_by: Jerry Schwartz
last_modified_date: '2018-12-26'
last_modified_by: Kate Dougherty
product: Cloud Databases
product_url: cloud-databases
---

The Rackspace [Support
network](/support/how-to/) provides how-to articles, code samples, security best
practices, and hundreds of tips for getting the most out of your
Cloud Databases.

### Documentation and bindings

The following documentation and binding are available for Cloud Databases:

-   [API Developer
    Guide](https://docs.rackspace.com/docs/cloud-databases/v1/developer-guide/)
-   [Getting Started
    Guide](https://docs.rackspace.com/docs/cloud-databases/v1/developer-guide/#getting-started)
-   [Release
    notes](https://docs.rackspace.com/docs/cloud-databases/v1/release-notes/)
-   [Fog Binding](https://github.com/rackspace/fog) (replaces Ruby
    Binding, which is now deprecated)

### Popular how-to articles

The following popular how-to articles are available for Cloud Databases:

-   [Rackspace Cloud Databases
    FAQ](/support/how-to/cloud-databases-faq)
-   [Public and private access for Cloud
    Databases](/support/how-to/public-and-private-access-for-cloud-databases)
-   [Connect to a Cloud Databases
    instance](/support/how-to/connect-to-a-cloud-databases-instance)
-   [Import
    data into Cloud Databases](/support/how-to/importing-data-into-cloud-databases)
-   [Managing
    users for Cloud Databases](/support/how-to/managing-users-for-cloud-databases)
-   [Cloud Databases instance
    parameters](/support/how-to/cloud-database-instance-parameters)

### Trove: the OpenStack Database-as-a-Service Project

Trove is designed to run entirely on OpenStack. It enables users to use
the features of a relational database without the burden of handling
complex administrative tasks. With Trove, cloud users and database
administrators can provision and manage multiple database instances as
needed. The service currently focuses on providing resource isolation at
high performance while automating complex administrative tasks including
deployment, configuration, patching, backups, restores, and monitoring.

To learn more about Trove, see the following resources:

-   [Trove wiki](https://wiki.openstack.org/wiki/Trove)
-   [Project pages](https://launchpad.net/trove)
-   [Drivers](https://launchpad.net/~trove-drivers)
-   [Blueprints for OpenStack DBaaS
    (Trove)](https://blueprints.launchpad.net/trove)
-   [Code](https://github.com/openstack/trove)
-   Test and deployment images:
    -   <https://c629296.r96.cf2.rackcdn.com/ubuntu-10.04-x86_64-openvz.tar.gz>
    -   <https://c629296.r96.cf2.rackcdn.com/lucid_ext3_openvz.box>
