---
title: Cloud Files
type: product
created_date: '2016-01-17'
created_by: Rackspace Support
last_modified_date: '2022-05-05'
last_modified_by: Maeve Goetz
permalink: cloud-files
product: Cloud Files
product_url: cloud-files
---

Store it on Cloud Files, serve it fast on Akamai's CDN. Cloud Files, powered by
[OpenStack&reg;](https://www.rackspace.com/openstack), provides an
easy to use online storage for files and media which can be delivered globally
at blazing speeds over Akamai's content delivery network (CDN). Whether your
storage needs are modest - or monumental - you enjoy built-in redundancy and an
easy-to-use control panel, for a Fanatical Experience&trade; from day one.

###  Cloud Files basics

- [Cloud Files and CDN](/support/how-to/getting-started-with-cloud-files-and-cdn/)
- [Key Concepts of Cloud Files](/support/how-to/cloud-files-key-concepts)
- [Why Should I Use Cloud Files?](/support/how-to/why-choose-cloud-files)
- [Best practices for using Cloud Files](/support/how-to/best-practices-for-using-cloud-files)
- [Using CNAMEs with Cloud Files containers](/support/how-to/using-cnames-with-cloud-files-containers)
- [Cloud Files delete and purge requests](/support/how-to/cloud-files-deletion-and-purge-requests)
- [Getting started with Cloud Files streaming](/support/how-to/getting-started-with-cloud-files-streaming/) **(Note: Streaming will be discontinued on July 31, 2022)**
- [Set up a static website with Cloud Files](/support/how-to/set-up-a-static-website-with-cloud-files/)
- [Back up data with Cloud Files](/support/how-to/back-up-data-with-cloud-files/)
- [Secure Cloud Files and CDN](/support/how-to/secure-cloud-files-and-cdn-urls/)

###  Cloud Files API and developer guides

- [Cloud Files API Getting Started Guide](https://docs.rackspace.com/docs/cloud-files/v1/getting-started/)
- [Cloud Files Developer Guide](https://docs.rackspace.com/docs/cloud-files/v1/)
