---
permalink: cloud-files-overview
audit_date: '2018-12-13'
title: Cloud Files overview
type: article
created_date: '2012-07-23'
created_by: Rackspace Support
last_modified_date: '2022-05-05'
last_modified_by: Maeve Goetz
product: Cloud Files
product_url: cloud-files
---

[Cloud Files](https://www.rackspace.com/cloud/files) is an affordable,
redundant, scalable, and dynamic storage service offering. The core storage
system is designed to provide a safe, secure, automatically resizing, and
network-accessible way to store data.

You can store an unlimited quantity of files ranging in size from a few
bytes to extremely large files. You can store as much as you want, and you pay
only for the storage space that you use.

Cloud Files makes it easy to serve content through the Akamai content
delivery network (CDN), which enables you to take advantage of a proven,
world-class CDN that's affordable and easy to use.

Cloud Files also enables you to store and retrieve files and CDN-enable
content with a simple web service (REST) interface.

### Ideal uses for Cloud Files

The Cloud Files service is an excellent storage solution for a number of
scenarios and is well suited for a number of applications. The following list
includes some of the ideal uses for Cloud Files:

-   Backing up or archiving data
-   Serving images and videos (streaming data to users' browsers, **Note the streaming feature will be decommissioned on July 31, 2022**)
-   Serving content with a world-class CDN (Akamai)
-   Storing secondary or tertiary, static, web-accessible data
-   Developing new applications with data storage integration
-   Storing data when predicting storage capacity is difficult
-   Storing data for applications affordably

#### Benefits of using Cloud Files for backups

Using Cloud Files to back up your data provides the following benefits:

-   Mission-critical data is backed up safely in a
    secure, offsite location.
-   Backups enable disaster recovery.

### Key concepts

Cloud Files isn't a file system in the traditional sense. You can't map
or mount virtual disk drives like you can with other forms of storage
such as a storage area network (SAN) or network-attached storage (NAS).
Because Cloud Files is a different kind of storage solution, we recommend that
you take a few moments to [review some key
concepts](/support/how-to/cloud-files-key-concepts).

### Using Cloud Files

You can access Cloud Files by using the [Cloud Control Panel](https://login.rackspace.com/), a browser-based, intuitive, easy-to-use
graphical user interface (GUI). The Cloud Control Panel enables you to manage
your Cloud Files containers and objects without any programming
knowledge. From the Cloud Control Panel, you can CDN-enable a container by
marking it **public**. Any objects stored in a public, CDN-enabled
container are directly accessible over the CDN.

You can also access Cloud Files by using the following tools:

- Other graphical user interfaces, such as Cyberduck
- The [Cloud Files API](https://docs.rackspace.com/docs/cloud-files/v1/)
