---
title: Cloud Load Balancers
type: product
created_date: '2016-01-17'
created_by: Rackspace Support
last_modified_date: '2016-09-06'
last_modified_by: Nate Archer
permalink: cloud-load-balancers
product: Cloud Load Balancers
product_url: cloud-load-balancers
---

What is load balancing? Mission critical web-based applications and workloads often require a High Availability (HA) solution. Cloud Load Balancers distribute workloads across two or more servers, network links, and other resources to maximize throughput, minimize response time, and avoid overload. Rackspace Cloud Load Balancers allow customers to quickly load balance multiple cloud servers or external servers for optimal resource utilization.

###  Add a Load Balancer

- [Create and Configure a Load Balancer](/support/how-to/configure-a-load-balancer)

### Best Practices

- [Load Balancing Private IPs in the Same Region](/support/how-to/load-balancing-internal-ips-in-the-same-region)
- [Preventing Server Overload](/support/how-to/prevent-server-overload-with-cloud-load-balancers)
- [Configuring a Health Monitor](/support/how-to/configure-a-health-monitor-in-cloud-load-balancers)
- [Using SSL Termination](/support/how-to/cloud-load-balancers-faq)

###  Load Balancer features

- [Content caching for Cloud Load Balancers](/support/how-to/content-caching-for-cloud-load-balancers)
- [Using SSL offloading with IIS and Cloud Load Balancers](/support/how-to/configuring-load-balanced-sites-with-ssl-offloading-using-iis)
- [Using Cloud Load Balancers with RackConnect](/support/how-to/using-cloud-load-balancers-with-rackconnect)

###  Cloud Load Balancers API

- [API Getting Started Guide](https://docs.rackspace.com/docs/cloud-load-balancers/v1/getting-started/)
- [API Developer's Guide](https://docs.rackspace.com/docs/cloud-load-balancers/v1/)
- [Role-Based Access Permissions via the API](/support/how-to/permissions-matrix-for-cloud-load-balancers)

