---
title: Cloud Networks
type: product
created_date: '2016-01-17'
created_by: Rackspace Support
last_modified_date: '2019-06-07'
last_modified_by: Brian King
permalink: cloud-networks
product: Cloud Networks
product_url: cloud-networks
---

Cloud Networks lets you create and manage secure, isolated networks in the cloud. These networks are fully single tenant, and you have complete control over the network topology, IP addressing (IPv4 or IPv6), and which Cloud Servers are attached. Cloud Networks are regional in scope, and you can attach them to any of your Cloud Servers in a given region. You can also attach Cloud Servers to multiple Cloud Networks. You can combine Cloud Networks with [gateway instances](https://docs.rackspace.com/docs/user-guides/infrastructure/cloud-config/network/cloud-networks-product-concepts/network-gateway-instances/#network-gateway-instances) to create more complex topologies to route traffic between Cloud Networks or to external data centers over VPN. You can create and manage Cloud Networks via an API or by using the Rackspace Cloud Control Panel.

### Using Cloud Networks

You can use the Cloud Control Panel or the [Cloud Servers API](https://docs.rackspace.com/docs/cloud-networks/v2/developer-guide/#document-api-reference) to manage Cloud Networks. This section provides links to both the Cloud Control Panel How-To articles and API developer resources.

### Using the Cloud Control Panel with Cloud Networks

- [Attach an isolated network to a new Cloud Server](/support/how-to/create-an-isolated-cloud-network-and-attach-it-to-a-server "Create an isolated Cloud Network")
- [Removing networks from a Cloud Server](/support/how-to/removing-networks-from-a-cloud-server "Removing networks from a Cloud Server")
- [Using CIDR notation in Cloud Networks](/support/how-to/using-cidr-notation-in-cloud-networks "CIDR Notation")

### Using the Cloud Networks API

- [Cloud Networks Developer Guide](https://docs.rackspace.com/docs/cloud-networks/v2/developer-guide/)

### Fortinet Fortigate-VM

The Fortinet Fortigate-VM is a next-generation firewall (NGFW) and unified threat manager (UTM) offered in Rackspace Public Cloud. See [the product page](https://www.rackspace.com/cloud/servers/fortigate-vm) for more information.

- [About Fortigate-VM for Rackspace](https://docs2.fortinet.com/vm/rackspace/fortigate/6.0/rackspace-cookbook/6.0.4/123172/about-fortigate-for-rackspace)
- [Launching FortiGate on Rackspace](https://docs2.fortinet.com/vm/rackspace/fortigate/6.0/rackspace-cookbook/6.0.4/962534/launching-fortigate-on-rackspace)
- [Connecting to the FortiGate](https://docs2.fortinet.com/vm/rackspace/fortigate/6.0/rackspace-cookbook/6.0.4/956706/connecting-to-the-fortigate)
- [Building a server behind the FortiGate](https://docs2.fortinet.com/vm/rackspace/fortigate/6.0/rackspace-cookbook/6.0.4/57735/building-a-server-behind-the-fortigate)
- [Attach a Cloud Network to an Existing Fortigate-VM](/support/how-to/attach-a-cloud-network-to-an-existing-fortigate-vm/ "Attach a Cloud Network to an Existing Fortigate-VM")
- [Back up the Fortinet Fortigate-VM](/support/how-to/back-up-the-fortinet-fortigate-vm/ "Back up the Fortinet Fortigate-VM")
- [Using Configure as Gateway for virtual net devices](/support/how-to/using-configure-as-a-gateway-for-virtual-net-devices/ "Using Configure as Gateway for virtual net devices")
- [Rackspace Cloud Servers features that are not available on the Fortigate-VM](/support/how-to/rackspace-cloud-servers-features-that-are-not-available-on-the-fortigate-vm/ "Rackspace Cloud Servers features that are not available on the Fortigate-VM")
