---
permalink: are-cloud-servers-pci-dss-compliant
audit_date: '2019-08-29'
title: Cloud Servers PCI-DSS compliance
type: article
created_date: '2016-01-19'
created_by: Rose Contreras
last_modified_date: '2019-08-29'
last_modified_by: Stephanie Fillmon
product: Cloud Servers
product_url: cloud-servers
---

### What is PCI DSS compliance?

A consortium of payment card providers maintains a set of standards used to
protect cardholder data. The standards which define the measures to be taken
for compliance is titled the Payment Card Industry (PCI) Data Security
Standard (DSS).

In security terms, it means that our business adheres to the PCI DSS
requirements for security management, policies, procedures, network
architecture, software design, and other critical protective measures.

In operational terms, it means that we take prescribed steps to make sure our
customers' payment card data is being kept safe throughout every
transaction, and our customers can have confidence that they're protected
against the pain and cost of data breeches.

As a Rackspace Cloud customer, we can help you become PCI compliant,
however it will take some work on your end.

Rackspace data centers are Payment Card Industry (PCI) Data Security
Standard (DSS) compliant and Safe Harbor compliant in addition to having
SSAE16 Type II, SOC1, SOC2 (Security and Availability Only), and SOC3
audits on file for all data center facilities.

For information about PCI-DSS, see
[Cloud Security Solutions](https://www.rackspace.com/security/global-enterprise#pcidss).
