---
permalink: getting-started-with-cloud-servers
audit_date: '2018-05-16'
title: Get started with Cloud Servers
type: article
created_date: '2011-04-04'
created_by: Rackspace Support
last_modified_date: '2018-05-16'
last_modified_by: Cat Lookabaugh
product: Cloud Servers
product_url: cloud-servers
---

Welcome to Rackspace Cloud Servers!  This guide provides
everything that you need to get started, including logging into our
[Control Panel](https://login.rackspace.com), creating servers, transferring
domains to be hosted from your Cloud Server, and logging in to your
server.

The following concepts will help you to get started quickly:

-   Cloud Servers are not traditionally hosted servers. Customers
    are given administrative access to virtual private servers that can be
    easily built and just as easily taken down.
-   Cloud Servers can resize capacity as your need changes. Billing is
    charged by the number of hours of use at a given rate for the size of
    server being used. For more information, see
    [current pricing](https://www.rackspace.com/cloud/cloud_hosting_products/servers/pricing/).
-   Customers have root access to Linux servers and administrator
    access to Windows servers.
-   The virtual servers are accessible through a remote connection
    client like Remote Desktop (Windows) or an ssh client (Linux). Both
    Windows and Linux servers are accessible through a web console
    from our Control Panel as well.
-   Customers can manage Cloud Servers through the [Control Panel](https://login.rackspace.com), or an
    [Application Programming Interface](https://docs.rackspace.com/docs/)(API).
-   The hardware that hosts your Cloud Server can be located in any of our
    [data centers](https://www.rackspace.com/en-us/about/datacenters).

### Introduction

-   [Cloud Servers](/support/how-to/cloud-servers)
-   [Cloud Servers FAQ](/support/how-to/cloud-servers-faq)
-   [Cloud SLA](https://www.rackspace.com/information/legal/cloud/sla)

### Cloud Servers usage scenarios

-   [Basic Cloud Server use scenarios](/support/how-to/basic-cloud-server-use-scenarios)
-   [Other Cloud Server use scenarios](/support/how-to/other-cloud-server-use-scenarios)

### Basic Cloud Server operations

-   [Create a Cloud Server](/support/how-to/create-a-cloud-server)
-   [Create an image of a server and restore a server from a saved image](/support/how-to/create-an-image-of-a-server-and-restore-a-server-from-a-saved-image)
-   [Create DNS records](/support/how-to/creating-dns-records-with-cloud-dns)
-   [Managing your server](/support/how-to/managing-your-server-resizing-standard-and-general-purpose-servers)
-   [Reboot your server](/support/how-to/reboot-your-server)

### Advanced Cloud Server operations

-   [Cloud Servers Developer Guide](https://docs.rackspace.com/docs/cloud-servers/v2/developer-guide/)
-   [Cloud Servers API Reference](https://docs.rackspace.com/docs/cloud-servers/v2/developer-guide/#document-api-reference)

### Managed Services Cloud Server operations

-   [Cloud Server configuration options](/support/how-to/cloud-server-configuration-options)
-   [Linux spheres of support for Dedicated and Managed operations](/support/how-to/linux-spheres-of-support-for-dedicated-and-managed-ops)
-   [Cloud Servers with Managed operations support for Windows](/support/how-to/cloud-servers-with-managed-operations-support-for-windows)
