---
permalink: introducing-the-rackspace-cloud-control-panel
audit_date: '2016-07-19'
title: Introducing the Rackspace Cloud Control Panel
type: article
created_date: '2012-03-27'
created_by: Rackspace Support
last_modified_date: '2018-10-25'
last_modified_by: Cat Lookabaugh
product: Cloud Servers
product_url: cloud-servers
---

The [Cloud Control Panel](https://login.rackspace.com) enables you to manage
your Rackspace Cloud infrastructure through a simple and intuitive
interface. This article introduces you to some of the features of the Cloud
Control Panel.

### Log on to the Cloud Control Panel

Use the following steps to log on to the Cloud Control Panel:

1. Log in to the [Cloud Control Panel](https://login.rackspace.com)
2. In the top navigation bar, click **Select a Product > Rackspace Cloud**.

### Cloud Control Panel navigation

Just a few clicks take you to the product workspace, where you can manage your
cloud resources.

Product-area headings (Servers, Orchestration, Networking, Storage, Databases,
and Backups) are located at the top of the panel. Click a heading to view a
drop-down menu of all the products in that area.

Rackspace Cloud products are categorized under the following headings:

| Category | Products |
| --- | --- |
| **Servers** | Cloud Servers <br />Saved Images <br />Auto Scale <br />SSH Keys <br />Message Queueing <br />Rackspace Intelligence |
| **Orchestration** | Stack Templates <br />Stacks |
| **Networking** | Load Balancers <br />Networks <br />Cloud DNS <br /> CDN |
| **Storage** | Block Storage Volumes <br />Snapshots <br />Files <br />CDN |
| **Databases** | MySQL <br />MongoDB <br />Redis <br />Elasticsearch <br />Big Data |
| **Backups** | Systems <br />Backups <br />Activity <br />Preferences <br />MySQL Backups |

### Organization

Several features help you organize, find, and efficiently manage your resources:

-  **Tags** are customized labels that you can add to any of the resources in
your cloud infrastructure.

-  **Filters** enable you to find all resources that share the following common
properties: tag, status, image, RAM, region, or type.

   The list of filters is located at the left side of the Cloud Control Panel.
   After you create and tag resources, the list is automatically populated.
   After you select a check box next to a filter, the list of resources shows
   only the matching ones.

-  **Search** gives you another method for locating any asset. Enter part of the
asset name, tag, or IP address in the search field in the upper-right corner of
any asset listing.

### Administrative actions

The Cloud Control Panel provides a variety of ways to perform administrative
tasks. Whether you're looking at a list of assets or a detailed view of a single
asset, you don't need to leave your current location to perform a task. Every
task you might want to perform is accessible right where you are.

-  **Gear icon**: The gear icon to the left of a resource name provides a
drop-down menu with all available actions for that resource. The actions gear
is always part of every list, whether it is a list of servers, files, or load
balancers.

-  **Actions menu**: When you view the details of a specific resource, the
**Actions** menu is in the upper-right corner of the page.

-  **Edit pencils and options**: You can edit the existing settings for many
resources by clicking the pencil icon or option text that appears next to the
resource description.

-  **Pop-up boxes**:  After you perform an administrative action on a resource,
a popup dialog box enables you to modify the settings or perform an action
without opening another page.

### Access to other control panels

You can reach the Rackspace Intelligence interface and more by selecting the
option from the **Rackspace Cloud** drop-down menu at the top left of the
Cloud Control Panel.
