---
permalink: mapping-of-amazon-web-services-resources-to-rackspace-resources
audit_date: '2018-10-05'
title: Mapping of Amazon Web Services resources to Rackspace resources
type: article
created_date: '2013-07-01'
created_by: David Hendler
last_modified_date: '2018-11-06'
last_modified_by: Kate Dougherty
product: Cloud Servers
product_url: cloud-servers
---

**Previous section:** [Migrating to the Rackspace Cloud from Amazon Web Services](/support/how-to/migrating-to-the-rackspace-cloud-from-amazon-web-services)

The following table maps Amazon&reg; Web Services&reg; (AWS)
infrastructure as a service (IaaS) products to
Rackspace products:

| AWS product | Corresponding Rackspace product |
| --- | --- |
| Amazon Elastic Compute Cloud&reg; (EC2) | [Cloud Servers product and pricing](https://www.rackspace.com/cloud/servers)<br />[Cloud Servers API](https://docs.rackspace.com/docs/cloud-servers/v2/developer-guide/) |
| Amazon Elastic Load Balancing | [Cloud Load Balancers product and pricing](https://www.rackspace.com/cloud/load-balancing)<br />[Cloud Load Balancers API](https://docs.rackspace.com/docs/cloud-load-balancers/v1/developer-guide/)|
| Amazon Virtual Private Cloud&reg; (VPC) | [Cloud Networks product and pricing](https://www.rackspace.com/cloud/networks) |
| Amazon Route 53&reg; | [Cloud DNS product and pricing](https://www.rackspace.com/cloud/dns) |
| AWS Direct Connect&reg; | [RackConnect&reg;](https://www.rackspace.com/cloud/hybrid/rackconnect) |
| Amazon Simple Storage Service&reg; (S3&reg;) | [Cloud Files product and pricing](https://www.rackspace.com/cloud/files)<br />[Cloud Files API](https://docs.rackspace.com/docs/cloud-files/v1/developer-guide/) |
| Amazon Glacier&reg; | [Cloud Backup (with compression)](https://www.rackspace.com/cloud/backup) |
| Amazon Elastic Block Store (EBS) | [Cloud Block Storage product and pricing](https://www.rackspace.com/cloud/block-storage)<br />[Cloud Block Storage API](https://docs.rackspace.com/docs/cloud-block-storage/v1/developer-guide/) |
| AWS Import/Export | Hard Drive Import/Export |
| AWS Storage Gateway | Multiple Partner solutions available |
| Amazon CloudFront&reg; | [Rackspace CDN product and pricing](https://www.rackspace.com/cloud/cdn-content-delivery-network)<br />[Rackspace Content Delivery Network (CDN) API](https://docs.rackspace.com/docs/cdn/v1/developer-guide/) |
| Amazon Relational Database&reg; Service (RDS&reg;) | [Cloud Databases product and pricing](https://www.rackspace.com/cloud/databases)<br />[Cloud Databases API](https://docs.rackspace.com/docs/cloud-databases/v1/developer-guide/) |
| Amazon DynamoDB&reg; | Object Rocket (MongoDB - open) |
| Amazon Simple Email Service&reg; (SES) and Amazon Simple Notification Service&reg; (SNS) | [Mailgun](https://www.mailgun.com/) (Partner Solutions) |
| Elastic Transcoder | [Enterprise Media Processing](https://www.encoding.com/) (Partner Solutions) |
| Identity and Access Management (IAM) console | [Cloud Control Panel](https://login.rackspace.com) |
| AWS CloudWatch&reg; | [Cloud Monitoring product and pricing](https://www.rackspace.com/cloud/monitoring)<br />[Cloud Monitoring API](https://docs.rackspace.com/docs/cloud-monitoring/v1/developer-guide/)  |
| AWS CloudFormation&reg; | Deployments |
| CloudSearch&reg; and Redshift&reg; | Non-Core (Partner Solutions) |

### Mapping of EC2 instance types to Rackspace Cloud instance types

Find the instance type in [the AWS Console](https://aws.amazon.com/ec2/instance-types/). Then use the vCPU and RAM values to find a similar size in the [Rackspace Cloud](https://www.rackspace.com/cloud/servers/pricing).

### Support

For more information, contact
[Rackspace Support](https://www.rackspace.com/support).

### Next section

[High-level steps for migrating from Amazon Web Services](/support/how-to/high-level-steps-for-migrating-from-amazon-web-services)
