---
permalink: migrating-to-the-rackspace-cloud-from-amazon-web-services
audit_date: '2018-10-05'
title: Migrate to the Rackspace Cloud from Amazon Web Services
type: article
created_date: '2013-07-02'
created_by: Rackspace Support
last_modified_date: '2018-10-05'
last_modified_by: Kate Dougherty
product: Cloud Servers
product_url: cloud-servers
---

This guide is intended for developers who are migrating applications
from Amazon Web Services (AWS) to Rackspace Cloud. It maps AWS
infrastructure products to Rackspace infrastructure products,
specifically Amazon Elastic Compute Cloud (EC2) to Rackspace Cloud
Servers. It also provides scenarios for specific stack migrations from
EC2 to Cloud Servers. The goal of this guide is to make your migration
as seamless as possible.

The guide has the following organization:

- Overview (this document)
- [Mapping of Amazon Web Services resources to Rackspace resources](/support/how-to/mapping-of-amazon-web-services-resources-to-rackspace-resources)
- [High-level steps for migrating from Amazon Web Services](/support/how-to/high-level-steps-for-migrating-from-amazon-web-services)
- [Provision cloud resources when migrating from Amazon Web Services](/support/how-to/provisioning-cloud-resources-when-migrating-from-amazon-web-services)
  - [Migrate a .NET application](/support/how-to/migrating-a-net-application-from-amazon-web-services)
  - [Migrate a Java web application](/support/how-to/migrating-a-java-web-application-from-amazon-web-services)
  - [Migrate an application based on Backbone.js, Node.js, and MongoDB from Amazon Web Services](/support/how-to/migrating-an-application-based-on-backbonejs-nodejs-and-mongodb-from-amazon-web-services)
- [Post-migration considerations when migrating from Amazon Web Services](/support/how-to/post-migration-considerations-when-migrating-from-amazon-web-services)

### Next section

[Mapping of Amazon Web Services resources to Rackspace resources](/support/how-to/mapping-of-amazon-web-services-resources-to-rackspace-resources)
