---
permalink: objectrocket-documentation
audit_date: '2016-11-01'
title: ObjectRocket documentation
type: article
created_date: '2013-06-06'
created_by: Jered Heeschen
last_modified_date: '2016-10-25'
last_modified_by: Nate Archer
product: Cloud Servers
product_url: cloud-servers
---

This article provides information about the documentation that is available for ObjectRocket.

### What is ObjectRocket?

ObjectRocket is a database-as-a-service (DBaaS) that provides fully-managed database services, with multi-cloud support for five different databases. We offer database hosting, management, and administration for modern sites and applications in data centers across the globe. The ObjectRocket platform is Kubernetes-based, using the latest containerization and automation technologies to ensure highly available, robust data stores.

Get to know ObjectRocket by reading our [blogs](https://www.objectrocket.com/blog/) and checking out our [Services at a Scale](https://www.objectrocket.com/services/) pages.

### Getting started

The [Getting Started Guide](https://objectrocket.com/docs/getting_started.html) helps you get up and
running on the ObjectRocket system. It assumes use of the ObjectRocket web interface and guides you through the following
steps:

1.  Get an ObjectRocket account
2.  Add billing information
3.  Create an instance
4.  Create a database
5.  Add an Access Control List (ACL)

### Backup and recovery

Data backups are provided to give you access to point-in-time copies of your data. Backups are taken at regular intervals. Learn more about backups in the [Backup and Recovery guide](https://objectrocket.com/docs/mongodb_backup_and_recovery.html)

### ObjectRocket API

The ObjectRocket API is a REST-based HTTP API over SSL. You can use the API in addition to and along with the MongoDB driver access into ObjectRocket.

-  [Overview](https://objectrocket.com/docs/api_v2_getting_started.html)
-  [Authentication](https://objectrocket.com/docs/api_v2_getting_started.html#authentication)
-  [General Resources](https://objectrocket.com/docs/api_v2_general_resources.html)
-  [Instance Resources](https://objectrocket.com/docs/api_v2_instance_resources.html)
-  [MongoDB Resources](https://objectrocket.com/docs/api_v2_mongodb_resources.html)
-  [Redis Resources](https://objectrocket.com/docs/api_v2_redis_resources.html)

### Connect via native MongoDB Drivers

-   [Overview](https://objectrocket.com/docs/mongodb_connection_examples.html)
-   [Go example](https://objectrocket.com/docs/mongodb_go_examples.html)
-   [PHP example](https://objectrocket.com/docs/mongodb_go_examples.html)
-   [Node.js example](https://objectrocket.com/docs/mongodb_node_examples.html)
-   [Python example](https://objectrocket.com/docs/mongodb_python_examples.html)
-   [Ruby example](https://objectrocket.com/docs/mongodb_connection_examples.html)

### Have a question?

Read the [FAQ](https://objectrocket.com/docs/faq.html).

### Support

If you have an issue, you can [submit a ticket](https://objectrocket.zendesk.com/home) or send an
email to support@objectrocket.com.

### Get an account!

[Sign up for ObjectRocket](https://app.objectrocket.com/sign_up1) and get
started with a free 30-day trial.
