---
permalink: pitchfork-flavor-id-quickstart
audit_date: '2021-03-10'
title: Pitchfork flavor_id quickstart
type: article
created_date: '2021-03-02'
created_by: Robert Kane
last_modified_date: '2021-03-10'
last_modified_by: Rose Morales
product: Cloud Servers
product_url: cloud-servers
---

Pitchfork allows customers to interact with the Rackspace API through a GUI rather than directly through the
CLI. This article details potential `flavor_id` parameters when interacting with server tasks.

### Prerequisites

   - Rackspace Cloud Account
   - API Key, which you can find in the portal under **My Profile & Settings**
   - [The Pitchfork tool](https://pitchfork.rax.io) 

### Common flavors

| flavor_id | Description |
| ----------- | ----------- |
| 2 | 512MB Standard Instance |
| 3 | 1GB Standard Instance |
| 4 | 2GB Standard Instance |
| 5 | 4GB Standard Instance |
| 6 | 8GB Standard Instance |
| 7 | 15GB Standard Instance |
| 8 | 30GB Standard Instance |
| compute1-15 | 15 GB Compute v1 |
| compute1-30 | 30 GB Compute v1 |
| compute1-4 | 3.75 GB Compute v1 |
| compute1-60 | 60 GB Compute v1 |
| compute1-8 | 7.5 GB Compute v1 |
| general1-1 | 1 GB General Purpose v1 |
| general1-2 | 2 GB General Purpose v1 |
| general1-4 | 4 GB General Purpose v1 |
| general1-8 | 8 GB General Purpose v1 |
| io1-120 | 120 GB I/O v1 |
| io1-15 | 15 GB I/O v1 |
| io1-30 | 30 GB I/O v1 |
| io1-60 | 60 GB I/O v1 |
| io1-90 | 90 GB I/O v1 |

### Conclusion

These are the most common server flavors. For a full list, you can use the **List Flavors** API call
listed under **Flavors** within Pitchfork.
