---
permalink: the-hosting-spectrum-which-solution-fits-your-business
audit_date: '2021-03-31'
title: 'The Hosting Spectrum: Which solution fits your business?'
type: article
created_date: '2011-03-24'
created_by: Rackspace Support
last_modified_date: '2021-03-31'
last_modified_by: Rose Morales
product: Cloud Servers
product_url: cloud-servers
---

Choosing the right [hosting solution](https://www.rackspace.com/solutions/website-hosting)
is a very critical piece of your business. According to many hosting providers, the
standard way to choose hosting is to look at the market and try to fit your
company into an established model. However, Rackspace
encourages you to look at your business and staff needs and decide which
hosting solution best supports what you want to do.

Review the following sections to start your decision-making
process. They outline the provider's responsibility versus the
customer's responsibility. We encourage you to look this article as an
introduction to help you understand how much of your company's time and
efforts should focus on managing servers versus driving business innovation.

### In-house (do-it-yourself)

The customer has complete ownership of the IT management stack. Along with this
high degree of management, the customer undertakes all of the
responsibility for maintaining the configuration&mdash;24x7x365.

### Traditional Colocation

In this option, the provider offers physical space for a server on a rack. The customer
is responsible for purchasing, configuring and maintaining the physical hardware
(servers, firewalls, etc.), software, and the operating system. This colocation
lessons responsibility because the provider maintains the physical space,
power, and networking. However, the customer must resolve any issues that arise
outside of the provider's responsibility&mdash;day or night. A
[colocation](https://www.rackspace.com/colocation) strategy requires that the
customer select a vendor with a data center located within a reasonable distance
from the IT staff. The staff must handle any issues with devices,
operating systems, application infrastructure, and applications.

### Managed Colocation

In Managed Colocation, the provider offers the data center space, network,
servers, and other devices. The customer retains full control and administrative
responsibility for the hosting environment (operating system and applications).
This scenario creates shared responsibility. With the hosting provider managing
the hardware, network, and power, the responsibility of the operating system and
application lies with the customer's staff.
[Managed Colocation](https://www.rackspace.com/colocation) provides the desired level of
control that businesses get with traditional colocation but removes the
day-to-day management of servers and network devices.

### Managed Hosting

In a [Managed Hosting](https://www.rackspace.com/managed-hosting) environment,
the provider offers a stable operating environment for the business's
applications. The provider also owns and is responsible for the following elements:

- data center
- network
- device (such as servers, load balancers, firewalls, and so on)
- virtualization
- OS
- application infrastructure (such as web servers, application servers, database servers)

The customer's IT staff manages the business applications and has full
control over the operating system and application infrastructure. The customer
retains control of their software and applications. Managed Hosting provides
more support compared to the previous hosting options and allows businesses to
focus fully on their core mission.

### Outsource

The provider has complete ownership of the IT management stack, including the
data center, network, devices,
[virtualization](https://www.rackspace.com/managed-hosting) software, operating
systems, application infrastructure, and applications. Fully outsourced solution
providers offer service level agreements (SLAs) promising specified levels of
application availability. As a result, they restrict their clients from having
any administrative access to their environment, including their application.
This means that the vendor must approve and implement any changes to the application
infrastructure or the application itself according to their timetable.
