---
permalink: traditional-colocation-vs-rackspace-managed-colocation
audit_date: '2017-11-04'
title: Traditional colocation vs. Rackspace Managed Colocation
type: article
created_date: '2011-03-24'
created_by: Rackspace Support
last_modified_date: '2018-10-26'
last_modified_by: Cat Lookabaugh
product: Cloud Servers
product_url: cloud-servers
---

[Colocation](https://www.rackspace.com/colocation)
typically describes the provisioning of space for IT infrastructure and
equipment on a service provider's premises. Businesses that choose
colocation often do so to maintain the control of their operating
systems but still have a need for the physical space in which to house
their infrastructure.

### Traditional colocation

In a traditional colocation, the vendor supplies:

-   Physical space (floor space-cabinets or cages)
-   Power to the cabinet/cages (conditioned power, battery backup, and
    backup power generators)
-   Adequate cooling and redundancy
-   Security (video surveillance, guard-monitored floor, and
    locked space)
-   Fire suppression
-   Network Connection (some only allow for a set list of providers)

Top tier colocation vendors also have options for additional services, such as inventory space, access to
multiple network providers, and remote hand options.   In traditional
colocation, the customer also has a fair share of the responsibility, including:

-   Procurement of the IT infrastructure, including receiving and
    installation via hardware reseller or vendor (Cisco, HP, Dell, and so on.)
-   Procurement of the network connectivity and installation into the
    cabinet or cage
-   Monitoring of all systems 24x7x365
-   Supporting, maintenance and replacement of all devices 24x7x365
-   Planning and scaling the configuration when appropriate
-   Management of staff and multiple vendors (colocation center,
    hardware provider, and network provider)

It is also important to consider the hidden costs and non-operational
activities in a traditional colocation scenario:

-   Employee resources (management of staff dedicated to the hosting
    infrastructure; insurance; weekend, evening/overnight and holiday
    coverage; certifications and ongoing training)
-   Management of vendor relationships
-   Response to natural disasters
-   Security and compliance requirements (SAS-70, HIPAA, PCI, etc.)
-   Maintenance of depreciating assets
-   Large capital expenditures with growth of business
-   Slow implementation times

### Rackspace Managed Colocation

Because many businesses prefer to maintain a substantial level of
control regarding their mission-critical apps, but don't want to be
slowed by the complexity of managing a traditional colocation scenario,
Rackspace offers [Managed
Colocation](https://www.rackspace.com/managed_hosting/managed_colocation/index.php).
Managed Colocation offers your the desired level of
control with the added benefit of a support team to proactively manage
your configuration. Rackspace Managed Colocation is a level above traditional
colocation, meaning it offers more support than pure colocation.
Managed Colocation from Rackspace supplies:

-   The physical space
-   Power to the cabinet/cages (conditioned power, battery backup, and
    backup power generators) and network connection backed by a Service
    Level Agreement (SLA)
-   Controlled environment (redundant cooling, fire suppression)
-   Security (physical security, video surveillance,
    guard-monitored floor)
-   Hardware for infrastructure
-   Dedicated Support Team for maintenance and day-to-day operations
-   Industry-leading SLAs
-   Complete infrastructure and supply chain management
-   Implementation and deployment capabilities
-   Full customer remote management - customers don't need physical
    proximity to the data center but can still access even international
    data centers

Optional services include management options for [Managed Backup](https://www.rackspace.com/vmware),
[Managed Private Clouds](https://www.rackspace.com/managed_hosting/private_cloud/index.php)
and [Managed Storage](https://www.rackspace.com/managed-hosting/data-storage).

#### Dedicated Support Team

In a Managed Colocation solution, customer
responsibilities include:

-   Management of the operating systems and applications
-   Administration of the net devices (firewalls and load balancers)
-   Monitoring of the applications, operating systems and devices

With Rackspace Managed Colocation, you get a dedicated support team to assist you with your configuration 24x7x365.

-   Your dedicated **Account Manager (AM)** is your main point of
    contact at Rackspace. The AM knows your configuration and works
    closely with the support team to address any issues that arise.
-   Your **Deployment Team** is there for initial deployments as well as
    configuration changes and space planning. The Deployment Team works
    closely with the data centers to ensure that your configuration is
    racked and cabled to your specifications.
-   The **Network Engineering** team configures your network devices,
    offers consultation for network changes, and assists with
    troubleshooting tasks. They act as an extension of your in-house
    networking team.
-   Our **Support Specialists** are available to assist with support
    issues and escalation. They are available 24x7x365 to address
    technical issues.

Although traditional colocation allows you to maintain a high level of
control, it can also present a significant level of inconvenience and responsibility. [Rackspace Managed Colocation](https://www.rackspace.com/en-us/managed-hosting/colocation) provides the OS control that you need with the support and expertise that you want.
