---
permalink: view-and-reset-your-api-key
audit_date: '2019-03-11'
title: View and reset your API key
type: article
created_date: '2013-02-05'
created_by: Kyle Laffoon
last_modified_date: '2019-03-11'
last_modified_by: Cat Lookabaugh
---

The [Cloud Control Panel](https://login.rackspace.com/) gives you GUI access to
all of your Rackspace services, but sometimes you might want to manage your
assets through a scripting interface like the API. (See our
[catalog of APIs](https://docs.rackspace.com/docs/) for reference.)

Before you can start using Rackspace APIs, you need to have your API key. Your
API key is a unique alphanumeric identifier associated with your account that
is used for universal authentication commands for all of your services.

### To view or reset your API key

**Note:** When you reset your API key, any third-party applications are
disconnected until you set the new API key in your application. If you are using
your API key as a part of a server code with a site or application, the site or
application also breaks and potentially affects your day-to-day operations. We
recommend updating your API key for any application to which you connected with
the previous API key.

To view or reset your API key, use the following steps:

1. Log in to the [Cloud Control Panel](https://login.rackspace.com).

2.	In the upper-right corner of the Cloud Control Panel, click your username
   and select **My Profile & Settings**.

3. Scroll down to **Security Settings**.

4.	To view your API key, click the **Show** link next to **Rackspace API Key**. You can copy the API key from this screen.

5.	To reset your API key, follow these steps.

    a. Click the **Reset** link next to **Rackspace API Key**.

    b. In the confirmation window, click **Generate New Key**. Your new key is displayed.
