---
permalink: what-is-a-500-internal-server-error
audit_date: '2020-11-24'
title: What is a 500 Internal Server Error
type: article
created_date: '2020-11-06'
created_by: James Andrade
last_modified_date: '2020-11-24'
last_modified_by: Rose Morales
product: Cloud Servers
product_url: cloud-servers
---

The generic error `500` means there is something wrong with the website server, but it doesn't provide
further information. An administrator should log into the server to troubleshoot and investigate the issue.

Several issues can cause this error, but most of the time, it means server-side problems such as the 
following issues:

- Permissions on website content files or folders.
- Issues with the **.htaccess** file.
- Scripting errors.
- Specific errors with the content management system (such as Wordpress&reg; or Magento&reg;).

#### Additional references

The following articles offer help with related topics:

[File permissions](/support/how-to/linux-file-permission-concepts/)

[Server logs](/support/how-to/using-server-logs/)

[HTTP response status codes](/support/how-to/http-response-status-codes/)
