---
permalink: dedicated-hosting-faq
audit_date: '2016-11-09'
title: Dedicated Hosting FAQ
type: article
created_date: '2016-11-01'
created_by: Stephanie Fillmon
last_modified_date: '2020-12-16'
last_modified_by: Chad Sterling
product: Dedicated Hosting
product_url: dedicated-hosting
---

### General

{{<accordion title="Where can I learn more about the service levels for Managed Hosting solutions?" col="in" href="accordion1">}}

You can find a comparison of the service levels on the [Managed Hosting
product page](https://www.rackspace.com/managed-hosting/service-levels).
{{</accordion>}}
{{<accordion title="Where can I find your SLAs?" col="in" href="accordion2">}}

Our service level agreements (SLAs) are located on the following pages:

- [Managed Hosting Services Terms and
  Conditions](https://www.rackspace.com/information/legal/managedterms)
- [Managed Hosting Services Terms and Conditions
  (Intensive)](https://www.rackspace.com/information/legal/intensiveterms)
{{</accordion>}}
{{<accordion title="Where can I read more about Rackspace's support lifecycle and terms?" col="in" href="accordion3">}}

You can find information about support lifecycles and terms on the [Extended
Lifecycle Support page](https://www.rackspace.com/information/legal/eolterms).
{{</accordion>}}

### Permissions

{{<accordion title="Why do I need to set up permissions?" col="in" href="accordion4">}}

Permissions enable you to determine the amount of access that your users have
in the [MyRackspace
portal](https://login.rackspace.com). Our Support teams review these
permissions to help determine user access when responding to support requests.
{{</accordion>}}
{{<accordion title="How do I manage permissions?" col="in" href="accordion5">}}

You manage permissions in the [MyRackspace
portal](https://login.rackspace.com) under **Account > Permissions** in the
subnavigation bar.

**Note**: To access the **Permissions** section and modify another user’s
permission, you must have one of the following permissions:

  - **Account Administrator**: This permission grants a user unlimited access
    to every section of the MyRackspace Portal.

  - **Admin**: This permission (on a device or service) grants a user the
    ability to manage the device or service, as well as which users can access the device or service.

### Troubleshooting

{{</accordion>}}
{{<accordion title="What should I do if I can't see/access/manage a newly created device?" col="in" href="accordion3">}}

Because the system doesn't automoatically add new devices to product groups, users or user groups might not have
effective permissions to the device. Try adding the device to the correct product group.

For details about how to manage permissions, see [Manage user permissions for
Dedicated Hosting](/support/how-to/manage-user-permissions-for-dedicated-hosting).
{{</accordion>}}
