---
permalink: manage-local-users-in-the-myrackspace-portal
audit_date: '2019-12-12'
title: Manage Local Users in the MyRackspace Portal
type: article
created_date: '2019-12-12'
created_by: Chad Sterling
last_modified_date: '2023-02-02'
last_modified_by: Asmita Nakwa
product: Dedicated Hosting
product_url: dedicated-hosting
---

This article explains how to use a ticket template to manage local users.

### Create a Ticket in the MyRackspace portal

**Step 1.** Log in to the [MyRackspace portal](https://login.rackspace.com/login) with
   your username and password.

   <img width="409" alt="Enter login credentials" src="/support/how-to/manage-local-users-in-the-myrackspace-portal/localusermanagement1.png">

**Step 2.** In the top navigation bar, select **Support** > **Support Center**.

   <img width="941" alt="Select support center from drop down menu" src="/support/how-to/manage-local-users-in-the-myrackspace-portal/localusermanagement2.png">

**Step 3.** Under **Common Request** menu, click **See All Templates**. It displays list of all templates and select **Local User Management**

   <img width="960" alt="Select local usermanagement from the templates" src="/support/how-to/manage-local-users-in-the-myrackspace-portal/localusermanagement4.png">

**Step 5.** In **Issue Details** section you can select the appropriate **Device(s)** and **Action Type**.

   <img width="644" alt="Select the device and action types from Issue Details section" src="/support/how-to/manage-local-users-in-the-myrackspace-portal/localusermanagement5.png">

On each chosen server, the action you choose next will be executed. The details of each action are described below:   

**Create a User on the Selected Device**

**Step 1.** Enter the **Username**, **Password**, and **Full Name** of the user you want
   to create on the selected devices.

   The **Password** should be at least eight characters, with at least three
   character types (uppercase, lowercase, numeric, and symbol).

**Step 2.** You can also assign the following optional features to the user:

   - User cannot change their password
   - Password never expires
   - User login is disabled
   - User has admin privileges

**Step 3.** Click the **Submit** button.

   <img width="416" alt="Enter credential of new user" src="/support/how-to/manage-local-users-in-the-myrackspace-portal/localusermanagement6.png">

**Delete, Enable or Disable/lock a User on the Selected Device**

**Step 1.** Select the desired action from the **Action Type** drop-down menu.

**Step 2.** Enter the username.

   Deleting a user completely removes them from the selected devices.

**Step 3.** Click the **Submit** button.

   <img width="466" alt="Enter the name of the user to delete" src="/support/how-to/manage-local-users-in-the-myrackspace-portal/localusermanagement7.png">

**Change a User Password on the Selected Device**

**Step 1.** Enter the **Username** and **Password** to reset on the selected devices.

   The **Password** should be at least eight characters, with at least three
   character types (uppercase, lowercase, numeric, and symbol).

**Step 2.** Click the **Submit** button.

   <img width="440" alt="To change User password enter the suitable password" src="/support/how-to/manage-local-users-in-the-myrackspace-portal/localusermanagement8.png">

**Audit Users or User Groups on the Selected Device**  

These actions provide a list of users or user groups on each selected server and
require no additional input.

  <img width="397" alt="Displays the list of users or user groups" src="/support/how-to/manage-local-users-in-the-myrackspace-portal/localusermanagement9.png">

  After the ticket is generated, you can see your ticket list in the MyRackspace Portal.
  It takes a few minutes for the ticket creation process to complete.
