---
permalink: cloud-office-control-panel-overview
audit_date: '2019-12-17'
title: Cloud Office Control Panel overview
type: article
created_date: '2012-05-23'
created_by: Rae D. Cabello
last_modified_date: '2019-12-17'
last_modified_by: Walter Stubbs
product: Microsoft Exchange
product_url: exchange
---

This article provides an overview of the features available in the Cloud Office Control Panel.

Choose from the following options to skip to that section:

- [Control Panel](#logging-in)

- [Hosted email](#hosted-email)

- [Microsoft Exchange](#microsoft-exchange)

- [Domains](#domains)

- [Account settings](#account-settings)

- [Reseller Tools](#reseller-tools)

### Logging in

Use one of the following links to log in to the Control Panel:

- [Log in for new Cloud Office customers](https://cp.rackspace.com/)
- [Log in for UK and MyRackspace customers](https://login.rackspace.com/)

After you log in, you see sections that represent the services that you signed up for. Each section has several options and tools to choose from. As you sign up for additional services, they appear here to enable you to manage them directly from the landing page.

### Hosted email

The Email Hosting section provides you with options and tools for Rackspace Email, such as spam filtering, group lists, aliases, and mobile devices.

Following are some of the options available in the Email Hosting section of the Control Panel.

#### Hosted email accounts

-  **Mailboxes** - Add new mailboxes for your domain.
-  **Aliases** - Manage your company's alias addresses.
-  **Group Lists** - Email a large number of people by assigning them to a group list.
-  **Filter Settings** - Control spam-handling settings for users or the entire domain. For more information, see the following **Spam** section.
-  **Rackspace Email Plus** - Select a domain to [upgrade to Rackspace Email Plus](/support/how-to/upgrade-to-rackspace-email-plus).

#### Hosted email spam

-  **Filter settings** - Control your domain spam settings or individual settings, such as spam filtering.
-  **Blocklists** - Control domain or individual mailbox Blocklist settings.
-  **Safelists** - Control domain or individual mailbox safelist settings.

### Microsoft Exchange

The Microsoft&reg; Exchange&reg; section provides tools such as spam filtering, distribution lists, contacts, resources, and mobile devices for Microsoft Exchange.

The following options are available in the **Microsoft Exchange** section of the Control Panel:

#### Exchange email accounts

-  **Mailboxes** - Add new mailboxes for your domain.
-  **Lists** - Add members of your domain (and contacts) to one exclusive email address so that emails are automatically sent out to all members of the list.
-  **Resources** - Set up or reserve an Exchange room for company collaboration.
-  **Skype for Business** - Connect via instant message, Skype&reg;-to-Skype audio and video calls, and online status.
-  **Contacts** - Manage your company's Exchange contacts.
-  **Folders** - Enable and manage your domain's public folders.
-  **Filter Settings** - Control spam handling settings for users or the entire domain. For more information, see the following **Spam** section.

#### Exchange spam

-  **Settings** - Control your domain spam settings or individual mailbox settings, such as spam filtering.
-  **Blocklists** - Control domain or individual mailbox Blocklist settings.
-  **Safelists** - Control domain or individual mailbox safelist settings.

### Microsoft Office 365

The Microsoft Office 365&reg; section provides a link to manage your Office 365 account.

### Domains

The Domains section provides access your domain's DNS settings and options to add disclaimers, view domains, and manage spam filter settings.

Following are some of the options available in the Domains section of the control panel:

#### Domain management
-  **Domains** - View a list of all domains associated with the account.
-  **Add Domain** - Add additional domains to your account.
-  **Domain Aliases** - Display domain aliases for your domains.
-  **DNS Settings** - Manage and view your domain's Domain Name Services(DNS) settings.
- **Sender Authentication (DKIM)** - Adds a secure signature to your domain for authentication.
-  **Email Archiving** - Archive all incoming and outgoing email for your domain.
-  **BCC Archiving** - Archive your domain's incoming and outgoing email to another mailbox.
-  **Global Access Rights** - Grant or disable access for POP or IMAP connections.

#### Spam
-  **Filter Settings** - Control your domain spam settings or individual mailbox settings for spam.
-  **Blocklists** - Control domain or individual mailbox Blocklists settings.
-  **Safelists** - Control domain or individual mailbox safelists settings.
-  **Search** - Search for users on Blocklists or safelists.

#### Tools
-  **Split Domain** - Set up and manage split domain routing.
-  **Email Everyone** - Email everyone on your domain at once.
-  **Disclaimers** - Add a company disclaimer to your outgoing email.
-  **Catch All Address** - Add a mailbox to capture any incoming mail sent to an address that doesn’t exist on your domain.
-  **Migrations** - Set up new migrations for migrating company data from a previous hosting provider.
-  **Directory Sync** - Manage users, contacts, and distribution lists on our Hosted Exchange and Rackspace Email platforms from your internal Active Directory.
-  **External Blocklist Lookup** – Search third-party spam lists.

#### Reports
-  **Domain Details** - View a summary of your domain services and products.
-  **Mailbox Details** - View a summary of your domains mailboxes.
-  **Mail Forwarding** - View which mailboxes on your domains have forwarding.

### Account settings

The **My Account** option is in a drop-down menu in the top-right corner of the Control Panel, where your active administrator login is displayed. The account section enables you to manage billing, payments, upgrades, services, administrators, and your administrator account, and to find general information.

Following are the options available for the account section:

#### Billing & Payments
-  **Company Info** - Manage your account contact information and credit card information.
-  **Invoice History** - Manage and view past and present account invoices.
-  **Unpaid Invoices** - View your unpaid invoices.

#### Services & Reports
-  **Usage Report** - Review the usage of the services on your account.
-  **Current Services** - View a summary of your billed services.
-  **Cancel Account** - Cancel your entire account.
-  **Audit Logs** - Review administrator activity taken on your account.

#### Admins & Contacts
-  **Administrators** - View your current domain administrators.
-  **API Keys** - Generate your API access key for your domain.

#### My Profile

-  **Change Password** - Change your password for your Admin account.
-  **Generate API Key** - Generate your API access key for your domain.
-  **Admin Information** - Manage your administrator profile and contact information.
-  **Security Question** - Manage your own Security Question and Answer.
-  **Multi-Factor Authentication** - Manage your multi-factor authentication (MFA) setings, including disabling MFA and setting up MFA with a new device.
-  **Trusted Devices** - List the current devices you have selected to trust when accessing the Control Panel.
-  **Notifications** - Manage which account related notifications you wish to receive.
-  **Security Settings** - Manage additional security options, including Password Expiration and Login IP Restriction.
-  **Linked Accounts** - Manage which Office 365 Admin ID is linked to your Admin account.

#### Support

The **Support** menu enables you to view or create support tickets if you need help.

The following options available in the **Support** menu:

-  **Email Setup Wizard** - View useful mailbox information while using step-by-step instructions on how to set up your Cloud Office services.
-  **View Tickets** - Create a new ticket and view any past tickets on the Support Tickets landing page.

### Reseller Tools

The **Reseller Tools** section provides reseller options for Rackspace Email, such as adding new customers, managing reseller administrators, domains, sites, and gaining access to the reseller Partner Portal.

Following are some of the options available in the **Reseller Tools** section:

- **Customers** - List customers for your reseller account.
- **Add customers** - Add new customers to your reseller account.
- **Administrators** - Manage administrators for customer accounts.
- **Domains** - Manage licenses for customer domains
- **Webmail sites** - Add webmail sites for customers
- **Partner Portal** - Link to a portal that provides extra resources for resellers such as documentation and support tools.

#### Audit Logs

View Control Panel activity over the last 6 months.

#### Product Feedback

Provide feedback about our products and services.

If you need help with a specific feature, read about how to use the [Help tool for hosted email and Skype for business](/support/how-to/help-tool-for-hosted-email-and-skype-for-business).
