---
permalink: manually-configure-ios-devices-for-email-hosted-on-exchange-2013
audit_date: '2020-12-07'
title: Manually configure iOS devices for email hosted on Exchange 2013
type: article
created_date: '2014-01-16'
created_by: Mawutor Amesawu
last_modified_date: '2020-12-07'
last_modified_by: Rose Morales
product: Microsoft Exchange
product_url: exchange
---

This article describes how to configure a Microsoft&reg; Exchange&reg; 2013 account on your
Apple&reg; iOS&reg; 14.1 device.

**Note:** The images in this article show iPhone&reg; 5 running iOS 14.1. Although
screens on other iOS devices differ, the process is similar. For more modern iOS versions, refer to the [Cloud Office Email Help Tool](https://emailhelp.rackspace.com) for instructions.

Your account administrator must verify that an
ActiveSync&reg; license is attached to your account in the Cloud Control
Panel. If any Internet connectivity issues prevent you from
successfully setting up Exchange, contact your wireless provider or
Internet Service Provider (ISP).

1. On the home screen of your device, tap **Settings &gt;** **Mail,
   Contacts, Calendars** &gt; **Add Account**.

   {{<image src="1.png" alt="" title="">}}
   {{<image src="2.png" alt="" title="">}}
   {{<image src="3.png" alt="" title="">}}
   {{<image src="4.png" alt="" title="">}}

2. Tap **Exchange** and enter your email address, password, and an
   optional description.

   {{<image src="5.png" alt="" title="">}}

3. Tap **Next** and select **Configure Manually**.

   {{<image src="6.png" alt="" title="">}}
   {{<image src="7.png" alt="" title="">}}

4. Tap on the **Server** field and enter
   **mex06.emailsrvr.com**. Leave the **Domain** field blank and tap **Next**.

   {{<image src="8.png" alt="" title="">}}

5. Click **Save**.

   {{<image src="9.png" alt="" title="">}}

6. Select the services that you want to synchronize from the Exchange
   server and tap **Save**.

   {{<image src="10.png" alt="" title="">}}

You have successfully added your Exchange email account on your iOS
device.

If you still have issues connecting, refer to the troubleshooting information available on
the [Cloud Office Email Help Tool](https://emailhelp.rackspace.com).

**Note:** Depending on the mailbox size, it might take some time before
your information displays on your device.
