---
permalink: outlook-web-access-owa-for-exchange
audit_date: '2016-07-18'
title: 'Outlook Web Access for Exchange'
type: article
created_date: '2012-05-25'
created_by: Rackspace Support
last_modified_date: '2016-07-18'
last_modified_by: Stephanie Fillmon
product: Microsoft Exchange
product_url: exchange
---

Microsoft Exchange enables users to access and manage
their email online through the Outlook Web Access (OWA) interface. OWA
provides a fully functional calendar with the ability to manage contacts.
Users can also create rules, set their out-of-office reply,
and manage their domain's public folders, among other features.

### Microsoft Exchange 2010 OWA features

Microsoft Exchange 2010 is fully compatible with most browsers.

Log in to OWA for Exchange 2010 at [https://connect.emailsrvr.com](https://connect.emailsrvr.com).

{{<image src="2.png" alt="" title="">}}

When you log in, OWA offers the following options:

-   **This is a public or shared computer**: Allows you to be logged in for 1 hour before you are automatically logged out.

-   **This is a private computer**: Allows you to be logged in for 24 hours you are automatically logged out.

-   **Use the light version of Outlook Web App**: Removes some of the features of OWA.

#### Contacts

You can manage manage your contacts through the OWA interface. You can add new
contacts, import and export old contacts by using a **.CSV** file, set categories,
and sort through contacts alphabetically, while synchronizing with mobile
devices and email clients.

#### Calendar

You can share your calendar, create personal calendars, add shared
calendars within your domain, and publish a calendar online, while
synchronizing with mobile devices and email clients.

#### Tasks

You can create new tasks, manage tasks, and create task lists.

#### Public Folders

You can update your domain's public folders through the OWA interface while synchronizing with
email clients.

#### Options

OWA provides several options for managing email accounts. In the Webmail interface, select
**Settings** in the top-right corner to see a list of features and
options.

**Account**

-   Account Information: Update your personal information such as your display name, contact information, and access settings for email clients to set up Exchange with IMAP and POP access.

-   Shortcuts: Set up your out-of-office notification and access the auto configuration tool to set up your Outlook email client.

{{<image src="OWA1.png" alt="" title="">}}

**Organize Email**

-   Inbox Rules: Create inbox rules for incoming mail. You can route email to specific folders in your inbox tree structure.

-   Automatic Replies: Set up your Out of Office notifications for incoming email.

-   Delivery Reports: Search for delivery information about messages that you have sent or received. You can narrow the search to messages with certain keywords in the subject.

{{<image src="OWA2.png" alt="" title="">}}

**Settings: Mail**

-   Email Signature: Add a new signature and assign it to your outgoing email.

-   Read Receipts: Choose how to respond to read receipts.

-   Reading Pane: Choose how your email is displayed and how email is marked after reading.

-   Conversations: Choose how to sort messages in your reading pane and conversation lists.

{{<image src="OWA3.png" alt="" title="">}}

**Settings: Calendar**

-   Appearance: Control how your calendar is displayed by choosing your work week, setting your work hours, and setting the first day of the week.

-   Reminders: Choose how and when you are alerted for new calendar events.

-   Automatic Processing: Control how meeting requests, responses, and notifications are handled.

-   Text Messaging Notifications: Receive text message notifications for new calendar events and alerts.

**Settings: General**

-   Email Name Resolution: Choose how names should be resolved by either your Global Address Book or Contacts.

-   Accessibility: Choose how to use the blind and low vision features for a better viewing experience.

**Settings: Regional**

-   Set your preferred language, time, and current time zone.

**Phone**

-   Mobile Phones: Remove a phone from the list, access your device recovery password, initiate a remote device wipe, or block your phone.

-   Text Messaging (SMS): Send notifications to your mobile device for calendar events and inbox rules.

{{<image src="OWA4.png" alt="" title="">}}

**Block or Allow**

-   Junk Email Settings: Automatically filter junk email or move it to the junk folder; monitor and set up safelists and Blocklists for incoming email.

{{<image src="OWA5.png" alt="" title="">}}

### Microsoft Exchange 2007 OWA features

Microsoft Exchange 2007 is fully compatible with Internet Explorer 7 and later releases. A light version is available for alternative browsers.

Log in to OWA for Exchange 2007 at
[https://outlook.rackspace.com](https://outlook.rackspace.com).

{{<image src="OWA.png" alt="" title="">}}

When you log in, OWA offers the following options:

-   **This is a public or shared computer** - Allows you to be logged in for 1 hour before you are automatically logged out.

-   **This is a private computer** - Allows you to be logged in for 24 hours before you are automatically logged out.

#### Contacts

You can add new contacts, import and export old contacts by using a **.CSV** file, set categories,
and sort through contacts alphabetically, while synchronizing to mobile
devices and email clients.

#### Calendar

You can share your calendar, create personal calendars, add
shared calendars within your domain and publish a calendar online,
while synchronizing to mobile devices and email
clients.

#### Set Up out-of-office replies

You can set up your out-of-office replies.

#### Regional Settings

You can control your language, date, and time settings.

#### Mobile Devices

You can wipe your mobile device, in case the device is lost
or stolen.

#### Junk Email

You can add recipients to a safelist or blocklist and determine where to move junk email.
