---
permalink: safelist-senders-in-owa
audit_date: '2018-01-15'
title: Safelist Senders in Outlook Web App
type: article
created_date: '2017-12-21'
created_by: William Loy
last_modified_date: '2018-01-15'
last_modified_by: Stephanie Fillmon
product: Microsoft Exchange
product_url: exchange
---

This article describes how to safelist senders through the Outlook Web App interface. If you want to block a sender, see [Block senders in Outlook Web App](/support/how-to/block-senders-in-owa).

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** Approximately 15 minutes for change to complete
- **Tools Required:** Mailbox access

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology/).

### Safelist Senders

Safelisting does not prevent a sender from being flagged as spam. Safelisting ensures that a sender's message is delivered to your inbox, even if the sender is flagged as spam, so that messages from a trusted source aren't overlooked in the junk folder. 

For administrator instructions on safelisting senders through the control panel, see [Blocklists in Microsoft Exchange](/support/how-to/spam-preferences-safelists-and-blocklist-in-microsoft-exchange/#managing-safe-list).

1. Log in to your Exchange mailbox at [apps.rackspace.com](https://apps.rackspace.com).

2. Click the gear icon in the upper right-hand corner, and then select **Options** from the drop down menu.

    {{<image src="options_gear.png" alt="" title="">}}

3. In the **Options** menu, click **Mail > Accounts > Block or Allow**.

    {{<image src="block_or_allow.png" alt="" title="">}}

4. Enter the email address or domain of the sender that you want to safelist.

    {{<image src="safe_senders.png" alt="" title="">}}

5. Click **Save**

**Note:** You can also add all contacts to the safe senders list instead of entering them manually.
