---
permalink: lon7-global-switch-data-center-migration-faq-for-colocation-customers
audit_date: '2020-01-29'
title: LON7 (Global Switch) data center migration FAQ for colocation customers
type: article
created_date: '2020-01-29'
created_by: Sarah Wellburn
last_modified_date: '2020-01-29'
last_modified_by: Cat Lookabaugh
product: General
product_url: general
noindex: true
---

### Overview

In November 2017, Rackspace completed its acquisition of Datapipe, which
increased the Rackspace data center footprint across the globe. In some regions,
including London, this has resulted in multiple locations within a small
geographical area. Rackspace leaders identified which data centers offer the
most reliability, high availability, and efficiency while offering our
customers access to the full range of Rackspace products and services.

Following this review, Rackspace decided to vacate suite J2 in the Global Switch
GS2 (LON7) data center located at Nutmeg Lane, London, and relocate all
colocation customers to either suite J1 (adjacent to J2) or to our facility in
Crawley, LON5. We are also relocating all customers on managed infrastructure
from both J1 and J2. If you have colocation cabinets in either J1 or J2 that
need to be in the same facility as your managed infrastructure, you must
relocate outside of the current facility.

#### When will the relocation take place?

All colocation customers in J2 must vacate the suite by April 30, 2020. We will
work with you to establish a suitable window for the move according to your
requirements and the availability of any necessary Rackspace resources.

#### How do I prepare for the relocation?

Rackspace has extensive experience and success in data-center migrations. The
dedicated migration team has handled multiple large-scale data center
consolidation and closures for both Rackspace and legacy Datapipe data centers.
The team can provide guidance and advice on all aspects of the move. For those
customers who have never experienced a cabinet migration, we created a
**Colocation Migration Guide** based on the experience of the migration team.
If you think this would be useful, reach out to your service delivery manager
or account manager to request a copy of the guide.

**Note**: Rackspace operates a strict hot/cold aisle configuration in LON5,
so we organize all the cabinets to fit this configuration. If you need more
information on this, request it through your account team.

#### What support does Rackspace provide for the move?

Rackspace allocates space and power in the new location with all other services
for which you contract with us. Where Rackspace provides the cabinets, we stand
up new cabinets in advance of your move date if required. Additionally, if
requested, we can carry out a physical audit of your environment and take
responsibility for the physical move. We understand that this move is a
distraction from your business focus, so we will use all our experience in data
center migrations to help to minimize disruption.

#### We have other infrastructure elsewhere in the Global Switch data center. How will Rackspace manage this?

Rackspace needs to understand the interdependencies between the different
environments and plan accordingly. If you have infrastructure in Global Switch
that depends on the migrating environment, let your account team know as soon as
possible so that they can inform the migration team. This request applies even
if the infrastructure is in a different suite or if Rackspace does not host the
infrastructure.

#### We have a leased line that terminates in LON7. What happens to this?

If Rackspace provides the leased line, we take care of this and work
with you to schedule the change. If not, you must work with your telco provider
and Rackspace to understand the options for relocating the line. The data
center you are moving to and your provider determine the options available to
you. If you are relocating to the adjacent suite, this might just require a new
cross connect. However, a move to a different data center might require a new
line. Because lead times for new leased lines are significant, we advise you to
reach out to your provider at your earliest convenience to understand the options.

#### Where is LON5 located?

The facility is located at:

    Unit 1
    Power Avenue
    Crawley
    West Sussex
    RH10 9NR

In 2015, Rackspace designed and constructed the LON5 data center conveniently
close to the M23 motorway and a short taxi journey from the Three Bridges and
Gatwick Airport railway stations. The facility is operated 24/7/365 by Rackspace
staff and benefits from the latest networking and electrical infrastructure. It
has a Power Usage Effectiveness (PUE) value of 1.15% and is a state-of-the-art,
tier 3 equivalent data center. Download a data center specification sheet
[here](https://www.rackspace.com/resources/rackspace-data-center-lon5).

#### Whom should I contact with questions about the relocation?

Contact us in one of the following ways:

- Reach out to your Rackspace account team.
- Update one of the ticket notifications published in the ticketing system
  before and during the migration.
