---
permalink: sin2-data-center-relocation-colocation-customer-faq
audit_date: '2021-03-11'
type: article
title: SIN2 data center relocation colocation customer FAQ
created_date: '2021-03-11'
created_by: Tom Hallam
last_modified_date: '2021-03-11'
last_modified_by: Cat Lookabaugh
product: General
product_url: general
noindex: true
---

### Overview

In November 2017, Rackspace completed its acquisition of Datapipe. The acquisition served
to increase the Rackspace data center footprint across the globe. In some regions, including
Hong Kong, this has resulted in multiple locations within a small geographical area.
Rackspace leaders have carried out a review to identify which data centers can offer the
most reliability, high availability, and efficiency while offering our customers access to
the full range of Rackspace products and services.  

To enable long-term growth within the region, Rackspace is currently building a new
Singapore data center, SIN3, based on Rackspace standards. Find more information on the
specification of our data centers on our
[data center page](https://www.rackspace.com/about/data-centers).

After reviewing our global data center footprint and considering the lease for SIN2 that
comes to an end in 2021, Rackspace decided to reduce our footprint in Singapore and close
the SIN2 facility.

This document relates specifically to only colocation customers. If you are a customer of
managed or shared infrastructure, request a copy of the
[SIN2 Managed Customer FAQ](/how-to/sin2-data-center-relocation-managed-customer-faq).

### When is the closure expected to take place?

We ask all colocation customers in SIN2 to vacate SIN2 by 31st July 2021

### How do I prepare for the relocation?

Rackspace has extensive experience and success in data-center migrations. The dedicated
migration team has been responsible for multiple large-scale data center consolidation and
closure exercises for both Rackspace and legacy Datapipe data centers. The migration team
can provide guidance and advice on all aspects of the move. For those customers who might
not have any experience of a cabinet migration, we created a Colocation Migration Guide
based on the experience of the migration team. If you think this would be useful for you,
reach out to your service delivery manager or account manager to request a copy of the guide.

### What support does Rackspace provide for the move?

Rackspace allocates space and power in the new location with all other services contracted
through Rackspace. Where Rackspace provides the cabinets, we can stand up new cabinets in
advance of your move date if required. Additionally, if requested, we can carry out a
physical audit of your environment and take responsibility for the physical move in one of
two ways. We can decant the cabinet in SIN2 and transport the devices to SIN3, where we
deploy the devices into new cabinets. Alternately, we can investigate the possibility of
moving the populated cabinet by using our logistics partner specializing in IT relocation
exercises. We understand that this move is a distraction from your own business focus, so
we expect to use all our experience in data center migrations to minimize disruption.

### We have a leased line that terminates in SIN2. What happens to this?

If Rackspace provides the leased line. we take care of this and work with you to schedule
the change.

If not, you need to work with your telco provider and Rackspace to understand the options
for relocating the line. Your provider and the data center you are moving to determine the
options available to you. Lead times for new leased lines can be significant, so we advise
you to reach out to your provider at your earliest convenience to understand the available
options.

### Where is SIN3 located?

The new facility is located at:

    Iron Mountain
    1 Serangoon North Avenue 6,
    Singapore

### Who should I contact with questions about the relocation?

Contact us in one of the following ways:

-       Reach out to your Rackspace account team
-       Update one of the ticket notifications published in the customer portal.
