---
permalink: sjc2-data-center-relocation-colocation-customer-faq
audit_date: '2020-11-17'
title: SJC2 data center relocation colocation customer FAQ
type: article
created_date: '2020-06-09'
created_by: Tom Hallam
last_modified_date: '2020-11-17'
last_modified_by: Cat Lookabaugh
product: General
product_url: general
noindex: true
---

### Overview

Rackspace brought the SJC2 data center, located in downtown San Jose, under the
Rackspace banner with the acquisition of Datapipe in 2017. It is a 9 MW
facility comprising 11 data halls covering 65,000 square feet of raised-floor
space.  The lease for SJC2 expires in 2022, and the landlord has advised that
they will not be renewing the lease because they are planning to sell the building.

Rackspace signed the lease on a new facility, SJC3, and is designing the
underlying infrastructure to enable us to migrate to that space. We plan to have
the first 1.2 MW data hall available in September 2021.

We are building out SJC3 based on the most current Rackspace standards and taking
the opportunity to upgrade the hardware used to support our core network
infrastructure where appropriate.

All customers currently located in SJC2 must migrate out of that facility. 

### When is the relocation expected to take place?

All colocation customers in SJC2 should vacate the suite by March 31, 2022.
We will work with you to establish a suitable window for the move according to
your requirements and the availability of Rackspace resources as required.

### How do I prepare for the relocation?

Rackspace has extensive experience and success in data center migrations. The
dedicated migration team is responsible for multiple large-scale data center
consolidation and closure exercises for both Rackspace and legacy Datapipe data
centers. The migration team can provide guidance and advice on all aspects of
the move. We have created a *Colocation Migration Guide* based on the experience
of the migration team. Reach out to your Customer Success Manager
to request a copy of the guide.

### What support does Rackspace provide for the move?

Rackspace will allocate space and power in the new location with all other
contracted services through Rackspace. Where Rackspace provides the cabinets,
we will stand up new cabinets in advance of your move date if required
and agree a timeframe to ensure there is no double billing of the cabinets. 
Additionally, if requested, we can carry out a physical audit of your environment
and assist with the physical move.

### We have a leased line that terminates in SJC2. What happens to this?

If Rackspace provided the leased line, we will take care of this and work with
you to schedule the change. If Rackspace does not provide the line, you should
work with your telco provider and Rackspace to understand the options for
relocating the line. Lead times for new leased lines can be
significant, so we advise you to reach out to your provider at your earliest
convenience to understand the options.

We will issue a leased line questionnaire through the ticketing system to all customers
to assist in this process and offer possible alternatives to the traditional leased lines
connections.

### Where is SJC3 located?

The SJC3 data center is located in Santa Clara, just north of Norman Y. Mineta
San Jose International Airport, approximately 6 miles from SJC2. The address is:
 
2805 Lafayette Street
Santa Clara,
CA 95050

### Whom should I contact with questions about the relocation?

Contact us in one of the following ways:

- Reach out to your Rackspace account team.

- Update one of the ticket notifications that we will publish in the ticketing system.
