---
permalink: getting-started-with-hosted-email
audit_date: '2019-08-15'
title: Getting started with Rackspace Hosted Email
type: article
created_date: '2019-09-23'
created_by: Rackspace Support
last_modified_date: '2021-05-05'
last_modified_by: Rose Morales
product: Getting Started with Hosted Email
product_url: getting-started-with-rackspace-hosted-email
---

This article guides you through creating, managing, building, and growing your Rackspace
Hosted Email account. We recommend completing tasks in the following order:

1. [Create an account](#create-an-account).
2. [Manage and secure an account](#manage-and-secure-an-account).
3. [Create mailboxes](#create-mailboxes).
4. [Migrate your email](#migrate-your-email).
5. [Configure your domain to receive email](#configure-your-domain-to-receive-email).
6. [Configure desktop and mobile devices](#configure-desktop-and-mobile-devices).

#### Create an account

Before addressing tasks such as securing your account, creating mailboxes, and even
migrating users, you must create an account to house the email solution that your business
relies on. We created an article to make
[creating your Rackspace Hosted Email account](/support/how-to/sign-up-for-rackspace-services/#rackspace-email-or-microsoft-exchange)
as easy as possible.

#### Manage and secure an account

Now that you have created an account, there are a few things that you should do to prevent surprises:

1. Protect your account by enabling 
   [multifactor authentication](/support/how-to/multifactor-authentication-from-the-cloud-control-panel//)
   for yourself and your administrators.

2. [Add administrators](/support/how-to/manage-email-administrators-with-the-cloud-office-control-panel/#add-an-administrator)
   to help manage your account. You should consider who needs access to technical or
   billing portions of the account and assign them the appropriate permissions.

3. Learn how to monitor your account's [billing activity](/support/how-to/view-invoice-history-cloud-office-control-panel/)
   to ensure that you allocate resources efficiently.

#### Create mailboxes

Your account is now ready for you to create mailboxes. Before you can migrated your email
data and your users can begin using their new email solution, create their new mailboxes.
Review the following resources to see brief instructions for creating Rackspace Email or
Microsoft Exchange&reg; mailboxes:

- [Create Rackspace Email mailboxes](/support/how-to/add-rackspace-email-mailboxes/)
- [Create Microsoft Exchange mailboxes](/support/how-to/add-microsoft-exchange-mailboxes/)

#### Migrate your email

If you do not have a roadmap to follow from start to finish, migrating email data can be
tedious. Our migration process offers many useful tools as well as robust instructions
to make the transition as quick as possible. See our comprehensive guide on Rackspace
Hosted Email [migration services](/support/how-to/email-migration-services/) to see which
plan is your best fit.

#### Configure your domain to receive email

After creating your mailboxes, adjust your domain to deliver email to your new Rackspace
Hosted Email mailboxes. This process can seem intimidating, but users of all technical
levels can accomplish it by using our step-by-step instructions. The steps in the
[Set up DNS records for Rackspace Hosted Email](/support/how-to/set-up-dns-records-for-cloud-office-email/)
article set you up for a successful email host transition.

#### Configure desktop and mobile devices

When your email migration finishes and your users are ready to start receiving email on
their desktop and mobile email clients, they can find detailed instructions for many of
the most popular devices by using our [Email Help tool](https://emailhelp.rackspace.com).
This tool walks the user through an interactive portal that asks a series of questions
that lead to device-specific email configuration instructions. To use the tool, navigate
to [emailhelp.rackspace.com](https://emailhelp.rackspace.com) and log in with your
Rackspace Hosted Email email address and password. 
