---
permalink: getting-started-with-office-365
audit_date: '2020-06-05'
title: Getting started with Office 365
type: article
created_date: '2019-11-27'
created_by: Walter Stubbs
last_modified_date: '2021-05-05'
last_modified_by: Rose Morales
product: Getting Started with Office 365
product_url: office-365
---

This article guides you through creating, managing, building, and growing your Office 365&reg;
account at Rackspace. We recommend completing tasks in the following order:

1. [Create an account](#create-an-account).
2. [Manage and secure your account](#manage-and-secure-an-account).
3. [Add and verify your domain](#add-and-verify-your-domain).
4. [Create users and assign licenses](#creating-users-and-assigning-licenses).
5. [Review your migration options](#migrate-your-email).
6. [Manage and secure user accounts](#manage-and-secure-user-accounts).
7. [Configure desktop and mobile devices](#configure-desktop-and-mobile-devices).

### Create an account

Before addressing tasks such as securing your account, creating mailboxes, and migrating
users, you must create an account to house the email solution that your business relies on.
We created an article to make [creating your Rackspace Office 365 account](/support/how-to/sign-up-for-rackspace-services/#office-365)
as easy as possible.

### Manage and secure an account

Now that you have created an account, there are a few things that you should do to prevent surprises.

1. Protect your account by enabling [multifactor authentication](/support/how-to/multifactor-authentication-from-the-cloud-control-panel//)
   for yourself and your administrators.

2. [Add administrators](/support/how-to/manage-email-administrators-with-the-cloud-office-control-panel/#add-an-administrator)
   to help manage your account. You should consider who needs access to technical or
   billing portions of the account and assign them the appropriate permissions.

3. Learn how to monitor your account's [billing activity](/support/how-to/view-invoice-history-cloud-office-control-panel/)
   to ensure that you allocate resources efficiently.

4. Secure your Office 365 administrator account by [enabling multi-factor authentication](/support/how-to/manage-multi-factor-authentication-for-users-in-office-365/).

### Add and verify your domain

You are now ready to add your domain to Office 365. Use
[this guide to add and verify your domain](/support/how-to/add-a-domain-in-office-365/)
to begin using it with Office 365.

### Create users and assign licenses

Your account is now ready for you to create users and assign licenses. Before you can migrate
your email data and your users can begin using their new email solution, you need to create
their user accounts and assign them licenses. Review the following resource to see brief
instructions for creating users in Office 365.

  - [Add a license and assign it to a user](/support/how-to/add-an-office-365-license/).

### Migrate your email

If you do not have a roadmap to follow from start to finish, migrating email data can be
tedious. Our migration process offers many useful tools as well as robust instructions to
make the transition as quick as possible. See our comprehensive guide on Rackspace Office
365 [migration services](/support/how-to/email-migration-services/) to see which plan is
your best fit.

### Manage and secure user accounts

To protect your organization's data, we recommend that you configure all user accounts to
use multifactor authentication. See [Manage multifactor authentication for users in Office 365](/support/how-to/manage-multi-factor-authentication-for-users-in-office-365/).

### Configure your domain to receive email

After creating your users, configure your domain to use your Office 365 service. This
process can seem intimidating, but users of all technical levels can accomplish it by
using our step-by-step instructions. The steps in [Set up DNS records for Office 365](/support/how-to/configure-dns-for-office-365-services/)
set you up for a successful email host transition.

### Configure desktop and mobile devices

After your email migration completes and your users are ready to start receiving email
to their desktop and mobile email clients, they can find detailed instructions for many
of the most popular devices by using our [Email Help tool](https://emailhelp.rackspace.com).
This tool walks the user through an interactive portal that asks a series of questions that
lead to device-specific email configuration instructions. To use the tool, navigate to
[emailhelp.rackspace.com](https://emailhelp.rackspace.com) and log in by using their Office
365 email address and password.
