---
permalink: getting-started-with-public-cloud
audit_date: '2019-08-15'
title: Getting started with Rackspace Public Cloud
type: article
created_date: '2019-08-15'
created_by: Rackspace Support
last_modified_date: '2021-05-05'
last_modified_by: Rose Morales
product: Getting Started with Public Cloud
product_url: getting-started-with-public-cloud
---

This article guides you through creating, managing, building, and growing your
Rackspace Public Cloud account. This guide removes the complexity of getting
started on your first Public Cloud projects. We recommend completing tasks in
the following order:

1. [Manage and secure an account](#manage-and-secure-an-account).
2. [Build your cloud](#build-your-cloud).
3. [Grow your cloud](#grow-your-cloud).

#### Manage and secure an account

You can do a few things to prevent surprises.

1. Protect your account by enabling [Multifactor authentication](/support/how-to/multifactor-authentication-from-the-cloud-control-panel/).
   Multifactor authentication is a free tool that can greatly decrease the chances
   of someone compromising your account.

2. Rackspace bills Public Cloud resources on an hourly basis, and resources such as
   file storage and traffic can have varying costs. For this reason, you should
   [create a billing threshold notification](/support/how-to/billing-services-overview/#set-a-billing-threshold/)
   that alerts you to unexpected billing changes.

3. Learn how to add users, create user groups, set up role-based access, view your bill,
   or change payment methods and account information by reviewing our comprehensive
   [Account management](/support/how-to/account-management/) article.

#### Build your cloud

Your account is now ready for you to build devices. Building a cloud environment is
quite different from traditional hosting. We have compiled the following documents
to illustrate those differences as well as to help you navigate them:

- [Building your application on the Rackspace cloud](/support/how-to/build-your-application-on-the-rackspace-cloud/)
- [Rackspace open cloud architecture](/support/how-to/rackspace-open-cloud-reference-architecture/)
- [About cloud servers](/support/how-to/cloud-servers/)
- [About cloud load balancers](/support/how-to/cloud-load-balancers/)

#### Grow your cloud

Your business is booming, and you need to grow! Perhaps it is an event, seasonal
traffic plans, or your needs have simply changed. When you experience growth, you
can become less fault-tolerant and have more security needs. Check out the following
information to ensure that you sustain momentum:

- [Scale for high traffic events](/support/how-to/prepare-for-high-traffic-events/).
- [Protect your cloud infrastructure with firewall hardware](/support/how-to/rackconnect/).
