---
permalink: imperva-app-protect-faq/
audit_date: '2021-08-04'
title: Imperva App Protect FAQ
type: article
created_date: '2021-08-04'
created_by: Adam Brown
last_modified_date: '2021-08-04'
last_modified_by: Stephanie Fillmon
product: Imperva App Protect
product_url: imperva-app-protect
---

{{<accordion title="What happens after I add my domain to Imperva?" col="in" href="accordion1">}}

After you have completed the DNS instructions that are provided as part of the
**Add Site** wizard, visitors to your website will be gradually routed through
the Imperva network. This process can take anywhere from five minutes to 24
hours, according to the Time to Live (TTL) setting in your DNS entries.

Visitors routed through Imperva receive an enhanced user experience as pages
load faster when served by the Imperva CDN.

{{</accordion>}}
{{<accordion title="Will Imperva add latency to my website?" col="in" href="accordion1">}}

Imperva does not add any latency to your website. In fact, Imperva makes your
site load faster and consumes less computing and bandwidth resources.

{{</accordion>}}
{{<accordion title="How long does it take to add a domain on Imperva?" col="in" href="accordion1">}}

Adding your domain to Imperva can take as little as five minutes. If your
website supports SSL, the onboarding process might take longer, but typically
not more than a few hours to complete the entire process.

{{</accordion>}}
{{<accordion title="Do I need to add each on of my domains to Imperva?" col="in" href="accordion1">}}

Yes. Each domain must be added to Imperva separately and has its own
dashboard and configuration.

{{</accordion>}}
{{<accordion title="Can I self-service changes to the Imperva App Protect service?" col="in" href="accordion1">}}

All customers are allowed to self-service any changes to the Imperva App
Protect service as needed via the
[Imperva Cloud Security Console](https://my.imperva.com/admin/login). Note that
all changes are tracked via an
[audit trail](https://docs.imperva.com/bundle/cloud-application-security/page/audit-trail.htm)
and any issues that arise from a customer initiated change, Rackspace is not
responsible for.

{{</accordion>}}
{{<accordion title="The Cloud WAF is blocking traffic that it's not supposed to. What do I do?" col="in" href="accordion1">}}

An exception on the site needs to be made:
[Imperva App Protect - Add Exception](https://docs.imperva.com/bundle/cloud-application-security/page/security-events.htm#Addanexception).
Rackspace can perform this on your behalf if needed, though we
require the site impacted and the incident ID.

An indicent ID is a unique identifier assigned to the request. It can be
useful for tracking or
reporting. Incident IDs are listed in Imperva security messages that are
displayed to site visitors. The Incident ID is in the format
`<Session ID>-<Request ID>`. An example of an incident ID can be seen
[here](https://docs.imperva.com/bundle/cloud-application-security/page/error-codes.htm).

Call Support for immediate resolution. Opening a ticket into the queue
results in a time delay.

{{</accordion>}}
{{<accordion title="Can I integrate with Imperva's API?" col="in" href="accordion1">}}

You can integrate as needed by using
[Incap CLI](https://github.com/imperva/incapsula-cli). Rackspace will not
assist with integration efforts, but doesn't preventing integration. More
details on the Imperva API can be found
[here](https://docs.imperva.com/bundle/cloud-application-security/page/api/api.htm).

{{</accordion>}}
{{<accordion title="What compliance certifications does Imperva hold?" col="in" href="accordion1">}}

Imperva hold certifications for PCI and SOC2. For more information, see
[Imperva Product and Service Certifications](https://docs.imperva.com/bundle/articles/page/product-service-certifications.htm).

{{</accordion>}}
{{<accordion title="What data does the Imperva App Protect service store, for how long, and where is it stored?" col="in" href="accordion1">}}

More information can been see on this topic
[here](https://docs.imperva.com/bundle/cloud-application-security/page/more/data-privacy.htm).

{{</accordion>}}
{{<accordion title="I have an error code being generated by the Imperva App Protect service. What does it mean?" col="in" href="accordion1">}}

All error codes and their meaning can be looked up
[here](https://docs.imperva.com/bundle/cloud-application-security/page/error-codes.htm).

{{</accordion>}}
{{<accordion title="Can I get help with adjustments to my Advanced Bot Protection?" col="in" href="accordion1">}}

Rackspace currently does not provide support for advanced bot protection
though hours in the contract are purchased monthly as a part of the advanced
bot protection service to engage with
[Imperva Security Analyst services](https://www.imperva.com/support/application-security/)
team who are experts in the solution and can help solve any problems as they
arise. In order to engage the analyst services team, call 1 (866) 926-4678 or
create a support case with Imperva:

1. Log in to https://support.imperva.com/
2. Click [New Support Case](https://support.imperva.com/s/create-case) and enter
   the following information:

   - Product Category: Application Security - Cloud
   - Product: Advanced Bot Protection
   - Type: Regular Case

{{</accordion>}}
