---
permalink: imperva-app-protect-raci-table/
audit_date: '2021-08-04'
title: Imperva App Protect RACI table
type: article
created_date: '2021-08-04'
created_by: Adam Brown
last_modified_date: '2021-08-04'
last_modified_by: Stephanie Fillmon
product: Imperva App Protect
product_url: imperva-app-protect
---

It is anticipated that there are three parties involved in supporting the
Customer’s Imperva Cloud environment, specifically:

- Customer (including any in-house IT resources)
- Rackspace Technology support experts
- Imperva (SaSS vendor supplying the service)

The RACI model includes the following roles and relationships:

- Responsible means, for the purposes of the RACI matrices, the person who
  actually carries out the process or task assignment and is responsible to
  get the job done. 
- Accountable means, for the purposes of the RACI matrices, the person who
  is ultimately accountable for the process or task being completed
  appropriately. 
- Consulted means, for the purposes of the RACI matrices, people who are not
  directly involved with carrying out the task, but who are consulted, and
  might be a stakeholder or subject matter expert. 
- Informed means, for the purposes of the RACI matrices, those who receive
  output from the process or task, or who have a need to stay informed.

The following table is the Service Relationships
(Roles and Responsibilities) Chart:

<table data-table="" data-tablelook="480">
<tbody>
<tr>
<td data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="" data-ccp-parastyle-defn="{&quot;ObjectId&quot;:&quot;396a9486-5d09-4245-b317-614e65ebf4e3|161&quot;,&quot;ClassId&quot;:1073872969,&quot;Properties&quot;:[134233614,&quot;true&quot;,134234082,&quot;true&quot;,201340122,&quot;2&quot;,201341983,&quot;0&quot;,268442635,&quot;20&quot;,335551500,&quot;0&quot;,335559704,&quot;1033&quot;,335559738,&quot;77&quot;,335559739,&quot;0&quot;,335559740,&quot;240&quot;,469769226,&quot;Arial,Muller&quot;,469775450,&quot;Table Paragraph&quot;,469777841,&quot;Arial&quot;,469777842,&quot;Muller&quot;,469777843,&quot;Muller&quot;,469777844,&quot;Arial&quot;,469778129,&quot;TableParagraph&quot;,469778324,&quot;Normal&quot;]}">Service Level Activities</span></span></strong></p>
</td>
<td data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">Rackspace Technology</span></span></strong></p>
</td>
<td data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">Customer</span></span></strong></p>
</td>
<td data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">Imperva</span></span></strong></p>
</td>
</tr>
<tr>
<td colspan="4" rowspan="1" data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">Basic Troubleshooting</span><span data-ccp-para="">&nbsp;*</span></span></strong></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Website Inaccessible</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">A</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">C</span></span></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">False Positives</span><span data-ccp-para="">**</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">I, C</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">A</span></span></p>
</td>
<td data-celllook="4369">&nbsp;</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Website Performance Issues</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">C, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">A</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;R</span></span></p>
</td>
</tr>
<tr>
<td colspan="4" rowspan="1" data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">Initial</span><span data-ccp-para="">&nbsp;Configuration and Onboarding</span></span></strong></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Initial Configuration of Service</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, A</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">C, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;C, I</span></span></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;Testing to ensure site compatibility&nbsp;</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;C, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;R, A</span></span></p>
</td>
<td data-celllook="4369">&nbsp;</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;Adjust DNS to send traffic through service</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;C, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;R, A</span></span></p>
</td>
<td data-celllook="4369">&nbsp;</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Locking Down Site to Imperva IP ranges</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, A</span></span></p>
</td>
<td data-celllook="4369">&nbsp;</td>
</tr>
<tr>
<td colspan="4" rowspan="1" data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">On-going Maintenance and Tuning</span></span></strong></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Signature/policy updates</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, A</span></span></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Security patches needed to deliver the service</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, A</span></span></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Deployment and&nbsp;</span><span data-ccp-para="">s</span><span data-ccp-para="">caling of I</span><span data-ccp-para="">n</span><span data-ccp-para="">frastructure</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, A</span></span></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Configuration changes</span><span data-ccp-para="">*</span><span data-ccp-para="">**</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, A</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">C, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;C</span></span></p>
</td>
</tr>
<tr>
<td colspan="4" rowspan="1" data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">Security Incident and Analysis&nbsp;</span></span></strong></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">DDoS Notification</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R,&nbsp;</span><span data-ccp-para="">I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;R, A</span></span></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;Backdoor Notification</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R,&nbsp;</span><span data-ccp-para="">I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;R, A</span></span></p>
</td>
</tr>
<tr>
<td colspan="4" rowspan="1" data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">Add-on Services</span></span></strong></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Advanced Bot Protection Configuration</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">C, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;R, A</span></span></p>
</td>
</tr>
<tr>
<td data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">Monitoring</span></span></strong></p>
</td>
<td data-celllook="69905">&nbsp;</td>
<td data-celllook="69905">&nbsp;</td>
<td data-celllook="69905">&nbsp;</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Imperva generated certificate expiration</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">C, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, A</span></span></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Imperva&nbsp;</span><span data-ccp-para="">PoPs</span><span data-ccp-para="">&nbsp;can&rsquo;t reach origin</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">C, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;R, A</span></span></p>
</td>
</tr>
<tr>
<td colspan="4" rowspan="1" data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">Ticketing and Alerting</span></span></strong></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">24x7x365 access to Fanatical Support for&nbsp;</span><span data-ccp-para="">Rackspace Technology</span><span data-ccp-para="">&nbsp;standard monitoring Services, including initial responses, escalations and troubleshooting of incidents within&nbsp;</span><span data-ccp-para="">Rackspace Technology</span><span data-ccp-para="">&nbsp;response time, SLA guarantees</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, A</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">C, I</span></span></p>
</td>
<td data-celllook="4369">&nbsp;</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Ongoing definition, management and maintenance of&nbsp;</span><span data-ccp-para="">Rackspace Technology</span><span data-ccp-para="">&nbsp;standard monitoring, platform, including the definition of alert triggers, thresholds and remediation instructions, Initial response, escalation, and troubleshooting</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">R, A</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">C, I</span></span></p>
</td>
<td data-celllook="4369">&nbsp;</td>
</tr>
<tr>
<td colspan="4" rowspan="1" data-celllook="69905">
<p><strong><span data-contrast="none"><span data-ccp-para="">Patching</span></span></strong></p>
</td>
</tr>
<tr>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">Releasing of new features, capabilities of the platform as well as resolving bugs and security vulnerabilities.&nbsp;</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;C, I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;I</span></span></p>
</td>
<td data-celllook="4369">
<p><span data-contrast="none"><span data-ccp-para="">&nbsp;R, A</span></span></p>
</td>
</tr>
</tbody>
</table>
