---
permalink: imperva-app-protect-with-rackspace-managed-security-support/
audit_date: '2021-08-04'
title: Imperva App Protect with Rackspace Managed Security support
type: article
created_date: '2021-08-04'
created_by: Adam Brown
last_modified_date: '2021-08-04'
last_modified_by: Stephanie Fillmon
product: Imperva App Protect
product_url: imperva-app-protect
---

Rackspace Support teams are available 24x7x365 to assist customers with
initial configuration, notification policies, reports, and to ensure
deployed appliances and solutions are fully operational through a combination
of Rackspace and Imperva continuous monitoring and alerting of any alarm
conditions to customer-designated contacts. Rackspace Support teams are our
Customers’ trusted advisors for best practices regarding Imperva products and
services deployed in the customer’s environment.  

With expertise in configuration, notification policy administration and
more, the Rackspace Support team is always available to assist Customers with
receiving premium value of their deployed service. The Rackspace Team can be
contacted by phone (1-800-961-4454) or through ticket submission at
https://login.rackspace.com.

As a global organization, Rackspace Technology uses a three shift
follow-the-sun support structure and has teams of skilled engineers available
to maintain, support and solve problems when required. There is no limit to
the number of support requests Customer can make.

Rackspace employs over 50 expertly trained and certified staff globally to
support the Imperva service. Rackspace has more than 6,500 staff globally,
with 85% operating in customer facing roles.

### Vendor escalation process

Rackspace may escalate support issues to Imperva on the Customer’s behalf as
needed. Customer would submit all support issues directly to Rackspace by
telephone, chat, or ticket.

Exception: If request is related to the Advanced Bot Protection, support
cases should be raised directly with Imperva to contact the analyst services
team. Rackspace does not provide support for this portion of the offering, so
engaging Rackspace instead of Imperva will result in a delay of resolution.

### Rackspace Technology Customer Portal

Rackspace Technology provides Customer with access to the
[Rackspace Customer Portal](https://docs.rackspace.com/docs/portal-onboarding-guide/).

### Operations runbook

The Imperva App Protect with Rackspace Managed services offering includes the
ability to set forth runbook instructions that the Rackspace Network Defense
team uses to ensure technicians are equipped to perform standardized tasks to
comply with customer needs. Runbooks are defined within the Customer’s account
management guidelines. Areas that Customer can provide guidance to the
technicians can include but are not limited to:

| Item | Description | Example |
| --- | --- | --- |
| Support Hours | Any agreed support hours that need to be adhered to; is this application only supported Monday to Friday or between certain hours | 24x7x365  08:00 - 18:00 Monday to Friday |
| Allowable Maintenance Window | Is there any pre-agreed maintenance time for this platform/application | On Customer’s agreement only or third (3rd) Sunday of the month |
| Incident Management Process | Standard Incident management process and Major Incident management process | A hyperlink to the pre-agreed standard and major incident management processes |
| Change Management Process | Standard and emergency Change advisory board (ECAB) change management processes | A hyperlink to the pre-agreed change and ECAB processes |
| Escalation Contacts | Agreed platform/escalation processes | A hyperlink to the pre-agreed platform / application escalation contacts |

### Ticketing Process

One of the primary ways that Customer can interact with Rackspace Technology is
by creating a ticket in the
[Rackspace Customer Portal](https://docs.rackspace.com/docs/portal-onboarding-guide/tickets/).

For requests that require an urgent or emergency classification, call the
24x7x365 support line directly.

### Support Relationship

Rackspace Technology provides customers with access to 24x7x365 Information
Security specialists to assist with the configuration, management, and
monitoring of the solution on behalf of the Customer. Customers can ask
questions pertaining to the service, obtain expert answers, and partner with
specialists to ensure the solution works best for Customer workloads. After
provisioning of the solution is complete, Customers can request additional
changes through standard support interactions or query the specialists for
answers.
