---
permalink: examples-of-rdbms-and-nosql-databases
audit_date: '2021-08-16'
title: 'Examples of RDBMS and NoSQL databases'
type: article
created_date: '2018-03-21'
created_by: Satyakam Mishra
last_modified_date: '2021-06-16'
last_modified_by: Ana Corpus
product: Managed Operations
product_url: managed-operations
---

This article presents several common relational database management systems
(RDBMSs) and NoSQL databases.

### Prerequisite

For an introduction to RDBMSs and NoSQL databases, see
[Properties of RDBMSs and NoSQL databases](/support/how-to/properties-of-rdbmss-and-nosql-databases/).

### Popular relational databases and RDBMSs

The following list describes popular SQL and RDBMS databases:

- **Oracle&reg;**: An object-relational database management system (DBMS)
  written in the C++ language.

- **IBM DB2&reg;**: A family of database server products from IBM&reg;.

- **SAP ASE&reg;**: A business relational database server product for
  primarily Unix&reg; operating systems.

- **Microsoft SQL Server&reg;**: An RDBMS for enterprise-level databases that supports both
  SQL and NoSQL architectures.

- **Maria DB&reg;**: An enhanced, drop-in version of MySQL&reg;.

- **PostgreSQL&reg;**: An enterprise-level, object-relational DBMS that uses
  procedural languages, such as Perl and Python, in addition to SQL-level code.


### Popular NoSQL databases

The following list describes popular NoSQL databases:

- **MongoDB&reg;**: The most popular open-source NoSQL system. MongoDB is a
  document-oriented database that stores JSON-like documents in dynamic
  schemas.

- **Apache CouchDB&reg;**: An open-source, web-oriented database developed by Apache&reg;.
  CouchDB uses the JSON data exchange format to store its documents;
  JavaScript for indexing, combining, and transforming documents; and HTTP for
  its API.

- **Apache HBase&reg;**: An open-source Apache project developed as a part of
  Hadoop&reg;. HBase is a column store database written in Java with
  capabilities similar to those that Google BigTable&reg; provides.

- **Oracle NoSQL Database&reg;**: A proprietary database that supports JSON table
  and key-value datatypes running on-premise or as a cloud service.

- **Apache Cassandra DB&reg;**: A distributed database that excels at handling extremely
  large amounts of structured data. Cassandra DB is also highly scalable.
  Facebook&reg; created Cassandra DB.

- **Riak&reg;**: An open-source, key-value store database written in Erlang. Riak
  has built-in fault-tolerance replication and automatic data distribution
  that enable it to offer excellent performance.

- **Objectivity InfiniteGraph&reg;**: A highly specialized graph database that focuses on
  graph data structures. InfiniteGraph, implemented in Java, is useful for finding hidden
  relationships in big data.

### Next step

[Introduction to MongoDB](/support/how-to/introduction-to-mongodb)

Use the Feedback tab to make any comments or ask questions. You can also [start a conversation with us](https://www.rackspace.com/contact).
