---
permalink: gogrid-eol-faq
audit_date: '2018-08-15'
title: GoGrid end of life FAQ
type: article
created_date: '2018-08-15'
created_by: Mike McBain
last_modified_date: '2018-09-27'
last_modified_by: Stephanie Fillmon
product: Managed Operations
product_url: managed-operations
---

Rackspace will discontinue support of GoGrid service effective May 31st, 2019.

If you are a GoGrid Cloud customer, we recommend migrating to one of
Rackspace’s managed solutions. Rackspace has an extensive portfolio of cloud
and single tenant solutions, including our Managed Public Clouds across
[Amazon Web Services (AWS)](https://www.rackspace.com/managed-aws), [Microsoft&reg; Azure&reg;](https://www.rackspace.com/microsoft/managed-azure-cloud), [Google Cloud Platform™](https://www.rackspace.com/managed-google-cloud), and
[OpenStack&reg;](https://www.rackspace.com/openstack/public), as well as extensive
support services encompassing migration, architecture design, and ongoing cloud
management and optimization.

This FAQ provides answers to customers who are interested in migrating
their GoGrid Infrastructure.

### GoGrid EOL and migration

#### What GoGrid services are included in the EOL?

All GoGrid services including GoGrid cloud and dedicated are included in the
EOL.

#### Will my data be accessible after the EOL date?

Data will not be accessible after the EOL date. You will be responsible for
migrating your data and infrastructure before the EOL.

#### Who is responsible for deleting my infrastructure once I have migrated to another platform?

You are responsible for managing your infrastructure, including but not
limited to spinning down virtual machines and/or deleting any data contained
on your infrastructure. Up until the EOL date, you will be billed for the
services you use in accordance with your Terms of Service.

#### Is it possible to extend the EOL date if I can't migrate off the platform in time?

It is not possible to extend the EOL date. Please contact us to review
your migration options.

#### Will you continue to support GoGrid until the EOL?

Yes, we will continue to support GoGrid and will be available to assist you
with any issues that you might have.

#### How can Rackspace help me choose the best cloud infrastructure for my business?

As a leader in Managed Services for public cloud infrastructure, Rackspace
delivers unbiased guidance on best-fit cloud solutions to organizations around
the globe. We go beyond simple migration assistance and infrastructure
management with multi-cloud managed services, professional services, and managed
application services to enable true digital transformation.

#### What replacement solutions does Rackspace offer that I can migrate to?

Rackspace has an extensive portfolio of cloud and single tenant solutions,
including our Managed Public Clouds across AWS, Microsoft Azure, Google Cloud
Platform, and OpenStack that provide similar on-demand cloud resources and
utility billing, but with significantly more stability and richer feature sets
as compared to GoGrid.

#### Will Rackspace migrate my GoGrid environment to a new platform for me?

No, Rackspace will not migrate your environment for you. However, we
have multiple migration options that we are ready to discuss with
you. Contact your GoGrid support team to set up a discussion.

#### Are there any self-service options for migration?

GoGrid Linux&reg; cloud servers might be able to [migrate to Rackspace Openstack Public Cloud using InstanceSync](/support/how-to/migrate-gogrid-cloud-servers-to-rackspace-cloud/). This method is offered as an unsupported courtesy and is not guaranteed to work for your GoGrid Linux servers.
