---
permalink: managed-cloud-service-levels-faq
audit_date: '2021-05-21'
title: Managed OpenStack Public Cloud service levels FAQ
type: article
created_date: '2014-07-14'
created_by: David Hendler
last_modified_date: '2021-05-21'
last_modified_by: Ana Corpus
product: Managed Operations
product_url: managed-operations
---

Get quick answers to common questions about the service levels for Managed OpenStack Public Cloud.
{{<accordion title="What are the service levels for Managed Public OpenStack Cloud?" col="in" href="accordion1">}}

Managed Public OpenStack Cloud has the following service levels:

-   **Managed Infrastructure**: Rackspace manages the data center, infrastructure, and virtualization layers.
-   **Managed Operations**: Rackspace manages the data center, infrastructure, virtualization layers,
    operating system, database layer, and web server.
{{</accordion>}}
{{<accordion title="What is the service-level pricing model?" col="in" href="accordion2">}}

The Managed Cloud pricing model provides greater transparency of your total
cloud expense by separating infrastructure and support costs.

The infrastructure rate depends on the number of gigabytes (GB) of random
access memory (RAM) used during the billing cycle, not on the server types.
This way, many small servers are the same price as fewer larger servers.

The support cost, or Service Level Rate, is determined by the total Compute
power used. The Service Level Rate covers the maintenance and support of all
your cloud Compute products (such as servers) and depends on your service
level. OnMetal servers have a flat hourly rate independent of RAM. If you do
not meet the minimum Service Level Rate during your billing cycle, we assess
the difference to your account.

Your service level and support cover all products, but we assess the Service
Level Rate against only Compute products. Storage services, such as Cloud Files
and Cloud Block Storage, have no Service Level Rates associated with them.
{{</accordion>}}
{{<accordion title="Can new customers choose other service levels for Managed OpenStack Public Cloud?" col="in" href="accordion3">}}

No, new customers can choose Managed Infrastructure or Managed
Operations. Customers with an older service level, such as the Infrastructure
service level, can stay on that level or move to one of the new levels.
Customers who upgrade to a new service level can't return to the old level.
{{</accordion>}}
{{<accordion title="What happens with customers who are on the old Infrastructure service level?" col="in" href="accordion4">}}

Customers who have the Infrastructure service level keep 
their current pricing plan and continue to receive the same support.
{{</accordion>}}
{{<accordion title="Is Rackspace improving the support experience?" col="in" href="accordion5">}}

Yes, we are always looking at ways to improve our support.
{{</accordion>}}
{{<accordion title="What do I get from Rackspace support?" col="in" href="accordion6">}}

There are five foundational components to Rackspace support:

-   **Architecture advisors**: Move beyond one-size-fits-all reference
    architectures. Let our experts tailor your workload architecture to your
    exact needs.
-   **Security guidance**: Let us apply our cloud expertise to your workload to
    help identify potential vulnerabilities and enable more secure deployments.
-   **Code development assistance**: Standard developer guides alone aren't
    enough. Use our experts for your code, leveraging our interfaces, for
    example, APIs and SDKs.
-   **Launch assistance**: Use our specialists to help understand your unique 
    needs.
-   **24x7 access to cloud engineers**: Reach our experts when your business 
    needs them.
{{</accordion>}}
{{<accordion title="Do Managed Operations customers get additional services?" col="in" href="accordion7">}}

Yes, customers at the Managed Operations service level can take advantage of the
following additional services:

-   Platform maintenance
-   Cloud application installation
-   Monitoring and response
-   Cloud application service management
-   Named account manager
{{</accordion>}}
{{<accordion title="What support guarantees do customers receive with Managed Cloud?" col="in" href="accordion8">}}

To learn more about our support guarantees, see the general
[Cloud Terms of Service](https://www.rackspace.com/information/legal/cloud/tos).
{{</accordion>}}
