---
permalink: reasons-to-use-a-nosql-database
audit_date: '2021-06-17'
title: 'Reasons to use a NoSQL database'
type: article
created_date: '2018-03-20'
created_by: Satyakam Mishra
last_modified_date: '2021-06-17'
last_modified_by: Ana Corpus
product: Managed Operations
product_url: managed-operations
---

NoSQL databases have capabilities that traditional relational databases do
not. They are especially useful for handling big data.

### Prerequisite

For an introduction to relational databases and NoSQL databases, see [Types of
databases](/support/how-to/types-of-databases).

### Understanding when a you might prefer a NoSQL database

You might choose a NoSQL database for the following reasons:

- **To store large volumes of data that might have little to no structure**.

  NoSQL databases do not limit the types of data that you can store together,
  and they enable you to add new data types as your needs change.
  With document-oriented databases, you can store data in one place without
  having to define the data type in advance.

- **To make the most of cloud computing and storage**.

  To scale a cloud solution, you need date that is easy to share
  across multiple servers.

- **To speed development**.

  A relational database slows you down when you develop in rapid iterations
  or make frequent updates to the data structure. However, because you don't
  need to prepare NoSQL data ahead of time, you can make frequent
  updates to the data structure with minimal downtime.

- **To boost horizontal scalability**.

 The CAP (consistency, availability, and partition tolerance) theorem states
 that you can use only two of the three CAP properties simultaneously in any
 distributed system. Adjusting these properties in favor of strong partition
 tolerance enables NoSQL users to boost horizontal scalability.

### Next step

[Examples of RDBMS and NoSQL databases](/support/how-to/examples-of-rdbms-and-nosql-databases/)

Use the Feedback tab to make any comments or ask questions. You can also [start a conversation with us](https://www.rackspace.com/contact).
