---
permalink: reasons-to-use-an-sql-database
audit_date: '2021-06-17'
title: 'Reasons to use a SQL database'
type: article
created_date: '2018-02-27'
created_by: Satyakam Mishra
last_modified_date: '2021-06-17'
last_modified_by: Ana Corpus
product: Managed Operations
product_url: managed-operations
---

Many businesses use both relational databases and non-relational databases.
While NoSQL databases are gaining popularity due to their speed and
scalability, you might prefer highly structured SQL databases in certain
cases.

### Prerequisite

For an introduction to relational databases and NoSQL databases, see [Types of
databases](/support/how-to/types-of-databases/).

### Understand when to choose a SQL database

You might choose an SQL database for the following reasons:

- **You want to ensure ACID compliance.** ACID stands for atomicity, consistency,
  isolation, and durability. ACID compliance reduces anomalies and protects
  the integrity of your database by prescribing exactly how transactions
  interact with the database.

- **Your data is structured and unchanging.** If your business isn’t experiencing
  significant growth that would require additional servers and you’re
  working only with consistent data, then an SQL database might be adequate.

### Next step

[Reasons to use a NoSQL database](/support/how-to/reasons-to-use-a-nosql-database/)

Use the Feedback tab to make any comments or ask questions. You can also [start a conversation with us](https://www.rackspace.com/contact).
