---
permalink: android-gmail-setup-office365
audit_date: '2021-01-22'
title: Set up your Microsoft 365 Exchange Online mailbox for Gmail on an Android device
type: article
created_date: '2021-01-22'
created_by: Allison Battles and Brian Wieland
last_modified_date: '2021-01-22'
last_modified_by: Nick McCullar and Nick Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** Setting up email takes about five minutes. Propagation of email inside the Gmail&reg; application
  depends on the size of the mailbox as well as the internet speed.
- **Tools required:** Licensed user, Android&reg; device with the Gmail application.

### Configure your mailbox

Use the following steps to set up your Office 365&reg; Exchange&reg; Mailbox:

1. Click **Gmail**.

2. Click on the menu icon in the top-left corner of the screen.

3. Click **Settings**.

4. Click **Add Account**.

5. Select **Exchange and Microsoft 365**.

6. Enter an Office 365 email address.

7. Click **Next**.

8. Enter your password and click **Next**.

9. If the **Redirect request** screen displays, you see the follow message: 

       To configure your account, Gmail is being asked to send account info to https://autodiscover-s.outlook.com/autodiscover/autodiscover.xml is this ok?

10. Click **OK**.

11. When you see the **Remote security administration** and approve additional security measures, click **OK** to finalize the setup.

### Basic instruction

Now that you have configured the exchange mailbox, here are a few basic functions within the Apple&reg; mail application on the device:

#### Composing a new message

1. In the Mail app, tap the **New Message** pen inside a square icon at the bottom-right side of the screen.

2. Compose the message.

3. Tap the **paper airplane (send icon)** in the upper-right corner of the screen.

#### Reply to or forward an email

1. Tap the message that you want to reply to or forward.

2. Choose if you want to  **Reply**, **Reply All** ,or **Forward** the email. 

   - **Reply**: Sends your response to only the person that sent the message.
   - **Reply All**: Sends your response to everyone the message was sent to, including the *CC* field recipients.
   - **Forward**: Sends your response to sends the message to another person or group.

3. After you compose your message, tap the **paper airplane (send icon)**.
