---
permalink: assign-global-admin-role-office-365
audit_date: '2019-11-27'
title: Assign the Global Administrator role to a user account in Office 365
type: article
created_date: '2019-11-27'
created_by: Walter Stubbs
last_modified_date: '2019-11-29'
last_modified_by: William Loy
product: Office 365
product_url: office-365
---

This article describes how to assign the Global Administrator role to an Office 365&reg; user account.

### Prerequisites

- **Applies to:** Administrator
- **Difficulty:** Easy
- **Time Needed:** Approximately 15 minutes
- **Tools Needed:** Administrators need access to the Office 365 Control Panel

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

Organizations with multiple administrators might need to have more than one Global Administrator in Office 365. A Global Administrator account is required to access the [Office 365 Control Panel](https://manage365.rackspace.com). Global Administrators have almost unlimited access to your organization's settings and most of the data.

**Note:** Each Office 365 account is created with a default administrator account with the Global Administrator role. Credentials for the default administrator account are sent to the email address provided during the sign-up for Office 365 services.

### Assign the Global Administrator role to a user

Use the following steps to assign the Global Administrator role to a user:

1.	Log in to your [Office 365 Control Panel](https://manage365.rackspace.com).

2.	From the left menu, select **Users**.

3.	Find the user you wish to assign the role to and select **Manage**.

4.	Select **Edit Username**.

5.	Under **Role**, select **Global Administrator** from the drop-down menu.

6.	Select **Save**.

7.	The selected user now has the Global Administrator role assigned to their account.

**Warning:** Microsoft&reg; warns that having more than four Global Administrators on an account is a security threat.

### Securing your Global Administrator account

As an administrator of your company’s email solution, you have a great deal of control over your account. If your administrator access is compromised, the results can be devastating to your business. A strong security policy is not complete without enabling multi-factor authentication. See [Manage multi-factor authentication for users in Office 365](/support/how-to/manage-multi-factor-authentication-for-users-in-office-365) for instructions.

### Additional information

To view the full description of the Global Administrator role in Office 365, see [Administrator role permissions in Azure Active Directory](https://docs.microsoft.com/en-us/azure/active-directory/users-groups-roles/directory-assign-admin-roles#global-administrator--company-administrator).
