---
permalink: azure-ad-sign-in-logs-office365
audit_date: '2020-04-13'
title: How to access and view sign-in logs for your Office 365 users
type: article
created_date: '2020-04-09'
created_by: Josh Knippel
last_modified_date: '2020-04-13'
last_modified_by: William Loy
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** Administrator
- **Difficulty:** Easy
- **Time Needed:** Approximately 10 minutes
- **Tools Needed:** Office 365&reg; Global Administrator access

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

This article lists the steps to access and view the sign-in logs for your Office 365 organization and users.

### View all sign-ins for your organization

Use the following steps to view all sign-ins for your organization:

1.	Log in to your [Office 365 Control Panel](https://manage365.rackspace.com).

2.	From the left menu, select **Office 365 Admin Center**.

3.	From the left menu, select **Azure Active Directory** under **Admin centers**.

    **Note:** If you don't see the **Admin centers** section, you might need to select **Show all...**.

4.	Select **Azure Active Directory** from the left menu, and then **Sign-ins** under the **Monitoring** section.

    **Note:** You can filter your results and change your view by using the **Add filters** and **Columns** options.

### View sign-ins for a specific user

1.	Log in to your [Office 365 Control Panel](https://manage365.rackspace.com).

2.	From the left menu, select **Office 365 Admin Center**.

3.	From the left menu, select **Azure Active Directory** under **Admin centers**.

    **Note:** If you don't see the **Admin centers** section, you might need to select **Show all...**.

4.	Select **Azure Active Directory** from the left menu, and then **Users**.

5.  Search for the user you want to view, and then click their name.

6.  Select **Sign-ins** from the menu.

**Note:** You can filter your results and change your view by using the **Add filters** and **Columns** options.

### Additional resources

To learn more about user activity reports in Office 365, see [Find activity reports in the Azure portal](https://docs.microsoft.com/en-us/azure/active-directory/reports-monitoring/howto-find-activity-reports).
