---
permalink: create-and-access-shared-mailboxes-office-365
audit_date: '2020-06-05'
title: How to create and access shared mailboxes in Office 365
type: article
created_date: '2019-12-24'
created_by: Jon Muckenfuss
last_modified_date: '2020-06-05'
last_modified_by: Stephanie Fillmon
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** Administrator and User
- **Difficulty:** Easy
- **Time Needed:** Approximately 15 minutes
- **Tools Needed:** Administrators need access to the Office 365&reg; Control Panel. Users need access to Outlook&reg; or the Outlook Web Application&reg; (OWA).

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

This article lists steps for creating users, assigning users, and accessing shared mailboxes in Office 365. Shared mailboxes are primarily used for things such as a shared calendar, sending and receiving a common email address such as Sales, or using a common email address as a shared address list.

### Create a shared mailbox

Use the following steps to create a shared mailbox:

1.	Log in to your [Office 365 Control Panel](https://manage365.rackspace.com).

2.	From the left menu, select **Office 365 Admin Center**.

3.	From the left menu, select **Groups**, and then **Shared Mailboxes**.

4.	Select **Add a Mailbox** from the top menu.

5.	Fill in the **Display Name** and **Email Address** for the shared mailbox.

### Assign users to a shared mailbox

Use the following steps to assign access to a shared mailbox:

1.	Log in to your [Office 365 Control Panel](https://manage365.rackspace.com).

2.	From the left menu, select **Office 365 Admin Center**.

3.	From the left menu, select **Groups**, and then **Shared Mailboxes**.

4.	Select the shared mailbox that you want to modify.

5.	Select **Edit** under the **Members** section of the page.

6.	From the top section, select **Add Members**, and then search for and select the users
    that you want to have access to the mailbox.

7.  Confirm the selections you have made, and then click **Save**.

### Access the shared mailbox by using OWA

Users that are listed as members of a shared mailbox can access the shared mailbox by using the OWA.

Use the following steps to access the shared mailbox by using OWA:

1.	Log in to the [Outlook Web App](https://outlook.office.com) with your Office 365 credentials.

2.	From the top right corner, select the icon with your profile picture or initials.

3.	Select **Open Another Mailbox**. Then search for the shared mailbox from the list, and select **Open**.
