---
permalink: getting-started-with-microsoft-teams
audit_date: '2020-06-25'
title: Getting started with Microsoft Teams
type: article
created_date: '2020-03-17'
created_by: Walter Stubbs
last_modified_date: '2020-03-17'
last_modified_by: William Loy
product: Office 365
product_url: office-365
---

This article helps organizations begin using Microsoft Teams&reg;. This article isn't intended to be a comprehensive administrative or end user guide.

For more information about Office 365&reg; subscriptions, see [Set Up Office 365](/support/how-to/set-up-office-365).

### Prerequisites

- **Applies to:** Administrators and Users
- **Time needed:** Approximately 1 hour
- **Tools required:** Administrators need Office 365 Global Administrator access, users need their Office 365 Credentials

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

### License a user for Microsoft Teams

Users must have a valid license that has Microsoft Teams. To see which licenses contain Microsoft Teams and to learn how to buy licenses and assign them to a user, see [add an Office 365 license](/support/how-to/add-an-office-365-license).

### Download, install, and sign in to the Microsoft Teams desktop client

1. Download the Microsoft Teams app for Windows&reg;, MacOS&reg;, iOS&reg;, or Android&reg;-powered devices by going to the [Download Microsoft Teams site](https://products.office.com/en-us/microsoft-teams/download-app).

    **Note:** Users licensed for the Office&reg; applications should use the Microsoft Teams app included with their Office installation.

2. If you downloaded the desktop app for Windows or MacOS, launch the installer and follow the instructions to install the app. If you downloaded the iOS or Android app, you don't need to install anything.

3. Launch Microsoft Teams and sign in with your username and password when prompted.

### Sign in to the Microsoft Teams app on the Web

Microsoft Teams is accessible using desktop devices, mobile devices, and the Web app through the [Office 365 Portal](https://portal.office.com).

1. Sign in to the [Office 365 Portal](https://portal.office.com) with your username and password.

2. Select the **Teams** icon from the **Apps** menu. If the Teams icon isn't visible, select the **All apps** icon, then find the **Teams** icon from the expanded list.

   **Note:** If you do not see the Teams icon, reach out to your administrator to ensure you are properly licensed to use Microsoft Teams.

### Select or join a team

1. After launching Microsoft Teams, select the **Teams** tab from the left menu.

2. Teams that you are a member of are listed under the **Your teams** section. Select the name of the Team you want to access. If you don't see any Teams listed under **Your teams**, proceed to the next step.

3. If you don't see any Teams listed under **Your teams**, select **Join or create a team**.

4. If you are provided a code to join a team, type the code in the box under **Join a team with a code**, otherwise choose or search for a team to join.

5. Once you have found a team to join, place your cursor over the team and select **Join team**.

6. Find your team in the **Your teams** section and select it.

### Channels and chat

Each team can have multiple channels where collaboration occurs. The default channel is the *General* channel. Team Administrators can add more channels as needed.

1. Once you select a channel, a chat window displays on the right half of the app. This chat is public for all members of your team.

2. Use the `@` symbol to mention another user within the channel.

3. Select **Reply** beneath an existing chat message to begin threading a conversation beneath that message.

### Using the Files tab

There are many ways to share files in Microsoft Teams. The primary way to share files is by using the **Files** tab within a channel. The **Files** tab uses its own SharePoint Online&reg; document library to store files that can be shared amongst a team.

1. Select the **Files** tab from the top of the channel.

2. To open an existing file, select the file name. Most files can be opened within the app itself, others you can download to your device.

3. You can upload individual files or entire folders. To upload a file or folder, select **Upload** from the top menu, then the option that best fits.

4. You can also create a new Folder, or a new document by using the Office online apps directly in the **Files** tab by selecting **New**, then choosing **Folder** or selecting the type of document you want to create. You can create Word&reg; documents, Excel&reg; workbooks, PowerPoint&reg; presentations, OneNote&reg; notebooks, and Forms&reg; for Excel all within the Teams app.

5. If you have the OneDrive Sync Client&reg; installed, you can sync a channel's **Files** tab by selecting the **Sync** option. This opens the OneDrive Sync Client and walks you through syncing the document library to your desktop.


### Using direct chat

1. Select the **Chat** tab from the left menu.

2. In the Chat menu, select a user from the **Suggested** users list, or select the pen and paper icon from the top menu.

3. When prompted, type the name of a user or group in the **To:** field. This field should populate users in your organization as you type. Select the user you wish to chat with.

4. Type your message in the **Type a new message** field in the chat window.

### Video and Audio Calling

You can perform Video and Audio Calling to other members on Microsoft Teams in your organization

1. Select the **Calls** tab from the left menu.

2. Select **Make a call**, then type in the name of the user in your organization you wish to call, or choose from the list of Suggested users.

3. Select the Phone icon for an audio call, or the Video Camera icon for a video call.

  **Note:** Video or Audio call during a direct chat by selecting the Video Camera or Phone icon from the top right corner of the chat.

### Calendar

The Calendar tab in Microsoft Teams shows your personal Office 365 Exchange Online calendar. If you have any meetings on your calendar that are scheduled through Microsoft Teams, you can join the meeting directly from the Calendar tab.

**Note:** The Microsoft Teams Calendar tab doesn't work for users with stand-alone Teams licenses or any users that aren't licensed for Exchange Online.

### Activity tab

The **Activity** tab allows you to view activity that occurs within Microsoft Teams. You can customize what appears in your **Feed** by modifying the settings for your account.

### Additional resources

To learn more about Microsoft Teams and how to get started, see [Microsoft Teams Quick Start](https://support.office.com/en-us/article/video-what-is-microsoft-teams-422bf3aa-9ae8-46f1-83a2-e65720e1a34d).

To learn more about managing Microsoft Teams as an administrator, see [Manage Teams settings for your organization](https://docs.microsoft.com/en-us/microsoftteams/enable-features-office-365).
