---
permalink: import_pstfiles_to-microsoft365
audit_date: '2022-12-19'
title: How to import PST files to Microsoft 365
type: article
created_date: '2022-12-19'
created_by: Tom Mitchell
last_modified_date: '2022-12-19'
last_modified_by: Rohit Rajput
product: Office 365
product_url: office-365
---

How to import PST files to Microsoft 365
===============================================

This article describes how to import a PST file into a Microsoft 365 mailbox. 
### Prerequisites
- **Applies to:** Cloud Office Administrator
- **Difficulty:** Moderate
- **Tools required:** Microsoft Outlook

**NOTE**: Importing PST files into a mailbox requires the desktop version of Microsoft Outlook on Windows. If you have not yet configured your Microsoft 365 mailbox in Microsoft Outlook, see [Set up your Microsoft 365 Exchange Online mailbox in Outlook for Windows](https://docs.rackspace.com/support/how-to/set-up-your-microsoft-365-exchange-online-mailbox-in-outlook-for-windows/) for configuration steps.

For more information about prerequisite terminology, see [Cloud Office support terminology](https://docs.rackspace.com/support/how-to/cloud-office-support-terminology/).


Importing PST files to Microsoft 365
------------------------------------------

**Step 1**. Open Microsoft Outlook with your Microsoft 365 mailbox profile.

**Step 2**. At the top of the Outlook ribbon, select **File**.

<img alt="file" src="/support/how-to/import_pstfiles_to-microsoft365/file.png">

**Step 3**. Select **Open & Export >> Import/Export**. This will open the Import/Export wizard.

<img alt="Open Export and then import export" src="/support/how-to/import_pstfiles_to-microsoft365/openexport_importexport.png">


**Step 4**. Select **Import from another program or file**, and then click **Next**.

<img alt="Import from another program" src="/support/how-to/import_pstfiles_to-microsoft365/importfromanotherprogram.png">

**Step 5**. Select **Outlook Data File (.pst)** and click **Next**.

<img alt="Outlook Datafile" src="/support/how-to/import_pstfiles_to-microsoft365/outlookdatafile.png">

**Step 6**. Click **Browse** to search for the .pst file you want to import. Under **Options**, choose how you want to handle duplicate items, then click **Next**.

<img alt="Browse options" src="/support/how-to/import_pstfiles_to-microsoft365/browse_options.png">

**Step 7**. Make sure the checkbox for **include subfolders** is checked and the **Import items into the same folder in:** is selected, with your mailbox selected in the drop-down menu.

<img alt="Import items into same folder" src="/support/how-to/import_pstfiles_to-microsoft365/importitemsintosamefolder_finish.png">


**Step 8**. Click **Finish**. Outlook will begin importing the contents of your PST file. This process can take anywhere from a few seconds to a few hours depending on the size of the PST file.

### How to import a .pst file into a Microsoft 365 mailbox using Microsoft Outlook
<!-- YouTube video embed for https://youtu.be/w-DTWtGHspQ -->
{{< youtube w-DTWtGHspQ >}}
