---
permalink: o365-spheres-of-support
audit_date: '2020-07-31'
title: Microsoft 365 Spheres of Support
type: article
created_date: '2020-07-31'
created_by: Jeremiah Sauder
last_modified_date: '2022-11-22'
last_modified_by: Nick Ramirez
product: Office 365
product_url: office-365
---


### Prerequisites

- **Applies to:** End-users
- **Difficulty:** Easy
- **Time Needed:** Varies
- **Tools Needed:** None

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

This article outlines the **Fanatical Experience&trade;** we offer and the **Rackspace&reg; Application Services** / **Elastic Engineering** support for **Microsoft 365&reg;**.

| Support type | Definition |
| --- | --- |
| **Fanatical Support** | 24/7 break/fix support for various parts of the Microsoft 365 platform. Our Microsoft-certified customer success professionals work with your administrative staff to troubleshoot problems and resolve issues. |
| **Troubleshoot** | Rackspace assists customer administrative staff with the diagnosis of complex issues or problems with new configurations. Rackspace advises the customer administrative staff on the recommended diagnosis and remediation steps. Troubleshooting might include calls with customer staff, response to email questions, or problem assessment by using scripts or manual investigation when requested by the customer. |
| **Consult** | Our Microsoft-certified engineers and Technical Account management teams meet with customer administrative staff to provide advice, product knowledge, implementation and architecture guidance, and project plans to implement the Microsoft 365 platform features in the most effective way possible. Consulting might include documentation of suggestions as well as a roadmap for implementation. |
| **Enable** | Rackspace engineers work side-by-side with customer administrative staff to implement desired features or configurations for the customer. Rackspace provides documentation of the implementation steps as well as any architectural or operational decisions made by the customer. Our team helps implement pilot and test configurations and support production deployments in close collaboration with the customer's administrative staff. |


### Exchange Online


| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [DKIM](https://docs.microsoft.com/en-us/microsoft-365/security/office-365-security/use-dkim-to-validate-outbound-email?view=o365-worldwide) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [DMARC](https://docs.microsoft.com/en-us/microsoft-365/security/office-365-security/use-dmarc-to-validate-email?view=o365-worldwide) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Mail Flow Rules](https://docs.microsoft.com/en-us/exchange/security-and-compliance/mail-flow-rules/mail-flow-rules) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Connectors](https://docs.microsoft.com/en-us/exchange/mail-flow-best-practices/use-connectors-to-configure-mail-flow/use-connectors-to-configure-mail-flow) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Exchange Role-Based Permissions](https://docs.microsoft.com/en-us/exchange/permissions-exo/permissions-exo) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Retention Tags and Retention Policies](https://docs.microsoft.com/en-us/exchange/security-and-compliance/messaging-records-management/retention-tags-and-policies) | Troubleshooting default retention tag applications and basic customization | Tailored retention policies, migration of legacy retention policies, and recommended configuration | &check; | &check; | &check; |
| [Azure Information Protection](https://docs.microsoft.com/en-us/azure/information-protection/what-is-information-protection) | Troubleshooting default Azure Information Protection template configuration  | Tailored AIP template configuration, enablement, and management to suit business needs | &check; | &check; | &check; |
| [Office 365 Message Encryption](https://docs.microsoft.com/en-us/microsoft-365/compliance/ome?view=o365-worldwide) | Support for Rackspace control panel options | Tailored Office 365 message encryption solutions for email security and compliance, including hybrid solutions | &check; | &check; | &check; |
| [In-Place Hold and Litigation Hold](https://docs.microsoft.com/en-us/exchange/security-and-compliance/in-place-and-litigation-holds) | Assistance enabling litigation hold per mailbox | Tailored solutions for litigation hold and configuration including ensuring data compliance and security alongside company policy | &check; | &check; | &check; |
| [In-Place eDiscovery](https://docs.microsoft.com/en-us/exchange/security-and-compliance/in-place-ediscovery/in-place-ediscovery) | Assistance with In-Place eDiscovery access and configuration | eDiscovery enablement, configuration, and guidance for ongoing use-case scenario and compliance needs | &check; | &check; | &check; |
| [Data Loss Prevention](https://docs.microsoft.com/en-us/archive/blogs/uspartner_ts2team/office-365-things-you-need-to-know-data-loss-prevention) | Default DLP policies to meet security and compliance requirements | Tailored DLP Policies, guidance, and solutions, including enablement and business integration | &check; | &check; | &check; |
| [Journaling](https://docs.microsoft.com/en-us/exchange/security-and-compliance/journaling/journaling) | Rackspace unlimited archiving solution per user to meet regulatory needs and compliance | Bring your own third-party journaling solution for compliance, business, or regulatory needs and get personalized assistance with application setup and integration | &check; | &check; | &check; |
| [Anti-Spam and Anti-Malware Protection](https://docs.microsoft.com/en-us/microsoft-365/security/office-365-security/anti-spam-and-anti-malware-protection?redirectSourcePath=%252fen-gb%252farticle%252fanti-spam-anti-malware-protection-in-office-365-5ce5cf47-2120-4e51-a403-426a13358b7e&view=o365-worldwide) | Troubleshoot built-in malware and spam filtering capabilities | Tailored anti-spam and anti-malware protection policies, configurations, and solutions per business-critical requirements for mail data protection | &check; | &check; | &check; |
| [Quarantine - administrator management](https://docs.microsoft.com/en-us/microsoft-365/security/office-365-security/manage-quarantined-messages-and-files?view=o365-worldwide) | Troubleshoot quarantine, reporting false positives, end-user spam notifications, and access | Tailored quarantine solutions catered to business needs that require custom solutions with Exchange Online Protection. Also integration and enablement of third-party solutions | &check; | &check; | &check; |
| [Custom Routing of Outbound Mail](https://docs.microsoft.com/en-us/office365/servicedescriptions/exchange-online-service-description/mail-flow) | Troubleshoot mail flow with connectors and routing mail flow inbound and outbound from Office 365 | Tailored solutions for mail flow to meet business-critical needs, including connectors, hybrid mail flow through Exchange Online, custom configurations, and enablement | &check; | &check; | &check; |
| [Clutter](https://support.microsoft.com/en-us/office/use-clutter-to-sort-low-priority-messages-in-outlook-7b50c5db-7704-4e55-8a1b-dfc7bf1eafa0?ui=en-us&rs=en-us&ad=us) | Troubleshooting and assistance enabling and disabling | Tailored solutions and guidance | &check; | &check; | &check; |
| [MailTips](https://docs.microsoft.com/en-us/exchange/clients-and-mobile-in-exchange-online/mailtips/configure-custom-mailtips) | Troubleshoot policy mail tip configurations based on transport rules and DLP Policy | Tailored Mail flow transport rules, including Data Loss Prevention policy tips for meeting enterprise-level requirements | &check; | &check; | &check; |
| [Inbox Rules](https://support.microsoft.com/en-us/office/use-rules-in-outlook-web-app-to-automatically-forward-messages-to-another-account-1433e3a0-7fb0-4999-b536-50e05cb67fed?ui=en-us&rs=en-us&ad=us) | Troubleshoot Outlook Web Access inbox rules' configuration | Tailored end-user Inbox mail flow solutions, including bulk enablement of rules required by the organization | &check; | &check; | &check; |
| [Address Book Policies](https://docs.microsoft.com/en-us/exchange/address-books/address-book-policies/create-an-address-book-policy) | Troubleshoot your organization’s Global Address List (GAL) | Tailored Address Book Policy solutions for user segmentation per required business needs and compliance. Customized solutions through PowerShell&reg;, including ongoing solutions and maintenance | &check; | &check; | &check; |
| [Address Lists and Global Address List](https://docs.microsoft.com/en-us/exchange/address-books/address-lists/manage-address-lists) | Troubleshoot management of address lists | Enablement, configuration, and detailed use of Address Lists and Global Address Book policy management to meet business-critical day-to-day needs | &check; | &check; | &check; |
| [Office 365 Groups](https://support.microsoft.com/en-us/office/learn-about-microsoft-365-groups-b565caa1-5c40-40ef-9915-60fdb2d97fa2?ui=en-us&rs=en-us&ad=us) | Troubleshoot Office 365 Groups | Tailored Office 365 Groups solutions, enablement, and ease of business adoption to leverage all features included, such as Dynamic Group Membership, Group Naming Policy, and granular self-service group creation controls | &check; | &check; | &check; |
| [Distribution Groups](https://support.microsoft.com/en-us/office/distribution-groups-e8ba58a8-fab2-4aaf-8aa1-2a304052d2de?ui=en-us&rs=en-us&ad=us) | Troubleshoot creation of distribution groups in the Office 365 Admin Center | Tailored solutions catered for business-specific requirements for in-depth enablement, including consultation and guidance on day-to-day configuration | &check; | &check; | &check; |
| [Resource Mailboxes](https://docs.microsoft.com/en-us/exchange/recipients/room-mailboxes?view=exchserver-2019) | Troubleshoot resource mailboxes created in the Office 365 Admin Center | Customized solutions for business needs and requirements for conference rooms and equipment. Consultation and guidance through enablement and management best practices | &check; | &check; | &check; |
| [Out-of-Office Replies](https://support.microsoft.com/en-us/office/automatic-replies-formerly-out-of-office-assistant-48d40166-0129-4653-98f1-eb85f9bd8c20?ui=en-us&rs=en-us&ad=us) | Troubleshoot automatic replies in Outlook Web App and Outlook | Tailored solutions for company-wide enablement, configurations per business needs, including customized business out-of-office scenarios | &check; | &check; | &check; |
| [Calendar Sharing](https://support.microsoft.com/en-us/office/calendar-sharing-in-microsoft-365-b576ecc3-0945-4d75-85f1-5efafb8a37b4?ui=en-us&rs=en-us&ad=us) | Troubleshoot calendar sharing in Outlook Web App and Outlook | Tailored solutions and guidance for day-to-day adoption of Office 365 calendar sharing. Consultative solutions tailored to business needs | &check; | &check; | &check; |
| [Office 365 admin center reports](https://docs.microsoft.com/en-us/microsoft-365/admin/activity-reports/activity-reports?redirectSourcePath=%252fen-us%252farticle%252factivity-reports-in-the-office-365-admin-center-0d6dfb17-8582-4172-a9a9-aed798150263&view=o365-worldwide) | Troubleshoot access to all Office 365 reports | Tailored Office 365 report use and access for delivering business-critical solutions in an enterprise environment | &check; | &check; | &check; |
| [Message Trace](https://docs.microsoft.com/en-us/exchange/monitoring/trace-an-email-message/run-a-message-trace-and-view-results) | Troubleshoot Exchange mail flow message tracing, analyzing, and access assurance | Assistance with Exchange mail flow message tracing, analyzing, and access assurance, including business-tailored requirements for day-to-day maintenance | &check; | &check; | &check; |
| [Auditing Reports](https://docs.microsoft.com/en-us/office365/Enterprise/office-365-auditing-and-reporting-overview) | Troubleshoot access to and assistance with Office 365 audit logs | Business-critical tailored solutions for audit reports across Office 365 reporting services, including detailed PowerShell auditing enablement and full-feature licensing Azure auditing guidance | &check; | &check; | &check; |
| [Federated Sharing (Including Calendar Publishing)](https://docs.microsoft.com/en-us/microsoft-365/admin/manage/share-calendars-with-external-users?redirectSourcePath=%252fen-us%252farticle%252fshare-calendars-with-external-users-fb00dd4e-2d5f-4e8d-8ff4-94b2cf002bdd&view=o365-worldwide) | Troubleshoot federated calendar sharing | Tailored solutions for setting up organization relationships for sharing calendar information with external business partners, including Exchange on-premises organizations and Office 365 organizations | &check; | &check; | &check; |
| [Public Folders](https://docs.microsoft.com/en-us/exchange/collaboration-exo/public-folders/public-folders) | Troubleshoot access to and assistance with Exchange Admin Center public folders | Tailored solutions for Office 365 public folders, including legacy migrations, enablement, and ongoing access-management of PF hierarchies | &check; | &check; | &check; |
| [Exchange ActiveSync](https://docs.microsoft.com/en-us/exchange/clients-and-mobile-in-exchange-online/exchange-activesync/exchange-activesync) | Troubleshoot Exchange ActiveSync | Tailored enablements, solutions, and consultation on Exchange ActiveSync features and functionality, including device security features, managing mobile device access, and device policies | &check; | &check; | &check; |
| [Mobile Device Management for Office 365](https://support.microsoft.com/en-us/office/set-up-basic-mobility-and-security-dd892318-bc44-4eb1-af00-9db5430be3cd?ui=en-us&rs=en-us&ad=us) | Assistance in helping you secure and manage mobile devices including iPhones, iPads, Androids, and Windows Phones used by licensed Office 365 users in your organization | Tailored solutions, enablement, and adoption of MDM policies for supported devices, including access control for Office 365 email and documents, policy settings for mobile devices, and remote wipe functionality | &check; | &check; | &check; |
| [POP and IMAP](https://docs.microsoft.com/en-us/exchange/clients-and-mobile-in-exchange-online/pop3-and-imap4/pop3-and-imap4) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [SMTP](https://docs.microsoft.com/en-us/exchange/mail-flow-best-practices/how-to-set-up-a-multifunction-device-or-application-to-send-email-using-microsoft-365-or-office-365) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Deleted Item Recovery](https://docs.microsoft.com/en-us/office365/enterprise/recover-deleted-items-in-a-mailbox) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Deleted Mailbox Recovery](https://docs.microsoft.com/en-us/exchange/recipients-in-exchange-online/delete-or-restore-mailboxes) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |


### Sharepoint Online


| **Feature**  | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Site Customization](https://docs.microsoft.com/en-us/sharepoint/dev/solution-guidance/portal-overview) | No support  | Guidance and advice on industry proven customizations, project management of partner-run, full-on customizations. | &check; | &check; |  |
| [Site enablement](https://docs.microsoft.com/en-us/sharepoint/dev/solution-guidance/portal-rollout) | No support | Guidance and advice on industry-proven customizations, project management of partner-run, full-on enablements. | &check; | &check; |  |
| [Data loss prevention](https://social.technet.microsoft.com/wiki/contents/articles/36527.implement-data-loss-prevention-dlp-in-sharepoint-online.aspx) | Basic troubleshooting | Tailored DLP policies, guidance, and tailored solutions, including enablement and business integration. | &check; | &check; | &check; |
| [Encryption in transit](https://docs.microsoft.com/en-us/microsoft-365/compliance/data-encryption-in-odb-and-spo?view=o365-worldwide) | Basic troubleshooting | Guidance on implementation of Azure Information Protection Services | &check; | &check; | &check; |
| [Sharepoint admin center (Office 365)](https://techcommunity.microsoft.com/t5/microsoft-sharepoint-blog/introducing-the-new-sharepoint-admin-center/ba-p/70294) | Basic troubleshooting | Tutorials, customized training, and available administrator workshops. | &check; | &check; | &check; |
| [Auditing and Reporting](https://support.microsoft.com/en-us/office/view-audit-log-reports-b37c5869-1b47-4a82-a30d-ea20070fe527?ui=en-us&rs=en-us&ad=us) | Basic troubleshooting | Tailored solutions, enablement, best practices, and training. | &check; | &check; | &check; |
| [External Sharing: External Access](https://docs.microsoft.com/en-us/sharepoint/turn-external-sharing-on-or-off) | Basic troubleshooting | Set up, and best practices | &check; | &check; | &check; |
| [External Sharing: Guest Link](https://docs.microsoft.com/en-us/sharepoint/external-sharing-overview) | Basic troubleshooting | Set up, and best practices  | &check; | &check; | &check; |
| [Folder Sync](https://support.microsoft.com/en-us/office/sync-sharepoint-files-with-the-onedrive-sync-client-groove-exe-59b1de2b-519e-4d3a-8f45-51647cf291cd?ui=en-us&rs=en-us&ad=us) | Basic troubleshooting | Set up, and best practices | &check; | &check; | &check; |
| [IRM using Azure Information Protection](https://docs.microsoft.com/en-us/microsoft-365/compliance/set-up-irm-in-sp-admin-center?view=o365-worldwide) | Basic troubleshooting | Tailored AIP template configuration, enablement, and management to suit Enterprise business needs. | &check; | &check; | &check; |
| [Office Online (create/edit)](https://support.microsoft.com/en-us/office/using-office-for-the-web-in-your-organization-s-sharepoint-site-73b51b4a-ea0b-4e20-af5d-50232d9e73ca?ui=en-us&rs=en-us&ad=us) | Basic troubleshooting | Tutorials, customized training, and available administrator and end-user workshops. | &check; | &check; | &check; |
| [Recycle Bin (SharePoint admin center)](https://docs.microsoft.com/en-us/sharepoint/restore-deleted-site-collection) | Basic troubleshooting | Set up, and best practices.  | &check; | &check; | &check; |
| [Recycle Bin (site collection)](https://support.microsoft.com/en-us/office/restore-items-in-the-recycle-bin-that-were-deleted-from-sharepoint-or-teams-6df466b6-55f2-4898-8d6e-c0dff851a0be?ui=en-us&rs=en-us&ad=us) | Basic troubleshooting  | Set up, and best practices. | &check; | &check; | &check; |
| [Document libraries](https://support.microsoft.com/en-us/office/what-is-a-document-library-3b5976dd-65cf-4c9e-bf5a-713c10ca2872?ui=en-us&rs=en-us&ad=us) | Basic troubleshooting | Set up, and best practices. | &check; | &check; | &check; |
| [Lists](https://support.microsoft.com/en-us/office/introduction-to-lists-0a1c3ace-def0-44af-b225-cfa8d92c52d7) | Basic troubleshooting | Set up, and best practices. | &check; | &check; | &check; |
| [Permissions](https://learn.microsoft.com/en-us/sharepoint/sites/user-permissions-and-permission-levels) | Basic troubleshooting  | Guidance and training based on best practices. | &check; | &check; |  |

### OneDrive

| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [OneDrive desktop application](https://www.microsoft.com/en-us/microsoft-365/onedrive/online-cloud-storage) | Basic troubleshooting | Set up, and best practices | &check; | &check; | &check; |
| [Advanced Sync Settings](https://support.microsoft.com/en-us/office/support/how-to-access-onedrive-settings-6173f176-fd9a-4a34-88f5-5646ec6f568b) | Basic troubleshooting | Set up, and best practices. | &check; | &check; | &check; |
| [Sharing settings and management](https://docs.microsoft.com/en-us/onedrive/manage-sharing) | Basic troubleshooting | Set up, and best practices. | &check; | &check; | &check; |
| [Lists](https://support.microsoft.com/en-us/office/introduction-to-lists-0a1c3ace-def0-44af-b225-cfa8d92c52d7) | Basic troubleshooting | Set up and best practices. | &check; | &check; | &check; |
| [Permissions](https://support.microsoft.com/en-us/office/share-onedrive-files-and-folders-9fcc2f7d-de0c-4cec-93b0-a82024800c07) | Basic troubleshooting | Guidance and training based on best practices. | &check; | &check; |  |
| [Offboarding](https://learn.microsoft.com/en-us/microsoft-365/admin/add-users/remove-former-employee?view=o365-worldwide) | Basic troubleshooting | Set up, and best practices. | &check; | &check; | &check; |

### Identity and Access Management

| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Azure AD Premium P1 / P2](https://azure.microsoft.com/en-us/pricing/details/active-directory/)  | Basic troubleshooting | Implementation, guidance, assistance with Azure AD Premium P1 / P2 Features | &check; | &check; | &check; |
| [Self-Service Group and app Management Plus Dynamic Groups](https://docs.microsoft.com/en-us/azure/active-directory/users-groups-roles/groups-self-service-management) | No support | Help creating and maintaining customized templates, rules, configurations, and settings around Office 365 Groups | &check; | &check; | &check; |
| [Self Service Password Reset](https://docs.microsoft.com/en-us/microsoft-365/admin/add-users/let-users-reset-passwords?redirectSourcePath=%252fen-us%252farticle%252flet-users-reset-their-own-passwords-in-office-365-5bc3f460-13cc-48c0-abd6-b80bae72d04a&view=o365-worldwide) | Basic troubleshooting | Help enabling and enabling Self-Service Password Reset (SSPR) in conjunction with on-premises Active Directory (AD) and Active Directory Federation Services (ADFS) | &check; | &check; | &check; |
| [Multifactor Authentication](https://docs.microsoft.com/en-us/microsoft-365/admin/security-and-compliance/set-up-multi-factor-authentication?redirectSourcePath=%252fen-us%252farticle%252fset-up-multi-factor-authentication-for-office-365-users-8f0454b2-f51a-4d9c-bcde-2c48e41621c6&view=o365-worldwide) | Basic troubleshooting | Integration with MFA clients included in Office 365 as well as third-party solutions that reside on-premises and in the cloud through Active Directory Federation Services (ADFS) | &check; | &check; | &check; |
| [Defender for Cloud Apps](https://docs.microsoft.com/en-us/cloud-app-security/what-is-cloud-app-security) | No support | Implementation, guidance, and assistance with Microsoft Defender for Cloud Apps features | &check; | &check; | &check; |
| [Azure AD Connect](https://techcommunity.microsoft.com/t5/microsoft-security-and/azure-ad-connect-amp-connect-health-is-now-ga/ba-p/249225) | No support | Guidance and support through setup, maintenance, and enablement of Azure Active Directory Connect (AADC) and Health Monitoring for active alerts | &check; | &check; | &check; |
| [Privileged Identity Management](https://docs.microsoft.com/en-us/microsoft-365/compliance/privileged-access-management-overview?view=o365-worldwide) | No support | Just-in-time access, direct (time-based) access, assign roles, access review | &check; | &check; | &check; |
| [Advanced Threat Analytics](https://docs.microsoft.com/en-us/advanced-threat-analytics/what-is-ata) | Basic troubleshooting| Plan, design, and enable | &check; | &check; | &check; |
| [Azure AD Identity Protection](https://docs.microsoft.com/en-us/azure/active-directory/identity-protection/overview-identity-protection) | Basic troubleshooting | Plan, design, and enable | &check; | &check; | &check; |
| [Azure AD Identity Protection](https://docs.microsoft.com/en-us/azure/active-directory/identity-protection/overview-identity-protection) | Basic troubleshooting | Plan, design, and enable | &check; | &check; | &check; |
| [Federated Identity](https://learn.microsoft.com/en-us/azure/active-directory/hybrid/whatis-fed) | No support | Plan, design, and enable | &check; | &check; |  |
| [Enterprise Applications - Federating SAML apps to Azure AD](https://learn.microsoft.com/en-us/azure/active-directory/manage-apps/migrate-adfs-apps-to-azure) | No support | Guidance and training based on best practices. | &check; | &check; |  |
| [Conditional Access](https://learn.microsoft.com/en-us/azure/active-directory/conditional-access/overview) | Basic troubleshooting | Plan, design, and enable | &check; | &check; | &check; |

### Information Protection


| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Microsoft Information Protection](https://docs.microsoft.com/en-us/azure/information-protection/what-is-information-protection) | Basic troubleshooting | Plan, design, and enable | &check; | &check; | &check; |
| [Document classification policies](https://docs.microsoft.com/en-us/azure/information-protection/rms-client/client-classify-protect) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Bring your own key](https://docs.microsoft.com/en-us/microsoft-365/compliance/customer-key-overview?view=o365-worldwide) | No support | Help configuring custom on-premises security encryption keys with customers Office 365 enablement. | &check; | &check; | &check; |
| [Document Tracking and Revocation](https://docs.microsoft.com/en-us/azure/information-protection/rms-client/client-track-revoke) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Advanced e-Discovery](https://docs.microsoft.com/en-us/microsoft-365/compliance/overview-ediscovery-20?view=o365-worldwide) | No support | Tailored solutions and guidance | &check; | &check; | &check; |


### Device Management and Security


| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Microsoft Endpoint Manager](https://learn.microsoft.com/en-us/mem/endpoint-manager-overview) | Support limited to license purchase and assignment | Rackspace provides guidance, project management, best practices, enablement assistance, and admin and end-user training as needed | &check; | &check; | &check; |
| [Custom App Packaging - Line of business apps, MSI supported. Win32 consulted](https://learn.microsoft.com/en-us/mem/intune/apps/apps-add-office365) | No support | Rackspace provides guidance around packaging and deployment of supported apps. |  | &check; |  |
| [Custom Script Deployment](https://learn.microsoft.com/en-us/mem/intune/apps/intune-management-extension) | No support | Rackspace provides guidance around the deployment of custom scripts and limited troubleshooting when a script fails to run on an Intune-enrolled device. | &check; | &check; |  |
| [Integration with Apple Business Manager](https://learn.microsoft.com/en-us/mem/intune/enrollment/tutorial-use-device-enrollment-program-enroll-ios) | No support | Rackspace provides guidance around packaging and deployment of Apple Business Manager. |  | &check; |  |
| [Enablement of default Configuration policies](https://learn.microsoft.com/en-us/mem/intune/protect/security-baseline-settings-mdm-all?pivots=mdm-november-2021) | No support | Rackspace provides guidance around default baseline settings for Intune enrolled devices. |  | &check; |  |
| [Microsoft Defender Firewall](https://learn.microsoft.com/en-us/windows/security/threat-protection/windows-firewall/create-windows-firewall-rules-in-intune) | No support | Rackspace provides guidance around Microsoft Defender Firewall settings. |  | &check; |  |
| [Microsoft Tunnel](https://learn.microsoft.com/en-us/mem/intune/protect/microsoft-tunnel-overview) | No support | Rackspace provides guidance around set up of Microsoft Tunnel. |  | &check; |  |
| [Graph for Intune](https://learn.microsoft.com/en-us/graph/api/resources/intune-graph-overview?view=graph-rest-1.0) | No support | Rackspace provides guidance around reporting using Microsoft Graph for Intune. |  | &check; |  |
| [Policy Sets](https://learn.microsoft.com/en-us/mem/intune/fundamentals/policy-sets) | No support | Rackspace provides guidance around reporting using Microsoft Graph for Intune. |  | &check; | &check; |
| [Microsoft Endpoint Configuration Manager](https://docs.microsoft.com/en-us/deployoffice/deploy-microsoft-365-apps-configuration-manager) | No support | Help creating and enabling System Center Configuration Manager (SCCM) solutions on workstations | &check; | &check; | &check; |
| [Defender for Endpoint](https://learn.microsoft.com/en-us/microsoft-365/security/defender-endpoint/microsoft-defender-endpoint?view=o365-worldwide) | No support | Enablement assistance and usage | &check; | &check; | &check; |
| [Device Guard](https://learn.microsoft.com/en-us/windows/security/threat-protection/device-guard/introduction-to-device-guard-virtualization-based-security-and-windows-defender-application-control) | No support | Enablement assistance and usage | &check; | &check; | &check; |
| [Windows Hello and Credential Guard](https://learn.microsoft.com/en-us/windows/security/identity-protection/credential-guard/credential-guard-manage) | No support | Enablement assistance and usage | &check; | &check; | &check; |


### Advanced Threat Protection


| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Safe Links](https://docs.microsoft.com/en-us/microsoft-365/security/office-365-security/atp-safe-links?view=o365-worldwide) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Safe Attachments](https://docs.microsoft.com/en-us/microsoft-365/security/office-365-security/atp-safe-attachments?view=o365-worldwide) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Spoof intelligence](https://docs.microsoft.com/en-us/microsoft-365/security/office-365-security/learn-about-spoof-intelligence?view=o365-worldwide) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Quarantine](https://docs.microsoft.com/en-us/microsoft-365/security/office-365-security/manage-quarantined-messages-and-files?view=o365-worldwide) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Advanced anti-phishing capabilities](https://docs.microsoft.com/en-us/microsoft-365/security/office-365-security/set-up-anti-phishing-policies?view=o365-worldwide) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |
| [Attack simulator](https://learn.microsoft.com/en-us/microsoft-365/security/office-365-security/attack-simulation-training-get-started?view=o365-worldwide) | Basic troubleshooting | Tailored solutions and guidance | &check; | &check; | &check; |

### Microsoft Teams


| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Display presence status](https://support.microsoft.com/en-us/office/control-access-to-your-presence-information-in-skype-for-business-fea86e34-60cf-4dd0-bfb2-169a42afd92c?ui=en-us&rs=en-us&ad=us) | Basic troubleshooting | Tutorials and guidance | &check; | &check; | &check; |
| [Audio and Audio Conferencing](https://docs.microsoft.com/en-us/microsoftteams/tutorial-audio-conferencing) | Basic troubleshooting | Enablement assistance and usage | &check; | &check; | &check; |
| [Video](https://support.microsoft.com/en-us/office/video-set-up-audio-and-video-in-skype-for-business-c3cb24f0-e51c-448e-8bf7-b60f85f07be5?ui=en-us&rs=en-us&ad=us) | Basic troubleshooting | Enablement assistance and usage | &check; | &check; | &check; |
| [Desktop Sharing](https://docs.microsoft.com/en-us/microsoftteams/configure-desktop-sharing) | Basic troubleshooting | Enablement assistance and usage | &check; | &check; | &check; |
| [Instant Messaging](https://www.microsoft.com/en-us/microsoft-365/microsoft-teams/instant-messaging) | Basic troubleshooting | Enablement assistance and usage | &check; | &check; | &check; |
| [Federated Communication](https://docs.microsoft.com/en-us/MicrosoftTeams/manage-external-access) | Basic troubleshooting | Enablement assistance and usage | &check; | &check; | &check; |
| [Security and Archiving](https://docs.microsoft.com/en-us/microsoftteams/security-compliance-overview) | Basic troubleshooting | Enablement assistance and usage | &check; | &check; | &check; |
| [Teams Desktop Client](https://docs.microsoft.com/en-us/microsoftteams/get-clients) | Basic troubleshooting | Tutorials, customized training, available administrator, and end-user workshops. Project management of enablement and testing in a localized customer environment | &check; | &check; | &check; |
| [Phone System / Voice (No devices)](https://docs.microsoft.com/en-us/microsoftteams/cloud-voice-landing-page) | No support | Tailored solutions and guidance | &check; | &check; | &check; |
| [Live Events](https://docs.microsoft.com/en-us/microsoftteams/quick-start-meetings-live-events) | No support | Tailored solutions and guidance | &check; | &check; | &check; |
| [Teams Policies](https://docs.microsoft.com/en-us/microsoftteams/teams-policies) | No support | Tailored solutions and guidance | &check; | &check; | &check; |
| [Data loss prevention](https://docs.microsoft.com/en-us/microsoft-365/compliance/dlp-microsoft-teams?view=o365-worldwide) | No support | Tailored solutions and guidance | &check; | &check; | &check; |


### Microsoft Office Applications

| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Out of the Box Setup and Use](https://docs.microsoft.com/en-us/microsoft-365/admin/admin-overview/get-started-with-office-365?redirectSourcePath=%252fen-us%252farticle%252fget-started-with-office-365-for-business-d6466f0d-5d13-464a-adcb-00906ae87029&view=o365-worldwide)  | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; | &check; |
| [Microsoft Word](https://www.microsoft.com/en-us/microsoft-365/word) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; |  |
| [Microsoft Excel](https://www.microsoft.com/en-us/microsoft-365/excel) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; |  |
| [Microsoft PowerPoint](https://www.microsoft.com/en-us/microsoft-365/powerpoint) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; |  |
| [Microsoft OneNote](https://www.microsoft.com/en-us/microsoft-365/onenote/digital-note-taking-app) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; |  |
| [Microsoft Outlook](https://www.microsoft.com/en-us/microsoft-365/outlook/outlook-for-business) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; |  |
| [Microsoft Publisher](https://www.microsoft.com/en-us/microsoft-365/publisher) | Installation and activation | Installation and activation | &check; |  |  |
| [Microsoft Access](https://www.microsoft.com/en-us/microsoft-365/access) | Installation and activation | Installation and activation | &check; |  |  |
| [Skype for Business / Teams](https://www.microsoft.com/en-us/microsoft-365/previous-versions/skype-for-business-online) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; | &check; |
| [Microsoft InfoPath](https://www.microsoft.com/en-us/download/details.aspx?id=48734) | Installation and activation |  Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; | &check; |
| [Office for Mac for Office 365](https://www.microsoft.com/en-us/microsoft-365/mac/microsoft-365-for-mac) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; |  |
| [Office Mobile for iOS](https://www.microsoft.com/en-us/microsoft-365/mobile/microsoft-365-mobile-apps-for-ios) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; |  |
| [Office Mobile for Android](https://www.microsoft.com/en-us/microsoft-365/mobile/microsoft-365-mobile-apps-for-android) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; |  |
| [Office Mobile for Windows](https://www.microsoft.com/en-us/microsoft-365/mobile/microsoft-365-mobile-apps-for-windows) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; | &check; |
| [Office Mobile for Windows 10 tablets](https://www.microsoft.com/en-us/microsoft-365/mobile/microsoft-365-mobile-apps-for-windows) | Installation and activation | Guidance, enablement assistance, troubleshooting, customized training, and workshops for administrators and end-users | &check; | &check; | &check; |
| [Automated Account Provisioning](https://docs.microsoft.com/en-us/azure/active-directory/app-provisioning/user-provisioning) | No support | Group policy support and SCCM enablement of Office Suite | &check; | &check; | &check; |
| [Client Push enablement](https://docs.microsoft.com/en-us/deployoffice/deployment-guide-microsoft-365-apps) | No support | Covered above in the SCCM section | &check; | &check; | &check; |
| [Client Support for on-premises Exchange w/Hybrid](https://docs.microsoft.com/en-us/exchange/exchange-hybrid) | No support | Assistance, guidance, and support around hybrid deployments and configurations | &check; | &check; | &check; |
| [Client Support for on-premise SharePoint w/Hybrid](https://docs.microsoft.com/en-us/sharepoint/hybrid/hybrid?redirectSourcePath=%252fen-us%252farticle%252fsharepoint-hybrid-4c89a95a-a58c-4fc1-974a-389d4f195383) | No support | Assistance, guidance, and support around hybrid deployments and configurations | &check; | &check; | &check; |
| [Control of Software Updates](https://support.microsoft.com/en-us/office/install-office-updates-2ab296f3-7f03-43a2-8e50-46de917611c5?ui=en-us&rs=en-us&ad=us) | No support | Assistance using SCCM, Office Deployment Tool, and other baked-in solutions | &check; | &check; |  |
| [Desktop Virtualization](https://azure.microsoft.com/en-us/services/virtual-desktop/) | Installation and activation | Assistance enabling ProPlus suite to Virtual solutions | &check; | &check; | &check; |
| [Group Policy Support](https://answers.microsoft.com/en-us/msoffice/forum/msoffice_o365admin-mso_manage/office-365-business-and-group-policy/3934aaaf-80fd-4877-b4f5-148f17e6b34d)  | No support | Assistance creating and editing group policy around known best practices | &check; | &check; | &check; |


### Power BI


| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Power BI](https://docs.microsoft.com/en-us/power-bi/admin/service-premium-what-is) | Support limited to license purchase, assignment, and default installation | Support limited to basic connectivity, installation, authentication, and authorization | &check; |  |  |


### Microsoft Project


| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Project Online](https://www.microsoft.com/en-us/microsoft-365/project/compare-microsoft-project-management-software?tab=1) | Support limited to license purchase and assignment | Support limited to basic connectivity, installation, authentication, and authorization | &check; |  |  |


### Power Platform


| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Power Apps](https://docs.microsoft.com/en-us/power-platform/admin/pricing-billing-skus) | Support limited to license purchase and assignment | Guidance and training based on best practices.  Limited support on App management | &check; | &check; |  |
| [Power Automate](https://flow.microsoft.com/en-us/) | Support limited to license purchase and assignment | Guidance and training based on best practices | &check; | &check; | &check; |


### Microsoft 365 Addons


| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| [Visio Online Plan 1](https://www.microsoft.com/en-us/microsoft-365/visio/visio-plan-1?activetab=pivot%3aoverviewtab) | Support for default installation | Support limited to basic connectivity, installation, authentication/authorization | &check; |   |   |
| [Stream](https://docs.microsoft.com/en-us/stream/) | Support limited to license purchase and assignment | Guidance and training based on best practices | &check; | &check; | &check; |
| [Yammer](https://www.microsoft.com/en-us/microsoft-365/yammer/yammer-overview) | Support limited to license purchase and assignment | Guidance and training based on best practices | &check; | &check; | &check; |
| [Dynamics](https://dynamics.microsoft.com/en-us/) | Support with license assignment, authentication | Support with license assignment, authentication | &check; |   |   |
| [Shifts](https://docs.microsoft.com/en-us/microsoftteams/expand-teams-across-your-org/shifts/manage-the-shifts-app-for-your-organization-in-teams) | Support limited to license purchase and assignment | Guidance and training based on best practices | &check; |  |   |
| [Planner](https://www.microsoft.com/en-us/microsoft-365/business/task-management-software) | No support | Support limited to basic connectivity, installation, authentication, and authorization | &check; |   |   |
| [Whiteboard](https://www.microsoft.com/en-us/microsoft-365/microsoft-whiteboard/digital-whiteboard-app) | No support | Support limited to basic connectivity, installation, authentication, and authorization | &check; |   |   |
| [Forms](https://support.microsoft.com/en-us/office/create-a-form-with-microsoft-forms-4ffb64cc-7d5d-402f-b82e-b1d49418fd9d) | No support | Support limited to basic connectivity, installation, authentication, and authorization | &check; | &check;   | &check;   |


### Software Subscriptions

| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| SQL Server Enterprise | Support limited to license purchase and obtaining product key | No support |   |   |   |
| SQL Server Standard | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Windows Server Standard | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Windows Server CAL \(User / Device\) | Support limited to license purchase and obtaining product key | No support  |   |   |   |
| Windows Server RDS CAL \(User\)  | Support limited to license purchase and obtaining product key | No support  |     |    |    |
| Windows Server RMS CAL \(User / Device\) | Support limited to license purchase and obtaining product key | No support |   |   |    |
| Windows 7 Extended Security Updates | Support limited to license purchase and obtaining product key | No support |   |   |   |

### Perpetual Software Licenses

| **Feature** | **Fanatical Support** | **Rackspace Application Services** / **Elastic Engineering** | **Troubleshoot** | **Consult** | **Enable** |
| --- | --- | --- | --- | --- | --- |
| Access | Support limited to license purchase and obtaining product key | No support |   |   |   |
| BizTalk Server | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Exchange Server Enterprise / Standard | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Exchange Server CAL (User / Device) | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Microsoft Office Standard | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Microsoft Outlook | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Microsoft PowerPoint | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Microsoft Word | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Microsoft Excel | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Project Professional / Standard | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Project Server | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Project Server CAL (User / Device) | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Publisher | Support limited to license purchase and obtaining product key | No support |   |   |   |
| SharePoint Enterprise / Standard CAL (User / Device) | Support limited to license purchase and obtaining product key | No support |   |   |   |
| SharePoint Server | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Skype for Business / Server | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Skype for Business Server Enterprise / Plus / Standard CAL (User / Device) | Support limited to license purchase and obtaining product key | No support |   |   |   |
| SQL Server CAL (User / Device) | Support limited to license purchase and obtaining product key | No support |   |   |   |
| SQL Server Enterprise / Standard Core  Support limited to license purchase and obtaining product key | No support |   |   |   |
| SQL Server Standard Edition | Support limited to license purchase and obtaining product key | No support |   |   |   |
| SQL Server Big Data Node Cores | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Visio Professional / Standard | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Windows 10 Enterprise | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Windows 10 Home to Pro Upgrade for M365 Business | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Windows Server CAL (User / Device) | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Windows Server Datacenter / Essentials / Standard | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Windows Server External Connector | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Windows Server RDS CAL (User / Device) | Support limited to license purchase and obtaining product key | No support |   |   |   |
| Windows RMS CAL (User / Device) | Support limited to license purchase and obtaining product key | No support |   |   |   |
