---
permalink: office-365-faq
audit_date: '2020-03-20'
title: Microsoft Office 365 FAQ
type: article
created_date: '2016-01-20'
created_by: Nate Archer
last_modified_date: '2020-03-20'
last_modified_by: Chris Moyer
product: Office 365
product_url: office-365
---

### Getting started

{{<accordion title="Where do I access my Office 365 account?" col="in" href="accordion1">}}

Log in to the [Office 365 Control Panel](https://manage365.rackspace.com)
with your Global Administrator credentials to manage users and licenses, open
chat support, and create support tickets.

To manage other settings, such as the Exchange Admin Center or the Security and
Compliance center, click **Office 365 Admin Center** on the left sidebar.
This action automatically logs you in to the Office 365 Admin Center.

{{</accordion>}}
{{<accordion title="What are the system requirements to run Office 365?" col="in" href="accordion2">}}

You can find up-to-date system requirements for Office 365 on the
[Microsoft support
website](https://products.office.com/en-US/office-system-requirements/#Office365forBEG).
{{</accordion>}}
{{<accordion title="Do I need to have an installed email client to use Office 365?" col="in" href="accordion3">}}

No, you don't need a stand-alone email client to use Office 365. However, many
Office 365 plans have the option of using an Office suite, which would
include Outlook. We recommend that you use the most up-to-date version
of Outlook to ensure the most complete experience.

To learn about the features that Office 365 supports, see the [Outlook help
center](https://support.office.com/en-us/outlook).
{{</accordion>}}
{{<accordion title="Does Office 365 support IMAP, POP, and SMTP connections?" col="in" href="accordion4">}}

Yes. You can use IMAP and SMTP connections instead of the default MAPI-based
connection that comes with Office 365.

**Note**: Using an IMAP or SMTP connection reduces functionality outside of
your email program.
{{</accordion>}}
{{<accordion title="What ports does Office 365 use for IMAP, POP, and SMTP connections?" col="in" href="accordion5">}}

Office 365 uses the following ports:

**IMAP**

- Incoming server: outlook.office365.com
- Port: 993

**POP**

- Incoming server: outlook.office365.com
- Port: 995

**SMTP**

- Outgoing server: smtp.office365.com
- Port: 587

{{</accordion>}}
{{<accordion title="What information do I need to provide to get started?" col="in" href="accordion6">}}

You need to provide the following information when you sign up for Office
365:

-   Your custom domain.
-   Your domain name registrar login and password.
-   Your domain name server (DNS) hosting provider login and password.

     Your DNS records are usually managed by the registrar from which you
     bought your domain name, but sometimes a different company manages the
     DNS records. If you don't know where your domain is registered or where
     the DNS records for your domain are managed, you
     can use a [WHOIS
     search](https://support.office.com/en-us/article/Find-your-domain-registrar-or-DNS-hosting-provider-b5b633ba-1e56-4a98-8ff5-2acaac63a5c8?ui=en-US&rs=en-US&ad=US)
    to find the information that you need.
-   A list of people to add to Office 365.

     Unless you're the only person in your company, you will want to add
     other people to Office 365 so that they can use the service. If you're
     working with our [onboarding and migrations
     team](https://www.rackspace.com/en-us/migration), this process is
     covered during the migration process.
{{</accordion>}}
{{<accordion title="Can I add my domain to Office 365?" col="in" href="accordion7">}}

Yes. You can find instructions about how to add your domain in [this support article](/support/how-to/add-a-domain-in-office-365/).

{{</accordion>}}
{{<accordion title="What administrative centers exist for Office 365?" col="in" href="accordion8">}}

The following administration centers are available for Office 365:

-   [The Office 365 admin
    center](https://support.office.com/en-za/article/About-the-Office-365-admin-center-58537702-d421-4d02-8141-e128e3703547?ui=en-US&rs=en-ZA&ad=ZA&fromAR=1)
    acts as the administrative hub for your Office 365 account. To
    access the admin center, sign in to your Office 365 account, go to
    the **App Launcher**, and select the **Admin** tile.
-   [The Exchange admin
    center](https://docs.microsoft.com/en-us/exchange/exchange-admin-center)
    is the central location for making changes to Exchange and mail.
-   [The SharePoint admin
    center](https://support.office.com/en-my/article/Find-content-about-the-SharePoint-Online-admin-center-887d34fd-7c6b-4323-9e1a-4b479f2aa277?ui=en-US&rs=en-MY&ad=MY)
    is the central location for all SharePoint changes and management.
-   [The Skype for Business admin
    center](https://support.office.com/en-NZ/article/Skype-for-Business-Online-admin-center-289cca0b-5751-4454-ae35-1efe65950f05?ui=en-US&rs=en-NZ&ad=NZ&fromAR=1)
    is the central location for managing Skype and instant messaging.
{{</accordion>}}

### Support

{{<accordion title="How do I contact support?" col="in" href="accordion9">}}

You can contact our support team 24x7x365 by phone, chat, or
support ticket:

-   To reach the Office 365 team directly by phone, call 1 877 417 3715.
-   To reach the Office 365 team by chat, log in to either
    [cp.rackspace.com](https://cp.rackspace.com) or
    [login.rackspace.com](https://login.rackspace.com) and click the **Live
    Chat** link at top of the home page.
-   To reach the Office 365 team through support tickets, log in to
    either [cp.rackspace.com](https://cp.rackspace.com) or
    [login.rackspace.com](https://login.rackspace.com) and select
    **Support > View Tickets**. On the ticket page, click **New
    Ticket**.
{{</accordion>}}
{{<accordion title="What subscription plans can I purchase from Rackspace for Office 365?" col="in" href="accordion10">}}

You can find detailed business subscription plans
at <https://o365.rackspace.com/>.

If your company is interested in Enterprise-level plans (E1 or E3),
contact our [Sales team](https://www.rackspace.com/why-rackspace) for
more information.
{{</accordion>}}
