---
permalink: set-up-mac-outlook-setup-o365
audit_date: '2020-07-21'
title: Set up your Office 365 mailbox in Outlook for Mac
type: article
created_date: '2020-07-07'
created_by: Kimberly Jay
last_modified_date: '2020-07-07'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

This article describes how to install, configure, and perform basic functions within the Microsoft&reg; Outlook&reg; for Mac desktop application.

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time Needed:** 20 Minutes for installation and initial setup. The full propagation of email varies based on the size of the mailbox.
- **Tools Needed:** Installed Outlook for Mac desktop application. This article does not cover the pre-installed native Apple Mail application.

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

### Install Outlook for Mac 

Before starting, ensure that your device is on macOS&reg; v 10.10 or later, because this is a requirement to use Office for Mac 2016.

When you install Outlook for Mac, there are two options: a company or personal product key or an Office 365 license that
includes a downloadable version of the Office Suite.

If you have a company or personal product key, navigate to the link below, select the appropriate language, and then select **Download**:

https://www.microsoft.com/en-us/download/details.aspx?id=45492

1.  After the download has completed, open **Finder > Downloads** and double-click **Microsoft_Office_2016_Installer.pkg**.

2.  On the first installation screen, select **Continue** to begin the installation process.

3.  When prompted, enter your Mac login credentials to complete the installation process.

4.  Finally, enter your product key.

If you have an Office 365 license which includes a downloadable version of the Office Suite, use the following steps:

**Note:** If you aren't sure if your license includes the Office suite, contact your administrator.

1.  In a web browser, navigate to **office.com**. Click **Sign-In** and enter your Office 365 email address and password.

2.  After you sign in, navigate to **Settings** and then **Office 365 Settings > Software**

3.  On the **Software** page, select **Install** under **Install Office 2016 for Mac** to begin the download.

4.  After the download completes, open **Finder > Downloads** and double-click **Microsoft_Office_2016_Installer.pkg**.

5.  On the first installation screen, select **Continue** to begin the installation process.

6.  When prompted, enter your Mac login password to complete the installation.

### Configure your Office 365 mailbox for use with the Outlook for Mac desktop client

Use the following steps to set up your Office 365 mailbox within the Outlook for Mac desktop client:

1.	Start Outlook for Mac.

2.	Under the **Tools** menu, select **Accounts**.

3.	Click the **+** sign in the lower-left corner, and then select **New Account**

4.	Enter your Office 365 email address when prompted, then select **Continue**

5.  Finally, enter your Office 365 mailbox password when prompted to complete the setup process.  

### Troubleshooting

If you have previously configured your Office 365 mailbox for use in the Outlook for Mac desktop client, yet you
continue to receive password prompts, use the following steps:

1.	To verify your credentials, attempt to log in at **office.com** with your Office 365 email address and password.

2.	Clear old entries from the **Keychain Access** for Mac, because Outlook might be trying to authenticate with
    an old password. For more information, see (Clear keychain access for Mac)[/support/how-to/clear-keychain-access-for-mac].

If you are unable to connect to the server, use the following steps:

1.  Verify that you have a functioning network connection.

2.  Verify that autodiscover has been configured correctly for your domain. For more information, see (Create DNS records using Windows-based DNS)[https://docs.microsoft.com/en-us/microsoft-365/admin/dns/create-dns-records-using-windows-based-dns?view=o365-worldwide].

3.  Contact your administrator to see if multi-factor authentication has been enabled for your organization.

### Basic functions in Outlook

Now that Outlook is configured for use with your Office 365 mailbox, the following section describes a few basic functions
within the application itself.

**Compose a new message:**

1. Within Outlook, select **New Email**.

2. Compose your email and click **Send**.

**Add an email signature:**

1.  In a new message, select **Signature**, and then **Signatures**.

2.  Within the **Email Signature** tab, click **New**.

3.  After completing your signature, assign a name to the signature and then select **Ok**.

4.  After you create the signature, you can configure how you want the signature to be used
    (on new emails, replies, and so on) under **Choose default signature**.

**Reply to an email:**

1.  Select the email you want to reply to, and then choose **Reply** or **Reply to All**.

2.  After you finish the message, select **Send**.
