---
permalink: set-up-mail-Office365-Generic-Android-Application
audit_date: '2021-01-22'
title: Set up your Microsoft 365 Exchange Online mailbox in the generic Mail app for Android
type: article
created_date: '2021-01-22'
created_by: Allison Battles and Brian Wieland
last_modified_date: '2021-01-22'
last_modified_by: Nick McCullar and Nick Ramirez
product: Office 365
product_url: office-365
---

This article shows you how to add an Office 365&reg; Exchange&reg; account to the Android&reg; Samsung&reg; email
application and perform basic functions.

### Prerequisites

- **Applies to:** User

- **Difficulty:** Easy

- **Time needed:** Setting up email takes about five minutes. Propagation of email inside the Samsung email application
  depends on the size of the mailbox as well as the internet speed.

- **Tools required:** Licensed user, Android device with Samsung Email

### Configure your mailbox

Use the following steps to set up your Office 365 Exchange:

1. Click the **Samsung Email app**.

2. Click **Office 365** (if no email account exists on application) or **Add Account**.

3. Enter in your office 365 email address.

4. Enter in your password and click **sign in**.

5. If the **Permissions Requested** screen displays, check the box to consent on behalf of your organization and click **Accept**.

6. If prompted to apply security settings, select **Apply**.

7. Adjust email settings accordingly the manual setup page and click **Done**.

8. If prompted to activate the device admin app, select **Activate** to finalize the setup.

9. If multifactor authentication is enabled, you need to verify your credentials with your chosen method.

### Basic instruction

Now that you have configured the exchange mailbox, here are a few basic functions within the Apple mail on the device.

#### Compose a new message:

1. In the Mail app, tap the **New Message** pen inside a square icon at the bottom right of the screen. 

2. Compose the message

3. Click the Send icon, which is a paper airplane icon in the upper-right corner of the screen.

#### Reply to or forward an email:

1. Click on the message that you want to reply to or forward.

2. Choose if you want to  **Reply**, **Reply All** ,or **Forward** the email. 

   - **Reply**: Sends your response to only the person that sent the message.
   - **Reply All**: Sends your response to everyone the message was sent to, including the *CC* field recipients.
   - **Forward**: Sends your response to sends the message to another person or group.

3. After you compose your message, click the paper airplane Send icon.
