---
permalink: set-up-microsoft-365-exchange-online-mailbox-ios
audit_date: '2020-12-29'
title: Set up Microsoft 365 Exchange Online mailbox in the Mail app for iOS
type: article
created_date: '2020-12-22'
created_by: Edward Castillo
last_modified_date: '2020-12-29'
last_modified_by: Rose Morales
product: Office 365
product_url: office-365
---


This article describes how to set up and configure your Microsoft 365&reg;
Exchange&reg; Online mailbox within the native Mail application for iOS&reg;
devices.

**Note**: If you are unsure of whether or not your license includes Exchange
Online, contact your administrator.

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** 5-10 Minutes for initial installation and configuration -
  sync time varies based on mailbox size and network speed.
- **Tools required:** Microsoft 365 email address and password (Exchange Online
  Kiosk license or greater), iPhone&reg; (iOS 13 or newer) with an active
  network connection.

For more information about prerequisite terminology, see [Cloud Office support terminology](/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [Product Comparison Chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

### Set up your Microsoft 365 Exchange Online mailbox

1. Open the **Settings** app.

2. Click on **Passwords & Accounts**.

3. Click **Accounts** > **Add Account**.

4. Select **Microsoft Exchange**.

5. Enter your Microsoft 365 email address and desired description.

6. Click **Sign In**, then enter your password.

7. Click **Accept** > **Save**.

**Note**: If your organization requires multi-factor authentication or
self-service password reset registration, you might be prompted for additional
verification methods during the setup process.
