---
permalink: set-up-onedrive-for-android-mobile-devices
audit_date: '2020-08-24'
title: Set up OneDrive for Android mobile devices
type: article
created_date: '2020-08-19'
created_by: Alex Garcia
last_modified_date: '2020-08-20'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** 10 Minutes
- **Tools required:** Microsoft 365&reg; user licensed with OneDrive&reg;, Android&trade; mobile device with
access to the Google Play&trade; store, active network connection

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [product comparison chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

This article describes how to install and configure the OneDrive for Business application for Android mobile devices.

**Note:** If you are unsure whether your license includes OneDrive, contact your administrator.

### Install OneDrive for Android mobile devices


Use the following steps to install the OneDrive application for Android mobile devices:

1. Open the **Google Play store** application.

2. Use **Search** to find **OneDrive** and press **Install**.

3. After the installation finishes, open the OneDrive application.


### Configure OneDrive for Android mobile devices


Use the following steps to configure OneDrive:

1. Open OneDrive and select **Sign in**.

2. Enter your Microsoft 365 username and press the **arrow** icon to continue.

3. Enter your Microsoft 365 password when prompted and select **Sign in**.


To set up additional OneDrive accounts within the application, use the following steps:

1. Select the **Me** icon in the bottom-right corner.

2. Open the **Settings** menu.

3. Select **Add Another Account**.

4. Enter your Microsoft 365 username and press the **arrow** icon to continue.

5. Enter your Microsoft 365 password when prompted and select **Sign in**.


### Upload files to OneDrive for Android devices


Use the following steps to upload files to the OneDrive for Android mobile application:

1. In the **OneDrive** application, click the **+** sign in the top-right corner.

2. Select **Upload** and choose the file you want to upload to **OneDrive**.


To move files within OneDrive, use the following steps:

1. **Click** on the file you want to move.

2. Select the **three vertical dots** in the top-right corner, and select the **Move** icon.

3. Select the location to which you want to move the file and click **Move here**.


**Note:** To edit documents on your Android Device via OneDrive, you must install the corresponding Office App
from the Google Play Store.


### Helpful support links


- Manually upload files or photos with [OneDrive for Android](https://support.microsoft.com/en-us/office/manually-upload-files-or-photos-with-onedrive-for-android-3ced081c-8ea8-40ab-b744-052dffe48590).


- Download OneDrive for Android devices from the [Google Play Store](https://play.google.com/store/apps/details?id=com.microsoft.skydrive&hl=en_US).
