---
permalink: set-up-onedrive-for-business-for-android-tablets
audit_date: '2020-08-24'
title: Set up OneDrive for Business for Android tablets
type: article
created_date: '2020-08-19'
created_by: Nicholas Ramirez
last_modified_date: '2020-08-20'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** 10 Minutes
- **Tools required:** Microsoft 365&reg; user licensed with OneDrive&reg;, Android&trade; tablet, active network connection

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [product comparison chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

This article describes how to install and configure the OneDrive for Business&reg; application for Android tablets.

**Note:** If you are unsure whether your license includes OneDrive, contact your administrator.

### Install OneDrive for Android tablets

Use the following steps to install the OneDrive application for Android tablets:

1. Navigate to the **Google Play&trade; store**.

2. Use **Search** to find **OneDrive** and select **Install**.

3. After the installation completes, open the **OneDrive** application.

### Configure OneDrive for Android tablets

Use the following steps to configure OneDrive for Android:

1. Open the **OneDrive** application and select **Sign in**.

2. Enter your Microsoft 365 username and press the **Next Arrow** to continue.

3. Enter your Microsoft 365 password when prompted and select **Sign in**.

To set up additional OneDrive accounts within the application, use the following steps:

1. Select the **Me** icon in the bottom-right corner.

2. Open the **Settings** menu.

3. Select **Add Another Account**.

4. Enter your Microsoft 365 username and press the **arrow** icon to continue.

5. Enter your Microsoft 365 password when prompted and select **Sign in**.

### Upload and Share files through OneDrive for Android tablets

Use the following steps to upload files to the OneDrive for Android application:

1. In the **OneDrive** application, click the **+** sign in the top-right corner.

2. Select **Upload** and choose the file you want to upload to **OneDrive**.

**Note:** You can open, view, and edit your OneDrive files in the corresponding Office mobile applications
(Word, Excel, PowerPoint, and so on).

Use the following steps to share files via OneDrive for Business:

1. In **OneDrive**, select the file you want to share by pressing and holding it.

2. Click **Share** after the file has been selected, and choose one of the following options:

     - Enter the recipient's address with whom you want to share the file and select **Send**.

     - Click **Copy Link** to generate the sharable link manually.

     - Mail a shareable link through your tablet's default mail application.

     - Share the file through the **Microsoft Teams** application.

     - Share through another application by clicking **More apps**.


***For more information about sharing files via OneDrive for Android, refer to the following [Microsoft Support Article](https://support.microsoft.com/en-us/office/share-files-in-onedrive-for-android-69147161-d132-4170-ad63-7d241fa8e6dc#OS_Type=OneDrive_-_Business).***
