---
permalink: set-up-onedrive-for-business-for-ipad
audit_date: '2020-08-24'
title: Set up OneDrive for Business for iPad
type: article
created_date: '2020-08-19'
created_by: Nicholas Ramirez
last_modified_date: '2020-08-24'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** 10 Minutes
- **Tools required:** Microsoft 365&reg; user licensed with OneDrive&reg;, iPad&reg; (iPadOS&reg;), active network connection

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [product comparison chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

This article describes how to install and configure the OneDrive for Business&reg; application for iPad.

**Note:** If you are unsure whether your license includes OneDrive, contact your administrator.

### Install OneDrive for Business on iPadOS

Use the following steps to install the OneDrive for Business application:

1. **Open** the **App Store**.

2. Search for **OneDrive**.

3. After the download completes, click **Get**, then select **Open**.

### Configuring OneDrive for Business on iPadOS

Use the following steps to configure OneDrive for Business:

1. **Open** the **OneDrive** application.

2. Enter your Microsoft 365 email address and click the **Next arrow** to continue.

3. Enter your Microsoft 365 password when prompted and select **Sign in**.

4. Select whether you want to receive notifications from OneDrive through **Keep Up with File Changes** to complete the setup process.

Use the following steps to add a Microsoft 365 account to an existing installation of OneDrive:

1. Open the **OneDrive** application.

2. Click on your **portrait** in the **OneDrive** application.

3. Click the **Settings** cogwheel.

4. Select **Add Account** in the **Accounts** section.

5. Enter your Microsoft 365 email address and password when prompted and select **Sign in**.

**Note:** You can also sign in to your organization's SharePoint&reg; site by entering the corresponding URL
in the *SharePoint Server URL* feature.


### Upload and share files through OneDrive

Within **OneDrive**, select the **+** sign in the top-right corner and choose one of the following options:

- Scan a file.

- Upload a file.

- Take a photo** or video.

- Create a folder.

- Create a Flow.

- Create a document.


***For more information about uploading files to OneDrive for iOS, refer to the following [Microsoft Support Article](https://support.microsoft.com/en-us/office/manually-upload-files-or-photos-to-onedrive-in-ios-fddb9917-2379-45ba-85e3-9e4ec46821dc).***


Use the following steps to share files through OneDrive for Business:

1. Within **OneDrive**, select the file you want to share by pressing and holding it.

2. After the file has been selected, click **Share** and choose one of the following options:

     - Enter the recipient's address with whom you want to share the file and select **Send**.

     - Click **Copy Link** to generate the sharable link manually.

     - Share through another application through **More apps**.


***For more information about sharing files via OneDrive for iPadOS, refer to the following [Microsoft Support Article](https://support.microsoft.com/en-us/office/share-files-in-onedrive-for-ios-0c0d26da-0e83-4ea0-981b-9802c8cc1bf3#OS_Type=OneDrive_-_Business).***
