---
permalink: set-up-onedrive-for-business-for-macos
audit_date: '2020-08-24'
title: Set up OneDrive for Business for macOS
type: article
created_date: '2020-08-19'
created_by: Allison Battles
last_modified_date: '2020-08-20'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** 15 Minutes
- **Tools required:** Microsoft 365&reg; user licensed with OneDrive&reg;, macOS&reg;, active network connection

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [product comparison chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

This article descrbes how to install and configure the OneDrive for Business&reg; application for macOS.

**Note: If you are unsure whether your license includes OneDrive, contact your administrator.

### Install OneDrive for macOS

Use the following steps to install the OneDrive application:

1. Navigate to the **App Store**.

2. Search for **OneDrive** and click **Install**.

3. Click **Open**.

### Configure OneDrive for macOS

Use the following steps to configure OneDrive:

1. Start the **OneDrive** application.

2. Enter your Microsoft 365 email address and click **Sign in**.

3. Enter your Microsoft 365 password when prompted and click **Sign in**.

4. After signing in successfully, click **Next** to proceed with the default OneDrive folder location.

5. Select the files and folders that you want to download from **OneDrive** and click **Next**.


**Note**: If you want to change the default folder location for OneDrive, you can do this when prompted to
*Choose OneDrive Folder Location* during the initial setup.


### Add files to OneDrive for macOS


You can add files to OneDrive by using one of the following methods:

- Save a file in your **OneDrive** folder.

- Move a file to your **OneDrive** folder.

- Copy a file to your **OneDrive** folder.


For more information about how to share files in OneDrive, refer to this [Microsoft Support Article](https://support.microsoft.com/en-us/office/share-onedrive-files-and-folders-9fcc2f7d-de0c-4cec-93b0-a82024800c07).
