---
permalink: set-up-onedrive-for-business-for-windows
audit_date: '2020-08-24'
title: Set up OneDrive for Business for Windows
type: article
created_date: '2020-08-19'
created_by: Mario Thompson
last_modified_date: '2020-08-20'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** 15 Minutes
- **Tools required:** Microsoft 365&reg; user licensed with OneDrive&reg;, Windows&reg; OS, active network connection

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [product comparison chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

The following article describes how to install and configure the OneDrive for Business application for Windows.

**Note:** If you are unsure whether your license includes OneDrive, contact your administrator.

### Install OneDrive For Business

Use the following steps to install OneDrive for Business:

1. Navigate to the following link to begin the installation process: [OneDrive for Business](https://www.microsoft.com/en-us/microsoft-365/onedrive/download).

2. Select **Download**.

3. **Save** and **Run** the **OneDriveSetup.exe** application when prompted.

### Configure OneDrive for Business

Use the following steps to configure OneDrive for business:

1. Click the **Start** menu and **Open** the **OneDrive** application.

2. Enter your Microsoft 365 email address and select **Sign In**.

3. Enter the password for your Microsoft 365 email address when prompted and select **Sign In**.

4. After you sign in, navigate through the tutorial and select **Open my OneDrive folder**.


**Note:** If you want to change the default folder path for OneDrive, you can do this when prompted with the following message
during initial setup: “This is your OneDrive folder. Add files here so you can access them from other devices and still
have them on this PC. Your OneDrive folder is here:”


### Upload files to OneDrive for Business


Use the following steps to upload files to OneDrive for Business.

1. Open the **File Explorer** and select your **OneDrive** folder.

2. Click and drag (or copy or cut and paste) the file into the **OneDrive** folder.


**Note:** The OneDrive for Business application syncs files in real time.


### Share files and folders through OneDrive for Business


Use the following steps to share files via OneDrive for Business.

1. Open the **File Explorer** and select your **OneDrive** folder.

2. Right-click the file you wish to share and select **Share**.

3. When prompted, enter the recipient's email address and click **Send**. Alternatively, select one of the following
methods to **Share** the file:

- Generate a shareable link via **Copy link**.

- Email the shareable link via **Outlook**.

- Share through another application via **More apps**.


### OneDrive Sync Status Icons


OneDrive for Business displays various **Sync Status** icons for each file or folder. Refer to the information below for
a brief description of the basic **Sync Status** icons:

**Blue Cloud:**

- The **Blue Cloud** icon next to OneDrive files or folders indicates that the file is only available online. **Online-only**
files do not take up any additional storage space on your device.


**Green Tick (White Circle):**

- The **Green Tick** indicates that a file is **Locally available**. When you open an **online-only** file for the first time, the
system downloads it as a **locally available** file that you can access regardless of network connectivity.

- You can revert **locally available** files to **online-only** files by **right-clicking** the file and selecting **Free up space**.


**Solid Green Circle (White Tick):**

- The **Solid Green Circle (White Tick)** icon indicates that a file is set to **Always keep on this device**.

- Files set to **Always keep on this device** are available even when you are offline, and they take up additional space on your device.


***For additional information about OneDrive for Business Sync Status icons, refer to this [Microsoft Support Article](https://support.microsoft.com/en-us/office/what-do-the-onedrive-icons-mean-11143026-8000-44f8-aaa9-67c985aa49b3).***
