---
permalink: set-up-your-microsft-365-exchange-online-mailbox-in-outlook-for-android-tablets
audit_date: '2020-08-25'
title: Set up your Microsoft 365 Exchange Online mailbox in Outlook for Android tablets
type: article
created_date: '2020-08-18'
created_by: Megan Smythe
last_modified_date: '2020-08-18'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** 5-10 Minutes for initial configuration (sync time varies based on network speed)
- **Tools required:** Outlook&reg; for Android&trade; Installed on a tablet, Microsoft 365&reg; email address
  and password (Exchange Online Kiosk license or later)

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [Product Comparison Chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

This article describes how to install the Outlook Application for Android tablets and configure your Microsoft 365
Exchange Online mailbox the first time.

**Note:** If you are unsure whether your license includes Exchange Online, contact your administrator.

### Install he Outlook for Android application

Use the following steps to download the Outlook Application for Android by using the Google Play&trade; store:

1. Select the **Google Play store** in your application list.

2. Search for **Microsoft Outlook** and select **Install**.


### Configure your Microsoft 365 mailbox within the Outlook App for first-time use

Use the following steps to add your Microsoft 365 Exchange Online mailbox:

1. Open **Outlook** and select **Get Started**.

2. Enter your Microsoft 365 email address when prompted and select **Continue**.

3. Enter your password and select **Sign In**.

4. When asked *Would you like to add another account?*, select either **Maybe Later** to complete the setup, or
**Add** to continue setting up additional mailboxes.

After the process completes, Outlook displays a brief tutorial before taking you into the Inbox.

**Note:** Outlook might detect other accounts on your device during the initial setup. To add additional accounts to the Outlook
for Android application, select **Add Account**. If you do not want to add automatically identified accounts, uncheck the
accounts and select **Skip**.

### Add your Microsoft 365 mailbox to an existing installation of Outlook for Android

If you already have the Outlook mobile application installed on your Android device, use the following steps to add
an additional account:

1. Open **Outlook**.

2. Select the **Menu** icon (three horizontal lines) in the upper-left corner andselect **Settings** (cogwheel icon)
within the fly-out menu.

3. In the **Settings** menu, select **Add Account** and click **Add an email account**.

4. Enter your Microsoft 365 email address when prompted and select **Continue**.

5. Enter your password when prompted and select **Sign In**.

The Microsoft 365 mailbox is now available for selection from within the fly-out menu, along with any other mailboxes that you configured previously.

**Note:** Outlook might detect other accounts on your device during the initial setup. To add additional accounts to the Outlook
for Android application, select **Add Account**. If you do not want to add automatically identified accounts, uncheck the
accounts and select **Skip**.

### Helpful tips when using Outlook for Android

1. To **Compose** an e-mail, select **New Message** from within your Microsoft 365 mailbox.

2. Selecting the three horizontal lines displays a flyout menu that shows the entire folder list of your
mailbox, a settings icon, and any other accounts added to Outlook previously.

3. If **Multi-Factor Authentication** is enabled, Outlook prompts you for the default verification method
when you configure your account for the first time.

4. The following features are available for navigation within the **Outlook** application:

     - The **Envelope** icon directs you to the **Mail** section of the Outlook application.

     - The **Magnifying Glass** icon allows you to search your Mailbox for individual messages, contacts, calendar events, and so on.

     - The **Calendar** icon displays the calendar associated with your Microsoft 365 Exchange Online mailbox.
