---
permalink: set-up-your-microsoft-365-exchange-online-mailbox-in-apple-mail-for-macos
audit_date: '2020-08-24'
title: Set up your Microsoft 365 Exchange Online mailbox in Apple Mail for macOS
type: article
created_date: '2020-08-18'
created_by: Allison Battles
last_modified_date: '2020-08-24'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** Five Minutes for the initial configuration. Sync time varies based on mailbox size and network speed.
- **Tools required:** Microsoft Office 365&reg; email address and password (Exchange Online licensing), macOS&reg; desktop device, and an active network connection

For additional information about Microsoft 365 licensing, see our [Product Comparison Chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

This article describes how to set up your Office 365 Exchange Online mailbox in the Apple Mail client for the first time.

**Note:** If you are unsure whether your license includes Exchange Online, contact your administrator.

### Configure your Microsoft 365 mailbox within Apple Mail for macOS


Use the following steps to configure your Microsoft 365 Exchange Online mailbox in the Apple Mail&reg; desktop client:

1. Open **Apple Mail**.

2. Click **Mail** in the top left corner and select **Add Account**.

3. Select **Exchange** and click **Continue**.

4. Enter your display name and your Microsoft 365 email address. Then, click **Sign In**.

5. When prompted to **Sign in to your Exchange account using Microsoft**, click **Sign In**.

6. Enter in your password and click **Sign In**.

7. Click **Done**.


### Helpful tips when using the Apple Mail desktop application


**Compose a new message:**

1. In Apple Mail, click the **New Message** icon.

2. After you write a message, select the **Send** icon.


**Reply and Forward:**

1. Select the message you want to reply to and choose one of the following options:

- **Reply** - Compose a message and send it to only the original sender.
- **Reply All** - Compose a message and send it to the sender and all recipients of the message (including carbon-copied recipients).
- **Forward** – Compose a forwarded copy of a message to send to another recipient or group.

2. After you write the message, click the **Send** icon.


**Add an email signature:**

1. In Apple Mail, click **Mail** and select **Preferences**->**Signatures**.

2. Select the email account for which you want to create the signature from the left-hand column.

3. Click the **+** sign and assign a name to your signature.

4. Compose your signature in the right-hand column and close the menu when you finish.
