---
permalink: set-up-your-microsoft-365-exchange-online-mailbox-in-outlook-for-ios
audit_date: '2020-08-25'
title: Set up your Microsoft 365 Exchange Online mailbox in Outlook for iOS
type: article
created_date: '2020-08-18'
created_by: Allison Battles
last_modified_date: '2020-08-18'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** Five Minutes for the initial installation and configuration (sync time varies based on mailbox size and network speed)
- **Tools required:** Microsoft 365&reg; email address and password (Exchange&reg; Online Kiosk license or greater), Apple iOS device with an active network connection

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [Product Comparison Chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

This article describes how to setup and configuration of your Exchange Online mailbox in the Outlook application for iOS devices for the first time.

**Note:** If you are unsure whether your license includes Exchange Online, contact your administrator.

### Install Outlook for iOS devices

1. Open the **App Store&reg;** and search for **Outlook**.

2. Select **Get** for **Microsoft Outlook** and select **Open** after the application downloads.

### Configure your Microsoft 365 Exchange Online mailbox in Outlook for iOS

Use the following steps to set up your Microsoft 365 Exchange Online mailbox in Outlook for the first time:

1. Open **Outlook**.

2. When prompted, enter your full email address and click **Add Account**.

3. Enter the password for your Microsoft 365 mailbox and select **Sign In**.

4. Accept any prompts for permissions after successfully adding the account.

5. When asked *Would you like to add another account?*, select either **Maybe Later** to complete the setup or **Add** to continue setting up additional mailboxes.

Use the following steps to add your Microsoft 365 account to a previously installed version of Outlook for iOS:

1. Open **Outlook**.

2. Click your portrait in the top-left corner and select the **Settings** cogwheel icon.

3. Select **Add Mail Account** in the **Mail Accounts** section and select **Add Email Account**.

4. When prompted, enter your email address and click **Add Account**.

5. Enter your Microsoft 365 mailbox password and select **Sign In**.


### Helpful tips when using Outlook for iOS

**Composing a new message:**

1. In Outlook, click the **New Message** icon to compose a message.

2. After you compose a message, click the **Send** icon.

**Reply and Forward:**

1. Select the message you want to reply to and choose one of the following options:

- **Reply** - Compose a message in response to **only** the original sender.
- **Reply All** - Compose a message in response to all senders and recipients of a message (including carbon-copied recipients).
- **Forward** – Compose a forwarded copy of a message to send to another recipient or group.
- **Edit Recipients** – Compose a response to the person who sent the message, as well as any additional recipients.

2. After you compose the message, click the **Send** icon.


**Add an email signature:**

1. Open **Outlook**.

2. Click on your portrait in the top-left corner and select the **Settings** (cogwheel) icon.

3. Within the **Mail** section, select **Signature**.

4. Compose your desired signature and press the **<** (back arrow) to return to the **Settings** menu.


**Note:** If you want to set up a separate signature for each email account, you can do this by using the **Per Account Toggle** switch.
