---
permalink: set-up-your-microsoft-365-exchange-online-mailbox-in-outlook-for-ipad-os
audit_date: '2020-08-25'
title: Set up your Microsoft 365 Exchange Online mailbox in Outlook for iPad OS
type: article
created_date: '2020-08-18'
created_by: Edward Castillo
last_modified_date: '2020-08-18'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** 5-10 Minutes for initial configuration (sync time varies based on network speed)
- **Tools required:** iPad&reg; (OS 13 or newer), Microsoft Outlook&reg; app, Microsoft 365&reg; email address and password (Exchange Online Kiosk license or greater), Apple&reg; ID and password, active network connection

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [product comparison chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

This article describes how to set up and configure your Microsoft 365 Exchange Online mailbox within the Outlook application for iPad OS for the first time.

**Note:** If you are unsure whether your license includes Exchange Online, contact your administrator.

### Install Outlook for iPad OS

1. Open the **App Store** and search for **Outlook**.

2. Select **Get** for **Microsoft Outlook** and select **Open** after the application downloads.

### Configure your Exchange Online mailbox in the Outlook for iPad OS application

1. **Open** the Outlook application on your iPad and select **Get Started**.

2. Enter your Microsoft 365 Exchange Online email address, select **Add Account**, and **Continue**.

3. Enter your mailbox password when prompted and select **Sign In**.

4. Select **Maybe Later** to complete the setup process, or **Let’s Do It!** to continue setting up additional mail accounts.

**Note:** If Multi-Factor Authentication is enabled, Outlook prompts you for the default verification method when
configuring your account for the first time.

### Helpful tips when using Outlook for iPad OS

1. To **Compose** an e-mail, select the **New Message** from within your Microsoft 365 mailbox.

2. Selecting the three horizontal lines displays a flyout menu that shows the entire folder list of your mailbox, a settings icon, and any other accounts you previously added to Outlook.

3. The following features are available for navigation in the **Outlook** application:

- The **Envelope** icon directs you to the **Mail** section of the Outlook application.

- The **Magnifying Glass** icon allows you to search your Mailbox for individual messages, contacts, calendar events, and so on.

- The **Calendar** icon displays the calendar associated with your Microsoft 365 Exchange Online mailbox.
