---
permalink: set-up-your-microsoft-365-exchange-online-mailbox-in-outlook-for-windows
audit_date: '2020-08-25'
title: Set up your Microsoft 365 Exchange Online mailbox in Outlook for Windows
type: article
created_date: '2020-08-18'
created_by: Allison Battles
last_modified_date: '2020-12-17'
last_modified_by: Carlos Arriaga
product: Office 365
product_url: office-365
---

This article describes how to install the desktop Microsoft&reg; Office 365 suite and set up
Exchange Online mailboxes within the Outlook for Windows&reg; client for the first time.

#### Prerequisites

- **Applies to** User
- **Difficulty:** Easy
- **Time needed:** 20 Minutes for initial installation and configuration &mdash;sync time varies based on mailbox size and network speed.
- **Tools required:** Licensed Microsoft Office 365 user, Windows desktop device, and an active network connection.

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

### Install Office applications, including Outlook, on a Windows device

1. Navigate to [office.com](office.com) in the web browser of your choice. Click **Sign In** and enter your
email address and password when prompted.

2. In the upper right-hand corner, click **Install Office** and then select **Install Premium Office 365 Apps**. 

3. When the download completes, run the installer.

4. If prompted, allow the Office installer to make changes to your device.

5. After the installation completes, click **Close**. 

6. Open the **Start** menu and navigate to **Outlook**.

7. Open Outlook and click **Accept** when prompted to *Accept the license agreement*.

8. View the *Microsoft respects your privacy* message and then click **Next**.

9. When prompted to *Allow my organization to manage my device*, select one of the following options:

      - **This app only** – Your organization doesn't have access to your Outlook desktop app and might impose security policies for Outlook.

      - **Yes** – This registers your devices within your organization and allows your organization to impose security policies for Outlook.


#### Configure your Microsoft 365 Exchange Online mailbox within a new Outlook profile for the first time

**Note:** If Outlook recognizes the mailbox associated with your licensed Office 365 user during initial setup, skip the following steps. 

Use the following steps to set up your Microsoft 365 Exchange Online mailbox in Outlook:

1. Open the **Start** menu and then navigate to the **Control Panel**.

2. Click **View by**, then click **Small Icons**.

3. Click **Mail&mdash;Microsoft Outlook 2016** and then select **Show Profiles**.

4. Click **add...**, then click **ok** after entering your desired profile name.

5. Enter your Microsoft 365 email address and password in the provided fields, then click **Next**.

6. In the popup dialog window, click **Sign In** and enter your Microsoft 365 email address. Then click **Next**.

7. Enter your Microsoft 365 password and click **Sign In**&mdash;if your organization requires multi-factor authentication, provide additional verification at this point.

8. Select **No, sign in to this app only** after successfully signing in and then click **finish**.

9. After the new profile is created, click **Always use this profile**, and then select the newly created profile.

10. Click **Apply** and then **OK** to complete the Outlook mail profile setup.


If you don't have an Outlook mail profile, set up your Microsoft 365 Exchange Online mailbox for the first time, by following these steps:

1. Open **Outlook**.

2. Click **Get Started**.

3. When prompted, enter your Microsoft 365 email address and select **Continue**.

4. Enter your password and click **Done** after you add the account.


#### Common tasks you can perform in the Outlook for Windows desktop application

**Compose a new message:**

1. Navigate to the **Home** tab and select **New Email** in Outlook. 

2. Click **Send** after you compose the message.

**Reply and forward:**

1. Select the message to which you want to reply and choose one of the following options:

     - **Reply** - Compose a message in response to **only** the original sender.
     - **Reply All** - Compose a message in response to all senders and recipients of a message &mdash;including carbon-copied recipients.
     - **Forward** – Compose a forwarded copy of a message to send to another recipient or group.

2. Compose the message and click **Send**.

**Add an email signature:**

1. In **Outlook**, compose a **New Email**.

2. In the **Messages** tab, click **Signature** and then select **Signatures** from the drop-down menu.

3. Assign a name to your new signature by selecting **New**, then click **OK** within the **Email Signature** tab.

4. Compose your signature in the **Edit Signature** section.

5. You can set the new signature as the **default** for your email account in the **Choose default signature** section.


For additional information about Microsoft 365 licensing, see our [Product Comparison Chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

Use the feedback tab to make any comments or ask questions.

