---
permalink: set-up-your-office-365-mailbox-in-the-outlook-for-android-mobile-application
audit_date: '2020-07-09'
title: Set up your Office 365 mailbox in the Outlook for Android mobile application
type: article
created_date: '2020-07-07'
created_by: Nicholas Ramirez
last_modified_date: '2020-07-09'
last_modified_by: Cat Lookabaugh
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time Needed:** 5-10 minutes for initial configuration. Sync time varies based on the mailbox size.
- **Tools Needed:** Outlook&reg; for Android&reg; mobile application installed with valid credentials for your
  Office 365&reg; Exchange Online mailbox.

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

The following article takes you through the steps to properly configure your Office 365 Exchange Online mailbox
for use with the Outlook for Android mobile application.

If you use the Outlook for Android mobile application in conjunction with your Office 365 Exchange Online mailbox, you can
take advantage of certain features that might differ from native mail applications. For example, you can access all of your
calendar information without leaving the application and view the contacts associated with your mailbox.

### Preparing your device

Ensure that you have the Outlook for Android mobile application installed on your mobile device. To do this, go to the
*Play Store* in your phone's application list and search for **Microsoft Outlook**. Install it, and you are ready
to configure your Office 365 Exchange Online mailbox within the application.

### Set up and configure your Office 365 Exchange Online Mailbox

Use the following steps to set up your Office 365 mailbox within the Outlook for Android mobile application:

1. After you install and open the Outlook mobile application, click **Get Started**.

2. Next, enter your Office 365 email address into the field provided, and then click **Continue**.

3. Within the password field provided for your Office 365 account, enter your credentials and select **Sign In**.

4. After you log in, you can click **Add Another Account** or click **Maybe Later** to complete the setup process.
   The application opens and displays the Inbox for the mailbox that you just added.

### Set up your Office 365 Exchange Online Mailbox in a pre-existing installation of the Outlook mobile application

Use the following steps to set up your Office 365 mailbox if you have already configured additional mailboxes for use
within the Outlook for Android mobile application:

1. Open the application and click the icon in the upper-left corner to display the fly-out menu. The menu shows folders
for installed mailboxes.

2. Click the settings cog in the bottom-left corner and then select **Add Account**.

3. Select **Add an Email Account**, and enter your Office 365 email address into the provided field. Click **Continue**.

4. At the Microsoft account type prompt, select **Office 365**.

5. Enter the password credentials for your mailbox and click **Sign in**.

6. The Office 365 mailbox you added appears in the list under any previously added mailboxes in the **Settings** menu. 


### Helpful tips

Refer to the following information for general tips and recommendations when setting up your Office 365 mailbox within
the Outlook for Android mobile application:

1. If you are unsure whether you have the correct password or not, you can test your credentials by attempting to sign
   in at [portal.office.com](https://portal.office.com).

2. When you try to configure an Office 365 user that has multi-factor authentication (MFA) enabled, the Outlook mobile
   application asks you for the default MFA verification method to proceed when signing in. You don't need to generate
   an app password for use with the Outlook mobile application.

3. To access folders other than the **Inbox**, click the icon in the upper-left corner of the Outlook application
   associated with your 365 user. A fly-out menu displays each of your existing mail folders. Click one to view the contents.

4. To access the calendar data for your Office 365 mailbox, tap the calendar icon in the Outlook application's
   bottom-right corner. Similarly, select the magnifying glass icon to the left, enabling you to search mailbox items
   such as contacts, files, and so on.

5. When you sign in, you might get the following error: **Login Error - The connection to your mail server timed out.
   Please check your mail settings**. Network connectivity issues or the use of an unlicensed Office 365 account might
   cause this error. You can reach out to your administrator to confirm which licenses have been applied to your account.
