---
permalink: troubleshoot-onedrive-with-the-microsoft-support-and-recovery-assistant
audit_date: '2020-08-25'
title: Troubleshoot OneDrive with the Microsoft Support and Recovery Assistant
type: article
created_date: '2020-08-19'
created_by: Kimberly Jay
last_modified_date: '2020-08-20'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User and Admin
- **Difficulty:** Easy
- **Time needed:** 20-30 minutes
- **Tools required:** Licensed Microsoft 365&reg; user, Windows&reg; device with the **OneDrive** application, Microsoft Support and Recovery Assistant, active network connection

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [product comparison chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

This article describes how to install the Microsoft Support and Recovery Assistant and troubleshoot **OneDrive for Business** issues with the Support and Recovery Assistant.

### Install the Microsoft Support and Recovery Assistant

Use the following steps to install the Microsoft Support and Recovery Assistant:

1. In a web browser, navigate to the [Microsoft Support and Recovery Assistant download page](https://www.microsoft.com/en-us/download/100607).

2. Select **Download**.

3. After the download completes, open the compressed folder.

4. Double-click the **ClickOnce** folder to expand the contents, tand run the **SaraSetup.exe** application.

5. Select **Install**.

6. Select **I agree** when prompted with the **Service Agreement** to complete the installation.

### Troubleshoot OneDrive for Business issues with the Microsoft Support and Recovery Assistant

Use the following steps to troubleshoot various **OneDrive** issues with the Microsoft Support and
Recovery Assistant:

1. **Open** the **Microsoft Support and Recovery Assistant** application.

2. Select **OneDrive** when prompted *Which app are you have problems with?*.

3. Select the option that best suits the issue you are experiencing and click **Next**.

4. Select **Yes** when asked *Is this the affected machine?*

5. **Sign-in** to the affected Microsoft 365 Exchange Online user when prompted.

6. The Support and Recovery Assistant begins to troubleshoot the selected issue automatically. After it performs
   the initial checks, select one of the following options to continue:

     - If an issue has been detected, click **Yes** to attempt to resolve it automatically with the Support and Recovery Assistant.

     - If prompted to **Perform** an action, select **Perform** to continue the automatic troubleshooting process.

     - If the Support and Recovery Assistant cannot resolve your issue, click **Next** to receive additional information.

7. You can review the summary of the resolved issue and click **Next** to complete the process.

**Note:** If your issue was not resolved, you can repeat the preceding steps after changing the criteria in **Step 3**.

### Common issues in OneDrive for Business

- Sync issues are the most common issues in **OneDrive for Business**, and the Support and Recovery Assistant offers
  suggestions to avoid conflicts when possible. For example, it might recommend changing a file name to avoid invalid characters.

- If **OneDrive for Business** displays a yellow warning triangle, this icon indicates that the storage capacity has been exceeded.

- If your **OneDrive for Business** account exceeds the maximum storage limit for more than three months, the account will be frozen.

**Note:** For more information about invalid file names and file types within OneDrive, refer to this [Microsoft Support article](https://support.microsoft.com/en-us/office/invalid-file-names-and-file-types-in-onedrive-and-sharepoint-64883a5d-228e-48f5-b3d2-eb39e07630fa?ui=en-us&rs=en-us&ad=us).
