---
permalink: troubleshoot-outlook-with-the-microsoft-support-and-recovery-assistant
audit_date: '2020-08-25'
title: Troubleshoot Outlook with the Microsoft Support and Recovery Assistant
type: article
created_date: '2020-08-19'
created_by: Allison Battles
last_modified_date: '2020-08-20'
last_modified_by: Nicholas Ramirez
product: Office 365
product_url: office-365
---

### Prerequisites

- **Applies to:** User and Admin
- **Difficulty:** Easy
- **Time needed:** 20-30 minutes
- **Tools required:** Licensed Microsoft 365&reg; user, Windows&reg; device with Outlook&reg;, Microsoft Support and Recovery Assistant, active network connection

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For additional information about Microsoft 365 licensing, see our [product comparison chart](https://www.rackspace.com/sites/default/files/2020-06/Rackspace-Data-Sheet-Microsoft-365-Plans-and-Pricing-Sheet-CLO-TSK-1487.pdf).

This article describes how to install the Microsoft Support and Recovery Assistant and troubleshoot Outlook issues with the Support and Recovery Assistant.

### Install the Microsoft Support and Recovery Assistant

Use the following steps to install the Microsoft Support and Recovery Assistant:

1. In a web browser, navigate to the [Microsoft Support and Recovery Assistant download page](https://www.microsoft.com/en-us/download/100607).

2. Select **Download**.

3. After the download completes, open the compressed folder.

4. Double-click the **ClickOnce** folder to expand the contents, then run the **SaraSetup.exe** application.

5. Select **Install**.

6. Select **I agree** when prompted with the Service Agreement to complete the installation.

### Troubleshoot Exchange issues with the Microsoft Support and Recovery Assistant

Use the following steps to troubleshoot various Exchange online issues with the Microsoft Support and Recovery Assistant:

1. **Open** the **Microsoft Support and Recovery Assistant** application.

2. Select **Outlook** when prompted with *Which app are you have problems with?* and choose one of the following options:

     - **Outlook**

     - **Outlook on the web**

     - **Outlook for a Mac**

3. Click **Next**.

4. Select the option that best fits the issue you are experiencing and click **Next**.

5. Select **Yes** when asked *Is this the affected machine?*

6. Sign-in to the affected Microsoft 365 Exchange Online user when prompted.

7. After you sign in, the Support and Recovery Assistant begins to troubleshoot the selected issue automatically. After it
   performs the initial checks, select one of the following options to continue:

     - If an issue has been detected, click **Yes** to attempt to resolve it automatically via the Support and Recovery Assistant.

     - If prompted to **Perform** an action, select **Perform** to continue the automatic troubleshooting process.

     - If the Support and Recovery Assistant is unable to resolve your issue, click **Next** to receive additional information.

8. You can review the summary of the resolved issue and click **Next** to complete the process.

**Note:** If your issue has not been resolved, you can repeat the preceding steps after changing the criteria in **Step 4**.

### Helpful tips for the Support and Recovery Assistant


- In addition to **Outlook**, the Support and Recovery Assistant can also attempt to resolve issues present in **OneDrive** and other **Office** applications.

- The Support and Recovery Assistant is compatible with only Windows devices.

**Note**: For additional information regarding the Microsoft Support and Recovery Assistant, refer to this [Microsoft Support Article](https://support.microsoft.com/en-us/office/about-the-microsoft-support-and-recovery-assistant-e90bb691-c2a7-4697-a94f-88836856c72f).
