---
permalink: associate-a-cloud-account-with-rackconnect-v30
audit_date: '2019-10-04'
title: Associate a cloud account with RackConnect v3.0
type: article
created_date: '2015-05-14'
created_by: Juan Perez
last_modified_date: '2018-10-25'
last_modified_by: Stephanie Fillmon
product: RackConnect
product_url: rackconnect
---

**Applies to:** RackConnect v3.0

RackConnect v3.0 is a hybrid offering that provides network connectivity
between your dedicated and cloud environments. By default, you can
manage your dedicated environment within the
[MyRackspace Portal](https://login.rackspace.com/),
but you cannot manage any of your cloud environments. To perform some
cloud account administration tasks from the MyRackspace Portal, you must
*link* your cloud accounts with your dedicated account.

A RackConnect v3.0 *configuration* represents a single deployment of a
RackConnect solution. A configuration is normally associated with one or
more cloud accounts. For more information about configurations, see
[RackConnect key terms](/support/how-to/rackconnect-key-terms).

After you link your cloud accounts with your dedicated account, you can
then *associate* a cloud account with a particular RackConnect v3.0
configuration from within the MyRackspace Portal. After you associate a
cloud account with a configuration, a ticket is automatically generated
for us, and we work with you to fully configure the cloud account for
use with RackConnect v3.0. See the
[RackConnect v3.0 requirements](/support/how-to/rackconnect-v30-requirements)
article for more details.

The following sections provide steps for linking and associating a
cloud account.

### Create a new cloud account or link an existing account

1. Log in to the [MyRackspace Portal](https://login.rackspace.com/).
2. In the top navigation bar, click **Select a Product > Dedicated Hosting**.
3. Click **Products > Rackspace Cloud**.

   The **Link Cloud Account** and **Create Cloud Account** options are
   near the top of the screen.

   {{<image src="RCv3-link-create-cloud-account_2.png" alt="" title="">}}

4. Click the appropriate option and follow the guide to complete the
   process.

### Associate a cloud account with a RackConnect v3.0 configuration

1.  Ensure that you have already linked a cloud account to your
    dedicated account. You can verify this from the
    [MyRackspace Portal](https://login.rackspace.com/)
    by clicking **Select a Product > Dedicated Hosting**, and then
    **Products > Rackspace Cloud**. Your
    linked cloud account's details are displayed on the right-hand pane
    of the screen.

2.  After you have linked a cloud account, you can click the plus
    sign (+) under the **RackConnect** column to associate a cloud account
    with one of your RackConnect configurations. In most cases, you have
    only one RackConnect configuration.

    {{<image src="RCv3-associate-to-RCv3-config_1.png" alt="" title="">}}
