---
permalink: enable-log-delivery-in-rackspace-cdn
audit_date: '2020-12-19'
title: Enable log delivery in Rackspace CDN
type: article
created_date: '2015-10-29'
created_by: Catherine Richardson
last_modified_date: '2020-12-19'
last_modified_by: Rose Morales
product: Rackspace CDN
product_url: rackspace-cdn
---

You can use the logs generated by Rackspace CDN to analyze the number of
requests for each object, the client IP address, and time-based usage
patterns (such as monthly or seasonal usage).

Use the Cloud Control Panel to enable the delivery of logs for your
service by clicking **Enable Logging** on the **Service details** page.

When you enable logging, raw logs from the CDN edge are delivered once a
day to a Cloud Files container, `.CDN\_ACCESS\_LOGS`. If this
container does not exist, the system creates it. These logs remain in Cloud
Files until you delete them, even if you subsequently disable logging.

Log file naming follows this pattern: service name,
log date, log hour, and MD5 hash. For example:

    https://www.mywebsite.com/2015/02/01/16/096e6c4473f235db081deb51f42a8d98.log.gz

In this example,`www.mywebsite.com` is the name of the service,
`2015/02/01` is the date (February 1, 2015), and `16` is the hour that
the log file was created. There might be multiple files for a given hour
because the system splits log files based on both time and log file
size. All times in the logs are UTC.

Within the gzip logs, the format of the entries is similar to the National
Center for Supercomputing Applications (NCSA) combined log format but
without cookies. The dashes (-) denote fields that the NCSA combined log
format dictates are present but that Rackspace CDN does not capture. For
example:

    client_ip - - [day/month/year:hour:minute:second timezone] "method request HTTP_version" return_code bytes_sent "referrer" "user_agent"

### Example

The following example shows sample log entries:

    173.203.44.122 - - [15/07/2014:20:52:25 +0000] "GET
              /5142b6e5e57f760d7ff4-c591437fc634f2a98934b7738b8b8571.r93.cf1.rackcdn.
              com/image1.png HTTP/1.1" 304 277 "-" "Mozilla/4.0 (compatible;
              MSIE 7.0; Windows NT 6.1; WOW64; Trident/5.0; SLCC2; .NET CLR 2.0.
              50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0;
              InfoPath.3; .NET4.0C; .NET4.0E; MS-RTC LM 8; Microsoft Outlook 14.0.
              7109; ms-office; MSOffice 14)"
    173.203.44.122 - - [15/07/2014:20:52:25 +0000] "GET
              /5142b6e5e57f760d7ff4-c591437fc634f2a98934b7738b8b8571.r93.cf1.rackcdn.
              com/ email.png HTTP/1.1" 304 278 "-" "Mozilla/4.0 (compatible;
              MSIE 7.0; Windows NT 6.1; WOW64; Trident/5.0; SLCC2; .NET CLR 2.0.
              50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0;
              InfoPath.3; .NET4.0C; .NET4.0E; MS-RTC LM 8; Microsoft Outlook 14.0.
              7109; ms-office; MSOffice 14)"
    173.203.44.122 - - [15/07/2014:20:52:25 +0000] "GET
              /5142b6e5e57f760d7ff4-c591437fc634f2a98934b7738b8b8571.r93.cf1.rackcdn.
              com/ tiny-email.png HTTP/1.1" 304 277 "-" "Mozilla/4.0 (compatible;
              MSIE 7.0; Windows NT 6.1; WOW64; Trident/5.0; SLCC2; .NET CLR 2.0.
              50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0;
              InfoPath.3; .NET4.0C; .NET4.0E; MS-RTC LM 8; Microsoft Outlook 14.0.
              7109; ms-office; MSOffice 14)"
    173.203.44.122 - - [15/07/2014:20:59:44 +0000] "GET
              /5142b6e5e57f760d7ff4-c591437fc634f2a98934b7738b8b8571.r93.cf1.rackcdn.
              com/ default.css?ver=3.8.3 HTTP/1.1" 200 17511 "https://www.rackspace.
              com/" "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML,
              like Gecko) Chrome/35.0.1916.153 Safari/537.36"
    173.203.44.122 - - [15/07/2014:20:59:44 +0000] "GET
              /5142b6e5e57f760d7ff4-c591437fc634f2a98934b7738b8b8571.r93.cf1.rackcdn.
              com/ jquery.min.js?ver=3.8.3 HTTP/1.1" 200 8022 "https://www.rackspace.
              com/" "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML,
              like Gecko) Chrome/35.0.1916.153 Safari/537.36"
