---
permalink: features-of-rackspace-cdn
audit_date: '2016-06-02'
title: Features of Rackspace CDN
type: article
created_date: '2015-05-11'
created_by: Catherine Richardson
last_modified_date: '2019-03-15'
last_modified_by: Cat Lookabaugh
product: Rackspace CDN
product_url: rackspace-cdn
---

Following are some of the top features of Rackspace CDN:

**Powered by the Akamai content delivery network**

Using the Akamai network, Rackspace employs a custom map of over 200
edge nodes across six continents. This map includes 77 North American
locations; 36 European locations; 73 Asian, Middle Eastern and Oceania
locations; and 15 South America locations.

**Instant provisioning**

The Rackspace CDN service can be turned on in seconds through the
Rackspace Cloud Control Panel or via the REST API and language bindings.
No professional services, ticket requests, or phone calls are needed to
get your site up and running.

**Multiple interface options**

Rackspace CDN is fully supported via the Rackspace Cloud Control Panel.
You can also interact with Rackspace CDN by using our REST API.

**Whole site delivery and acceleration**

Rackspace CDN does more than just accelerate individual objects in
storage. Using origin-pull technology and DNS, you can identify your
website and content origin, and the entire site, everything from images
to style sheets, will be accelerated.

**Origin protection**

Keeping your origin safe during a malicious attack is vital to the
health of your website or application. Rackspace CDN helps keep your
website and applications safe by absorbing all edge requests, harmful or
not. Because all requests are first served by the edge nodes, your
origin won't get the brunt force traffic associated with a DDOS attack.
This means that your website can still serve good traffic while an
attack is occurring, keeping your visitors engaged at all times.

**Custom SSL**

Serving content over HTTPS is quickly becoming standard for websites and
applications. Rackspace CDN gives you multiple options for using your
own domain while serving over HTTPS, including Subject Name Alternative
(SAN) certificates and dedicated certificates.

**Access controls to protect content**

Rackspace CDN can help you control who sees your content by setting
access rules that are enforced on the edge nodes. Access rules can be
set by geography and referring domain, and they help prevent unwanted
linking and traffic from non-strategic regions.

**Multiple origins flexibility**

Rackspace offers you a full portfolio of public, dedicated, and private
managed cloud solutions for your workloads. Rackspace CDN can use any of
these resources as origins, with the flexibility to use multiple origins
with a single website or domain. You can even use Rackspace CDN with
origins not hosted at Rackspace.

**Dynamic visitor handling**

Rackspace CDN delivers both static and dynamic content. Dynamic content
that changes for every user or a set of users requires additional
handling at the edge nodes. Rackspace CDN enables you to set a TTL of
zero for non-cacheable content, and supports dynamic content handling
features like cookies, header forwarding, and cross-origin resource
sharing (CORS).

**Keep your content up-to-date**

Rackspace CDN supports content time to live (TTL) values in seconds, all
the way down to zero. In addition, you can submit requests any time you
need to update content outside of the TTL timeframe.

**Granular control**

Rackspace CDN enables you to implement edge rules based on resource
path, meaning that your rules can apply to multiple levels of
granularity, from the entire site to a specific file.

### Additional resources

- [Rackspace CDN overview](/support/how-to/rackspace-cdn-overview)
- [Uses of Rackspace CDN](/support/how-to/uses-of-rackspace-cdn)
