---
permalink: rackspace-cdn-overview
audit_date: '2020-12-10'
title: Rackspace CDN overview
type: article
created_date: '2015-05-08'
created_by: Catherine Richardson
last_modified_date: '2020-12-10'
last_modified_by: Rose Morales
product: Rackspace CDN
product_url: rackspace-cdn
---

[Rackspace CDN](https://www.rackspace.com/cloud/cdn-content-delivery-network) is
a content delivery network (CDN) service that you can use to CDN-enable your
website. It offers features such as pulling content from your website's origin
servers, rules for caching, access restrictions, and purging content from the
CDN's edge nodes.

Rackspace CDN is designed to improve the performance of publicly distributed
assets. Assets can be anything from website content, to web application
components, to media like videos, ads, and interactive experiences.  CDNs
decrease the load time of these assets by caching them on edge nodes, which are
also called edge servers or point of presence (PoP) servers.  Edge nodes are
distributed around the globe and they cache content and serve it directly to
your customers, thus reducing transit time to a customer's location.

With simple provisioning via the Rackspace Cloud Control Panel or API, Rackspace
customers can CDN-enable their websites and applications in seconds, no matter
where the content is stored. They can also manage their CDN-enabled domains and
the origins and assets associated with those domains.

Rackspace CDN works with all Rackspace origins like Cloud Servers, Cloud Load
Balancers, Cloud Files, Dedicated servers, and any other resources with a public
interface.

The Rackspace CDN architecture includes the following components:

- Use of the Akamai Technologies content delivery network, which is one of the
  world's largest distributed computing platforms, with over 230 edge nodes
  around the world
- The ability to cache publicly accessible resources hosted on a Cloud Servers
  instance, or in a public Cloud Files container
- Cloud Control Panel integration
- A RESTful API
- A single global endpoint to access the API

The following articles provide more general information about Rackspace CDN:

- [Features of Rackspace CDN](/support/how-to/features-of-rackspace-cdn)
- [Uses of Rackspace CDN](/support/how-to/uses-of-rackspace-cdn)
- [Limits for Rackspace CDN](/support/how-to/limits-for-rackspace-cdn)
- [Rackspace CDN terminology](/support/how-to/rackspace-cdn-terminology)
- [Differences between Rackspace CDN and Rackspace Cloud Files](/support/how-to/differences-between-rackspace-cdn-and-rackspace-cloud-files)
- [Access Rackspace CDN](/support/how-to/access-rackspace-cdn)

### Additional resources

- [Rackspace CDN User Guide](/support/how-to/rackspace-cdn)
- [Features of Rackspace CDN](/support/how-to/features-of-rackspace-cdn)
