---
permalink: uses-of-rackspace-cdn
audit_date: '2020-12-11'
title: Uses of Rackspace CDN
type: article
created_date: '2015-05-08'
created_by: Catherine Richardson
last_modified_date: '2020-12-11'
last_modified_by: Rose Morales
product: Rackspace CDN
product_url: rackspace-cdn
---

A content delivery network (CDN) refers to clustered servers distributed around
the world to ease availability and high performance. The following are some uses of Rackspace CDN:

### Website acceleration

Commonly built with a mix of static objects and text, formatting like
CSS, and some media components like marketing videos, websites can be
CDN enabled quickly and easily.  With origin-pull technology, you simply
identify a hostname and an origin and your entire site is cached and
accelerated.

### Application acceleration

Applications often have cacheable components, like pictures, static
text, and style formatting, that can be cached on the edge node.  For
dynamic, non-cacheable content, Rackspace CDN finds the best route back
to the origin and prefetches upcoming material to improve delivery
speeds.

### Blogs and database-powered content

Instead of having your web servers render content for *every* unique visit, you
can use a CDN to deliver cached content to website visitors instead. This
reduces the load on your local web server and database because HTML is served
near the user's location. Apart from this CPU efficiency, users also get
content faster because the latency has improved.

### eCommerce stores

For eCommerce stores with a variety of photos and static assets, rendering
product pages can involve paying for a large amount of outgoing
bandwidth. If your eCommerce platform displays images dynamically (for
custom dimensions, for example), this gets even more expensive.
Rackspace CDN enables you to selectively cache certain subdomains or URL
patterns to edge nodes. Users get content from the edge node rather than
your web servers.

### Additional resources

- [Features of Rackspace CDN](/support/how-to/features-of-rackspace-cdn)
- [Limits for Rackspace CDN](/support/how-to/limits-for-rackspace-cdn)
