---
permalink: create-an-archive-search
audit_date: '2019-11-11'
title: 'Create an archive search'
type: article
created_date: '2019-11-11'
created_by: Joe Brooks
last_modified_date: '2020-11-09'
last_modified_by: Stephanie Fillmon
product: Rackspace Email Archiving
product_url: rackspace-email-archiving
---

After your email data has been received and indexed, you can perform
archive searches. Nightly collections index the email and add it to the
archive. This article describes the steps for creating an archive search in the Archive Manager.

### Prerequisites

- **Applies to:** Administrator
- **Difficulty:** Easy
- **Time needed:** Approximately 10 minutes
- **Tools required:** Archive Portal access

### Create an archive search

Use the following instructions to create an archive search:

1. Log in to the [Archive Manager](https://cp.rackspace.com/Login.aspx?ReturnUrl=%2f).

   For more information, see [Log in to the Archive Manager](/support/how-to/log-in-to-the-archive-manager).

2. On the left side of the screen, click **Search**.

  {{<image src="Create-an-archive-search-1.png" alt="" title="">}}

3. Click the **+New** tab.

   **Note**: This function is available for users with **Administrator**, **Compliance Officer**, and **Search Administrator** permissions only.

4. Click the **Simple** or **Advanced** search tab.

   - **Simple**: Search for keywords, sender(from), recipient (to, cc, bcc), date, attachment, size, and hold.
   - **Advanced**: Search by sender, recipient, subject, body, and attachment with greater fine-tuning control. For more information, see the **Advanced search** section below.

5. Enter the search terms, and then click **Search**.

6. After the search results are returned, click **Save**.

7. Fill out the **Basic Information** section and click **Save**.

   **Note**: Only a **Search Name** is required to proceed.

   In this section, you can designate users to have access to the search.


### Advanced search

Sometimes a search might require additional search criteria. In these cases, it is often best to use the **Advanced** option. The more specific the information you give, the better and more accurate the results are.

{{<image src="Create-an-archive-search-2.png" alt="" title="">}}

Enter as much available search information as possible in the fields under **Add Criteria**.

{{<image src="Create-an-archive-search-3.png" alt="" title="">}}

**Note**: If you require a more granular search, after selecting **Add Criteria**, click **Add Group**.

{{<image src="Create-an-archive-search-4.png" alt="" title="">}}

Add more search details for each search criteria, and then click **Search** at the bottom.

{{<image src="Create-an-archive-search-5.png" alt="" title="">}}
