---
permalink: export-an-archive-when-cancelling-your-account
audit_date: '2017-10-19'
title: Export an archive before cancelling a Cloud Office account
type: article
created_date: '2017-10-17'
created_by: William Loy
last_modified_date: '2021-01-25'
last_modified_by: Benjamin Reynolds
product: Rackspace Email Archiving
product_url: rackspace-email-archiving
---

Before you cancel a Cloud Office account, you should plan how to preserve your
archived email data. Archives typically export small numbers of archived items rather
than the entire archive. Therefore, you must plan before exporting an archive and set
aside an appropriate amount of time for completion.

### Prerequisites

- **Applies to:** Administrator

For more information on prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

### Export options avaliable

When cancelling services with Cloud Office, the following options are available
for preserving your archive after account cancellation:

|Archive options |Time Required | Cost | Technical Difficulty |
|---|---|---|---|
| Transfer to Sonian | No time required | No transfer cost | No technical work |
| Self export the archive | Days or weeks | No cost | Difficult to complete |
| Bulk archive export request | Weeks | Priced per GB exported | Moderate technical work after receiving the export |

### Migrate your archive using Sonian (recommended)

Archiving services are provided by Rackspace’s partner, Sonian Inc. The Sonian
cloud email archiving solution is compatible with all of leading email service
providers such as Office 365, Gmail, and Exchange.

This option requires no additional work. You maintain uninterrupted access to
all archive data and attachments.

To move archiving support to Sonian directly, simply click
[Transfer to Sonain](https://www.barracuda.com/products/cloudarchive/rackspace),
complete the short form on the page that follows, and Sonian will contact you
to ensure a seamless transition of your existing archive to your new mail service.

### Export you own archive

**Warning:** If you reach your cancellation date before completing the archive
export, the export will be cancelled and you will be unable to retrieve the rest
of your archive data.

If you want to export your own archive considerations, the following before
deciding to export an archive.

- Complete your archive export before setting a cancellation date for your
  Cloud Office account.
- Archive exports can take an extended period of time to complete. Be prepared
  for a completion time of several weeks to a few months.
- Decide whether to export in a **PST** or an **EML** format. Although **PST**
  is a more well-known format, exporting in **EML** is easier to search, faster
  to produce, and cheaper.
- In most cases, more data means a longer and more expensive export if you
  request a bulk export from Support. If you want to export specific items, such
  as messages from a particular sender, or messages delivered within a specific
  time frame, exporting search results is a more efficient option. For
  information about how to export search results, see
  [Export archive search results in Cloud Office](/support/how-to/export-archive-search-results-in-cloud-office).

You can use the following methods to export your data from your Rackspace
Archiving account:

#### Self exports

-   Export your data from the Archive Manager by creating searches and
    exporting the results of the searches. For information about how to
    export the results of a search, see [Export archive search results
    in Cloud Office](/support/how-to/export-archive-search-results-in-cloud-office).

    **Note:** You can export searches with a maximum of 30,000 results and a total size of 20 GB.

- To export an entire archive, divide your searches into monthly intervals for
  the duration of the archive's existence.

    **Note:** Searches do not build instantly. Be sure to consider this when determining your cancellation date.

#### Bulk exports

-   If you require a bulk export of your archived data, our support team can
    perform the export and provide you with links from which you can
    download your data directly.

- Bulk exports require an extended amount of time to complete. They can take
  several weeks to a few months to finish.

- You must contact Support directly to request a bulk archive export be scheduled.

The pricing for a bulk export is a one-time fee and varies by amount of data as
well as data format.

|Export Format| Price per Gigabyte(GB)|
|---|---|
|EML| $6 or &#65505;4 per GB|
|PST| $9 or &#65505;6 per GB|


**Note:** Support cannot provide a quote for the price of requested bulk exports.
This is because the total size of the export cannot be determined until it is
completed and fully exported. The archive size displayed in your archive portal
is the size of your article in compressed form. After your archive is decompressed,
it is larger than the size displayed in the portal. The size displayed in the
portal also doesn’t include the size of attachments, which could increase the
total size after decompression.
