---
permalink: export-archive-search-results-in-cloud-office
audit_date: '2019-11-11'
title: 'Export archive search results in Cloud Office'
type: article
created_date: '2019-11-11'
created_by: Joe Brooks
last_modified_date: '2020-11-09'
last_modified_by: Stephanie Fillmon
product: Rackspace Email Archiving
product_url: rackspace-email-archiving
---

You can export archive search results to share with outside parties,
which is helpful for auditing or legal requests, as well as reviewing
historic team activity.

### Prerequisites

- **Applies to:** Administrator, Compliance Officer, and Search Administrator
- **Difficulty:** Easy
- **Time needed:** Approximately 10 minutes
- **Tools required:** Archive Portal access

### Export search results

Complete the following steps to export the results of a search in the Archive Manager.

1.  Log in to the [Archive Manager](https://cp.rackspace.com/Login.aspx?ReturnUrl=%2f).

    For more information, see [Log in to the Archive Manager](/support/how-to/log-in-to-the-archive-manager).

2.  On the left side of the dashboard, click **Searches**.

3. 	Locate the search name to be exported and click **Run**.

    {{<image src="Export-archive-search-results-1.png" alt="" title="">}}

    **Note**: This option is available to users with **Administrator**, **Compliance Officer**, or
    **Search Administrator** permissions.

4. 	Check the box for the messages to be exported and click the **Export** icon above the message list.

    {{<image src="Export-archive-search-results-2.png" alt="" title="">}}

5.  Click **Next** to confirm the number of messages to exported.

    {{<image src="Export-archive-search-results-3.png" alt="" title="">}}

    **Note**: You can export searches with a maximum of 30,000 results or a total size of 20 gigabytes,
    whichever limit comes first.

6.  Select a format, **EML**, .**PST**, or .**PDF** and click **Next**.

7.  Enter an **Export Name** and check the box to receive an email notification when the export is ready.

8.  Click **Request Export**.

9.  To begin the download process, click the **Exports** tab.

10. Locate the search that was exported and click **Download**.

    {{<image src="Export-archive-search-results-4.png" alt="" title="">}}

    **Note**: The export remains available for approximately 30 days.
