---
permalink: import-and-export-archived-data
audit_date: '2021-03-24'
title: Import and export archived data
type: article
created_date: '2015-05-18'
created_by: Beau Bailey
last_modified_date: '2021-03-24'
last_modified_by: Rose Morales
product: Rackspace Email Archiving
product_url: rackspace-email-archiving
---

You can import data into and export data from your archive in Cloud Office.

### Importing data

If you want to import data, create a request ticket in your Control Panel and
include your domain name in the request. Rackspace gathers the necessary
information and provides you with the best import method.

Cost and turnaround time both depend on how much data you want to recover.

- The fee for data imports is \$6 per GB of data.
- For maximum import completion times, see [Time frames for importing and
    exporting data](#maxtime) at the end of this article.

### Exporting data

You can use the following methods to export your data from your Rackspace
Archiving account:

- Export your data from the **Archive Manager** by creating searches and exporting
    the results of the searches. For information about how to export the search results,
    see [Export archive search results in Cloud Office](/support/how-to/export-archive-search-results-in-cloud-office).

    **Important:** You can export searches with a maximum of 30,000 results or a total size of 20 gigabytes, whichever limit comes first.

- If you want to get a bulk export of your archived data, we can perform the
    export and provide you with links from which you can download your data
    directly. If you have access to an FTP site, provide your credentials, and we
    can export your data to the FTP site.

The pricing for a bulk export is a one-time fee of \$6 per GB for **EML** format and
\$9 per GB for **PST** format.

When determining which export method to use, consider the following questions:

#### Is an external third party requesting these exports?

Providing a temporary login for third parties to review search results is much
faster than requesting a bulk export.

#### To which format do you need to export?

We offer bulk exports in either **PST** or **EML** formats. Although **PST** is a more
well-known format, exporting in **EML** tends to be easier to search, faster for us
to produce, and much cheaper. We recommend that you first determine whether
there is a preferred format. If there is no preferred format, then we recommend you use
**EML**.

#### Do you need to export all data or only data that meets certain criteria?

In most cases, more data means a longer and more expensive export. We can export
data that meets certain criteria, such as search, date, range, or mailbox users.

You can also provide search names based on the following criteria:

- Date
- Search term
- Subject
- Sender
- Recipient
- Words or attachments in the body

### Time frames for importing and exporting data

Following are the *estimated maximum* completion times for both importing and
exporting data:

- Less than 25 GB in 2 weeks.
- 25 GB to 49 GB in 3 weeks.
- 50 GB to 99 GB in 4 weeks.
- 100 GB to 1 TB in 6 weeks.
- If you have over 1 TB of data, contact Rackspace for an estimate.

**Note:** The preceding information provides rough estimates and is not a commitment or a service level agreement (SLA).
