---
permalink: manage-archive-search-results
audit_date: '2019-11-12'
title: 'Manage Archive Search Results'
type: article
created_date: '2019-11-12'
created_by: Joe Brooks
last_modified_date: '2020-11-09'
last_modified_by: Stephanie Fillmon
product: Rackspace Email Archiving
product_url: rackspace-email-archiving
---


When a search has been created, the results of the search can be reviewed, filtered, tagged, and exported. This article explains how to perform various tasks using the archive search features.

### Prerequisites

- **Applies to:** Administrator, Compliance Officer, and Search Administrator
- **Difficulty:** Easy
- **Time needed:** Approximately 10 minutes
- **Tools required:** Archive Portal access

### Access a saved search

To access and manage search results, perform the following steps:

1. Log in to the [Archive Manager](/support/how-to/log-in-to-the-archive-manager).

2. On the left side of the page, click the **Searches** tab, and then click **Run**.

   {{<image src="manage-archive-search-results-1.png" alt="" title="">}}

#### Filter results

To narrow search results, click **Filter** at the top of the message list.

{{<image src="manage-archive-search-results-2.png" alt="" title="">}}

#### Sorting

Sort results by choosing one of the following options:

- **Date**
- **Sender** (A-Z or Z-A)
- **Subject**
- **Attachments**

{{<image src="manage-archive-search-results-3.png" alt="" title="">}}

#### Tags

Use the following steps to tag a specific message for review:

1. Click the message that you want the tag.

2. On the right, click **Tag this email**.

   {{<image src="manage-archive-search-results-4.png" alt="" title="">}}

3. After you have reviewed the message, click **Needs Review** to remove the tag.    

   {{<image src="manage-archive-search-results-5.png" alt="" title="">}}


#### Single message holds

Holds can be enabled for individual or multiple messages. To place a hold on an individual message, use the following steps:

1. Select the message then click **Hold** on the right.

2. Select a Hold type, then click **Save**.

   {{<image src="manage-archive-search-results-6.png" alt="" title="">}}

3. To remove hold on an individual message, simply click **Hold** (**#**), uncheck the previous selection(s) then click **Save** when finished.

#### Multiple message holds

Use the following steps to place a hold on multiple messages:

1. Check the box on left of each message to be included in the hold.

   {{<image src="manage-archive-search-results-7.png" alt="" title="">}}

2. Then click the **Gear** icon, select the hold type, and then click **Add**.

   {{<image src="manage-archive-search-results-8.png" alt="" title="">}}  
   **Note**: Messages placed on hold are identifiable by a **red lock icon**.

3. To remove holds, check the boxes for the messages that have been identified.

   {{<image src="manage-archive-search-results-9.png" alt="" title="">}}

4. Click the **black lock icon**, check the boxes for the holds that are no longer needed, then click **Remove**.    

   {{<image src="manage-archive-search-results-10.png" alt="" title="">}}

#### Send a message as an attachment

You can send a copy of a message as an attachment by selecting the message and clicking **Send**. Next, enter the recipient’s email address and click **Send** again.

**Note**: The attachment is sent in .EML format.

{{<image src="manage-archive-search-results-11.png" alt="" title="">}}

#### Download the message

You can download messages directly from the results page.

**Note**: The message must be viewed in a mail client and can be forwarded as an individual email or sent as an attachment.

{{<image src="manage-archive-search-results-12.png" alt="" title="">}}
