---
permalink: release-notes
audit_date: '2019-10-22'
title: Release Notes for the New Archiving Experience
type: article
created_date: '2019-10-22'
created_by: Joe Brooks
last_modified_date: '2019-10-24'
last_modified_by: Joe Brooks
product: Rackspace Email Archiving
product_url: rackspace-email-archiving
---

#### Rackspace Archiving Release Notes ####

Rackspace Archiving is now better than ever. This upgrade provides many
improvements, both in the user experience and in system performance. The new
user experience includes a fully redesigned portal for managing the archive.

Because many new core improvements fuel the upgrade, there are a few changes to your searches. Click here to read more about these changes.

Here are a few notable examples.

####  Direct URL

The new platform now has a direct URL for archive users to access the portal.
The following is an example of the URL:

https://view.archivesrvr.com/domaintld/ui/login

#### New Archive Dashboard ####

The updated Archive Dashboard provides quick and valuable insight into the
health and activity of your archive.

{{<image src="release_notes(1).png" alt="" title="">}}


#### Adding archive users ####

The new portal takes a more direct approach to creating a new user to manage
your archive. With this approach, the user’s role is now selected based on
company needs instead of clicking a separate section to accomplish the same
end goal.

{{<image src="release_notes(2).png" alt="" title="">}}


#### Save as new search ####

This update allows you to take an existing search and duplicate it as a new
search. This saves time and effort by not having to start from scratch for
each new search.

{{<image src="release_notes(3).png" alt="" title="">}}

#### Improved search result review ####

The look and feel of the search results review, including viewing specific
messages, is greatly improved. By having a more “mail client feel,” navigating
through the search results is more intuitive.

{{<image src="release_notes(4).png" alt="" title="">}}

#### Improved exports ####

Better filtering to limit size, export formats, and notifications provides a
better experience, especially on larger exports.

{{<image src="release_notes(5).png" alt="" title="">}}


#### Migration notes ####

The migration that accompanies this upgrade is automatic. You see one distinct
difference. Any saved searches are migrated to the new archive portal as read-
only, meaning you cannot edit or update the details of the search.

{{<image src="release_notes(6).png" alt="" title="">}}

Because administrators and users are re-created as part of the upgrade/
migration, the ownership of the migrated searches is not preserved. For these
migrated searches, the new owner displays as “migrated search (unknown user)."

{{<image src="release_notes(7).png" alt="" title="">}}
