---
permalink: adding-a-rackspace-email-group-list
audit_date: '2021-02-24'
title: Add a Rackspace Email group list
type: article
created_date: '2012-05-23'
created_by: Rackspace Support
last_modified_date: '2021-02-24'
last_modified_by: Carlos Arriaga
product: Rackspace Email
product_url: rackspace-email
---

This article shows how to create a group list.

### Prerequisites

- **Applies to:** Administrator
- **Difficulty:** Easy
- **Time needed:** 5 minutes
- **Tools required:** Cloud Office Control Panel access

For more information on prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

A group list is a great way to manage users in a select team or group on your domain. There is no limit to the number
of internal address recipients (addresses within your domain) and a limit of 250 additional recipients outside of the
internal domain. For example, suppose that you have a billing team you want to group together&mdash;bob@domain.com,
amy@domain.com, and scott@domain.com. You can create a group list for the team so that they can communicate new
upcoming billing updates within the team at **billingupdates@domain.com**.

**Note:** The maximum message size for group lists is 5 MB.

1. Log in to the [Cloud Office Control Panel](https://cp.rackspace.com).

2. In the **Rackspace Email** section, click **Group Lists**.

    {{<image src="picture1.png" alt="" title="">}}

3. On the **Group Lists** page, click **Add Group List**.

    {{<image src="picture2.png" alt="" title="">}}

4. Enter an email address for your group list, enter a subject tag, and select a list type.
   You can choose to send replies to the sender only or send replies to the entire group list.

    {{<image src="example_list.png" alt="" title="">}}

5. Select the recipients to include in the group list. You can add recipients outside your domain.

    {{<image src="recipients.png" alt="" title="">}}

6. Select who is authorized to send an email to this group list.

    {{<image src="authsenders.png" alt="" title="">}}

7. Click **Save**.

Use the Feedback tab to make any comments or ask questions. You can also [start a conversation with us](https://www.rackspace.com/contact). 
