---
permalink: add-a-signature-to-rackspace-email
audit_date: '2021-02-03'
title: Add a signature to Rackspace Email
type: article
created_date: '2012-01-18'
created_by: Cory Aldrich
last_modified_date: '2021-02-03'
last_modified_by: Carlos Arriaga 
product: Rackspace Email
product_url: rackspace-email
---

This article describes how to set up your email signature, which can include your title, phone number, or any other content you want to display.

### Prerequisites

- **Applies to:** Users
- **Difficulty:** Easy
- **Time needed:** 5 minutes
- **Tools required:** Webmail access

For more information on prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

When creating your signature, you should be cautious about what you include. Signatures now frequently contain elements that
common email filters consider as spam, which can hinder email deliverability. See
[Best practices for sending person-to-person email](/support/how-to/best-practices-for-sending-person-to-person-email) for guidance
on signature creation.

1. Log in to your [Rackspace Email account](https://apps.rackspace.com).

2. Click the **Support** menu in the upper-right corner of the page, and then click **Settings**.

3. In the left pane, click **Composing Email** and then click the **Signatures** tab.

4. Click **Add New Signature**.

5. In the **Add New Signature** dialog box, enter a descriptive name for your signature. In the **Edit Signature** area,
   enter the text for your signature. You can use plain text, HTML, or rich text with the formatting options available in
   the editor (for example, bold, italics, and colored text).

    {{<image src="edit-signature.png" alt="" title="">}}

    **Note:** If you switch to plain text, you lose any HTML formatting that you have applied.

6. Select **OK** to return to the **Settings** window.

7. Click the name of your signature file in the **Current Signatures** and then choose any of the additional options:

    {{<image src="enable-signature-options.png" alt="" title="">}}

    - To automatically insert the signature when composing a new email, select the **Always show signature when composing an email** check box.
    - To automatically insert the signature when you are replying to an email, select the **When replying to an email, insert my signature**
    check box. Also, specify whether the signature should appear above or below the body of the message.
    - To automatically insert the signature when you are forwarding an email, select the **When forwarding an email, insert my signature** check
    box. Also, specify whether the signature should appear above or below the body of the message.

8. Click **Save**.

9. Click the **Identities** tab, double-click your email address, and then enter the following information in the spaces provided.

    {{<image src="edit-identity.png" alt="" title="">}}

    - **Full Name**: This name appears in the **From** field of messages that you send.
    - **Email Address**: Enter the email address that should display as the **From** email address.
    - **Reply To**: Enter the email address that you want recipients to use when they reply to your email message. If you leave this field
    blank, the system uses the address you entered in the **Email Address** automatically.
    - **Default Signature**: Select a signature to use with this identity.

10. Click **OK**.

11. To change your default identity selection, click the identity as it appears in the **Current Identities** box, click **Set as Default**,
and then click **Save**.

**Note:** When composing an email, you can change identities by clicking the **From** drop-down menu in Webmail, which appears at the top of
the Compose Email window.

Use the Feedback tab to make any comments or ask questions. You can also [start a conversation with us](https://www.rackspace.com/contact). 
