---
permalink: best-practices-for-sending-person-to-person-email
audit_date: '2017-05-30'
title: Best practices for sending person-to-person email
type: article
created_date: '2017-05-17'
created_by: Beau Bailey
last_modified_date: '2017-10-19'
last_modified_by: William Loy
product: Rackspace Email
product_url: rackspace-email
---

This article provides best practices that can help you avoid having your legitimate person-to-person email messages flagged as spam.

If you need recommendations for sending email to many recipients, see [Best practices for sending email to many recipients](/support/how-to/best-practices-for-sending-emails-to-many-recipients). If you receive a bounce message when sending an email, see our list of [common email bounce messages](/support/how-to/common-email-bounces) for more information.

### Prerequisite

- **Applies to:** Users

For more information on prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For a video tutorial, see [Rackspace Email - Spam Flags: Best Sending Practices](https://emailhelp.rackspace.com/l/spam-overview).

### Best practices

Stricter and more sophisticated spam filters flag more email as spam than ever before. To ensure that the person-to-person emails that you send through the Rackspace mail system reach their destination, use the following best practices. Most reputable mail providers also provide their own recommendations, and we encourage you to read those as well.

#### Message format

Make your message layout as simple as possible. Avoid complex formatting, elaborate layouts, and multiple images. This is especially important if you use HTML content programs like Microsoft Publisher, which create complex HTML and styles, to create your content.

If you send HTML email, ensure that it is properly constructed. Items like missing or empty tags, poor formatting, and     nonstandard conventions are spam indicators.

Do not use invisible web-based tracking tools in your emails, and do not insert active components (such as JavaScript, ActiveX, and plug-ins) in your message. If you need rich media content, link to a media-rich page on your website.

Use a mail client that provides features such as providing HTML and text versions of the message content, correctly constructed and formatted email headers, and adherence to specifications for sending email.

#### Links

Do not use links that contain IP addresses. All reputable sites on the Internet use domain names to identify themselves. Using IP addresses is a trigger for spam filters.

If you link to other companies’ sites in your message content, ensure that they are reputable sites. Providing links to disreputable sites in your message content will cause your email to be marked as spam.

Spammers use abbreviated URLs to mask the destination of the link, which causes spam filters to flag messages with shortened URLs as spam.

**Note:** The reputation of sites or companies referenced in your email is determined by the whole of the Internet community.

#### Word choice

Avoid the following spam triggers:

- Excessive or unusual punctuation (especially exclamation points (!) and question marks(?))
- Capitalization of all letters (LIKE THIS)
- Words such as *urgent*, *free*, and *guaranteed*
- Spaces between every letter in a word, such as H e l l o

Use personalized greetings and salutations. For example, use “Hey Bob” instead of “Hey” or “To Whom It May Concern.” Generic greetings make your content more likely to appear as unsolicited mail to spam filters.

Do not include a disclaimer that your email is not spam, and do not claim compliance with some legal criteria. Legitimate email does not need to advertise compliance.

Use conversational language. Message content that follows a consistent limited verbiage or template will appear to be computer-generated content and will be flagged as spam. Spellings like “str@nge” or “g00gle” in your emails will classify the emails as spam.

Do not overtly reference topics that usually indicate spam. For example, highly recognized brands, medications, sexual innuendo, drugs, and financial schemes are easily recognizable as topics contained in spam. An email that mentions topics considered spam will cause your email to be marked as spam, even if the intent of the message is legitimate.

#### Attachments

Attachments are a common way of distributing viruses, making filters increasingly strict about attachments. Blocking zip file attachments is a prolific example of this.

Avoid attaching files to your messages. Cloud file services such as [Microsoft OneDrive with Rackspace](https://www.rackspace.com/office-365) provide shareable links to files that you can include in your email.

If you need to send attachments, use attachment names that are simple and specific, and spell them correctly. Oddly named or spelled attachments are a common way of transporting viruses.


### References

- [Acceptable Use Policy](https://www.rackspace.com/information/legal/aup), specifically the "Mail Requirements" section
- [Rackspace Cloud Office Mail Terms](https://www.rackspace.com/information/legal/mailterms)
