---
permalink: blocklist-addresses-domains-and-ip-addresses-in-rackspace-email
audit_date: '2017-11-13'
title: Blocklist addresses, domains, and IP addresses in Rackspace email
type: article
created_date: '2017-09-29'
created_by: William Loy
last_modified_date: '2017-11-29'
last_modified_by: Cat Lookabaugh
product: Rackspace Email
product_url: rackspace-email
---

This article explains how to add an email address, domain, or IP address to a Blocklist in the Rackspace Email webmail interface to protect your mailbox from unwanted mail.

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** Approximately 5 minutes
- **Tools required:**  apps.rackspace.com access

For more information on prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

### Why use a Blocklist?

When you Blocklist an email address, domain, or IP address, this creates a rule that rejects any mail sent from the source that you specified. Using a Blocklist can help [combat spoofing](/support/how-to/email-spoofing-best-practices) or spam. If you need to **safelist** a sender see [Safelist addresses, domains and IP addresses in Rackspace email](/support/how-to/safelist-addresses-domains-and-ips-in-rackspace-email).

**Warning:** Use caution when blocklisting entire domains or IP addresses, because you might unintentionally block legitimate mail.


### Blocklist an email address or domain

1. Log in to your mailbox at [apps.rackspace.com](https://apps.rackspace.com).

2. Click your email address in the upper right-hand corner, and select **Settings** from the menu.

3. Click **Spam Settings** on the left side of the pop-up box, and the select the **Blocklist** tab.

4. In the **Blocklisted Domains & Email Addresses** box, click **Add**.

5. When prompted to **Add Blocklisted Domain or Email Address**, enter the domain or email address that you want to block in the field under **Enter a domain or email address**, and then click **Add**.

6. Confirm that the address is now listed in the box under **Blocklisted Domains & Email Addresses**, and click **Save**.

### Blocklist an IP address

If you need to block an IP address, follow steps 1-3 in the preceding section, and then complete the following steps:

1. In the **Blocklisted IP Addresses** box, click **Add**.

2. When prompted to **Add Blocklisted IP Address**, enter the IP address you want to block in the field under **Enter an IP address(or range)**, and then click **Add**.

3. Confirm that the address is now listed in the box under **Blocklisted Domains & Email Addresses**, and click **Save**.
