---
permalink: change-rackspace-email-mailbox-password
audit_date: '2020-06-11'
title: Change a Rackspace Email mailbox password
type: article
created_date: '2017-06-19'
created_by: William Loy
last_modified_date: '2020-06-11'
last_modified_by: William Loy
product: Rackspace Email
product_url: rackspace-email
---

This article describes how to change the password that's used to access a Rackspace Email mailbox. Users can change their own password through Webmail, and administrators can change the password for a user through the Cloud Office Control Panel.

### Prerequisites

- **Applies to:** User or administrator
- **Difficulty:** Easy
- **Time needed:** About 5 minutes
- **Tools required:**  Users need their current password; administrators need Cloud Office Control Panel access

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology/).

### Change your password through webmail

1. Log in to your mailbox at [apps.rackspace.com](https://apps.rackspace.com/index.php).

   **Note:** Your password might already be entered when you log in to apps.rackspace.com. However, you must be able to manually enter the password in the following steps. If you do not know the password see [Rackspace Email password recovery FAQ](/support/how-to/rackspace-email-password-recovery-faq/) before proceeding.

2. Click your username in the upper-right corner and then select **Settings**.

3. In the left pane of the **Settings** dialog box, click **Security**, then **Change it Now**.

4. Enter the following information:

    - **Current Password:** Enter the password that you just used to log in to the mailbox.
    - **New Password:** Enter the new password for the mailbox.
    - **Confirm Password:** Enter the new password again.

    **Note:** Review [Password Management and Best Practices](/support/how-to/password-management-and-best-practices) for guidance on password creation.

5. Click **Save**.

   **Note:** You must update your password on any device that you use to check mail for this mailbox.

### Change a password through the Cloud Office Control Panel

Review [Password Management and Best Practices](/support/how-to/password-management-and-best-practices) before setting passwords for your users.

1. Log in to the [Cloud Office Control Panel](https://cp.rackspace.com/).

2. In the **Rackspace Email** section, click **Mailboxes**.

3. Click the drop-down arrow next to the **Manage** button for the mailbox you are changing the password.

4. From the drop-down menu, click **Change Password**.

5. Enter the **New Password** and enter the new password again in the **Confirm Password** field.
