---
permalink: cloud-office-blocked-attachment-files
audit_date: '2021-07-05'
title: Cloud Office Blocked Attachment Types
type: article
created_date: '2017-05-19'
created_by: William Loy
last_modified_date: '2021-07-05'
last_modified_by: Rose Morales
product: Rackspace Email
product_url: rackspace-email
---

This article provides a comprehensive list of file types that
Rackspace Email or Hosted Exchange do not permit.

If you receive a bounce message when sending an email, see our list of
[common email bounce messages](/support/how-to/common-email-bounces) for more
information.

### Prerequisite

- **Applies to:** Administrators and Users

For more information on prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

### Blocked attachment types

**Note:** We cannot make exceptions for any file type listed for any reason.

| File type | Full file name |
| --- | --- |
| ade | Access Project Extension (Microsoft) |
| adp | Access Project (Microsoft) |
| app | Executable Application |
| asp | Active Server Page |
| vaspx | ASP.NET Web Page |
| asx | Advanced Stream Redirector |
| bas | BASIC Source Code |
| bat | Batch Processing |
| cer | Internet Security Certificate File |
| chm | Compiled HTML Help |
| cmd | DOS CP/M Command File Command File for Windows NT |
| cnt | Index file for Windows help files |
| com | Command |
| cpl | Windows Control Panel Extension (Microsoft) |
| crt | Certificate File |
| csh | csh Script |
| der | X509 Certificate |
| exe | Executable File |
| fxpv | FoxPro Compiled Source (Microsoft) |
| gadget | Windows Vista gadget |
| hlp | Windows Help File |
| hpj | Microsoft Help Project File |
| hta | Hypertext Application |
| htc | HTML Component File |
| inf | Information or Setup File |
| ins | IIS Internet Communications Settings (Microsoft) |
| isp | IIS Internet Service Provider Settings (Microsoft) |
| its | Internet Document Set Internet Translation |
| js | JavaScript Source Code |
| jse | JScript Encoded Script File |
| ksh | UNIX Shell Script |
| lib | Static DLL Library Information File |
| lnk | Windows Shortcut File |
| mad | Access Module Shortcut (Microsoft) |
| maf | Access (Microsoft) |
| mag | Access Diagram Shortcut (Microsoft) |
| mam | Access Macro Shortcut (Microsoft) |
| maq | Access Query Shortcut (Microsoft) |
| mar | Access Report Shortcut (Microsoft) |
| mas | Access Stored Procedures (Microsoft) |
| mat | Access Table Shortcut (Microsoft) |
| mau | Access Shortcut Function |
| mav | Access View Shortcut (Microsoft) |
| maw | Access Data Access Page (Microsoft) |
| mda | Access Add-in MDA Access 2 Workgroup (Microsoft) |
| mdb | Access Application MDB Access Database (Microsoft) |
| mde | Access MDE Database File (Microsoft) |
| mdt | Access Add-in Data (Microsoft) |
| mdw | Access Workgroup Information (Microsoft) |
| mdz | Access Wizard Template (Microsoft) |
| msc | Microsoft Management Console Snap-in Control File (Microsoft) |
| mht | Web Page Archive File |
| mhtml| Web Page Archive File |
| msh | 3D Modeling File |
| msi | Windows Installer File (Microsoft) |
| msp | Windows Installer Patch |
| mst | Windows SDK Setup Transform Script |
| msh1 | Microsoft Help File |
| msh2 | Microsoft Help File |
| mshmxl | Microsoft Help File |
| msh1xml | Microsoft Help File |
| msh2xml | Microsoft Help File |
| ops | Office Profile Settings File |
| osd | Open Software Description File |
| pcd | Visual Test (Microsoft) |
| pif | Windows Program Information File (Microsoft) |
| plg | Aston Shell Plug-in |
| prf | Windows System File |
| prg | Program File |
| pst | Microsoft Exchange Address Book File, Outlook Personal Folder File (Microsoft) |
| reg | Registration Information or Key for Windows 95 or 98 Registry Data File |
| scf | Windows Explorer Command |
| scr | Windows Screen Saver |
| sct | Windows Script Component FoxPro Screen (Microsoft) |
| shb | Windows Shortcut into a Document |
| shs | Shell Scrap Object File |
| sys | Windows System File |
| ps1 | Windows PowerShell Script |
| ps1xm | Windows PowerShell Script |
| ps2 | Windows PowerShell Script |
| ps2xml | Windows PowerShell Script |
| psc1 | Windows PowerShell Script |
| psc2 | Windows PowerShell Script |
| tmp | Temporary File/Folder |
| url | Internet Location |
| vb | VBScript File or Any Visual Basic Source |
| vbe | VBScript Encoded Script File |
| vbs | VBScript Script File Visual Basic for Applications Script |
| vpb | Visual Basic Project File |
| vsmacros | Visual Studio .NET Binary-based Macro Project (Microsoft) |
| vss | Visio Stencil (Microsoft) |
| vst | Visio Template (Microsoft) |
| vsw | Visio Workspace File (Microsoft) |
| vxd | Windows Virtual Device Driver |
| ws | Windows Script File |
| wsc | Windows Script Component |
| wsf | Windows Script File |
| wsh | Windows Script Host Settings File |
| xnk | Exchange Shortcut |
| xml | Extensible Markup Language |
