---
permalink: cloud-office-migrations-faq
audit_date: '2021-02-15'
title: Cloud Office migrations FAQ
type: article
created_date: '2013-11-13'
created_by: Milton Prado
last_modified_date: '2021-02-15'
last_modified_by: Rose Morales
product: Rackspace Email
product_url: rackspace-email
---

### Prerequisites

- **Applies to:** Administrator
- **Difficulty:** Moderate
- **Time needed:** Depends on migration type
- **Tools required:** Administrator access

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology/).

#### What types of environments can you migrate from?

We support migrations from Exchange Server 2003, 2007, and 2010 (in-house and hosted), Google Apps, Gmail,
GroupWise 7 and 8, Zimbra, Lotus Notes, POP, and IMAP. See [Email migration services](/support/how-to/email-migration-services)
for a list of migration options.

#### How much does a migration to Rackspace cost?

Both self-service migration and Assisted Migration are free of charge.

#### How long does it take to migrate my servers to Rackspace?

Migration times vary per customer, with some migrating in hours and others migrating in days or weeks. The migration process
is a partnership between you and the migration team, so consider your availability and resources when planning your
migration. They might impact the overall timeline of the transition because you need them for the testing phase of
the migration.

#### Is the migration manual or is it automated?

We use a combination of automated tools and experienced Rackers to perform the migration. At each step of the migration,
we stay in close contact with your team to help you get a successful outcome.  See
[Email migration services](/support/how-to/email-migration-services) for a list of migration options.

#### What server information do you need for the migration?

After you submit your migration request, our email migration experts discuss available approaches with you, depending
on the configuration of your source server and your migration type. Our team requires that you provide the source
server address/URL and all usernames and passwords for the mailboxes. We send a spreadsheet to you for this step in the process.

#### Can my users access their mail and other data during the migration?

Yes, users can continue to access and use their mailbox normally. However, we strongly recommend that you do not
reset passwords during the migration.

#### What types of email data are migrated?

See [Items migrated during a Cloud Office migration](/support/how-to/items-migrated-during-an-cloud-office-migration).

#### Can I upgrade from Rackspace Email or Microsoft Exchange to Office 365 with Rackspace?

Yes, you can upgrade to Office 365 with Rackspace from both Rackspace Email and Microsoft Exchange.

#### Can I change from Rackspace Email to Exchange or from Exchange to Rackspace Email?

Yes, this process is referred to as a *platform change*, which our Internal Migration team performs for you at
no cost. You can place a request by contacting our support team through chat or a support ticket, both available
through the [Cloud Office Control Panel](https://cp.rackspace.com/).

#### Does the Migration Tool create mailboxes on my account or do I need to create the mailboxes first?

The tool does not create the mailboxes. You need to create them in the Control Panel before the migration, which
migrates data to only existing mailboxes on your account.

#### What if my question was not answered in this FAQ?

Our Support Team, available 24x7x365, is happy to answer any specific questions you might have.
