---
permalink: cloud-office-support-terminology
audit_date: '2017-05-31'
title: Cloud Office support terminology
type: article
created_date: '2017-05-29'
created_by: William Loy
last_modified_date: '2017-05-29'
last_modified_by: William Loy
product: Rackspace Email
product_url: rackspace-email
---

This article defines Cloud Office support article prerequisites and common Cloud Office support terminology.

### Cloud Office support article prerequisites

Cloud Office support articles provide one or more of the following prerequisites to describe the parameters of the article.

Prerequisite | Definition | Values or examples
--- | --- | ---
**Applies to** | Specifies the audience of the article, either User, Administrator, or both.<br/><br/><strong>Note:</strong> An article that applies to a User can also be valuable information for an Administator. | **User**: In the context of support, a user has access to our product (for example, apps.rackspace.com), but does not have access to administrator tools (for example, the Cloud Office Control Panel). Articles that specify users as the audience do not make recommendations that require administrator tools<br/><br/>**Administrator**: The article discusses a topic that might require access to administrator tools (for example, the Cloud Office Control Panel).
**Difficulty** | A subjective evaluation of the difficulty of completing the task in the article. | **Easy**: The article is instructional and involves minimal or no troubleshooting.<br/><br/>**Moderate**: The article is instructional but requires troubleshooting or access to tools that are not part of Rackspace Cloud Office. For example, you are configuring your DNS records, your DNS is hosted at GoDaddy, and you need to access your GoDaddy account.<br/><br/>**Challenging**: The article is almost entirely troubleshooting.
**Time needed** | Approximate time needed to complete the steps in the article if you have access to all the required tools and do not encounter any unforeseen obstacles. | Examples of unforeseen obstacles:<br/><br/>- Password recovery<br/>- Internet connectivity issues<br/>- Local network configuration<br/>- Third-party application troubleshooting
**Required tools** | The minimum tools required to complete the steps in the article. Required tools can refer to level of access, software, or additional hardware. | Examples of required tools:<br/><br/>- Offending device: The device that is experiencing an issue<br/>- Non-primary computer: A computer different from the one on which you are experiencing issues<br/>- Non-primary internet network: An internet network different from the one on which you are experiencing issues<br/>- Access to multiple computers or mobile devices for troubleshooting<br/>- Access to your email account

### Cloud Office terminology

**Administrator:** An individual who is listed as an account administrator or account contact on a Cloud Office account.

**Cloud Office Control Panel:** A tool accessible only by administrators for managing a Cloud Office account. It can be accessed at <https://cp.rackspace.com>.

**Cloud Office Email Portal:** A centralized log in page for both Hosted Microsoft Exchange and Rackspace Email users. It can be accessed at <https://apps.rackspace.com>.

**Email Help Tool:** A tool accessible by anyone with a valid Cloud Office email address and password. This tool provides account specific instructions for both mobile and desktop email client configurations. This tool can be accessed by logging in at <https://emailhelp.rackspace.com>.

**Local:** Precedes another term to indicate that what is being discussed is local to your computer, network, or mobile device.  

**Local mail client:** An application used on your personal desktop, laptop, or mobile device to access your Cloud Office email (For example, Outlook).

**Mail Client:** A general term for any application that is used to access your email.

**User:** An individual who accesses a Cloud Office product such as email but is not listed as an administrator or contact on a Cloud Office account.
