---
permalink: export-and-import-email-address-data-using-outlook
audit_date: '2021-07-08'
title: Export and import email address data by using Outlook
type: article
created_date: '2017-09-08'
created_by: William Loy
last_modified_date: '2021-07-08'
last_modified_by: Rose Morales
product: Rackspace Email
product_url: rackspace-email
---

This article describes when you might want to export or import email address
data by using Microsoft&reg; Outlook&reg; and includes links to articles with
instructions for different Outlook versions on both Windows&reg; and macOS&reg;.

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** Dependent on amount of data imported or exported
- **Tools required:**  Access to the Outlook account that you want to import
  into or export from

For more information about prerequisite terminology, see
[Cloud Office support terminology](/support/how-to/cloud-office-support-terminology/).

### Export or import email address data

Some of the scenarios where it is useful to import or export email address data
from your Outlook mail client include:

- Renaming a Rackspace Email address
- Migration to Microsoft Exchange&reg; or Office 365&reg;
- Converting a POP account to IMAP
- Transferring local data to a new device
- Backing up critical data

Regardless of your situation, it is important to back up your email data before
making major changes to your email address. After you verify that you have
properly exported your email address data, you can make needed changes and then
import the data again.

Select your version of Outlook for the following specific instructions for
exporting and importing email address data by using Outlook:

#### Export email address data

- [Export email address data from Outlook 2016 for Windows](/support/how-to/export-email-address-data-from-outlook-2016-for-windows)
- [Export email address data from Outlook 2013 for Windows](/support/how-to/export-email-address-data-from-outlook-2013-for-windows)
- [Export email address data from Outlook 2016 for Mac OS](/support/how-to/export-email-address-data-from-outlook-2016-for-mac)

#### Import email address data

- [Import email address data into Outlook 2016 for Windows](/support/how-to/import-email-address-data-into-outlook-2016-for-windows)
- [Import email address data into Outlook 2013 for Windows](/support/how-to/import-email-address-data-into-outlook-2013-for-windows)
- [Import email address data into Outlook 2016 for Mac OS](/support/how-to/import-email-address-data-into-outlook-2016-for-mac)
