---
permalink: help-tool-for-hosted-email-and-skype-for-business
audit_date: '2021-05-20'
title: Help tool for hosted email and Skype for Business
type: article
created_date: '2014-10-03'
created_by: Beau Bailey
last_modified_date: '2021-05-20'
last_modified_by: Ana Corpus
product: Rackspace Email
product_url: rackspace-email
---

Rackspace provides a self-service help tool to assist with the configuration of mobile
devices, email clients, and Skype for Business&reg;. You can log in to the help tool at
[emailhelp.rackspace.com](https://emailhelp.rackspace.com/) with your Rackspace email
address and password. The help tool provides step-by-step instructions for your specific
server configuration.

**Note to administrators:** You can streamline the process of configuring a client or
device for Exchange&reg; or Skype for Business by setting a DNS record for your domain
that points to the Rackspace auto-discover server. For more information about auto-discover,
see [Set up DNS records for email and Skype for Business](support/how-to/set-up-dns-records-for-cloud-office-email-and-skype-for-business).

The help tool provides setup instructions for the following services on specific clients and devices:

- Hosted Rackspace Email with IMAP using SSL
- Hosted Exchange 2010 and 2013
- Skype for Business

If your domain is on Hosted Exchange 2007, the help tool does not provide setup instructions.
You can find the username and server settings required by your email client in the Cloud Office
Control Panel from the **Client Setup** tab or in the [User Control Panel](https://cp.rackspace.com/usercp).

### Hosted Rackspace Email with IMAP by using SSL

The help tool provides manual instructions to configure IMAP access to email
for the following clients and devices:

- Outlook&reg; (for Windows&reg; and Mac&reg;)
- Mac Mail
- iOS&reg; devices such as iPhone&reg; and iPad&reg;
- Android devices
- Windows Phone

The help tool provides Mobile Sync instructions for domains that have it enabled. For
more information about Mobile Sync, see [Set up Mobile Sync](/support/how-to/set-up-mobile-sync/).

To set up a mail client manually, see [Rackspace Email and Hosted Exchange settings](/support/how-to/rackspace-email-and-hosted-exchange-settings).

### Hosted Exchange 2010 and Exchange 2013

The help tool provides instructions for setting up access to email on Hosted
Exchange 2010 and Exchange 2013 for the following clients and devices:

- Outlook (for Windows and Mac)
- Mac Mail
- iOS devices such as iPhone and iPad
- Android devices
- Windows Phone

To configure a mail client manually, see [Rackspace Email and Hosted Exchange settings](/support/how-to/rackspace-email-and-hosted-exchange-settings).

### Skype for Business

The help tool provides instructions to configure access to Hosted Skype for
Business for the following devices and operating systems:

- Windows
- iOS
- Mac
- Android
- Windows/RT

Log in to the help tool at [emailhelp.rackspace.com](https://emailhelp.rackspace.com/) to get started.

Use the Feedback tab to make any comments or ask questions. You can also [start a conversation with us](https://www.rackspace.com/contact).

