---
permalink: managing-company-directories
audit_date: '2018-04-06'
title: Manage company directories
type: article
created_date: '2014-11-14'
created_by: Joanna Salazar
last_modified_date: '2018-04-06'
last_modified_by: William Loy
product: Rackspace Email
product_url: rackspace-email
---

When you create a company directory, users in the directory have access
to up-to-date contact information for all users in the directory. Users
can access the company directory information through Webmail, via the
Contacts tab.

### Prerequisites

- **Applies to:** Administrator
- **Difficulty:** Easy
- **Time needed:** Approximately 5 minutes
- **Tools required:** Cloud Office Control Panel access

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

### View company directory list

To view a company directory list, log in to the [Cloud Office Control Panel](https://cp.rackspace.com) and perform
the following steps:

1.  Click **Rackspace Email**.

    {{<image src="rackspace_email.png" alt="" title="">}}

2.  Click the **Webmail** tab in the ribbon at the top of the screen.

    {{<image src="webmail.png" alt="" title="">}}

From here, you can add, edit, or delete an alias. See the following instructions specific to the action you want to take.

### Add or edit a company directory

1. While viewing the **Company Directory** list, click the name of the directory that you want to edit. If you are creating a new directory, click **Add Directory**.

   {{<image src="add_directory.png" alt="" title="">}}


2. Enter or change the following information as needed.

   - Use the **Name** box to change or create the directory's name.

   - To allow users to edit their personal contact information, select the **Allow users to edit their profile** check box.

   - In the **Domains** section, select a domain that you want to add to the directory, and then click **Add**. Use the **Filter** or **Search** tools to locate a domain.

     **Note:** You can add several domains to the same directory, but
        each domain can belong to only one directory.

   - To make changes to members, click the **Add/Remove Members** tab. Use the **Filter** or **Search** tools to locate the mailboxes you want to include, and then click **Add**.

   - To add mailboxes that are outside your domain, type their email addresses in the **Add Members outside this Domain** box and click **Add**. Then, click on the newly listed email address and click on **Edit Contact Info**. Enter additional information as needed in the new window, and then click **Ok**.

     {{<image src="add_domain.png" alt="" title="">}}

3. Click **Save**.

   {{<image src="directory_added.png" alt="" title="">}}

### Delete a company directory

1. Select the check box next to each directory that you want to delete. Or, to select all directories, select the check box that appears next to **Delete**.

2. Click **Delete**.

3. A pop-up box will appear to confirm that you want to delete the directory. Click **Delete *n* company directory**.
