---
permalink: rackspace-email-control-panel-overview
audit_date: '2021-02-04'
title: Rackspace Email Control Panel overview
type: article
created_date: '2012-05-23'
created_by: Nicholas Fleisig
last_modified_date: '2021-02-04'
last_modified_by: Carlos Arriaga
product: Rackspace Email
product_url: rackspace-email
---

Welcome to Rackspace Cloud Office. After you sign up for Rackspace Email
services, you're ready to log in to your Cloud
Office Control Panel. This article provides a brief overview of the
Control Panel, which you can access at <https://cp.rackspace.com> (new
Cloud Office customers) or
[https://login.rackspace.com/](https://login.rackspace.com) (UK and
MyRackspace customers).

### Control Panel main page

After you log in to the Control Panel, you see a variety of sections
that showcase the products that you have signed up for&mdash;in this case,
Rackspace Email. Each product or service section has several options
and tools. The main landing page includes the **Rackspace Email** section, 
as well as the **Domains** and **News & Alerts** sections. As you sign up 
for additional products, each product has its own section so that you can 
manage it directly from the landing page.

{{<image src="picture1.jpg" alt="" title="">}}
    
### Rackspace Email section

The **Rackspace Email** section provides you with various options and
tools like spam filtering, creating aliases, as well as creating and
managing Group Lists.

{{<image src="picture2.jpg" alt="" title="">}}

- To view the available range of options for Rackspace Email, you can click on Rackspace Email in the **Go to section** menu.

- After you click **Rackspace Email**, new options appear, such as collaboration and the ability to upgrade your services, like
  adding more mailboxes. We recommend getting familiar with all the features so you can use the product to its full potential.

The following sections describe the options available for Rackspace Email on the Control Panel. 

#### Email accounts

- **Mailboxes**: Add new mailboxes for your domain.
- **Aliases**: Add an alias for any active mailbox on your domain.
- **Group Lists**: Create a group list for users in your domain.
- **Archiving**: Archive all incoming and outgoing email for your domain.
- **Settings**: Specify values for folder cleanup, storage, access rights, and Webmail settings.

#### Spam filtering

- **Filter Settings**: Control domain spam settings or individual mailbox settings such as spam handling.
- **Edit Blocklists**: Control domain or individual mailbox Blocklists settings.
- **Edit Safelists**: Control domain or individual mailbox Blocklists settings.
- **Blocklists / Safelists**: Search for users on Blocklists or safelists.

#### Reports

- **Domain Details**: Get a summary of your domain services and products.
- **Mailbox Details**: Get a summary of your domains' mailboxes.
- **Mail Forwarding**: See which mailboxes on your domains have forwarding enabled.

#### Collaboration

- **Company Directory**: Manage your domains' company contacts.
- **Shared Calendar**: Manage users to share their calendars.
- **Sync**: Synchronize your contacts and calendar to your mobile device.

#### Upgrades

- **Email Hosting**: Upgrade your services with Rackspace Email.
- **Cloud Drive & Server Backup**: Add the Cloud Drive and Server Backup services to your domain.
- **SharePoint**: Enable your free 250 MB of the SharePoint service for your domain.

### News & Alerts section

The **News & Alerts** section displays any current scheduled maintenance and a system status updater.

### Domains section

You use the **Domains** section to access your domains' DNS settings,
add disclaimers, view domain details, and set spam filtering.

Click the **More** link to access more options like split-domain
routing, migrations, editing the catch-all address, and the **Email Everyone** feature.

The following sections describe the options available for **Domains** on the Control Panel.

#### Manage

- **Domain Details**: View a summary of your domain services and products.
- **DNS Settings**: Manage and view the DNS settings for your domains.
- **Email Archiving**: Archive all incoming and outgoing email for your domain.
- **Global Access Rights**: Grant or disable access for POP or IMAP connections.

#### Spam Filtering

- **Set Preferences**: Control your domain spam settings or individual mailbox settings such as spam handling.
- **Edit Blocklists**: Control domain or individual mailbox Blocklists settings.
- **Edit Safelists**: Control domain or individual mailbox Blocklists settings.
- **Blocklists / Safelists**: Search for users on Blocklists or Safelist.

#### Tools

- **Split Domain Routing**: Set up and manage split domain routing.
- **Email Everyone**: Email everyone on your domain at once.
- **Disclaimers** - Add a company disclaimer to your outgoing email.
- **Catch All Address**: Add a mailbox to capture any incoming mail sent to an address that doesn't exist on your domain.
- **Migrations**: Set up new migrations for migrating company data from a previous hosting provider.

#### Reports

- **Domain Details**: Get a summary of your domain services and products.
- **Mailbox Details**: Get a summary of your domains' mailboxes.
- **Mail Forwarding**: See which mailboxes on your domains have forwarding enabled.

Use the Feedback tab to make any comments or ask questions. You can also [start a conversation with us](https://www.rackspace.com/contact). 
