---
permalink: rackspace-webmail
audit_date: '2021-06-21'
title: Rackspace Webmail overview
type: article
created_date: '2012-05-27'
created_by: Rackspace Support
last_modified_date: '2021-06-21'
last_modified_by: Rose Morales
product: Rackspace Email
product_url: rackspace-email
---

With Rackspace Email, you can check and manage your email online through a
[webmail](https://www.rackspace.com/email-hosting/webmail) interface. Webmail
provides direct access to your email without the need for software. Messages
managed using webmail wait on the portal until the next time you log in.
Webmail provides most of the same functionality that an email client offers,
including sending and receiving email, signatures, and email forwarding.

This article provides an overview of the available features in the Rackspace
Email webmail interface.

### Log in to webmail

Log in to [webmail](https://apps.rackspace.com/)

At login, Rackspace provides the following options:

- **Remember this info**: Select the checkbox to allow Rackspace to interact with your browser to remember your login information.
- **Use SSL**: Secure Sockets Layer (SSL) encrypts your data when you log in. Select the checkbox to enable SSL.

### Contacts

Rackspace Email lets you manage your contacts through our webmail interface. You can add new contacts,
import and export old contacts by using a **.csv** file, export to various email clients, create groups,
and sort through contacts alphabetically. You can also sync your contacts with your mobile device and
with Rackspace Email Plus.

### Calendar

Rackspace Email enables you to manage your appointments and meetings through our webmail interface.
You can share your calendar, create personal calendars, import events, and add shared calendars
within your domain. You can also sync your calendar events with your mobile device with Rackspace
Email Plus. For more information about Rackspace Email Plus, see
[Rackspace Email Plus featuring Cloud Drive](https://www.rackspace.com/en-us/email-hosting/webmail/cloud-drive).

### Tasks

Rackspace Email provides the ability to create and manage tasks and create task lists through
our Webmail interface.

### Notes

Rackspace Email provides the ability to create notes and sync them with your mobile device and
with Rackspace Email Plus.

### Password recovery

This option allows users to reset a forgotten mailbox password by using MFA. If an admin has
this feature, the system prompts enabled users to set up MFA when logging into **apps.rackspace.com**.
The prompt lets the users choose to get a text message or use an authenticator app, such as
Microsoft&reg; Authenticator, Google&reg; Authenticator, or Authy.

### Settings

Rackspace Email provides various options for you to manage your email account. While in the
webmail interface, click the menu beside your email address in the top-right corner and select
**Settings** to see a list of features and options available.

#### General Settings

In the **General Settings** section, you can manage email, calendar,
preferred language, and date and time settings.

{{<image src="general_settings.png" alt="" title="">}}

##### Email options

- **Display Preferences** provides options for you to display HTML emails,
  enable shortcuts, change your viewing pane, and change the number of messages
  displayed in your reading pane.
- **New Messages** provides options to play an alert for the arrival of new
  messages and choose how often to check for new messages.
- **Trash Options** provides the option to move deleted email to the trash or
  immediately purge upon deletion.

##### Calendar option

- **Invitations** provides the option to delete invitations after responding.

##### Language & Date/Time options

- **Language** provides the option to choose between 11 different languages.
- **Date and Time** provides the options to set your date, time, and current time zone.

#### Composing email

In the **Composing Email** section, you can manage settings for composing, identities, and signatures.

{{<image src="composing_email.png" alt="" title="">}}

##### Composing

- **Composing** provides various options, such as auto-completing email addresses when
  composing a new email, setting up custom signatures, and so on.
- **Replying & Forwarding Citations** lets you select whether to include the original
  composed message in your reply and set the user-defined start and end text.

##### Identities

- **Add New Identity** creates a new identity, which enables you to quickly change the name,
  email address, and reply address on your outgoing email.

##### Signatures

- **Add New Signature** adds a new signature and assigns it to your outgoing email and specific
  identities. To learn more, see [Add a Rackspace Email signature](/support/how-to/adding-a-signature-to-rackspace-email).

#### Incoming Email

In the **Incoming Email** section, you can manage settings for auto-reply, forwarding, and filtering.

{{<image src="incoming_email.png" alt="" title="">}}

- **Auto-Reply** activates the auto-reply feature for times when you are out of the office.
- **Forwarding** forwards any mail to any email address with the option to save a copy in your inbox.
- **Filtering** provides the ability to create filters for specific incoming email and to route
  them to a specified folder.

#### Spam Settings

In the **Spam Settings** section, you can manage settings for spam preferences, safelists, and Blocklists.

{{<image src="spam_settings.png" alt="" title="">}}

##### Preferences

- **Spam Filtering** turns your spam filtering on and off or sets it as exclusive.
- **Spam Handling** specifies how you want to handle your spam email.

##### Safelist and Blocklist

- **Safelist** specifies what email the system should bypass through filters based on the sending
  user's IP address, email address, or domain.
- **Blocklist** specifies what email the system should block based on the sending user's IP address,
  email address, or domain.

#### Change Password

In the **Change Password** section, you can change your password. Selecting this option redirects
you away from webmail.
