---
permalink: rename-a-rackspace-email-address
audit_date: '2021-07-08'
title: Rename a Rackspace Email address
type: article
created_date: '2016-05-10'
created_by: Amber Melita
last_modified_date: '2021-07-08'
last_modified_by: Rose Morales
product: Rackspace Email
product_url: rackspace-email
---

This article explains how to rename a Rackspace Email address from the Cloud
Office Control Panel.

### Prerequisites

- **Applies to:** Administrator
- **Difficulty:** Easy
- **Time needed:** 20 minutes
- **Tools required:** Control Panel access

For more information about prerequisite terminology, see
[Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

For a video tutorial of the following steps, see
[Rackspace Email - Adding/Editing/Renaming/Restoring](https://emailhelp.rackspace.com/l/add-edit-rename-rse-mailbox).

### Before you begin

If the mailbox exists in a [local email client](/support/how-to/cloud-office-support-terminology)
profile such as Outlook&reg; or Apple&reg; Mail, export the user's local profile
and recreate it after renaming the email address.

When you delete a mailbox the username will be unavailable for 14 days.

Exporting the profile before renaming the mailbox prevents mail data loss.

### Rename a Rackspace email address

1. Log in to the [Cloud Office Control Panel](https://cp.rackspace.com/).

2. In the **Rackspace Email** section, click **Mailboxes**.

3. In the mailbox list, click the link for the email address that you want to
   rename.

4. Click **More**, expanding the drop-down menu, and select **Rename
   Email Address**.

5. In the **Rename Email Address** dialog box, enter the user name, and click
   **Rename Email Address**. A confirmation message appears with the banner
   **Email Address Renamed!**, displaying the old and new email addresses.

    **Note**: If you receive a **This email address is already taken** message,
    the address is already in use as an alias, group list, distribution
    list, or Microsoft Exchange mailbox on this domain. Try a different
    email address.

6. Click **OK**.

### Update devices to connect to the renamed email address

After you rename the email address, you must update all devices, such as desktop
computers and mobile phones, to connect to the renamed mailbox. For steps, see
the [Renamed Rackspace Email address setup guide](/support/how-to/renaming-a-rackspace-email-address-overview).

**Note:** We recommend logging in to [apps.rackspace.com](https://apps.rackspace.com/index.php)
with the new mailbox address before you configure devices. If you can't log in, update the
mailbox password before continuing. If you can't log in to the mailbox, see
[Change a Rackspace Email mailbox password](/support/how-to/change-rackspace-email-mailbox-password/#change-a-password-through-cloud-office-control-panel).
