---
permalink: safelist-addresses-domains-and-ips-in-rackspace-email
audit_date: '2021-06-15'
title: Safelist addresses, domains, and IPs in Rackspace Email
type: article
created_date: '2017-09-29'
created_by: William Loy
last_modified_date: '2021-06-15'
last_modified_by: Rose Morales
product: Rackspace Email
product_url: rackspace-email
---

This article explains how to add an email address, IP address, or domain to a
safelist in the Rackspace Email webmail interface to ensure that the system
delivers important messages to your inbox.

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** 5 minutes
- **Tools required:**  apps.rackspace.com access

For more information on prerequisite terminology, see
[Cloud Office support terminology](/support/how-to/cloud-office-support-terminology).

### Why use a safelist?

**Safelisting** an address creates a rule that moves any message flagged as spam
from the address you safelisted to the **Inbox** so that you do not miss the
message. If you need to **Blocklist** a sender, see
[Blocklist addresses, domains, and IP addresses in Rackspace Email](/support/how-to/blocklist-addresses-domains-and-ip-addresses-in-rackspace-email).

**Warning:** Safelisting does not prevent a sender from being flagged as spam or being blocked.

### Safelist an email address or domain

1. Log in to your mailbox at [apps.rackspace.com](https://apps.rackspace.com).

2. Click your email address in the upper-right corner and select **Settings** from the menu.

    {{<image src="safelist_settings.png" alt="" title="">}}

3. Click **Spam Settings** on the left-hand side of the pop-up box and then click the **Safelist** tab.

    {{<image src="settings_safelist.png" alt="" title="">}}

4. In the **Safelisted Domains & Email Addresses**, click **Add**.

5. When prompted to **Add Safelisted Domain or Email Address**, enter the domain or email
   address you want to safelist in the field under **Enter a domain or email address** and then click **Add**.

    {{<image src="safelist_domain.png" alt="" title="">}}

6. Confirm that the address now displays in the box under **Safelisted Domains & Email Addresses** and click **Save**.

### Safelist an IP address

If you need to safelist an IP, follow steps 1-3 in the preceding section and then perform the following steps:

1. In the **Safelisted IP Addresses** box, click **Add**.

2. When prompted to **Add Safelisted IP Address**, enter the IP address that you want to safelist
   in the field under **Enter an IP address(or range)** and then click **Add**.

    {{<image src="safelist_ip.png" alt="" title="">}}

3. Confirm that the address now displays in the box under **Safelisted Domains & Email Addresses** and click **Save**.
