---
permalink: set-up-spf-and-dkim-records
audit_date: '2021-02-03'
title: Set up SPF and DKIM records
type: article
created_date: '2012-07-24'
created_by: Rackspace Support
last_modified_date: '2021-02-03'
last_modified_by: Carlos Arriaga
product: Rackspace Email
product_url: rackspace-email
---

DomainKey Identified Mail (DKIM) and Sender Policy Framework (SPF) are two methods that can protect you from email spamming,
spoofing, and phishing attempts.

- SPF method allows you to specify which email servers are legitimate servers for your domain.
- DKIM method allows you to attach a DomainKey signature to your outgoing mail. The receiving server then verifies the validity
  of the key and either accepts or rejects the mail.

SPF and DKIM are frequently used in combination because they attack email problems from two different angles.

For instructions on how to create DNS TXT records for DKIM and SPF, see the following articles:

- [Create a DKIM TXT record](/support/how-to/enable-dkim-in-the-cloud-office-control-panel/)

- [Create a SPF TXT record](/support/how-to/create-an-spf-policy/)

Use the Feedback tab to make any comments or ask questions. You can also [start a conversation with us](https://www.rackspace.com/contact). 
