---
permalink: updating-your-whois-information
audit_date: '2018-03-07'
title: Update your WHOIS information
type: article
created_date: '2011-10-31'
created_by: William Loy
last_modified_date: '2018-03-07'
last_modified_by: Cat Lookabaugh
product: Rackspace Email
product_url: rackspace-email
---

A domain's WHOIS record includes various types of information about each domain that you own. When you perform a WHOIS search, you can discover the following information: when and by whom a specific domain was registered, the domain contact information, and more. If Rackspace is your domain's registrar, you can manage your domain's WHOIS information through the control panel, as described in this article.

### Prerequisites

- **Applies to:** Administrator
- **Difficulty:** Easy
- **Time needed:** Approximately 15 minutes to update WHOIS and to confirm any changes
- **Tools required:**  Access to Control Panel and WHOIS contact email address

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology/).


**Note:** The information that you provide is visible to anyone who searches the Internet for your domain's WHOIS record.

1. [Log in to the Cloud Office Control Panel](https://cp.rackspace.com/).
2. Scroll down to the **Domains** section and select **DNS Settings**.

   {{<image src="edit_who_is.png" alt="" title="">}} 

3. Find the domain for which you want to manage WHOIS information, and click **Edit WHOIS**.

   {{<image src="domain_list.png" alt="" title="">}} 

4. Make changes as needed and then click **Save**.

   {{<image src="contact_info.png" alt="" title="">}} 

5. Log in to the mailbox listed as the WHOIS contact email address to receive the email asking you to verify the changes you just made.  

6. To verify your changes, click the link provided in the email or copy the provided URL and paste it into your browser's search bar.

   **Warning:** If you do not complete the verification process within 15 days of making changes, your domain will be suspended. This will cause disruption to any services tied to your domain.

7. When the WHOIS change verification is completed successfully, a confirmation screen displays showing that  you have successfully verified your registration contact information.
