---
permalink: upgrade-to-rackspace-email-plus
audit_date: '2021-07-09'
title: Upgrade to Rackspace Email Plus
type: article
created_date: '2017-06-20'
created_by: William Loy
last_modified_date: '2021-07-09'
last_modified_by: Rose Morales
product: Rackspace Email
product_url: rackspace-email
---

This article provides instructions for upgrading your Rackspace Email users
to Rackspace Email Plus. For more information about Rackspace Email Plus, see
[Rackspace Email Plus featuring Cloud Drive](https://www.rackspace.com/en-us/email-hosting/webmail/cloud-drive).

### Prerequisites

- **Applies to:** Administrator
- **Difficulty:** Easy
- **Time needed:** 15 minutes
- **Tools required:** Cloud Office Control Panel access

For more information about prerequisite terminology, see
[Cloud Office support terminology](/support/how-to/cloud-office-support-terminology/).

### Compare Rackspace Email and Rackspace Email Plus

Rackspace Email Plus offers more storage and versatility than Rackspace Email.
The following table provides a comparison of Rackspace Email and Rackspace Email
Plus features:

|Feature | Rackspace Email | Rackspace Email Plus |
|---|---|---|
|**Syncs to mail client** | &#10003; Mail |&#10003; Mail|
|**Syncs to mobile device** | &#10003; Mail | &#10003; Mail <br/> &#10003; Contacts <br/> &#10003; Calendar
|**Online contacts** | &#10003; | &#10003; |
|**Online calendar** | &#10003; | &#10003; |
|**Online notes** | &#10003; | &#10003; |
|**Online tasks** | &#10003; | &#10003; |
|**30GB Cloud Drive storage**|  | &#10003;|
|**Desktop file synchronization**| | &#10003;|
|**Online document and spreadsheet editors**| | &#10003;|

### Upgrade your Rackspace Email users to Rackspace Email Plus

1. Log in to the [Cloud Office Control Panel](https://cp.rackspace.com/).
2. In the **Rackspace Email** section, click **Rackspace Email Plus**.

    {{<image src="RSE-Plus.png" alt="" title="">}}

3. If you have multiple domains, select the domain for which you want to upgrade.

    **Note:** This upgrade applies to the entire domain. You cannot upgrade
    individual users.

    After selecting the domain you want to upgrade, a short video
    explains the benefits of **Rackspace Email Plus**.

4. After you review the information on this page, click **Upgrade Domain**.

   **Warning:** Allow the upgrade to complete before making any other changes.
   Each mailbox takes seconds to upgrade.

   When the domain has upgraded to Rackspace Email Plus, the mailbox list page
   appears, and the following message appears: **Success! All Rackspace Email users on
   yourdomainexample.com have been upgraded to Rackspace Email Plus**.
