---
permalink: view-email-headers
audit_date: '2020-10-23'
title: View Email Headers
type: article
created_date: '2020-10-23'
created_by: Nicholas Ramirez
last_modified_date: '2020-10-26'
last_modified_by: Rose Morales
product: Rackspace Email
product_url: rackspace-email
---

### Prerequisites

- **Applies to:** Administrator and User
- **Difficulty:** Moderate
- **Time needed:** Approximately 5 minutes
- **Tools required:** Webmail access, Outlook&reg; Web App access

For more information about prerequisite terminology, see [Cloud Office support terminology](/how-to/cloud-office-support-terminology).

This article explains how to view message headers within Webmail for Rackspace Email mailboxes, as well as within the Outlook Web App for Hosted Exchange&reg; mailboxes.

### View headers in Webmail for Rackspace Email

1. Log in to your Rackspace Email mailbox at [apps.rackspace.com](apps.rackspace.com).

2. Select the message for which you want to view the headers.

3. In the **Message Preview** pane toolbar, click **More** and select **View Full Header**.

    {{<image src="view_full_header_rs.png" alt="" title="">}}

4. The **Full Header** box displays the full contents of the message header.

    {{<image src="full_header_rs.png" alt="" title="">}}

You have successfully viewed the message headers in Rackspace Email webmail.

For additional information regarding reading and updating email headers within Webmail, see our [In-depth Support Documentation](https://docs.rackspace.com/support/how-to/view-and-read-rackspace-email-headers/).

### View headers in Outlook Web App for Hosted Exchange

1. Log in to your Hosted Exchange mailbox at [apps.rackspace.com](apps.rackspace.com).

2. Select the message for which you want to view the headers.

    {{<image src="inbox_preview_hex.png" alt="" title="">}}

3. On the right-hand side of the **Message Preview** pane, click the **down arrow** to the right
   of **Reply all**, and then select **View message details**.

    {{<image src="view_message_details_hex.png" alt="" title="">}}

4. The **Full header** box displays all of the contents in the message header.

    {{<image src="header_window_hex.png" alt="" title="">}}

You have successfully viewed the message headers in the Outlook Web App.

For additional information regarding reading and updating email headers within the Outlook Web App, see our [In-depth Support Documentation](https://docs.rackspace.com/support/how-to/view-and-read-email-headers-in-owa).
