---
permalink: azure-v2-upgrade
audit_date: '2022-06-07'
type: article
title: Azure V2 Upgrade
created_date: '2022-06-07'
created_by: Rohit Rajput
last_modified_date: '2022-07-19'
last_modified_by: Rohit Rajput
product: Rackspace Fabric
product_url: rackspace-fabric
---

# Azure V2 Upgrade

## How to access Azure Subscriptions

**Step 1.** Access the URL https://manage.rackspace.com/

**Step 2.** Enter your Login credentials and click **Log In**.The application Home Page opens.

<img width="400" alt="Login Credentials" src="/support/how-to/azure-v2-upgrade/login-credentials.png">
 
**Step 3.** In the top navigation panel, click **Account** >> **Switch Account**.

<img width="351" alt="Login" src="/support/how-to/azure-v2-upgrade/login.png">

**Step 4.** Select a specific **Manage Cloud Account** from the list and click **Switch Account**. The selected account can be **Set to Default** by selecting the **Checkbox**.

**Note: You can search for and view any Azure subscriptions by clicking the arrow icon next to the Managed Cloud account or typing in the filter accounts box**

<img width="470" alt="Switch Account Updated" src="/support/how-to/azure-v2-upgrade/switch-account-updated.png">

**Step 5.** In the top navigation panel, click **My Accounts** >> **Microsoft Azure**.

<img width="366" alt="Microsoft Azure" src="/support/how-to/azure-v2-upgrade/microsoft-azure.png">

**Step 6.** Under **Microsoft Azure**, you can see the list of **Azure Subscriptions**. 

<img width="470" alt="Azure Subscriptions" src="/support/how-to/azure-v2-upgrade/azure-subscriptions.png">


## Accessing Dedicated Hosting Portal

**Note**: The Dedicated Hosting Portal (MyRackspace) will only be accessible when the user is currently in a Dedicated Hosting Account.

### How to switch into Dedicated Hosting Account

**Step 1.** In the top navigation panel, click **Account** >> **Switch Account**.

<img width="356" alt="Switch Account for Dedicated" src="/support/how-to/azure-v2-upgrade/switch-account-for-dedicated.png">

**Step 2.** Select the **Rackspace Dedicated** Account from the list and click **Switch Account**. The selected account can be **Set to Default** by selecting the **Checkbox**.

<img width="470" alt="Switch Account for Dedicated updated" src="/support/how-to/azure-v2-upgrade/switch-account-for-dedicated-updated.png">

**Step 3.** In the top navigation panel, click **My Accounts** >> **Rackspace Dedicated**.

<img width="349" alt="Rackspace Dedicated" src="/support/how-to/azure-v2-upgrade/rackspace-dedicated.png">


## Managing Permissions

### How to manage Azure Permissions

**Step 1.** In the top navigation panel, click **My Accounts** >> **Rackspace Dedicated**.

**Note: If Rackspace Dedicated is grayed out and not clickable, this indicates that you are currently in the Managed Cloud account. To access the Rackspace Dedicated, you will need to switch back into the dedicated hosting account.**

<img width="349" alt="Rackspace Dedicated" src="/support/how-to/azure-v2-upgrade/rackspace-dedicated.png">

**Step 2.** In the MyRackspace navigation bar, click **Account** >> **Permissions**.

<img width="425" alt="Permissions" src="/support/how-to/azure-v2-upgrade/permissions.png">

**Step 3.** In the **Permissions page**, you can manage the permission of user groups two ways:

**i.**	In the **User Groups** section, expand the **user group** and click **Edit Group**.

<img width="439" alt="Edit Group" src="/support/how-to/azure-v2-upgrade/edit-group.png">

**ii.**	In the top menu bar, navigate **Manage Groups** then select the **User Group** which you want to edit. 

<img width="527" alt="Manage Groups User Groups" src="/support/how-to/azure-v2-upgrade/manage-groups-user-groups.png">

**Step 4.** **Select/Deselect** the **Checkboxes** to manage the members of the User Groups and click **Save Changes**.

<img width="306" alt="Edit Group 1" src="/support/how-to/azure-v2-upgrade/edit-group-1.png">



## Managing Tickets for Azure v2

**You can View, Update and Create tickets by following the procedures below**:


### Viewing Azure v2 Tickets

#### How to view Azure v2 Tickets

**Step 1.** In the top navigation panel, click **Account** >> **Switch Account**.

<img width="351" alt="Login" src="/support/how-to/azure-v2-upgrade/login.png">

**Step 2.** Select a specific **Manage Cloud Account** from the list and click **Switch Account**. The selected account can be **Set to Default** by selecting the **Checkbox**.

<img width="470" alt="Switch Account Updated" src="/support/how-to/azure-v2-upgrade/switch-account-updated.png">

**Step 3.** In the top menu bar, click **Tickets** >> **Ticket List**.

<img width="354" alt="Ticket List" src="/support/how-to/azure-v2-upgrade/ticket-list.png">

**Step 4.** The **Ticket List** opens and you can view either the most recently created ticket or last modified ticket at the top. 

**Note: For additional functionality and features, please click [here](https://docs.rackspace.com/support/how-to/fabric-ticketing) to review the Fabric Ticketing overview document.**

<img width="220" alt="View Ticket" src="/support/how-to/azure-v2-upgrade/view-ticket.png">



### Creating a Ticket for Azure v2 Subscriptions

#### How to Create a Ticket

**Step 1.** Ensure that you are currently in the correct Managed Cloud account by selecting the account dropdown. This will show you the account name and number of your current account.

**Step 2.** In the top menu bar, click **Tickets** >> **Create Ticket**. 

Note: You can also Create a ticket by navigating **Ticket List** >> **Create Ticket**. 

<img width="420" alt="Create Ticket option 1" src="/support/how-to/azure-v2-upgrade/create-ticket-option-1.png">

**Step 3.** In **Create Ticket** page, select the appropriate **Category** from Category section and click **Continue**.

<img width="470" alt="Category" src="/support/how-to/azure-v2-upgrade/category.png">

**Step 4.** In **Account & Product** section, click **drop-down** and select the appropriate **Account**, **Product**, and **Severity** and click **Continue** as shown in the below image.

<img width="380" alt="Account Product Severity" src="/support/how-to/azure-v2-upgrade/account-product-and-severity.png">

**Step 5.** In **Issue Details** section, fill in details of Subject, Description, and Recipient(s). Optionally you can upload attachments up to 20MB per file. Click **Submit** and your ticket will be created.

<img width="379" alt="Issue Details" src="/support/how-to/azure-v2-upgrade/issue-details.png">
