---
permalink: "common-request-templates"
audit_date: '2022-03-10'
type: article
title: "Common Request Templates"
created_date: '2022-03-04'
created_by: Asmita
last_modified_date: '2022-03-09'
last_modified_by: Asmita
product: Rackspace Fabric
product_url: rackspace-fabric
---

# Common Request Templates
This is a list of available common request templates, the category selections they depend on, and types of device selections that may be required in order to navigate to the desired template. Keep in mind that some templates may not show depending on your account type, products, or services. Please consult with support, your customer success manager or account manager if issues accessing a template still exist after utilizing this documentation.

| **Common Request (Template Name)** | **Category** | **Product/Service** | **Allowed Device Selections** | **Minimum Devices Required** |
| ----------------------------- | -------- | ---------------- | ------------------- | ------------------------ |
| Add Armor Anywhere | Change | Dedicated Hosting | None | None |
| Add CPU to Server or Hypervisor | Change  | Dedicated Hosting | Hypervisor, Hypervisor ESXi, Server, VM | One |                          
| Add Disk Space to Server or Hypervisor | Change | Dedicated Hosting | Hypervisor, Hypervisor ESXi, Server, VM | One |  
| Add RAM to Server or Hypervisor | Change | Dedicated Hosting | Hypervisor, Hypervisor ESXi, Server, VM | One |  
| Create New User on Active Domain Directory | Account | User Management | None | None |
| Create New User on Server | Change | Dedicated Hosting | Server, VM | One |
| Add Virtual IP Address to Load Balancer | Change | Dedicated Hosting | Load Balancer | One |
| Create new VPN User on Firewall | Change | Dedicated Hosting | Firewall Platform | One |
| On-site Physical Colocation Access Request | Change | Dedicated Hosting | Colocation | One |
| Request Emergency Financial Accomodations | Account | Account Management | None | None |
| Delete Contact | Account | User Management | None | None |
| Remove Virtual IP Address from Load Balancer | Change | Dedicated Hosting | Load Balancer | One |
| Generate Certificate Signing Request (CSR) | Change | Dedicated Hosting | Firewall Platform, Firewall Platform WAF | One |  
| Hypervisor ESXi Version Check | Change | Dedicated Hosting | Hypervisor ESXi | One |
| IP Allocation | Change | Dedicated Hosting | Any | One |
| Local User Management | Change | Dedicated Hosting | Hypervisor, Hypervisor ESXi, Server, VM | One |
| Logical Security Testing | Account | Account Management | None | None |
| Login Access to Server | Change | Dedicated Hosting | Hypervisor, Hypervisor ESXi, Server, VM | One |
| Network Troubleshooting | Change | Dedicated Hosting | Firewall Platform, Firewall Platform WAF, Hypervisor, Hypervisor ESXi, Load Balancer, Managed Shared Storage, RPC-V, Server, VM | One |
| Nullroute Banned IPs | Change | Dedicated Hosting | Any | None
| OS Troubleshooting | Change | Dedicated Hosting | Hypervisor, Hypervisor ESXi, Server, VM | One |
| Performance Issues | Change | Dedicated Hosting | Hypervisor, Hypervisor ESXi, Server, VM | One |
| Reset User Password on Active Directory Domain | Account | User Management | None | None |
| Reset User Password on Server | Change | Dedicated Hosting | Server, VM | One |
| Reset VPN User Password on Firewall | Change | Dedicated Hosting | Firewall Platform | One |
| Colocation SmartHands and General Support Request | Change | Dedicated Hosting | Colocation | One |
| User Password Reset/Account Unlock | Change | RAS Help Desk Support Services | None | None |
| Usage Drop | Change | Dedicated Hosting | Any | None |
| Enroll in RPC-VMWare Guest OS Services | Change | Dedicated Hosting | Virtual Machine for Linux, Virtual Machine for Windows, VMware Service for OS Administration | One |
| VPN - add, reset, delete VPN user(s) on firewall(s) | Change | Dedicated Hosting | Firewall Platform | One |
| Website is Down | Change | Dedicated Hosting | Hypervisor, Hypervisor ESXi, Server, VM | One |