---
permalink: working-with-notifications-in-rackspace-intelligence
audit_date: '2021-02-25'
title: Work with notifications in Rackspace Intelligence
type: article
created_date: '2015-07-16'
created_by: Rose Coste
last_modified_date: '2021-02-25'
last_modified_by: Rose Morales
product: Rackspace Intelligence
product_url: rackspace-intelligence
---

Before you can build [notification plans for Rackspace Intelligence](/support/how-to/working-with-rackspace-intelligence-notification-plans),
you must define notification methods. For example, you can define a
method of contacting a support engineer by SMS and contacting a manager by email.

You can create the following types of notifications:

- Webhook
- Email
- [PagerDuty](https://www.pagerduty.com/)
- SMS
- [VictorOps](https://victorops.com/)

To create new notifications or edit your existing notifications, click
**Notify** at the top of the Rackspace interface, and then click
**Notifications**.

Sort the list of notifications by name or type. For example, sorting by type
groups everyone who prefers to be notified by email.

For each notification, the **Detail** field contains specific contact
information such as an email ID or a telephone number.

### Create a notification

1. To define a new notification method, click **Create Notification**.
2. Enter a name for the notification, and choose a notification type.
3. Depending on the type you choose, provide notification details, such as
   an email address or a phone number.
4. Click **Save Notification**.

The notification appears on the **Notifications** page.

### Edit a notification

To edit a notification, click the settings icon to the left of the notification
name on the **Notifications** page.

You can perform the following modifications to notifications:

#### Update the settings for a notification

1. Click the settings icon to the left of the notification, and select **Edit Notification**.
2. In the pop-up dialog box, make the necessary updates for the notification, and
   then click **Save Notification**.

#### Delete a notification

1. Click the settings icon to the left of the notification, and select
   **Delete**.
2. Click **Delete** to confirm the deletion of your notification and
   permanently delete the notification.
