---
permalink: ach-compliance-faq
audit_date:
title: ACH compliance FAQ
type: article
created_date: '2015-04-09'
created_by: Andrea Gillespie
last_modified_date: '2018-05-08'
last_modified_by: Cat Lookabaugh
product_url: retired-articles
product: Retired Articles
---

Automated Clearing House (ACH) is an electronic network used in the
United States for financial transactions. It is regulated by the
National Automated Clearing House Association (NACHA) and handles
electronic check payments. This FAQ answers questions about changes that
Rackspace is making to our ACH process and how those changes affect
customers.

#### Why are you changing your policy?

For Rackspace to comply with NACHA regulations, we need to make the
following changes to our ACH process:

-   Record your agreement to the Terms and Conditions that authorizes
    ACH payments.
-   Provide you with the ability to cancel automatic ACH payments.
-   Preauthorize your checking account to confirm that the account
    exists, and store the preauthorization information.

#### How do I access or view my payment information?

1. Log in to the MyRackspace Portal.

2. Click **Account**, and then select **Payments** from the menu.

  {{<image src="ACHFAQ1.png" alt="" title="">}}


#### Do I need to update any of my ACH information?

You need to enter information in the fields on the **Direct Debit / E-Check** tab. To get to this tab, go to the Payments page in the MyRackspace Portal and click **Recurring Payment** at the top of the screen.

{{<image src="ACHFAQ2a.png" alt="" title="">}}

On the **Direct Debit / E-Check tab**, enter or update the following information:

-   The location of the account (inside or outside of the US)
-   Name on the account
-   Account type
-   Routing number
-   Bank account number

#### Can I view a history of my online e-Check payments?

Yes. You can find this new feature on the **Payments** page of the
portal. In the top menu, click  **E-Check Payment History**.

{{<image src="ACHFAQ4a.png" alt="" title="">}}

**Note**: This feature maintains a history of e-Check payments only.
Payments made with other payment methods do not appear in this list.
