---
permalink: manually-configure-blackberry-enterprise-service-bes-for-email-hosted-on-exchange
audit_date:
title: Manually configure BlackBerry Enterprise Service (BES) for email hosted on Exchange
type: article
created_date: '2012-03-13'
created_by: Rackspace Support
last_modified_date: '2016-01-28'
last_modified_by: Rose Coste
---

This article shows how to setup the BlackBerry
Enterprise Service (BES) with your Microsoft Exchange email account on
your mobile device.

Some of the steps may vary depending on your OS (Operating
System). We've showcased OS5 and OS6 since they're the most commonly used
versions at the moment.

**Note:** A BES data plan must be purchased through your provider and
added to your account; your administrator will then purchase a [BES
license](/support/how-to/add-an-activesync-or-bes-license),
assign it to your email address, and provide you with an activation PIN.

**Note:** We are currently investigating BES10 and awaiting
official hosting guidance from Blackberry. After we have this information,
we will conduct testing to ensure that our BES10 offering provides the
Fanatical Experience&trade; you expect from Rackspace. To date, Blackberry has not
released an estimated date to distribute this information. In the
meantime, please feel free to continue using ActiveSync.

### BlackBerry OS5

1. From the home screen on your Blackberry select
   **Messaging**, then select **Options**.

   {{<image src="EABlackBerryBES.png" alt="" title="">}}
   {{<image src="EABlackBerryBES2.png" alt="" title="">}}

2. Select **Advanced Options** and then select **Enterprise
   Activation**.

   {{<image src="EABlackBerryBES3.png" alt="" title="">}}
   {{<image src="EABlackBerryBES4.png" alt="" title="">}}

3. Enter your full **email address** and the
   **ActivationPassword** provided by your administrator,
   press the **Menu** button, and select
   **Activate**. Your device will then state
   "**Acquiring service connection**" and your device will
   begin the process of setting up your account.

   {{<image src="EABlackBerryBES5.png" alt="" title="">}}
   {{<image src="EABlackBerryBES6.png" alt="" title="">}}

   **Note:** This process can take anywhere from 2 - 20 mins depending on
   your connection and how much data you have.

### BlackBerry OS6

1. From the BlackBerry home screen, select the
   **Setup** icon and then select the **Email
   Accounts** icon.

   {{<image src="EABlackBerryBES7.png" alt="" title="">}}
   {{<image src="EABlackBerryBES8.png" alt="" title="">}}

2. Select **Enterprise Activation**, fill in your
   **Email Address** and **Activation Password**
   and then select **Activate**. Your device will then state
   "**Acquiring service connection**" and your device will
   begin the process of setting up your account.

   {{<image src="EABlackBerryBES9.png" alt="" title="">}}
   {{<image src="EABlackBerryBES10.png" alt="" title="">}}

   **Note:** This process can take anywhere from 2 - 20 mins depending on
   your connection and how much data you have.

### BlackBerry folder redirection

To set up your sub-folders, you will first need to set up folder
redirection. The settings will only apply to new messages received after
the folder redirection changes have been saved. Your BlackBerry software
must be version 4.0 or higher.

1. On the home screen, go to **Messages**, select the
   **Menu** key (on older models), and select **Options**,
   then **Email Settings**.

2. Select the **Menu** key and select **Folder
   Redirection**. In the **Folder Redirection** menu, highlight your
   mailbox, press the menu key, and select **Expand**.

3. Highlight the folder you want to enable redirection on, press
   the **Menu** key and select **Change Option**. Press the
   **Menu** key and select **Save**.

**Note:** If you are unable to select Expand for any of the folders, or
if **Change Option** is unavailable, try turning Wireless Reconcile off and
then on again. You can find Wireless Reconcile in Messages &gt; Options
&gt; Email Reconciliation.
