---
permalink: build-a-new-cloud-server-with-automatic-updates-enabled
audit_date: '2018-10-25'
title: Build a new Cloud Server with automatic updates enabled
type: article
created_date: '2018-10-16'
created_by: Rackspace Support
last_modified_date: '2018-10-25'
last_modified_by: Cat Lookabaugh
---

Keeping your servers up to date with security fixes helps you to avoid server
compromises. While package updates can't prevent all security breaches,
applying updates to your servers should be a key component of your security
procedures.

To ensure that crucial updates are installed and current, use the following
steps to build a Cloud Server with automatic updates enabled:

1. Log in to the [Cloud Control Panel](https://login.rackspace.com).
2. In the top navigation bar, click **Select a Product > Rackspace Cloud**.
2. Select **Servers > Cloud Servers**.
3. Click **Create Server**.
4. Enter a name for the server in the **Server Name** field and select the
   **Region** where you want to host the server.
5. In the **Image** section, select an **Image Type**, **Operating System**,
   and **Version**.
6. In the **Flavor** section, select a **Flavor**.
7. If you want to add a Secure Shell (SSH) key, click **Advanced Options**,
   then select an existing key from the drop-down menu or click **Manage SSH
   Key** to add a new one.
7. When you're finished making selections, click **Create Server**.

    The message **Successfully created server** appears, indicating that the
    server creation process has started. Security updates are automatically
    applied to the new server.
