---
permalink: export-email-address-data-from-outlook-2010-for-windows
audit_date: '2017-10-11'
title: Export email address data from Outlook 2010 for Windows
type: article
created_date: '2017-09-01'
created_by: William Loy
last_modified_date: '2021-07-08'
last_modified_by: Rose Morales
---

This article describes how to export a copy of your email address data from Outlook&reg; 2010.

### Prerequisites

- **Applies to:** User
- **Difficulty:** Easy
- **Time needed:** Dependent on the amount of data you're exporting
- **Tools required:**  Access to the Outlook account from which you want to export

For more information about prerequisite terminology, see [Cloud Office support terminology](/support/how-to/cloud-office-support-terminology/).

If you need to export or import email address data from a different Outlook version,
see [Export and Import email address data using Outlook](/support/how-to/export-and-import-email-address-data-using-outlook)
for a list of all version articles.

#### Export email address data

1. In Outlook 2010, click the **File** > **Options**.

2. In the **Outlook Options** window, click **Advanced**.

    {{<image src="advanced2010.png" alt="" title="">}}

3. In the **Export** section, click **Export**.

    {{<image src="export2010.png" alt="" title="">}}
    
    The **Import and Export** Wizard launches.

4. In the **Import and Export** Wizard, click **Export to a file** and then click **Next**.

    {{<image src="export_to_a_file2010.png" alt="" title="">}}

5. Click **Outlook Data File (.pst)** and then click **Next**.

    {{<image src="outlook_data_file2010.png" alt="" title="">}}

6. Select the folder that you want to export and then click **Next**. 

   Select the email address at the top of the folder list to export all data and select the checkbox for **include subfolders** to export all data.

    {{<image src="folder_list2010.png" alt="" title="">}}

7. Click **Browse**, and then select the location where you want to save the new **.pst** file export.

    {{<image src="browse_finish2010.png" alt="" title="">}}

    **Note:** Save the file somewhere that you can easily locate for later use, such as the Desktop.

8. In the **File Name** box, type the name you want to use for the new **.pst** file, and then click **OK**.

    **Note:** You might see a prompt to enter a password. This is optional, and you can simply click **OK** to skip it.

    {{<image src="password_ok2010.png" alt="" title="">}}

9. Click **Finish**.

Check the folder where you saved the export to confirm that the export completed. If you are
ready to import the data into another Outlook 2010 profile, see
[Import email address data into Outlook 2010 for Windows](/support/how-to/import-email-address-data-into-outlook-2010-for-windows).
