---
permalink: getting-started-with-the-rackspace-mobile-application-and-managing-accounts
audit_date:
title: Get Started with the Rackspace Mobile Application and Managing Accounts
type: article
created_date: '2013-07-12'
created_by: Jamie Rosenfield
last_modified_date: '2016-06-24'
last_modified_by: Stephanie Fillmon
---

Now that you are familiar with the Control Panel, let's introduce you to
an alternative method to using the Cloud Control Panel. The Rackspace
mobile applications provide a seamless way for customers to access,
create, and manage Cloud Servers across the Rackspace Cloud.
Specifically, you will be able to create, rename, reboot, and rebuild
servers; check response times across multiple data centers; look up the
Rackspace Cloud System Status; and contact Rackspace support
across all regions.

### Download the application

Download the Rackspace mobile application appropriate for your mobile
device:

-   [Android application](https://play.google.com/store/apps/details?id=com.rackspace.cloudmobile)
    from the Google Play Store
-   [iOS application](https://itunes.apple.com/us/app/rackspace-cloud-control/id672443103?ls=1&mt=8)
    from the Apple App Store
-   [Windows 8](https://apps.microsoft.com/windows/en-us/app/rackspace-cloud/fba5a14e-2ca2-4137-864f-31e40ba84e10)
    application from the Microsoft Apps store

### Getting started

Once you have installed the Rackspace application on your mobile device,
you are ready to get started with managing Cloud Servers on your
account.

-   When you arrive at the log-in screen, enter in your
    user credentials. These will be the same Username and Password you
    use to access the Control Panel
-   Tap **Log In** and you will be logged into your Rackspace account and
    taken to view the Server List page
-   To add more Rackspace accounts to the application, tap on the menu
    icon in the top left corner of the screen and select Accounts from
    the menu drawer
-   Tap the **+** icon in the top right to add another account. Once the
    Authentication screen appears, add in the login credentials for the
    additional account. Again, this will match the Username and Password
    used to log into the account on the Cloud Control Panel.

### Creating a Cloud Server on your mobile application

After tapping on the **+** icon in the top right of the Server List page,
you will see the 4 primary setup options&mdash;Name, Region, Image, and Size&mdash;that you will want to configure. If you select **Create Server** without modifying any criteria, your server will be set up with the
default configuration details.

1. Tap on the **Name** field and enter your server name.

2. Tap on **Region** to select your region.

3. After you return to the Select Options page, you will be able to select your Operating System type and version.

4. Select the flavor class you want for your server.

5. Select the flavor (includes CPU, RAM and disk) on the resulting screen.

    {{<image src="4SelectFlavorScreen.png" alt="" title="">}}

6. After you return to the Select Options page, tap **Create Server**.

You will be returned to the Server List where you will see your new
server in the process of being built. You will be able to look at your
new server's details, but will not be able to make any changes until the
server creation is complete and the status has changed from yellow to
green.

### Rebuild, Reboot, and Rename your server

On your server list, select the cloud server you want to manage. Once on
your Server Details page you will be able to Rebuild, Reboot, and Rename
your server.

**Note**: If you need to changed the size of your server, see [Changing the size of your General Purpose Cloud Server](/support/how-to/upgrading-resources-for-general-purpose-or-io-optimized-cloud-servers).

- **Rebuild** - Tap the Image button. You are prompted to confirm the Rebuild.

   **Note**: Rebuilding your server will require a restart of your system.

- **Reboot** - Tap the Reboot button. You are prompted to select Hard Reboot or Soft Reboot.

   **Note**: Rebooting your server will require a restart of your system.

- **Rename** - Tap the Rename button. You are able to add in the new server name.

### IP features on your Cloud Server

On your Server Details page you can select your Public IPs and/or
Private IP to Ping the server, Copy the IP address or open the IP in
your mobile browser.

Tap on the IP address you are interested in and you will see the options
to:

-   Ping IP Address
-   Copy to clipboard
-   Open in Browser

### Change the Root Password on your Cloud Server

On your Server Details page you can tap the Change Root Password button
to update the password you use to access your server

### Deleting an Account from the Mobile Device

To delete an account from your **Android** Rackspace mobile application, go to your device's Settings menu. Under the Accounts section, select the Rackspace application and then tap on the account you want to remove. Once in the Sync settings for the Rackspace application, select **Remove Account**.

To delete an account from your **iOS** Rackspace mobile application, you will go to the Accounts page and swipe left-to-right on the account you would like to remove. You will then see a **Remove** button. Tap **Remove** and that account will not longer be synced to that mobile device.
