---
permalink: lon5-cloud-migration-faq
audit_date:
title: LON5 Cloud Migration FAQ
type: article
created_date: '2015-08-11'
created_by: Stephanie Fillmon
last_modified_date: '2021-04-22'
last_modified_by: Rose Morales
---

In May 2015, Rackspace opened a new data centre, LON5, to support our
customers' growth with newer technologies, and enable us to offer our
current hosting product portfolio.

Rackspace has had widespread success in data centre migrations over the
past 12 years. During this time, our dedicated migration teams have
performed the following migrations:

-   In 2009, 15,000 devices from the LON2 Data Centre to the LON3
    Data Centre.
-   In 2011, 3,828 devices from the SAT1 and SAT2 Data Centres to the
    DFW1 Data Centre.
-   In 2012, 8,200 devices from the IAD1 Data Centre to the DFW1 and
    IAD3 Data Centres.

We realize that you chose Rackspace as your hosting provider because you
trust our expertise and commitment to support you. Rest assured that we
have invested a significant amount of time in planning this migration
and have allocated dedicated resources to ensure the project is
completed successfully.

{{<accordion title="Why is Rackspace closing these data centres?" col="in" href="accordion1">}}


DH4 was brought online in March 2013 to ease capacity issues in our LON3
Data Centre caused by extensive growth. At that stage LON5 was still in
the initial design phase. It is a colocation facility in very close
proximity to LON3.
{{</accordion>}}
{{<accordion title="How will cloud devices be migrated to LON5?" col="in" href="accordion2">}}

Your migration date will be determined by the location of your solution.
Rackspace is working hard to ensure the maintenance has minimal impact
to you, and you will receive a ticket in your Cloud Control Panel with
additional details 21 days before your scheduled maintenance.

1.  After your instance is migrated, the affected devices will be
    securely transported to the new Data Centre facility.
2.  All devices will be reconnected and powered back up.
3.  Your configuration will be tested and verified at an
    infrastructure level.
{{</accordion>}}
{{<accordion title="Will there be any interruption to service?" col="in" href="accordion3">}}

Yes. The total scheduled migration window will be four
hours but our goal is to return to service as quickly as possible.
Rackspace has designed the migration plan to occur in small contiguous
blocks in order to minimize the amount of downtime for customers. Our
project plan also seeks to reduce the amount of unplanned downtime by
including additional resources and multiple contingency plans.

If your instance is not able to go through the live
migration process, you will be notified via a ticket within your Cloud
Control Panel and a standard migration will be scheduled.
{{</accordion>}}
{{<accordion title="Will there be any IP or DNS changes?" col="in" href="accordion4">}}

No. You should be able to retain your IPs and DNS with
this migration. If your server is not able to retain its original IPs,
you will be notified via ticket and Support will work with you to
resolve.
{{</accordion>}}
{{<accordion title="When are my servers scheduled to be migrated?" col="in" href="accordion5">}}

The migrations will begin in September and continue through October
2015. You will receive a notification via ticket on the Rackspace
customer portal 21 days in advance of your migration date. Subsequent
tickets will include the date range in which you will be migrated.
{{</accordion>}}
{{<accordion title="How will I need to prepare for the migration?" col="in" href="accordion6">}}

We encourage you to make your own offsite backups and use the Managed
Backup solution that Rackspace offers. If your solution is not currently
being backed up, we strongly recommend that you talk to your Rackspace
Account Team to put backup methods in place before the migration date.
{{</accordion>}}
{{<accordion title="Is the move date flexible? Can I choose the date of the migration?" col="in" href="accordion7">}}

Because we must move hardware according to its network topography, we
cannot offer flexible move dates to customers.
{{</accordion>}}
{{<accordion title="I have more than one solution with Rackspace. Will they all be migrated at the same time?" col="in" href="accordion8">}}

The answer depends on where those solutions are physically located
within the data centre. Dedicated hardware will be moved before Cloud
hardware, so they will be handled in two different maintenance windows.
{{</accordion>}}
{{<accordion title="Will my current services change because of the migration?" col="in" href="accordion9">}}

There will be no change to any of the services that you currently
consume.
{{</accordion>}}
{{<accordion title="Are there any guarantees that my server will not have to be migrated again afterwards?" col="in" href="accordion10">}}

Rackspace is investing heavily in the design and construction of the
LON5 Data Centre and in our partnership with Digital Realty Trust, a
company dedicated to data centre design and construction. The lease
associated with the LON5 Data Centre is in excess of 20 years. We hope
that this provides you with some reassurance that we are making every
effort not to migrate you again in the near future.
{{</accordion>}}
{{<accordion title="Where is LON5 located?" col="in" href="accordion11">}}

This facility is located near Crawley, Sussex. For security reasons, we
have not published the address in this FAQ. You can obtain the address
from your Account Team on a confidential basis and with valid
justification, such as the need to coordinate the installation of
private circuits.
{{</accordion>}}
{{<accordion title="Does the LON5 Data Centre have the same level of redundancy and security as other Rackspace data centres?" col="in" href="accordion12">}}

Yes. The LON5 Data Centre provides the same or improved levels of
redundancy, and more resilience in its electrical and mechanical
infrastructure, than LON1 and LON3. Security protocols and operations
for LON5 are in line with all data centres in the Rackspace global
portfolio.
{{</accordion>}}
{{<accordion title="What assurance can Rackspace provide customers regarding security controls in the new LON5 Data Centre?" col="in" href="accordion13">}}

All Rackspace entities implement uniform global data centre security and
environmental controls in their data centres.

The new LON5 Data Centre will have the standard security controls that
have been implemented in our other data centres and that have been
assessed in those other data centres as meeting the requirements of our
ISO 27001, PCI-DSS SP L1, and ISAE / SSAE standards.

LON5 successfully passed the external assessment against ISO 27001,
prior to opening to our customers. Rackspace will continue auditing
externally, in line with our set annual compliance schedule.

Customers will be able to receive a copy of our ISO 27001 certificate,
as well as an attestation from our Compliance Director that states that
the appropriate security and environment controls have been implemented
to meet the PCI-DSS SP L1 and ISAE / SSAE standards to which we adhere.
{{</accordion>}}
{{<accordion title="Has an SSAE16 / ISAE 3402 SOC report been completed for the LON5 Data Centre?" col="in" href="accordion14">}}

LON5 came online in the middle of the Rackspace ISAE / SSAE annual audit
cycle and will therefore not be assessed upon opening.

The reporting period for the Rackspace Service Organization Controls
(SOC) 1, 2, and 3 reports is 31 September to 1 October. The assessment
will be conducted by our auditors between September and November 2015,
with the final report being made available in early December 2015.
{{</accordion>}}
{{<accordion title="Will the LON5 Data Centre be PCI-DSS compliant?" col="in" href="accordion15">}}

LON5 came online prior to the Rackspace Annual PCI-DSS Service Provider
audit.

The PCI-DSS SP L1 external audit took place between May and July 2015.
The Attestation of Compliance will be available for customers by the end
of July or early August 2015.
{{</accordion>}}
{{<accordion title="What are the green credentials of the LON5 Data Centre?" col="in" href="accordion16">}}

In support of our commitment to our customers, Rackspace employees, and
the environment, the LON3 Data Centre and UK head office (LON4) are
certified to the international environmental management standard, ISO
14001, which provides a framework for managing our environmental
responsibilities, including energy and waste management. We will extend
the scope of this to LON5 in the next audit cycle. In the meantime,
following are some of the initiatives we have implemented in LON5 to
reduce our carbon footprint:

-   The data centre construction will have a BREEAM rating of Very Good.
    BREEAM for new construction covers items such as environmentally
    sourced paint, LED lighting, minimising land fill, and impact on the
    environment during construction.
-   LON5 will have an annualised Power Usage Effectiveness (PuE) of
    1.15, as opposed to a rating of 1.58 in LON3.
-   The removal of the mechanical cooling systems in the data halls
    means we can maintain a more stable PuE rating for the facility.
-   The indirect cooling solution uses much lower water quantities than
    other systems in its class and significantly less water than a
    cooling tower.
-   Rain harvesting will be leveraged and used in back-of-house
    amenities and for the adiabatic spray in the indirect
    cooling solution.
-   Sun pipes in some areas will bring in natural light to reduce the
    need for artificial lighting.
-   Power will be pulled into the site from higher up the grid to attain
    a more efficient delivery of power to the site.
{{</accordion>}}
{{<accordion title="Who should I contact if I have more questions about the migration?" col="in" href="accordion17">}}

You can submit a ticket to your Account Team in the Cloud Control Panel.
{{</accordion>}}
{{<accordion title="What about customers who use RackConnect?" col="in" href="accordion18">}}

Customers who connect their Dedicated and Cloud hardware via RackConnect
will only be impacted by the migration of Dedicated hardware.
{{</accordion>}}
