---
permalink: manage-company-contacts-in-the-cloud-office-control-panel
audit_date:
title: Manage company contacts in the Cloud Office Control Panel
type: article
created_date: '2014-03-31'
created_by: Mawutor Amesawu
last_modified_date: '2015-06-15'
last_modified_by: David Hendler
---

A company contact is different from an account administrator. A company
contact might or might not have administrative access to the control
panel. Unlike an account administrator, a secondary contact might
receive billing and renewal notices yet not be able to make changes to
the account. Use the following steps to add, edit, or delete a company
contact from your account.

### Add a company contact

1.  Log in to the [Cloud Office Control Panel](https://cp.rackspace.com).
2.  At the top of the page, click your account name and then select **Admins & Contacts**.
3.  On the **Admins & Contacts** tab, click **Company Contacts**.
4.  Click **Add Company Contact**.
5.  Enter the required information:
    -   **Contact Type** - Select **Primary** or **Secondary**. Only a
        primary contact on an account can request
        administrative changes.
    -   **Name** - Enter the name of the contact.
    -   **Phone Number** - Enter a phone number for the contact.
    -   **Email Address** - Support tickets and invoices will be sent to
        this address.
    -   **Security Question** - The security question and answer should
        be unique and known only to the administrator and the contact.
    -   **Security Answer** - Enter an answer for the security question.

6.  In the **Notifications** section, select the check boxes for
    notifications that should be sent to this contact.

    **Note**: Your account must have at least one contact who receives
    **Billing Information** notifications.

7.  Click **Save**.

### Edit a company contact

1.  Log in to the [Cloud Office Control Panel](https://cp.rackspace.com).
2.  At the top of the page, click your account name and then select **Admins & Contacts**.
3.  On the **Admins & Contacts** tab, click **Company Contacts**.
4.  Click the name of the contact that you want to edit.
5.  Edit the information as needed.
6.  In the **Notifications** section, select the check boxes for
    notifications that should be sent to this contact.

    **Note**: Your account must have at least one contact who receives
    **Billing Information** notifications.
7.  Click **Save**.

### Delete a company contact

1.  Log in to the [Cloud Office Control Panel](https://cp.rackspace.com).
2.  At the top of the page, click your account name and then select **Admins & Contacts**.
3.  On the **Admins & Contacts** tab, click **Company Contacts**.
4.  Select the check box next to the contacts that you want to delete.
    The account must have at least one primary contact.
5.  Click **Delete**.
6.  In the confirmation box, click **OK**.
