---
permalink: manually-configure-entourage-for-email-hosted-on-exchange-2010
audit_date:
title: 'Manually configure Entourage for email hosted on Exchange 2010'
type: article
created_date: '2012-02-28'
created_by: Rackspace Support
last_modified_date: '2020-11-17'
last_modified_by: Rose Morales
---

These instructions describe how to set up your Microsoft Exchange 2010
email account with Microsoft Entourage.

**Note:** Microsoft Exchange 2010 requires Entourage 2008 Web
Services Edition for full Exchange functionality. Entourage 2008 Web
Services Edition is a free add-on to Entourage 2008 provided by
Microsoft. You can find more information at the following
link: <https://www.microsoft.com/en-us/download/details.aspx?id=10419>

If you cannot install the Entourage 2008 Web
Services Edition add-on, consider using
[Outlook Web Access](/support/how-to/outlook-web-access-owa-for-exchange).
Alternatively, you can set up your account using IMAP as described at
[Help tool for hosted email and Skype for Business](/support/how-to/help-tool-for-hosted-email-and-skype-for-business).

1. Open Entourage and select **Tools**, **Accounts**, **New** and
   then **Exchange**.

   **Note:** If the setup assistant window appears, select **Configure Account
   Manually**, select **New**, and then **Exchange**.

   {{<image src="EAEntourage2008EWSExchange.png" alt="" title="">}}
   {{<image src="EAEntourage2008EWSExchange2.png" alt="" title="">}}

2. In the pop-up window, enter the following information into the
   fields:

   - **Account Name** - Enter a descriptive name of your
     choice for your account (for example, Work Account).

   - **Name** - This is the name that will be displayed
     when you send an email message.<

   - **E-mail address** - Enter your entire email
     address using all lowercase letters (for example,
     myname@example.com).

   - **Account ID** - Enter your full email address.

   - **Domain** - Leave this field blank

   - **Password** - Enter the password associated with
    the email address you're setting up.

   {{<image src="Exchange2010Entourage.png" alt="" title="">}}

3. Click the **Advanced** tab and, in the **Exchange
   Server** box, enter **connect.emailsrvr.com** and then select **OK**.
   Your account will then connect and mail data will begin to populate into
   your inbox.

   {{<image src="Exchange2010Entourage2.png" alt="" title="">}}
