---
permalink: rackspace-billing-faq
audit_date: '2018-02-13'
title: Rackspace billing FAQ
type: article
created_date: '2014-01-17'
created_by: Rackspace Support
last_modified_date: '2019-02-28'
last_modified_by: Stephanie Fillmon
---

Get quick answers to common questions about Rackspace billing.

### General

#### How am I billed for Rackspace services?

Many of our services follow a utility pricing model and are billed for
hourly usage each month on the anniversary date of the account creation.
Charges on invoices are based on service usage since the last invoice
date. Details about our product pricing are located on our [Cloud Pricing
Page](https://www.rackspace.com/cloud/public-pricing/).

#### What forms of payment does Rackspace accept?

Payments are charged automatically to a credit card. Rackspace accepts
Visa&reg;, Mastercard&reg;, and American Express&reg;.

#### How can I estimate my monthly bill?

You can use our [Cloud Pricing Page](https://www.rackspace.com/cloud/public-pricing/) and [Cloud Pricing Calculator](https://www.rackspace.com/calculator/)
to estimate pricing.

#### Can I pay in advance?

If you meet the minimum requirements for our Commitment Pricing Program,
you can prepay based on a commitment pricing contract for your account. Any
usage beyond the minimum commitment amount is invoiced at the utility rate on
the monthly date of your account's anniversary. For example, if your account
was created on the 25th of the month, you will be billed monthly on the 25th.
You can find more information about the Commitment Pricing
Program on the [Cloud Servers Discount
page](https://www.rackspace.com/cloud/servers/discounts/).

#### What is the duration of my contract for cloud services?

Cloud services are provided on a month-to-month basis. For more information,
see the Rackspace [Cloud Terms of
Service](https://www.rackspace.com/information/legal/cloud/tos).

### Account information

#### How do I view my invoice?

Follow these steps to view your invoice:

1. Log in to the [Cloud Control Panel](https://login.rackspace.com).
2. In the upper-right corner of the page, click **Billing**.

   You are redirected to the **Billing Overview** dashboard, which displays
   information about billing, payments, and usage.

Invoices are available as a summarized PDF, a more detailed
comma-separated-values (CSV) file, and a [detailed HTML
view](/support/how-to/detailed-invoices-overview/).
We also provide [pivot tables in downloadable
spreadsheets](/support/how-to/use-pivot-tables-with-your-cloud-billing-invoice)
to help you organize your billing information.

#### How do I view current service usage?

If you have existing services and want to view your current usage, you
can perform the following steps:

1. Log in to the [Cloud Control Panel](https://login.rackspace.com).
2. In the upper-right corner of the page, click **Billing**.

   You are redirected to the **Billing Overview** dashboard, which displays
   information about billing, payments, and usage.

#### How do I update my credit card information?

Follow these steps to update your credit card information:

1.  Log in to the [Cloud Control Panel](https://login.rackspace.com).
2.  In the upper-right corner of the page, click **Billing**.
3.  In the top navigation bar, click **Payment Methods > Manage Payment
    Methods**.
4.  Add a new card or designate a new default payment method, as needed.

#### How do I change my billing address?

Follow these steps to change your billing address:

1.  Log in to the [Cloud Control Panel](https://login.rackspace.com).
2.  In the upper-right corner of the page, click **Billing**.
3.  Click the **Billing Settings** tab.
4.  Click the pencil icon next to **Billing Address** to edit the address.

### Charges

#### What are the separate charges and minimums that are applied to Cloud Servers pricing?

The listed prices for Cloud Servers include both *raw
infrastructure* and *managed service* charges. The price is split to
show what you are paying for when you partner with us.

-   The raw infrastructure price can be contrasted with what other
    hosting companies charge for a cloud server. It covers the
    infrastructure of the hosted server.
-   The managed service price applies to the support
    that we offer on top of our infrastructure. This *Service Level
    Rate* varies based on the service level that you choose for your
    cloud account.

The Service Level Rate *minimums* are based on the service level that you
choose for your cloud account. The minimums represent the minimum
monthly charge for the service. If the cost of the resources that you use in
a month exceeds the minimum, the Service Level Rate minimum does
not apply. If your costs for a month are less than the minimum, the
difference between your usage costs and the Service Level Rate minimum
are added to your bill.

#### Why am I being billed for a service when I'm not using it?

Billing begins the moment that you provision a service or server on your
account. You are charged for servers, load balancers, and services as long as
those resources remain allocated to your account, even if they are not in use
or are disabled. This is because we have allocated resources for your
exclusive use that cannot be reserved by other customers.

After you delete the server, load balancer, or service from your
account, its resources are available for someone else to use, and you are no
longer billed for them.

You can delete cloud servers and services by using the [Cloud Control
Panel](https://login.rackspace.com). To cancel Rackspace support for Azure,
create a ticket for our Billing team.

#### Am I still charged if my servers are suspended?

According to the Rackspace [Cloud Terms of
Service](https://www.rackspace.com/information/legal/cloud/tos), "If the
suspension was based on your breach of your obligations under the Agreement,
then we may continue to charge you the fees for the Services during the
suspension."

#### Am I still charged if my server goes down?

The Rackspace [Cloud Terms of
Service](https://www.rackspace.com/information/legal/cloud/tos) explains
when customers are entitled to credits.

#### How do I delete or cancel my services?

Cloud accounts can be closed by the account owner at any time, but Rackspace
cannot perform this action. Instead, the account owner must initiate the
closure through the MyCloud portal by using the following steps:

1. Ensure that all products (such as Cloud Servers, Images, Cloud Files, Cloud
   Block Storage, and so on) are deleted.
2. Log in to the [Cloud Control Panel](https://login.rackspace.com/) and
   review all services to ensure that all your data is backed up outside of
   the Rackspace environment.
3.  In the upper-right corner of the page, click **Account > Account
    Settings**.
4.  At the bottom of the **Account Settings** page, click **Cancel My Account**.
5.  Choose a reason from the provided list.
6.  Check the check box at the bottom of the page.
7.  Type the word _CANCEL_ into the text box.
8.  Click **Cancel Account**.

Cancellations cannot be initiated over the phone or with a support ticket. The
cancellation submission is your authorized approval for Rackspace to delete
your account and cancel your services in their entirety. If you do not
have a copy of your data outside of our Cloud infrastructure, Rackspace is not
liable for data loss.

**Note**: Your Rackspace cloud account is billed one month in arrears on your
anniversary date. Depending on the date on which your cancellation is
finalized, you might still receive an additional, final invoice on your next
invoice date. Refer to your billing overview for your monthly invoice date.

#### I don't agree with my bill. How can I dispute a charge?

You can create a ticket via the [Cloud Control
Panel](https://login.rackspace.com/) with the details of your dispute. One of
our account managers will review the ticket. A credit is granted only if there
is an error related to our billing system or there is a service error
according to your service level agreement (SLA).
