---
title: Rackspace Private Cloud Powered By OpenStack
type: product
audit_date:
created_date: '2016-01-17'
created_by: Rackspace Support
last_modified_date: '2021-05-10'
last_modified_by: Rose Morales
---

Rackspace has developed a set of tools that allow you to quickly install an OpenStack private cloud, configured as recommended by Rackspace OpenStack specialists.

Rackspace Private Cloud Software uses Ansible to create an OpenStack cluster on the Ubuntu operating system. The installation process provides a familiar approach for Linux system administrators, and the environment can be updated easily without downloading and installing a new ISO.

You can learn more about Rackspace Private Cloud and OpenStack [on the main product page](https://www.rackspace.com/openstack/private). You can also find Rackspace Private Cloud developer documentation on the [Rackspace Private Cloud Documentation page.](https://docs.rackspace.com/docs/#docs-private-cloud)

<hr />

###  General resources

- [FAQ](/support/how-to/rpc-openstack-faq/)
- [Rackspace Private Cloud Support](https://www.rackspace.com/support)
- [Rackspace Private Cloud Software and Reference Architecture](https://www.rackspace.com/openstack/private/openstack)
- [Rackspace Private Cloud Resources](https://www.rackspace.com/cloud/private)
- [Rackspace Training](https://www.rackspace.com/openstack/private/training)

###  Rackspace Private Cloud v14 (Newton)

- [Release Notes](https://docs.rackspace.com/docs/private-cloud/rpc/v14/rpc-releasenotes/)
- [OpenStack Ansible Installation Guide](https://docs.openstack.org/developer/openstack-ansible/newton/) - For the Rackspace Private Cloud Installation Guide, contact [Rackspace Private Cloud Support](https://www.rackspace.com/support).
- [Object Storage Deployment Guide](https://docs.rackspace.com/docs/private-cloud/rpc/v14/rpc-swift)
- [Technical FAQ](https://docs.rackspace.com/docs/private-cloud/rpc/v14/rpc-faq-external/)

###  Rackspace Private Cloud v13 (Mitaka)

- [Release Notes](https://docs.rackspace.com/docs/private-cloud/rpc/v13/rpc-releasenotes/)
- [OpenStack Ansible Installation Guide](https://docs.openstack.org/developer/openstack-ansible/mitaka/) - For the Rackspace Private Cloud Installation Guide, contact [Rackspace Private Cloud Support](https://www.rackspace.com/support).
- [Object Storage Deployment Guide](https://docs.rackspace.com/docs/private-cloud/rpc/v13/rpc-swift)
- [Technical FAQ](https://docs.rackspace.com/docs/private-cloud/rpc/v13/rpc-faq-external/)

###  Rackspace Private Cloud v12 (Liberty)

- [Release Notes](https://docs.rackspace.com/docs/private-cloud/rpc/v12/rpc-releasenotes/)
- [OpenStack Ansible Installation Guide](https://docs.openstack.org/developer/openstack-ansible/liberty/) - For the Rackspace Private Cloud Installation Guide, contact [Rackspace Private Cloud Support](https://www.rackspace.com/support).
- [Object Storage Deployment Guide](https://docs.rackspace.com/docs/private-cloud/rpc/v12/rpc-swift)
- [Technical FAQ](https://docs.rackspace.com/docs/private-cloud/rpc/v12/rpc-faq-external/)
