---
permalink: rpc-vmware
title: Rackspace Private Cloud Powered by VMware
audit_date: '2018-02-19'
type: product
created_date: '2018-02-19'
created_by: Alexandra Settle
last_modified_date: '2021-05-13'
last_modified_by: Rose Morales
---

**Rackspace Private Cloud Powered by VMware**(RPC-VMware) provides a single-tenant
hosted private cloud, designed with server, storage, and networking
hardware from trusted vendors such as Dell&reg;, EMC&reg;, and
Cisco&reg;, that's proactively managed 24x7x365 by our VMware
Certified Professionals. For more information, see the following resources:

- [Rackspace Private Cloud Powered by VMware product page](https://www.rackspace.com/en-gb/vmware/private-cloud)
- [Rackspace Private Cloud powered by VMware Customer Handbook](https://docs.rackspace.com/docs/rpc-vmware/rpc-vmware-customer-handbook/)

### Rackspace Private Cloud Powered by VMware versus Server Virtualization

| Feature | VMware Server Virtualization | Rackspace Private Cloud Powered by VMware |
| --- | --- | --- |
| Managed support for VMware stack and underlying hardware | Yes | Yes |
| Managed guest OS-layer support<br/>(for example, OS patching) | Yes | No |
| Hosted catalogs | No | - Customer-provided OS<br/>- Rackspace-provided OS with host-based licensing (optional) |
| Self-service portal | No | Yes |
| Access via API | None | - vSphere&reg; API<br/>- vCloud&reg; API (optional)<br/>- NSX&trade; API (optional)<br/>- vSAN API (optional)<br/>- vRealize API (optional) |
| Access via GUI |  MyRackspace&reg; Web Portal | - vSphere Web Interface<br/>- vCloud Web Portal (optional)<br/>- vRealize Operations Web Portal (optional)<br/>- vRealize Web Portal (optional) |
| Single-tenant vSphere hypervisors | Yes | Yes |
| Storage options | - Local disk <br/>- DAS <br/>- SAN <br/>- Dedicated EMC SAN <br/>- NetApp NAS | - SAN <br/>- Dedicated EMC SAN <br/>- NetApp NAS <br/>- VMware vSAN |
| Networking options | - Brocade&reg;<br/>- F5&reg;<br/>- Cisco | - Brocade<br/>- F5<br/>- Cisco<br/>- NSX Software-Defined Networking |
| Service level options | - Managed SLA<br/>- Intensive SLA | - Intensive SLA |
| Compatible with VMware vRA | No | Yes |
| Capacity planning | Rackspace assistance provided | VMware vROps Included |
| Automation tools | No | - vApp Deployment Automation (optional vCloud Director)<br/>- vRealize Automation (optional)<br/>- Chef&reg; / Ansible&reg; / Puppet plug-in Ecosystem |


