---
permalink: rms-alert-logic
title: 'Alert Logic Security Solutions'
type: product
audit_date: '2020-02-03'
created_date: '2020-02-03'
created_by: Stephanie Fillmon
last_modified_date: '2020-02-03'
last_modified_by: Stephanie Fillmon
product: Alert Logic Security Solutions
product_url: rms-alert-logic
---

Rackspace is pleased to partner with Alert Logic&reg; to provide Security
Solutions comprised of Alert Logic Essentials and Professional as a suite
of Threat Management&trade; services and capabilities. The Security Solutions
provide increasing levels of security coverage for IT assets hosted on
infrastructure that can span across on-premise, public cloud and on hosted
data centers.

**Essentials**

| Feature | Functionality |
| --- | --- |
| Asset Visibility | Discover and visualize the assets in an environment based on a recurring discovery process for on-prem data-centers, hosted environments, public clouds leveraging an easy and fast discovery process that is managed for you, on a recurring basis.  The health of the customer’s deployment is monitored and appropriate remediations on how to improve your deployment are pro-actively provided. |
| Vulnerability and configuration visibility | Discover and visualize weaknesses in your deployed assets and cloud-configuration through internal network scans, external network scans and PCI Scans.  Prioritize vulnerabilities to be remediated based on threat risk index scoring and based on ‘biggest-bang-for-the-buck’ grouping of multiple hosts sharing the same vulnerable images being run, and multiple vulnerabilities that can be addressed using the same patches. |
| Support services - PCI Scanning ASV Support | Get help with intricacies of scan scheduling, interpretation of PCI accredited scan vendor results and working through the remediation and exception processes to reach scan PCI compliance. |


**Professional**

| Feature | Functionality |
| --- | --- |
| Essentials capabilities included | All capabilities available at the Essentials coverage level are included in Professional coverage. |
| Threat visibility | Detection of threats in motion through network IDS, log collection and log analytics, and generation of actionable incidents with contextual information. |
| Log management, storage, and search | Collection, storage, online search of Infrastructure, Cloud, System, Application and custom logs. |
| Security Incident Management and response support | SOC 24x7 support with incident triage, assessment, escalation and response support. |
| Compliance Readiness | Professional embedded security capabilities help to meet key compliance mandates and support compliance audit processes. |


The solution is designed to be used side by side for different environments, in
a blended model. Not all environments face the same threats and have the same
business value. The coverage levels selected for an environment should be
aligned with the risk assessment for that environment.

### Learn about the product

- [How to prioritize threats and reduce alert fatigue](https://blog.rackspace.com/support/how-to-prioritize-threats-and-reduce-alert-fatigue)
- [Alert Logic Threat Management](https://www.rackspace.com/en-us/security/tools/intrusion-detection)
