---
permalink: cloudflare-supported-features
title: 'Cloudflare supported features'
type: article
audit_date: '2020-06-11'
created_date: '2020-06-11'
created_by: Rackspace Managed Security
last_modified_date: '2020-08-28'
last_modified_by: Stephanie Fillmon
product: Cloudflare with Rackspace Managed Services
product_url: rms-cloudflare
---

At Rackspace, we want to make your security experience as seamless as
possible. To do this, we have evaluated the extensive list of Cloudflare&reg;
features. We identified areas where we can perform feature
configuration for you or consult with you on industry best practices, what
we've seen make others successful, and landmines to avoid.

The following table describes which features we support and will be
updated as we include new features and functionality:

**Add-on features. Configuration and consultation**

| Feature | Information |
| --- | --- |
| Argo (Argo Smart Routing, Argo Tunnel, and Argo Tiered Caching) | Monitors routing paths, ensuring traffic takes the most optimal path. Creates an encrypted tunnel between your origin web server and Cloudflare’s nearest data center |
| Argo Tunnel | Creates an encrypted tunnel between your origin web server and Cloudflare's nearest data center |
| Bot Management | Deploy a fast and accurate bot management solution without complex configuration or maintenance. Cloudflare Bot Management automatically recommends rules to manage bots out-of-the-box. No instrumentation with third-party JavaScript required. |
| China Network | Deliver content directly from China-based servers to customers |
| Cloudflare Access | Protects internal resources by securing, authenticating, and monitoring access per-user and by application |
| Cloudflare Apps | A simple and powerful way for millions of site owners to access tools previously available to only technical experts |
| Cloud Insights | Provides deeper security and reliability insights, such as *proactive* analytics when there's a problem and there are more powerful ways to explore your data |
| Cloudflare Logs | Detailed logs of HTTP requests |
| Cloudflare Stream | Makes streaming high-quality video at scale easy and affordable |
| Load balancing | Safeguards from service disruptions with local and global traffic load balancing, geographic routing, server health checks, and failover, ensuring the continuous availability of critical resources. |
| Page rules | Allows you to customize Cloudflare's functionality to match your domain or subdomain's unique needs, helping to optimize speed, harden security, increase reliability, and maximize bandwidth savings and much more. |
| Rate limiting | Protects against denial-of-service attacks, brute-force password attempts, and other types of abusive behavior targeting the application layer. Rackspace Technology can configure rules to stop automated traffic, allowing legitimate user traffic through. |
| SSL/TLS | Protect your customers' data in transit. Easily enable SSL or TLS on customers' CNAME vanity domains and let Cloudflare handle SSL certificate management. |
| Web optimizations | Image and file optimizations, faster delivery by reducing payload sizes of images. |
