---
permalink: skype-for-business-faq
audit_date: '2019-03-19'
title: Microsoft Skype for Business FAQ
type: article
created_date: '2015-12-03'
created_by: Rackspace Support
last_modified_date: '2019-03-20'
last_modified_by: William Loy
product: Microsoft Skype for Business
product_url: skype-for-business
---

### Account services
{{<accordion title="Why am I having audio problems?" col="in" href="accordion1">}}

If there's a problem, a notification is displayed in the conversation
window or the Skype&reg; for Business main window. You can click the
notification for more information or suggested solutions.

If you're not hearing audio, check the following things:

-   Verify that your speakers are turned on, both in Skype for Business and for your
    computer, and that the speaker volume is set high enough to hear it.
-   If you are using a phone to receive audio, ensure that your telephone handset is on the cradle.
-   Make sure the device you're using is selected on the **Devices** tab.
{{</accordion>}}

------------------------------------------------------------------------

### General
{{<accordion title="How do I prevent Skype for Business from starting automatically every time I log in to Windows?" col="in" href="accordion2">}}

1.  From the Skype for Business main window, select
    **Options &gt; Personal.**
2.  Uncheck the box labeled **Automatically start Skype for Business
    when I log on to Windows**. The next time you log on, if you want to
    use Skype for Business, you'll need to select it from the **Start** menu.
{{</accordion>}}
{{<accordion title="How do I confine Skype for Business to the task bar until it's needed?" col="in" href="accordion3">}}

1.  From the Skype for Business main window, select
    **Options &gt; Personal**.
2.  Uncheck the box labeled **Show Skype for Business in the foreground
    when it starts**.
    The next time you log on, the Skype for Business icon appears on
    the task bar at bottom of your screen. You need to select it to
    open the Skype for Business main window.
{{</accordion>}}
{{<accordion title="How do I keep my Skype for Business conversation window visible?" col="in" href="accordion4">}}

Select the drop-down button next to the **Options** icon, select **Tools**,
and then select **Always on Top**.
{{</accordion>}}

------------------------------------------------------------------------

### Contacts
{{<accordion title="What does the red star or asterisk next to a contact's status mean?" col="in" href="accordion5">}}

The red asterisk next to a contact's status indicates that they have
turned on the **Out of Office** reply in Outlook&reg;.
{{</accordion>}}
{{<accordion title="Why does the relationships view of my contacts list include people I didn't personally add, and how do I remove them?" col="in" href="accordion6">}}

Every contact you interact within Microsoft Office&reg;, whether in your
Skype for Business contacts list or not, has a default relationship
with you. Your unlisted contacts are not included
in your Skype for Business contacts list and don't get displayed in either
the **Groups** view or the **Status** view. However, the **Relationships** view shows all the contacts on your Skype for Business contacts list and any
unlisted contacts that are assigned a non-default privacy
relationship.

Remove any of these unlisted contacts from your **Relationships** view
by right-clicking on the contact, clicking **Change Privacy Relationship**, and
selecting **Auto-assign Relationship**.
{{</accordion>}}
{{<accordion title="How do I turn off all pictures in Skype for Business, including my own?" col="in" href="accordion7">}}

Select **Options &gt; Personal**, then clear the check box labeled
**Show pictures of contacts**.

This action removes pictures from your contacts list. It also
eliminates pictures of the sender and receiver from instant messages (IM) and group
conversations, and it removes your own picture from Skype for
Business.
{{</accordion>}}
{{<accordion title="How many contacts can I have?" col="in" href="accordion8">}}

The default maximum number of contacts that you can add is 1000.
{{</accordion>}}
{{<accordion title="How do I create a group?" col="in" href="accordion9">}}

1.  In the Skype for Business main window, in your **Contacts** list,
    right-click any group name, then click **Create New Group**.

    Alternatively, you can click **Add a Contact** and then select **Create a New Group**.

2.  In the space that opens at the bottom of the window, type over
    the phrase *New Group* to give your group a descriptive name.
{{</accordion>}}
{{<accordion title="How do I organize my contacts by location, department, or other criteria?" col="in" href="accordion10">}}

Create a new group based on the category you need. For instance, you
might create a group called _Headquarters staff_ and add contacts to
that group.
{{</accordion>}}
{{<accordion title="How do I get added to or removed from a list of delegates?" col="in" href="accordion11">}}

Depending on your authorization within your organization, use one of the following methods to modify delegate lists.

-   To be added to or removed from a delegate list, you need to ask the
    owner of the list to make the change. Each Skype for Business user creates and maintains their delegate lists.
-   To create or revise your own delegate list, click the **Options**
    button on the Skype for Business main window, click **Call
    Forwarding**, and then click the **Edit my delegate members** link
    at bottom of the window. A dialog box opens where you can add,
    remove, or change the permissions of delegates.
{{</accordion>}}
{{<accordion title="How do I delete contacts from my Contacts list?" col="in" href="accordion12">}}

Right-click the contact you want to delete, and then click **Remove from
Contacts List**.
{{</accordion>}}
{{<accordion title="How do I display only those contacts who are online?" col="in" href="accordion13">}}

Although you can't completely remove offline contacts from your contacts
list, you can send them to a separate group, so they don't clutter it up.

Click **Options>Contacts List**, and then select the check box labeled
**Show contacts with away, offline and unknown presences in a separate
group**. Unavailable contacts now appear at the bottom of the
display in a group called **Away and Offline Contacts**.
{{</accordion>}}
{{<accordion title="How do I block contacts from reaching me via Skype for Business?" col="in" href="accordion14">}}

**Note**: Although your name and email address display to blocked
contacts, they can't reach you through Skype for Business.

To block a contact in Skype for Business, use these steps:

1.  Right-click the contact you want to block.
2.  Click **Change Privacy Relationship**.
3.  Select click **Blocked Contacts**.
{{</accordion>}}
{{<accordion title="How do I find contacts within my organization?" col="in" href="accordion15">}}

In the **Search** field on the Skype for Business main window, type the
name, email address, or phone number of the contact you are looking for.
{{</accordion>}}
{{<accordion title="How do I add an internal contact to my Contacts list?" col="in" href="accordion16">}}

Use the following steps:

1.  In the Skype for Business main window, click **Add a Contact**.
2.  From the drop-down menu, select **Add a Contact in my Organization**.
3.  In the search box, type the person's name, email alias, or phone
    number.
    As you type, a list of people who match the search terms displays.
4.  Scroll through the search returns list until you see the person
    you want to add to your **Contacts** list. Right-click the person's
    search listing, and then click **Add to Contacts List**.
5.  Select a group from the list to which to add your new contact.
{{</accordion>}}
{{<accordion title="Can I automatically add everyone in the domain to my Skype for Business contacts?" col="in" href="accordion17">}}

No. Skype for Business does not have the ability to automatically add
all users in the domain to the contacts list. This is a limitation of
the Skype for Business product, and not a limitation imposed by
Rackspace. The limitation applies to all configurations, dedicated and
multi-tenant.

The basic premise is that you do not want to have every employee in
the whole company in your list. You create smaller groups composed of
the people with whom you work closely, and then you add other groups or
individuals to your contact list as needed.
{{</accordion>}}

------------------------------------------------------------------------

### Instant messages

{{<accordion title="Can I recall (block the delivery of) an instant message?" col="in" href="accordion18">}}

No, you can't recall an instant message (IM) after you press the **Enter** key to
send it.
{{</accordion>}}
{{<accordion title="How do I disable IM alert sounds?" col="in" href="accordion19">}}

You can configure Skype for Business to not play IM or
phone alerts whenever your presence is set to **Do not Disturb**. You can also
configure Skype for Business to only notify you if the person
trying to contact you is a member of your work group with that privacy
relationship.

To view and adjust these settings, use the following action:

-   Click the **Options** button in the Skype for Business main window,
    and then click **Alerts** .

To turn the audible alerts off altogether, use the following action:

-   Click the **Options** button in the Skype for Business main window,
    click **Ringtones and Sounds**, and then clear the **Play sounds in
    Skype for Business (including ringtones for incoming alerts and IM
    alerts)** check box.
{{</accordion>}}
{{<accordion title="How do I set an alert to notify me as soon as a particular contact becomes available?" col="in" href="accordion20">}}

In the Skype for Business main window, within your **Contacts** list,
right-click a contact, and then click **Tag for Status Change Alerts**.
{{</accordion>}}
{{<accordion title="How do I change fonts in my IMs?" col="in" href="accordion21">}}

To change the font, style, size, or color for a specific IM you are
writing, use the following actions:

-   Type your message, highlight the text you want to change, click the
    **Font** button in the IM composing area, and then make your
    selections in the **Font** window.

To change the default font details for all the IMs you send, use the following actions:

-   From the Skype for Business main window, click the **Options**
    button, click **General**, click **Change Font**, and then select
    a default font, font style, font size, and font color. Then click
    **OK**. These selections apply only to IM messages you send,
    not to those you receive.

To change the default font details for incoming IMs as well, use the following actions:

-   From the Skype for Business main window, click the **Options** button,
    click **General**, click **Change Font**, and then select a default
    font, font style, font size, and font color. Then select the **Apply
    settings to incoming messages** check box, and click **OK**.
{{</accordion>}}
{{<accordion title="Can I add customized emoticons to my Skype for Business IMs?" col="in" href="accordion22">}}

No, you can't. But there are 80 emoticons in the Skype for Business
assortment. To see them, click the emoticon icon to the right of the
text input area on the conversation window.
{{</accordion>}}
{{<accordion title="Can I use spell checking in my Skype for Business IMs?" col="in" href="accordion23">}}

Yes, Skype for Business checks your spelling automatically. Skype for
Business won't mark as misspelled any word that you've added to your
Office custom dictionary. To turn off spell checking in Skype for
Business, click the **Options** button, then click **General** and clear the
**Check spelling as I type** check box.
{{</accordion>}}
{{<accordion title="Where can I find previous IM conversations, records of Skype for Business calls, or IM requests I may have missed?" col="in" href="accordion24">}}

By default, if you are using Microsoft&reg; Outlook, Skype for Business saves
all incoming and outgoing conversations in your Outlook **Conversation
History** folder, so you can review previous conversations. To see a
list of recent Skype for Business interactions added to this folder, click the **Conversations** tab above the search input area.

To see the entire folder, click the **View More in Outlook** link at bottom of the window.

**Note**: If your conversations are not saved in this Outlook
archive, and you want to set up an archive for future conversations,
follow these steps:

1.  Verify that you are using Microsoft Outlook 2010 or later.
2.  In the Skype for Business main window, click the **Options** button,
    and then click **Personal**.
3.  Click the **Save instant message conversations in my email
    Conversation History folder** button, and then click **OK**.

Unless your Skype for Business administrator has set a policy to retain
all messages, you can also delete conversations from the **Conversation
History** folder.
{{</accordion>}}
{{<accordion title="How can I make the IM alerts more prominent, so I don't miss incoming IM requests?" col="in" href="accordion25">}}

Unless you have set notifications so alerts do not display when you
are in **Do not Disturb** mode, Skype for Business by default always
sends you both a visual alert and a sound alert whenever someone tries to reach you via IM. Just the same, you might occasionally fail to notice an IM request, especially when you are using multiple screens or when your alert
volume is too low or off.

To help ensure that your IM alerts are noticeable, try the following things:

-   Set your display so Skype for Business is always in the foreground
    when it starts. To do this, click the drop-down menu next to the
    **Options** button, click **Tools**, and then click **Always on
    Top**.
-   If you use multiple screens, make a practice of moving your Skype
    for Business main window onto the display monitor you are
    working on.
-   Confirm that the volume is turned up on your computer speakers and
    other audio devices.
-   Confirm that Skype for Business is set to send audible alerts. To do
    this, click the **Options** button, click **Ringtones and Sounds**,
    select **Play sounds in Skype for Business (including ringtones for
    incoming calls and IM alerts)**, and confirm that the other check
    boxes in the panel are not selected.
-   Consider choosing a more distinctive or more prominent alert sound
    than the default to notify you of an incoming message.
{{</accordion>}}

------------------------------------------------------------------------

### User status

{{<accordion title="What do the various presence states mean, which ones are set automatically, and which ones can I set myself?" col="in" href="accordion26">}}

The following table describes the contact presence states that
people can see, what each state means, and how it gets set.

| Presence/Status      | Description                                                                                                                                                                |
|----------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Available            | You're online and available to contact. Automatic or user-selected setting.                                                                                                |
| Busy                 | You're occupied and shouldn't be interrupted. Automatic (if user is in an Outlook-scheduled conference) or user-selected setting.                                          |
| In a call            | You're in a Skype for Business call (two-party call) and shouldn't be interrupted. (Automatic)                                                                             |
| In a conference call | You're in a Skype for Business call (Skype for Business meeting with audio) and shouldn't be interrupted. (Automatic)                                                      |
| Do not disturb       | You don't want to be disturbed and see conversation notifications only if they are sent by someone in your Workgroup. (User-selected)                                 |
| Presenting           | You are giving a presentation from your Skype for Business-enabled computer or are otherwise sharing your desktop and are not to be disturbed. (Automatic)                 |
| Be right back        | You're stepping away from the computer for a few moments (User-selected)                                                                                                   |
| Away                 | Your computer has been inactive for a period of time (5 minutes by default; you can adjust this value). (Automatic)                                                            |
| Off work             | You're not working and not available to contact. (User-selected)                                                                                                           |
| Offline              | You're not signed in. If you have blocked individuals from seeing your presence, you'll appear offline to them. (Automatic)                                                |
| Unknown              | Your presence is not known. If others are not using Skype for Business as their instant messaging (IM) program, your presence might appear as unknown to them. (Automatic) |

{{</accordion>}}
{{<accordion title="How can I give people more information about my status?" col="in" href="accordion27">}}

Although the presence states in Skype for Business are preset, you can
always write a personal note at the top of the Skype for Business main
window to provide more details about where you are and what you're
doing. Just click the note display area and type over the note that's
currently displayed.
{{</accordion>}}
{{<accordion title="What do the settings on the Status options window mean?" col="in" href="accordion28">}}

On the **Status options** window, you can change the number of minutes that
elapse before your presence status changes to **Inactive** and **Away**. You can also have Skype
for Business automatically detect when you are sharing information from
this computer. Skype for Business sets your status as **Presenting**, and
blocks others from sending messages to you during that time.

Set these status options by using the following instructions:

1.  In the Skype for Business main window, click the **Options** button,
    and then click **Status**.
2.  Click the up and down arrows to specify the number of minutes before
    your presence status changes to **Inactive**.
3.  Click the up and down arrows to specify the number of minutes before
    your presence status changes to **Away**.
4.  Click the appropriate button to control general status (override
    default settings or accept them), and then click **OK**.

Select the check boxes labeled **Show me as Do Not Disturb when I
present my desktop** and **Show me as Do Not Disturb when my monitor is
duplicated** to let others know not to interrupt you when you are
giving a presentation or otherwise collaborating online from your Skype
for Business-enabled computer.
{{</accordion>}}
{{<accordion title=`Why can't I set my presence status to "Appear Away"?` col="in" href="accordion29">}}

Your organization may have turned off the **Appear Away** status option, on
the grounds that it can interfere with the reliability of the presence
indicator. If a lot of people use this status constantly, presence in
general won't mean much. Keep in mind that you can also use privacy
relationships to avoid interruptions. For example, if you don't want to
be disturbed by most people, you can set your status as **Do Not Disturb**
and then grant certain people permission to interrupt you by adding them
to your work group.
{{</accordion>}}
{{<accordion title="How do I get rid of the Out of Office note in Skype for Business?" col="in" href="accordion30">}}

If your Skype for Business account is synced via Microsoft Exchange to your Outlook calendar, an out-of-office message appears in
Skype for Business after you turn on the **Out of Office** reply in
Microsoft Outlook. To get rid of the out-of-office message display in
Skype for Business, you need to turn off the **Out of Office** reply in
Outlook by using the following actions:

-   Click the **File** tab in Outlook, and then click the **Turn off**
    button in the **Automatic Replies** panel.

**Note**: It may take several minutes for the message to disappear in
Skype for Business.
{{</accordion>}}

------------------------------------------------------------------------
