---
permalink: vmware-server-virtualization
title: VMware Server Virtualization
audit_date: '2018-01-29'
type: product
created_date: '2016-01-17'
created_by: Rackspace Support
last_modified_date: '2018-01-29'
last_modified_by: Alexandra Settle
product: VMware Server Virtualization
product_url: vmware-server-virtualization
---

Rackspace Managed Virtualization services offer a customizable infrastructure that
can be architected to support even the most demanding workloads. Our experienced
engineers are available 24x7x365 to help architect, deploy, and troubleshoot your
hosted VMware&reg; environment.

### VMware Server Virtualization

**VMware Server Virtualization** is a simple, easy-to-consume, managed VMware
environment that's perfect for small and medium-sized businesses that want
to offload the maintenance and monitoring of the guest operating system (OS), VMware software
stack, and underlying hardware to Rackspace. For more information, see the following resources:

- [VMware Server Virtualization product page](https://www.rackspace.com/managed-hosting/vmware/server-virtualization)
- [VMware Server Virtualization Customer Handbook](https://docs.rackspace.com/docs/docs-vmware-server-virt/server-virt-handbook)

### VMware Server Virtualization versus Rackspace Private Cloud Powered by VMware

| Feature | VMware Server Virtualization | Rackspace Private Cloud Powered by VMware |
| --- | --- | --- |
| Managed support for VMware stack and underlying hardware | Yes | Yes |
| Managed guest OS-layer support<br/>(for example, OS patching) | Yes | No |
| Hosted catalogs | No | - Customer-provided OS<br/>- Rackspace-provided OS with host-based licensing (optional) |
| Self-service portal | No | Yes |
| Access via API | None | - vSphere&reg; API<br/>- vCloud&reg; API (optional)<br/>- NSX&trade; API (optional)<br/>- vSAN API (optional)<br/>- vRealize API (optional) |
| Access via GUI |  MyRackspace&reg; Web Portal | - vSphere Web Interface<br/>- vCloud Web Portal (optional)<br/>- vRealize Operations Web Portal (optional)<br/>- vRealize Web Portal (optional) |
| Single-tenant vSphere hypervisors | Yes | Yes |
| Storage options | - Local disk <br/>- DAS <br/>- SAN <br/>- Dedicated EMC SAN <br/>- NetApp NAS | - SAN <br/>- Dedicated EMC SAN <br/>- NetApp NAS <br/>- VMware vSAN |
| Networking options | - Brocade&reg;<br/>- F5&reg;<br/>- Cisco | - Brocade<br/>- F5<br/>- Cisco<br/>- NSX Software-Defined Networking |
| Service level options | - Managed SLA<br/>- Intensive SLA | - Intensive SLA |
| Compatible with VMware vRA | No | Yes |
| Capacity planning | Rackspace assistance provided | VMware vROps Included |
| Automation tools | No | - vApp Deployment Automation (optional vCloud Director)<br/>- vRealize Automation (optional)<br/>- Chef&reg; / Ansible&reg; / Puppet plug-in Ecosystem |


