---
permalink: investigating-cryptocurrency-malware-compromise-on-a-windows-server
audit_date: '2022-06-03'
title: 'Investigating Cryptocurrency Malware Compromise on a Windows Server'
type: article
created_date: '2022-06-03'
created_by: Sergio Diaz
last_modified_date: '2022-06-03'
last_modified_by: Miguel Salgado
product: Cloud Servers
product_url: cloud-servers
---

This article will help us identify posible instances of cryptocurrency malware.

### Symptoms
This are some of the symptoms that your server may present in the case of having a crypto malware:
1. Server running slow.
2. High CPU usage.
3. High GPU usage .
4. High bandwith use AND network connections to unusual endpoints

### Checking CPU/GPU and directories.
1. Check the status of your CPU/GPU, usually cryptocurrency uses both CPU and the GPU at 100% capacity.
2. Check "C:\Windows\system32" for recently created ".dll" files.
3. On the properties of these files you will notice that the "original filename" was test.dll

### Checking Services and Task scheduler
1. We can start "services.msc" to see the active services on our system.
2. Check for services that does not have a description.
3. Opening our Task Scheduler we can see tasks scheduled to be started at a certain time to makes sure the adware components are always present.
4. You will notice that the task's Author is the servers administrator group or SYSTEM.

### Checking Port connections.
1. Using netstat or procexp we can check on what proccesses we are connected to.
2. We have to keep an eye for the following ports as they are used by cryptocurrency malware: 14433, 14444, 3333, 3334, 3335, 3336, 4444, 45560, 45700, 5555, 5556, 6666, 7777, 8788, 8888, 8899, 9999

### Checking Bandwidth Utilization
High sustained unexpected bandwidth utilization is often a common symptom.
Because attackers usually compromise systems intending to run a network
service on them, there might be a service running on the system, so listening
to an odd port could indicate a compromised server.

- To review network connections for TCP, run the following command in PowerShell:
    ```powershell
    NetStat -naop 'TCP'
    ```

- To review network connections for UDP, run the following command:
    ```powershell
    NetStat** -naop 'UDP'
    ```

- To count specific connections, run one of the following commands:
    ```powershell
    NetStat** -naop 'TCP'
    find /c ":<port>"
    ```

**NOTE:** The **Sysinternal TCP** view offers alternative graphical tools
for this review.

This kind of malware is very difficult to find as it takes the root configuration as if it were an admin user, and the processeses take files or directories that are used by the OS.

A good recomendation to prevent this, is to block the port connections to well-known mining pools as the ones stated in this article, to keep our antimalware software up to date, and make the use of whitelist for applications.
If you ever find this kind of symptoms on your system reach out to the technical suppor as this could riks both the costumer and rackspace infraestructure.

You can check on this article if you want to know more specific things about cryptocurrency malware:
[Detecting Cryptocurrency Mining in Corporate Environments](https://sansorg.egnyte.com/dl/kjamuz5mWT)

### Related articles
For more information, review the following sources:
- [Investigate a compromised Windows server - Rackspace](https://docs.rackspace.com/support/how-to/investigate-a-compromised-windows-server/)
- [Documentation to Sysinternals - Microsoft](https://docs.microsoft.com/en-us/sysinternals/resources/troubleshooting-book)
- [Live link to sysinternal tools - SysInternals](https://live.sysinternals.com/)
- [Sophos AntiRootkit - Sophos](https://www.sophos.com/en-us/products/free-tools/sophos-anti-rootkit.aspx)
- [Detecting Cryptocurrency Mining in Corporate Environments - SansOrg](https://sansorg.egnyte.com/dl/kjamuz5mWT)
</br>

Use the Feedback tab to make any comments or ask questions. You can also [start a conversation with us](https://www.rackspace.com/contact).
